<?xml version="1.0" encoding="utf-8"?>
<schema xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" schemaVersion="ISO19757-3" queryBinding="xslt2" xmlns="http://purl.oclc.org/dsdl/schematron">

    <ns prefix="function" uri="http://ato.gov.au/eCommerceFunctions" />
    <ns prefix="fn" uri="http://www.w3.org/2005/xpath-functions" />
    <ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema" />
    <ns prefix="i" uri="http://www.w3.org/2001/XMLSchema-instance" />
    <ns prefix="xsi" uri="http://www.w3.org/2001/XMLSchema-instance" />
    <ns prefix="xbrli" uri="http://www.xbrl.org/2003/instance" />
    <ns prefix="xbrldi" uri="http://xbrl.org/2006/xbrldi" />
    <ns prefix="address2.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.01.module" />
    <ns prefix="dtyp.02.00" uri="http://sbr.gov.au/fdtn/sbr.02.00.dtyp" />
    <ns prefix="dtyp.02.03" uri="http://sbr.gov.au/fdtn/sbr.02.03.dtyp" />
    <ns prefix="declaration1.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.declaration1.02.01.module" />
    <ns prefix="email1.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.electroniccontactelectronicmail1.02.00.module" />
    <ns prefix="fbt.0002.02.00" uri="http://sbr.gov.au/rprt/ato/fbt/fbt.0002.lodge.request.02.00.report" />
    <ns prefix="fbt.0002.lodge.req.02.00" uri="http://sbr.gov.au/rprt/ato/fbt/fbt.0002.lodge.request.02.00.report" />
    <ns prefix="fbt.0002.02.00.prv" uri="http://sbr.gov.au/rprt/ato/fbt/fbt.0002.private.02.00.module" />
    <ns prefix="iso4217" uri="http://www.xbrl.org/2003/iso4217" />
    <ns prefix="link" uri="http://www.xbrl.org/2003/linkbase" />
    <ns prefix="lrla.02.00" uri="http://sbr.gov.au/icls/lr/lrla/lrla.02.00.data" />
    <ns prefix="orgname2.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.organisationname2.02.00.module" />
    <ns prefix="phone1.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.electroniccontacttelephone1.02.00.module" />
    <ns prefix="prsnunstrcnm1.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module" />
    <ns prefix="prsnstrcnm3.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module" />
    <ns prefix="pyde.02.00" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" />
    <ns prefix="pyde.02.01" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" />
    <ns prefix="pyde.02.05" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data" />
    <ns prefix="pyid.02.00" uri="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" />
    <ns prefix="pyin.02.00" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" />
    <ns prefix="pyin.02.03" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.03.data" />
    <ns prefix="pyin.02.07" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.07.data" />
    <ns prefix="pyin.02.08" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.08.data" />
    <ns prefix="fininstacc1.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.financialinstitutionaccount1.02.00.module" />
    <ns prefix="ref" uri="http://www.xbrl.org/2006/ref" />
    <ns prefix="RprtPyType.02.03" uri="http://sbr.gov.au/dims/RprtPyType.02.03.dims" />
    <ns prefix="rvctc3.02.00" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data" />
    <ns prefix="tech_01.02" uri="http://sbr.gov.au/fdtn/sbr.01.02.tech" />



    <pattern id="ContextVariables" >
        <let name="INT.Context" 
            value="xbrli:xbrl/xbrli:context[
                ./xbrli:period/xbrli:startDate
            and ./xbrli:period/xbrli:endDate 
            and ./xbrli:entity/
            xbrli:segment[
                           count(./xbrldi:explicitMember) = 1 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and ends-with(., 'Intermediary')]) = 1 
                         ]
            ]" />

        <let name="INT.ContextFirst" value="($INT.Context)[1]" />

        <let name="INT.ContextId" value="($INT.Context/@id)[1]" as="xs:string?" />

        <let name="INT.Identifier" value="($INT.Context/xbrli:entity/xbrli:identifier/text())[1]" as="xs:string?" />

        <let name="INT.Identifier.Scheme" value="($INT.Context/xbrli:entity/xbrli:identifier/@scheme)[1]" as="xs:string?" />

        <let name="INT.Identifier.ABN" value="($INT.Context/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/abn']/text())[1]" as="xs:string?" />

        <let name="INT.Context.StartDate" value="($INT.Context/xbrli:period/xbrli:startDate/text())[1]" as="xs:date?"  />

        <let name="INT.Context.EndDate" value="($INT.Context/xbrli:period/xbrli:endDate/text())[1]" as="xs:date?" />

        <let name="RP.Context" 
            value="xbrli:xbrl/xbrli:context[
                ./xbrli:period/xbrli:startDate
            and ./xbrli:period/xbrli:endDate 
            and ./xbrli:entity/
            xbrli:segment[
                           count(./xbrldi:explicitMember) = 1 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and ends-with(., 'ReportingParty')]) = 1 
                         ]
            ]" />

        <let name="RP.ContextFirst" value="($RP.Context)[1]" />

        <let name="RP.ContextId" value="($RP.Context/@id)[1]" as="xs:string?" />

        <let name="RP.Identifier" value="($RP.Context/xbrli:entity/xbrli:identifier/text())[1]" as="xs:string?" />

        <let name="RP.Identifier.Scheme" value="($RP.Context/xbrli:entity/xbrli:identifier/@scheme)[1]" as="xs:string?" />

        <let name="RP.Identifier.ABN" value="($RP.Context/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/abn']/text())[1]" as="xs:string?" />
        <let name="RP.Identifier.TFN" value="($RP.Context/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text())[1]" as="xs:string?" />

        <let name="RP.Context.StartDate" value="($RP.Context/xbrli:period/xbrli:startDate/text())[1]" as="xs:date?"  />

        <let name="RP.Context.EndDate" value="($RP.Context/xbrli:period/xbrli:endDate/text())[1]" as="xs:date?" />

    </pattern>



    <xsl:key name="RPFacts" match="xbrli:xbrl/*[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'RP')" />


    <pattern id="ElementVariables" >
        <let name="Declaration" value="xbrli:xbrl/declaration1.02.01:Declaration" />
        <let name="Declaration_TrueAndCorrect" value="xbrli:xbrl/declaration1.02.01:Declaration[./pyin.02.03:Declaration.StatementType.Code = 'TrueAndCorrect']" />
        <let name="FBT217" value="$Declaration_TrueAndCorrect/pyin.02.00:Declaration.SignatoryIdentifier.Text[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT218" value="$Declaration_TrueAndCorrect/pyin.02.00:Declaration.Signature.Date[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:date*" />
        <let name="FBT219" value="$Declaration_TrueAndCorrect/pyin.02.00:Declaration.StatementAccepted.Indicator[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:boolean*" />
        <let name="FBT187" value="$Declaration_TrueAndCorrect/pyin.02.03:Declaration.StatementType.Code[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="ElectronicContactTelephone" value="xbrli:xbrl/phone1.02.00:ElectronicContactTelephone" />
        <let name="ElectronicContactTelephone_03" value="xbrli:xbrl/phone1.02.00:ElectronicContactTelephone[./pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03']" />
        <let name="FBT127" value="$ElectronicContactTelephone_03/pyde.02.00:ElectronicContact.Telephone.Area.Code[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT128" value="$ElectronicContactTelephone_03/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT132" value="$ElectronicContactTelephone_03/pyde.02.00:ElectronicContact.Telephone.ServiceLine.Code[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT131" value="$ElectronicContactTelephone_03/pyde.02.00:ElectronicContact.Telephone.Usage.Code[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="FBT130" value="xbrli:xbrl/pyid.02.00:Identifiers.TaxAgentClientReference.Text[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT2" value="xbrli:xbrl/pyid.02.00:Identifiers.TaxAgentNumber.Identifier[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="PersonUnstructuredName" value="xbrli:xbrl/prsnunstrcnm1.02.01:PersonUnstructuredName" />
        <let name="PersonUnstructuredName_Contact" value="xbrli:xbrl/prsnunstrcnm1.02.01:PersonUnstructuredName[./pyde.02.05:PersonUnstructuredName.Usage.Code = 'Contact']" />
        <let name="FBT129" value="$PersonUnstructuredName_Contact/pyde.02.00:PersonUnstructuredName.FullName.Text[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT172" value="$PersonUnstructuredName_Contact/pyde.02.05:PersonUnstructuredName.Usage.Code[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="AddressDetails" value="xbrli:xbrl/address2.02.01:AddressDetails" />
        <let name="AddressDetails_BUS_C" value="xbrli:xbrl/address2.02.01:AddressDetails[./pyde.02.01:AddressDetails.Usage.Code = 'BUS' and ./pyde.02.00:AddressDetails.Currency.Code = 'C']" />
        <let name="FBT224" value="$AddressDetails_BUS_C/pyde.02.00:AddressDetails.Country.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT48" value="$AddressDetails_BUS_C/pyde.02.00:AddressDetails.CountryName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT165" value="$AddressDetails_BUS_C/pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT41" value="$AddressDetails_BUS_C/pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT42" value="$AddressDetails_BUS_C/pyde.02.00:AddressDetails.Line2.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT43" value="$AddressDetails_BUS_C/pyde.02.00:AddressDetails.Line3.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT44" value="$AddressDetails_BUS_C/pyde.02.00:AddressDetails.Line4.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT45" value="$AddressDetails_BUS_C/pyde.02.00:AddressDetails.LocalityName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT164" value="$AddressDetails_BUS_C/pyde.02.00:AddressDetails.OverseasAddress.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:boolean*" />
        <let name="FBT47" value="$AddressDetails_BUS_C/pyde.02.00:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT46" value="$AddressDetails_BUS_C/pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT166" value="$AddressDetails_BUS_C/pyde.02.01:AddressDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="AddressDetails_POS_C" value="xbrli:xbrl/address2.02.01:AddressDetails[./pyde.02.01:AddressDetails.Usage.Code = 'POS' and ./pyde.02.00:AddressDetails.Currency.Code = 'C']" />
        <let name="FBT222" value="$AddressDetails_POS_C/pyde.02.00:AddressDetails.Country.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT24" value="$AddressDetails_POS_C/pyde.02.00:AddressDetails.CountryName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT153" value="$AddressDetails_POS_C/pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT17" value="$AddressDetails_POS_C/pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT18" value="$AddressDetails_POS_C/pyde.02.00:AddressDetails.Line2.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT19" value="$AddressDetails_POS_C/pyde.02.00:AddressDetails.Line3.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT20" value="$AddressDetails_POS_C/pyde.02.00:AddressDetails.Line4.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT21" value="$AddressDetails_POS_C/pyde.02.00:AddressDetails.LocalityName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT25" value="$AddressDetails_POS_C/pyde.02.00:AddressDetails.OverseasAddress.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:boolean*" />
        <let name="FBT23" value="$AddressDetails_POS_C/pyde.02.00:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT22" value="$AddressDetails_POS_C/pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT154" value="$AddressDetails_POS_C/pyde.02.01:AddressDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="AddressDetails_POS_P" value="xbrli:xbrl/address2.02.01:AddressDetails[./pyde.02.01:AddressDetails.Usage.Code = 'POS' and ./pyde.02.00:AddressDetails.Currency.Code = 'P']" />
        <let name="FBT223" value="$AddressDetails_POS_P/pyde.02.00:AddressDetails.Country.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT39" value="$AddressDetails_POS_P/pyde.02.00:AddressDetails.CountryName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT160" value="$AddressDetails_POS_P/pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT32" value="$AddressDetails_POS_P/pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT33" value="$AddressDetails_POS_P/pyde.02.00:AddressDetails.Line2.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT34" value="$AddressDetails_POS_P/pyde.02.00:AddressDetails.Line3.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT35" value="$AddressDetails_POS_P/pyde.02.00:AddressDetails.Line4.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT36" value="$AddressDetails_POS_P/pyde.02.00:AddressDetails.LocalityName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT159" value="$AddressDetails_POS_P/pyde.02.00:AddressDetails.OverseasAddress.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:boolean*" />
        <let name="FBT38" value="$AddressDetails_POS_P/pyde.02.00:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT37" value="$AddressDetails_POS_P/pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT161" value="$AddressDetails_POS_P/pyde.02.01:AddressDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="ControllingParty" value="xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty" />
        <let name="ControllingParty_OrganisationNameDetails" value="xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/orgname2.02.00:OrganisationNameDetails" />
        <let name="ControllingParty_OrganisationNameDetails_MN_C" value="xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty[1]/orgname2.02.00:OrganisationNameDetails[./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ./pyde.02.00:OrganisationNameDetails.Currency.Code = 'C']" />
        <let name="FBT176" value="$ControllingParty_OrganisationNameDetails_MN_C/pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT10" value="$ControllingParty_OrganisationNameDetails_MN_C/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT152" value="$ControllingParty_OrganisationNameDetails_MN_C/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="ControllingParty_OrganisationNameDetails_MN_P" value="xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty[1]/orgname2.02.00:OrganisationNameDetails[./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ./pyde.02.00:OrganisationNameDetails.Currency.Code = 'P']" />
        <let name="FBT179" value="$ControllingParty_OrganisationNameDetails_MN_P/pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT54" value="$ControllingParty_OrganisationNameDetails_MN_P/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT184" value="$ControllingParty_OrganisationNameDetails_MN_P/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="ControllingParty_PersonNameDetails" value="xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails" />
        <let name="ControllingParty_PersonNameDetails_LGL_Identifier_C" value="xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty[1]/prsnstrcnm3.02.01:PersonNameDetails[./pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ./pyde.02.05:PersonNameDetails.Usage.Code = 'Identifier' and ./pyde.02.00:PersonNameDetails.Currency.Code = 'C']" />
        <let name="FBT151" value="$ControllingParty_PersonNameDetails_LGL_Identifier_C/pyde.02.00:PersonNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT6" value="$ControllingParty_PersonNameDetails_LGL_Identifier_C/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT8" value="$ControllingParty_PersonNameDetails_LGL_Identifier_C/pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT7" value="$ControllingParty_PersonNameDetails_LGL_Identifier_C/pyde.02.00:PersonNameDetails.NameSuffix.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT9" value="$ControllingParty_PersonNameDetails_LGL_Identifier_C/pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT150" value="$ControllingParty_PersonNameDetails_LGL_Identifier_C/pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT5" value="$ControllingParty_PersonNameDetails_LGL_Identifier_C/pyde.02.00:PersonNameDetails.Title.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT225" value="$ControllingParty_PersonNameDetails_LGL_Identifier_C/pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="ControllingParty_PersonNameDetails_LGL_Identifier_P" value="xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty[1]/prsnstrcnm3.02.01:PersonNameDetails[./pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ./pyde.02.05:PersonNameDetails.Usage.Code = 'Identifier' and ./pyde.02.00:PersonNameDetails.Currency.Code = 'P']" />
        <let name="FBT169" value="$ControllingParty_PersonNameDetails_LGL_Identifier_P/pyde.02.00:PersonNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT50" value="$ControllingParty_PersonNameDetails_LGL_Identifier_P/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT52" value="$ControllingParty_PersonNameDetails_LGL_Identifier_P/pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT51" value="$ControllingParty_PersonNameDetails_LGL_Identifier_P/pyde.02.00:PersonNameDetails.NameSuffix.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT53" value="$ControllingParty_PersonNameDetails_LGL_Identifier_P/pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT168" value="$ControllingParty_PersonNameDetails_LGL_Identifier_P/pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT49" value="$ControllingParty_PersonNameDetails_LGL_Identifier_P/pyde.02.00:PersonNameDetails.Title.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT228" value="$ControllingParty_PersonNameDetails_LGL_Identifier_P/pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />


        <let name="FBT213" value="$Declaration_TrueAndCorrect/pyin.02.00:Declaration.SignatoryIdentifier.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT214" value="$Declaration_TrueAndCorrect/pyin.02.00:Declaration.Signature.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:date*" />
        <let name="FBT215" value="$Declaration_TrueAndCorrect/pyin.02.00:Declaration.StatementAccepted.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:boolean*" />
        <let name="FBT185" value="$Declaration_TrueAndCorrect/pyin.02.03:Declaration.StatementType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="ElectronicContactElectronicMail" value="xbrli:xbrl/email1.02.00:ElectronicContactElectronicMail" />
        <let name="ElectronicContactElectronicMail_03" value="xbrli:xbrl/email1.02.00:ElectronicContactElectronicMail[./pyde.02.00:ElectronicContact.ElectronicMail.Usage.Code = '03']" />
        <let name="FBT62" value="$ElectronicContactElectronicMail_03/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT133" value="$ElectronicContactElectronicMail_03/pyde.02.00:ElectronicContact.ElectronicMail.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="FBT60" value="$ElectronicContactTelephone_03/pyde.02.00:ElectronicContact.Telephone.Area.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT61" value="$ElectronicContactTelephone_03/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT135" value="$ElectronicContactTelephone_03/pyde.02.00:ElectronicContact.Telephone.ServiceLine.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT134" value="$ElectronicContactTelephone_03/pyde.02.00:ElectronicContact.Telephone.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="FinancialInstitutionAccount" value="xbrli:xbrl/fininstacc1.02.00:FinancialInstitutionAccount" />
        <let name="FBT229" value="$FinancialInstitutionAccount/pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT230" value="$FinancialInstitutionAccount/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT231" value="$FinancialInstitutionAccount/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT232" value="$FinancialInstitutionAccount/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionBranchName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT233" value="$FinancialInstitutionAccount/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="FBT77" value="key('RPFacts', concat('FringeBenefitsTax.AdjustmentDue.Amount', 'RP'))" as="xs:decimal*" />
        <let name="FBT75" value="key('RPFacts', concat('FringeBenefitsTax.Liability.Amount', 'RP'))" as="xs:decimal*" />
        <let name="FBT76" value="key('RPFacts', concat('FringeBenefitsTax.LiabilityInstalmentsTotal.Amount', 'RP'))" as="xs:decimal*" />
        <let name="FBT73" value="key('RPFacts', concat('FringeBenefitsTax.NonRebatableAggregate.Amount', 'RP'))" as="xs:decimal*" />
        <let name="FBT72" value="key('RPFacts', concat('FringeBenefitsTax.Payable.Amount', 'RP'))" as="xs:decimal*" />
        <let name="FBT74" value="key('RPFacts', concat('FringeBenefitsTax.Rebate.Amount', 'RP'))" as="xs:decimal*" />
        <let name="FBT67" value="key('RPFacts', concat('FringeBenefitsTax.Type1Aggregate.Amount', 'RP'))" as="xs:decimal*" />
        <let name="FBT69" value="key('RPFacts', concat('FringeBenefitsTax.Type2Aggregate.Amount', 'RP'))" as="xs:decimal*" />
        <let name="FBT4" value="key('RPFacts', concat('Identifiers.AustralianBusinessNumber.Identifier', 'RP'))" as="xs:string*" />
        <let name="FBT3" value="key('RPFacts', concat('Identifiers.TaxFileNumber.Identifier', 'RP'))" as="xs:string*" />
        <let name="FBT65" value="key('RPFacts', concat('Lodgment.FinalReturn.Indicator', 'RP'))" as="xs:boolean*" />
        <let name="OrganisationNameDetails" value="xbrli:xbrl/orgname2.02.00:OrganisationNameDetails" />
        <let name="OrganisationNameDetails_MTR_C" value="xbrli:xbrl/orgname2.02.00:OrganisationNameDetails[./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MTR' and ./pyde.02.00:OrganisationNameDetails.Currency.Code = 'C']" />
        <let name="FBT180" value="$OrganisationNameDetails_MTR_C/pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT40" value="$OrganisationNameDetails_MTR_C/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT163" value="$OrganisationNameDetails_MTR_C/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="OrganisationNameDetails_MN_C" value="xbrli:xbrl/orgname2.02.00:OrganisationNameDetails[./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ./pyde.02.00:OrganisationNameDetails.Currency.Code = 'C']" />
        <let name="FBT177" value="$OrganisationNameDetails_MN_C/pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT16" value="$OrganisationNameDetails_MN_C/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT183" value="$OrganisationNameDetails_MN_C/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="OrganisationNameDetails_MN_P" value="xbrli:xbrl/orgname2.02.00:OrganisationNameDetails[./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ./pyde.02.00:OrganisationNameDetails.Currency.Code = 'P']" />
        <let name="FBT178" value="$OrganisationNameDetails_MN_P/pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT31" value="$OrganisationNameDetails_MN_P/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT158" value="$OrganisationNameDetails_MN_P/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="PersonNameDetails" value="xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails" />
        <let name="PersonNameDetails_LGL_Contact_C" value="xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails[./pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ./pyde.02.05:PersonNameDetails.Usage.Code = 'Contact' and ./pyde.02.00:PersonNameDetails.Currency.Code = 'C']" />
        <let name="FBT191" value="$PersonNameDetails_LGL_Contact_C/pyde.02.00:PersonNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT56" value="$PersonNameDetails_LGL_Contact_C/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT58" value="$PersonNameDetails_LGL_Contact_C/pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT57" value="$PersonNameDetails_LGL_Contact_C/pyde.02.00:PersonNameDetails.NameSuffix.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT59" value="$PersonNameDetails_LGL_Contact_C/pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT170" value="$PersonNameDetails_LGL_Contact_C/pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT55" value="$PersonNameDetails_LGL_Contact_C/pyde.02.00:PersonNameDetails.Title.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT171" value="$PersonNameDetails_LGL_Contact_C/pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="PersonNameDetails_LGL_Identifier_C" value="xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails[./pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ./pyde.02.05:PersonNameDetails.Usage.Code = 'Identifier' and ./pyde.02.00:PersonNameDetails.Currency.Code = 'C']" />
        <let name="FBT182" value="$PersonNameDetails_LGL_Identifier_C/pyde.02.00:PersonNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT12" value="$PersonNameDetails_LGL_Identifier_C/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT14" value="$PersonNameDetails_LGL_Identifier_C/pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT13" value="$PersonNameDetails_LGL_Identifier_C/pyde.02.00:PersonNameDetails.NameSuffix.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT15" value="$PersonNameDetails_LGL_Identifier_C/pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT181" value="$PersonNameDetails_LGL_Identifier_C/pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT11" value="$PersonNameDetails_LGL_Identifier_C/pyde.02.00:PersonNameDetails.Title.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT226" value="$PersonNameDetails_LGL_Identifier_C/pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="PersonNameDetails_LGL_Identifier_P" value="xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails[./pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ./pyde.02.05:PersonNameDetails.Usage.Code = 'Identifier' and ./pyde.02.00:PersonNameDetails.Currency.Code = 'P']" />
        <let name="FBT157" value="$PersonNameDetails_LGL_Identifier_P/pyde.02.00:PersonNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT27" value="$PersonNameDetails_LGL_Identifier_P/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT29" value="$PersonNameDetails_LGL_Identifier_P/pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT28" value="$PersonNameDetails_LGL_Identifier_P/pyde.02.00:PersonNameDetails.NameSuffix.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT30" value="$PersonNameDetails_LGL_Identifier_P/pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT156" value="$PersonNameDetails_LGL_Identifier_P/pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT26" value="$PersonNameDetails_LGL_Identifier_P/pyde.02.00:PersonNameDetails.Title.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />
        <let name="FBT227" value="$PersonNameDetails_LGL_Identifier_P/pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="ProvidedFringeBenefitsDetails" value="xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails" />
        <let name="ProvidedFringeBenefitsDetails_A" value="xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails[./lrla.02.00:Remuneration.FringeBenefits.Type.Code = 'A']" />
        <let name="FBT79" value="$ProvidedFringeBenefitsDetails_A/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT81" value="$ProvidedFringeBenefitsDetails_A/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT80" value="$ProvidedFringeBenefitsDetails_A/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT78" value="$ProvidedFringeBenefitsDetails_A/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:integer*" />
        <let name="FBT192" value="$ProvidedFringeBenefitsDetails_A/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT136" value="$ProvidedFringeBenefitsDetails_A/lrla.02.00:Remuneration.FringeBenefits.Type.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="ProvidedFringeBenefitsDetails_B" value="xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails[./lrla.02.00:Remuneration.FringeBenefits.Type.Code = 'B']" />
        <let name="FBT83" value="$ProvidedFringeBenefitsDetails_B/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT85" value="$ProvidedFringeBenefitsDetails_B/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT84" value="$ProvidedFringeBenefitsDetails_B/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT82" value="$ProvidedFringeBenefitsDetails_B/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:integer*" />
        <let name="FBT193" value="$ProvidedFringeBenefitsDetails_B/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT137" value="$ProvidedFringeBenefitsDetails_B/lrla.02.00:Remuneration.FringeBenefits.Type.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="ProvidedFringeBenefitsDetails_C" value="xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails[./lrla.02.00:Remuneration.FringeBenefits.Type.Code = 'C']" />
        <let name="FBT87" value="$ProvidedFringeBenefitsDetails_C/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT89" value="$ProvidedFringeBenefitsDetails_C/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT194" value="$ProvidedFringeBenefitsDetails_C/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT86" value="$ProvidedFringeBenefitsDetails_C/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:integer*" />
        <let name="FBT88" value="$ProvidedFringeBenefitsDetails_C/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT138" value="$ProvidedFringeBenefitsDetails_C/lrla.02.00:Remuneration.FringeBenefits.Type.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="ProvidedFringeBenefitsDetails_D" value="xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails[./lrla.02.00:Remuneration.FringeBenefits.Type.Code = 'D']" />
        <let name="FBT90" value="$ProvidedFringeBenefitsDetails_D/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT91" value="$ProvidedFringeBenefitsDetails_D/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT196" value="$ProvidedFringeBenefitsDetails_D/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT195" value="$ProvidedFringeBenefitsDetails_D/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:integer*" />
        <let name="FBT197" value="$ProvidedFringeBenefitsDetails_D/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT139" value="$ProvidedFringeBenefitsDetails_D/lrla.02.00:Remuneration.FringeBenefits.Type.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="ProvidedFringeBenefitsDetails_E" value="xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails[./lrla.02.00:Remuneration.FringeBenefits.Type.Code = 'E']" />
        <let name="FBT92" value="$ProvidedFringeBenefitsDetails_E/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT95" value="$ProvidedFringeBenefitsDetails_E/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT93" value="$ProvidedFringeBenefitsDetails_E/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT198" value="$ProvidedFringeBenefitsDetails_E/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:integer*" />
        <let name="FBT94" value="$ProvidedFringeBenefitsDetails_E/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT140" value="$ProvidedFringeBenefitsDetails_E/lrla.02.00:Remuneration.FringeBenefits.Type.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="ProvidedFringeBenefitsDetails_F" value="xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails[./lrla.02.00:Remuneration.FringeBenefits.Type.Code = 'F']" />
        <let name="FBT97" value="$ProvidedFringeBenefitsDetails_F/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT99" value="$ProvidedFringeBenefitsDetails_F/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT98" value="$ProvidedFringeBenefitsDetails_F/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT96" value="$ProvidedFringeBenefitsDetails_F/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:integer*" />
        <let name="FBT199" value="$ProvidedFringeBenefitsDetails_F/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT141" value="$ProvidedFringeBenefitsDetails_F/lrla.02.00:Remuneration.FringeBenefits.Type.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="ProvidedFringeBenefitsDetails_G" value="xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails[./lrla.02.00:Remuneration.FringeBenefits.Type.Code = 'G']" />
        <let name="FBT101" value="$ProvidedFringeBenefitsDetails_G/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT103" value="$ProvidedFringeBenefitsDetails_G/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT200" value="$ProvidedFringeBenefitsDetails_G/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT100" value="$ProvidedFringeBenefitsDetails_G/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:integer*" />
        <let name="FBT102" value="$ProvidedFringeBenefitsDetails_G/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT142" value="$ProvidedFringeBenefitsDetails_G/lrla.02.00:Remuneration.FringeBenefits.Type.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="ProvidedFringeBenefitsDetails_H" value="xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails[./lrla.02.00:Remuneration.FringeBenefits.Type.Code = 'H']" />
        <let name="FBT104" value="$ProvidedFringeBenefitsDetails_H/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT107" value="$ProvidedFringeBenefitsDetails_H/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT105" value="$ProvidedFringeBenefitsDetails_H/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT201" value="$ProvidedFringeBenefitsDetails_H/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:integer*" />
        <let name="FBT106" value="$ProvidedFringeBenefitsDetails_H/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT143" value="$ProvidedFringeBenefitsDetails_H/lrla.02.00:Remuneration.FringeBenefits.Type.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="ProvidedFringeBenefitsDetails_J" value="xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails[./lrla.02.00:Remuneration.FringeBenefits.Type.Code = 'J']" />
        <let name="FBT108" value="$ProvidedFringeBenefitsDetails_J/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT111" value="$ProvidedFringeBenefitsDetails_J/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT109" value="$ProvidedFringeBenefitsDetails_J/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT202" value="$ProvidedFringeBenefitsDetails_J/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:integer*" />
        <let name="FBT110" value="$ProvidedFringeBenefitsDetails_J/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT144" value="$ProvidedFringeBenefitsDetails_J/lrla.02.00:Remuneration.FringeBenefits.Type.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="ProvidedFringeBenefitsDetails_K" value="xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails[./lrla.02.00:Remuneration.FringeBenefits.Type.Code = 'K']" />
        <let name="FBT112" value="$ProvidedFringeBenefitsDetails_K/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT115" value="$ProvidedFringeBenefitsDetails_K/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT113" value="$ProvidedFringeBenefitsDetails_K/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT203" value="$ProvidedFringeBenefitsDetails_K/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:integer*" />
        <let name="FBT114" value="$ProvidedFringeBenefitsDetails_K/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT145" value="$ProvidedFringeBenefitsDetails_K/lrla.02.00:Remuneration.FringeBenefits.Type.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="ProvidedFringeBenefitsDetails_L" value="xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails[./lrla.02.00:Remuneration.FringeBenefits.Type.Code = 'L']" />
        <let name="FBT116" value="$ProvidedFringeBenefitsDetails_L/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT117" value="$ProvidedFringeBenefitsDetails_L/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT205" value="$ProvidedFringeBenefitsDetails_L/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT204" value="$ProvidedFringeBenefitsDetails_L/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:integer*" />
        <let name="FBT206" value="$ProvidedFringeBenefitsDetails_L/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT146" value="$ProvidedFringeBenefitsDetails_L/lrla.02.00:Remuneration.FringeBenefits.Type.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="ProvidedFringeBenefitsDetails_M" value="xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails[./lrla.02.00:Remuneration.FringeBenefits.Type.Code = 'M']" />
        <let name="FBT118" value="$ProvidedFringeBenefitsDetails_M/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT121" value="$ProvidedFringeBenefitsDetails_M/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT119" value="$ProvidedFringeBenefitsDetails_M/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT207" value="$ProvidedFringeBenefitsDetails_M/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:integer*" />
        <let name="FBT120" value="$ProvidedFringeBenefitsDetails_M/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT147" value="$ProvidedFringeBenefitsDetails_M/lrla.02.00:Remuneration.FringeBenefits.Type.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="ProvidedFringeBenefitsDetails_N" value="xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails[./lrla.02.00:Remuneration.FringeBenefits.Type.Code = 'N']" />
        <let name="FBT122" value="$ProvidedFringeBenefitsDetails_N/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT124" value="$ProvidedFringeBenefitsDetails_N/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT123" value="$ProvidedFringeBenefitsDetails_N/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT208" value="$ProvidedFringeBenefitsDetails_N/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:integer*" />
        <let name="FBT209" value="$ProvidedFringeBenefitsDetails_N/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT148" value="$ProvidedFringeBenefitsDetails_N/lrla.02.00:Remuneration.FringeBenefits.Type.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="ProvidedFringeBenefitsDetails_P" value="xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails[./lrla.02.00:Remuneration.FringeBenefits.Type.Code = 'P']" />
        <let name="FBT125" value="$ProvidedFringeBenefitsDetails_P/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT126" value="$ProvidedFringeBenefitsDetails_P/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT211" value="$ProvidedFringeBenefitsDetails_P/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT210" value="$ProvidedFringeBenefitsDetails_P/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:integer*" />
        <let name="FBT212" value="$ProvidedFringeBenefitsDetails_P/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:decimal*" />
        <let name="FBT149" value="$ProvidedFringeBenefitsDetails_P/lrla.02.00:Remuneration.FringeBenefits.Type.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" as="xs:string*" />

        <let name="FBT70" value="key('RPFacts', concat('Remuneration.FringeBenefits.AggregateNonExempt.Amount', 'RP'))" as="xs:decimal*" />
        <let name="FBT63" value="key('RPFacts', concat('Remuneration.FringeBenefits.Recipients.Count', 'RP'))" as="xs:integer*" />
        <let name="FBT71" value="key('RPFacts', concat('Remuneration.FringeBenefits.TaxableTotal.Amount', 'RP'))" as="xs:decimal*" />
        <let name="FBT66" value="key('RPFacts', concat('Remuneration.FringeBenefits.Type1Aggregate.Amount', 'RP'))" as="xs:decimal*" />
        <let name="FBT68" value="key('RPFacts', concat('Remuneration.FringeBenefits.Type2Aggregate.Amount', 'RP'))" as="xs:decimal*" />
        <let name="FBT234" value="key('RPFacts', concat('Report.Amendment.Indicator', 'RP'))" as="xs:boolean*" />
        <let name="FBT237" value="key('RPFacts', concat('Report.AmendmentReason.Text', 'RP'))" as="xs:string*" />
        <let name="FBT235" value="key('RPFacts', concat('Report.AmendmentSequence.Number', 'RP'))" as="xs:integer*" />
        <let name="FBT236" value="key('RPFacts', concat('Report.AmendmentType.Code', 'RP'))" as="xs:string*" />
        <let name="FBT64" value="key('RPFacts', concat('Report.CompletionHours.Number', 'RP'))" as="xs:integer*" />
    </pattern>


    <pattern id="Context">

        <rule context="xbrli:xbrl">

    

<!--  VR.ATO.GEN.000206 ()

IF (INT:Identifier Scheme <> “http://www.ato.gov.au/abn”) OR (INT:entity.identifier.ABN = NULLORBLANK)        
    RETURN VALIDATION MESSAGE
ENDIF

(^IdentifierScheme <> 'http://www.ato.gov.au/abn') OR (^ABN = BLANK)
^IdentifierScheme = INT

^ABN = INT

-->


    <assert id="VR.ATO.GEN.000206" diagnostics="D1VR.ATO.GEN.000206" subject="subject" test="not((string($INT.Identifier.Scheme) != 'http://www.ato.gov.au/abn' or string-length(normalize-space($INT.Identifier.ABN)) = 0))"  >Tax file number is required</assert>
    

<!--  VR.ATO.GEN.000207 ()

IF (RP:entity.identifier.ABN = NULLORBLANK) AND (CONTEXT(INT) = NULLORBLANK)
    RETURN VALIDATION MESSAGE
ENDIF

(^ABN = BLANK) AND (^Context = BLANK)
^Context = INT

^ABN = RP

-->


    <assert id="VR.ATO.GEN.000207" diagnostics="D2VR.ATO.GEN.000207" subject="subject" test="not((string-length(normalize-space($RP.Identifier.ABN)) = 0 and string-length(normalize-space($INT.ContextId)) = 0))"  >ABN is required unless an Intermediary is provided</assert>
    

<!--  VR.ATO.GEN.000208 ()

IF COUNT(RP) <> 1
    RETURN VALIDATION MESSAGE
ENDIF

Count(^Context) <> 1
^Context = RP

-->


    <assert id="VR.ATO.GEN.000208" diagnostics="D3VR.ATO.GEN.000208" subject="subject" test="not((count($RP.Context) != 1))"  >Invalid XBRL schema</assert>
    

<!--  VR.ATO.GEN.000226 ()

IF COUNT(INT) > 1
    RETURN VALIDATION MESSAGE
ENDIF

Count(^Context) > 1
^Context = INT

-->


    <assert id="VR.ATO.GEN.000226" diagnostics="D4VR.ATO.GEN.000226" subject="subject" test="not((count($INT.Context) &gt; 1))"  >Invalid XBRL schema</assert>
    

<!--  VR.ATO.GEN.000239 ()

IF (Identifier Scheme <> “http://www.ato.gov.au/abn”) AND (Identifier Scheme <> “http://www.ato.gov.au/tfn”)
    RETURN VALIDATION MESSAGE
ENDIF

(^IdentifierScheme <> 'http://www.ato.gov.au/abn') AND (^IdentifierScheme <> 'http://www.ato.gov.au/tfn')
^IdentifierScheme = RP

-->


    <assert id="VR.ATO.GEN.000239" diagnostics="D5VR.ATO.GEN.000239" subject="subject" test="not((string($RP.Identifier.Scheme) != 'http://www.ato.gov.au/abn' and string($RP.Identifier.Scheme) != 'http://www.ato.gov.au/tfn'))"  >Invalid XBRL schema</assert>
    

<!--  VR.ATO.FBT.000465 ()

IF (FBT YEAR (period.startDate)) <> (FBT YEAR  (period.endDate))   
    RETURN VALIDATION MESSAGE
ENDIF

(FBTYear(^StartDate)) <> (FBTYear(^EndDate))
^EndDate = INT

^StartDate = INT

-->


    <assert id="VR.ATO.FBT.000465" diagnostics="D6VR.ATO.FBT.000465" subject="subject" test="not((function:FBTYear($INT.Context.StartDate) != function:FBTYear($INT.Context.EndDate)))"  >The start date is in a different FBT financial year to the end date</assert>
    

<!--  VR.ATO.FBT.000466 ()

IF (DAY(period.startDate) <> 1) OR (MONTH(period.startDate) <> April)   
    RETURN VALIDATION MESSAGE
ENDIF

(Day(^StartDate) <> 1) OR (Month(^StartDate) <> 'April')
^StartDate = INT

-->


    <assert id="VR.ATO.FBT.000466" diagnostics="D7VR.ATO.FBT.000466" subject="subject" test="not((function:Day($INT.Context.StartDate) != 1 or function:Month($INT.Context.StartDate) != 'April'))"  >Start date must be 1st of April</assert>
    

<!--  VR.ATO.FBT.000001 ()

IF (FBT YEAR (Period.EndDate) < "2011")OR (FBT YEAR (Period.EndDate) >= FBT YEAR (Today))   
    RETURN VALIDATION MESSAGE
ENDIF

(FBTYear(^EndDate) < 2011) OR (FBTYear(^EndDate) >= FBTYear(Today()))
^EndDate = INT

-->


    <assert id="VR.ATO.FBT.000001" diagnostics="D8VR.ATO.FBT.000001" subject="subject" test="not((function:FBTYear($INT.Context.EndDate) &lt; 2011 or function:FBTYear($INT.Context.EndDate) &gt;= function:FBTYear(current-date())))"  >Year of return must be from FBT year 2011 to current FBT year.</assert>
    

<!--  VR.ATO.FBT.000467 ()

IF (DAY(period.endDate) <> 31) OR (MONTH(period.endDate) <> March)   
    RETURN VALIDATION MESSAGE
ENDIF

(Day(^EndDate) <> 31) OR (Month(^EndDate) <> 'March')
^EndDate = INT

-->


    <assert id="VR.ATO.FBT.000467" diagnostics="D9VR.ATO.FBT.000467" subject="subject" test="not((function:Day($INT.Context.EndDate) != 31 or function:Month($INT.Context.EndDate) != 'March'))"  >The end date must be 31 of March</assert>
    

<!--  VR.ATO.GEN.000239 ()

IF (Identifier Scheme <> “http://www.ato.gov.au/abn”) AND (Identifier Scheme <> “http://www.ato.gov.au/tfn”)
    RETURN VALIDATION MESSAGE
ENDIF

(^IdentifierScheme <> 'http://www.ato.gov.au/abn') AND (^IdentifierScheme <> 'http://www.ato.gov.au/tfn')
^IdentifierScheme = INT

-->


    <assert id="VR.ATO.GEN.000239" diagnostics="D234VR.ATO.GEN.000239" subject="subject" test="not((string($INT.Identifier.Scheme) != 'http://www.ato.gov.au/abn' and string($INT.Identifier.Scheme) != 'http://www.ato.gov.au/tfn'))"  >Invalid XBRL schema</assert>
    

<!--  VR.ATO.FBT.000465 ()

IF (FBT YEAR (period.startDate)) <> (FBT YEAR  (period.endDate))   
    RETURN VALIDATION MESSAGE
ENDIF

(FBTYear(^StartDate)) <> (FBTYear(^EndDate))
^EndDate = RP

^StartDate = RP

-->


    <assert id="VR.ATO.FBT.000465" diagnostics="D235VR.ATO.FBT.000465" subject="subject" test="not((function:FBTYear($RP.Context.StartDate) != function:FBTYear($RP.Context.EndDate)))"  >The start date is in a different FBT financial year to the end date</assert>
    

<!--  VR.ATO.FBT.000466 ()

IF (DAY(period.startDate) <> 1) OR (MONTH(period.startDate) <> April)   
    RETURN VALIDATION MESSAGE
ENDIF

(Day(^StartDate) <> 1) OR (Month(^StartDate) <> 'April')
^StartDate = RP

-->


    <assert id="VR.ATO.FBT.000466" diagnostics="D236VR.ATO.FBT.000466" subject="subject" test="not((function:Day($RP.Context.StartDate) != 1 or function:Month($RP.Context.StartDate) != 'April'))"  >Start date must be 1st of April</assert>
    

<!--  VR.ATO.FBT.000001 ()

IF (FBT YEAR (Period.EndDate) < "2011")OR (FBT YEAR (Period.EndDate) >= FBT YEAR (Today))   
    RETURN VALIDATION MESSAGE
ENDIF

(FBTYear(^EndDate) < 2011) OR (FBTYear(^EndDate) >= FBTYear(Today()))
^EndDate = RP

-->


    <assert id="VR.ATO.FBT.000001" diagnostics="D237VR.ATO.FBT.000001" subject="subject" test="not((function:FBTYear($RP.Context.EndDate) &lt; 2011 or function:FBTYear($RP.Context.EndDate) &gt;= function:FBTYear(current-date())))"  >Year of return must be from FBT year 2011 to current FBT year.</assert>
    

<!--  VR.ATO.FBT.000467 ()

IF (DAY(period.endDate) <> 31) OR (MONTH(period.endDate) <> March)   
    RETURN VALIDATION MESSAGE
ENDIF

(Day(^EndDate) <> 31) OR (Month(^EndDate) <> 'March')
^EndDate = RP

-->


    <assert id="VR.ATO.FBT.000467" diagnostics="D238VR.ATO.FBT.000467" subject="subject" test="not((function:Day($RP.Context.EndDate) != 31 or function:Month($RP.Context.EndDate) != 'March'))"  >The end date must be 31 of March</assert>

    </rule>



    </pattern>


    <pattern id="Mandatory">

        <rule context="xbrli:xbrl">

    

<!--  VR.ATO.FBT.000461 ()

IF (RP:pyid.xx.xx:Identifiers.TaxFileNumber.Identifier = NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT3 = BLANK
^FBT3 = pyid.02.00:Identifiers.TaxFileNumber.Identifier

-->


    <assert id="VR.ATO.FBT.000461" diagnostics="D10VR.ATO.FBT.000461" subject="subject" test="not((string-length(normalize-space(($FBT3)[1])) = 0))"  >Tax file number is required</assert>
    

<!--  VR.ATO.FBT.000331 ()

IF (RP:pyin.xx.xx:Lodgment.FinalReturn.Indicator) = NULLORBLANK   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT65 = BLANK
^FBT65 = pyin.02.00:Lodgment.FinalReturn.Indicator

-->


    <assert id="VR.ATO.FBT.000331" diagnostics="D114VR.ATO.FBT.000331" subject="subject" test="not((exists(($FBT65)[1]) = false()))"  >Do you expect to lodge an FBT return for  future years?</assert>
    

<!--  VR.ATO.FBT.000464 ()

IF (RP:lrla.xx.xx:Remuneration.FringeBenefits.TaxableTotal.Amount = NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT71 = BLANK
^FBT71 = lrla.02.00:Remuneration.FringeBenefits.TaxableTotal.Amount

-->


    <assert id="VR.ATO.FBT.000464" diagnostics="D124VR.ATO.FBT.000464" subject="subject" test="not((exists(($FBT71)[1]) = false()))"  >Fringe benefits taxable amount (A + B) or C is required</assert>
    

<!--  VR.ATO.FBT.000463 ()

IF (RP:rvctc3.xx.xx:FringeBenefitsTax.Payable.Amount = NULLORBLANK)    
    RETURN VALIDATION MESSAGE
ENDIF

^FBT72 = BLANK
^FBT72 = rvctc3.02.00:FringeBenefitsTax.Payable.Amount

-->


    <assert id="VR.ATO.FBT.000463" diagnostics="D127VR.ATO.FBT.000463" subject="subject" test="not((exists(($FBT72)[1]) = false()))"  >Amount of tax payable is required</assert>
    

<!--  VR.ATO.FBT.000462 ()

IF (RP:rvctc3.xx.xx:FringeBenefitsTax.Liability.Amount = NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT75 = BLANK
^FBT75 = rvctc3.02.00:FringeBenefitsTax.Liability.Amount

-->


    <assert id="VR.ATO.FBT.000462" diagnostics="D136VR.ATO.FBT.000462" subject="subject" test="not((exists(($FBT75)[1]) = false()))"  >Sub - total (Amount of tax payable less Amount of rebate) is required</assert>

    </rule>



    </pattern>


    <pattern id="Crossfield">

        <rule context="xbrli:xbrl">

    

<!--  VR.ATO.GEN.010028 ()

IF pyin.xx.xx:Report.Amendment.Indicator = TRUE AND (pyin.xx.xx:Report.AmendmentSequence.Number = NULL OR pyin.xx.xx:Report.AmendmentType.Code = NULLORBLANK OR pyin.xx.xx:Report.AmendmentReason.Text = NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT234 = TRUE AND (^FBT235 = NULL OR ^FBT236 = BLANK OR ^FBT237 = BLANK)
^FBT234 = pyin.02.07:Report.Amendment.Indicator

^FBT235 = pyin.02.08:Report.AmendmentSequence.Number

^FBT236 = pyin.02.08:Report.AmendmentType.Code

^FBT237 = pyin.02.08:Report.AmendmentReason.Text

-->


    <assert id="VR.ATO.GEN.010028" diagnostics="D11VR.ATO.GEN.010028" subject="subject" test="not((string(($FBT234)[1]) = 'true' and (exists(($FBT235)[1]) = false() or string-length(normalize-space(($FBT236)[1])) = 0 or string-length(normalize-space(($FBT237)[1])) = 0)))"  >If the return is an amendment, sequence number, type and reason must be present</assert>
    

<!--  VR.ATO.GEN.010029 ()

IF pyin.xx.xx:Report.Amendment.Indicator <> TRUE AND (pyin.xx.xx:Report.AmendmentSequence.Number <> NULL OR pyin.xx.xx:Report.AmendmentType.Code <> NULLORBLANK OR pyin.xx.xx:Report.AmendmentReason.Text <> NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT234 <> TRUE AND (^FBT235 <> NULL OR ^FBT236 <> BLANK OR ^FBT237 <> BLANK)
^FBT234 = pyin.02.07:Report.Amendment.Indicator

^FBT235 = pyin.02.08:Report.AmendmentSequence.Number

^FBT236 = pyin.02.08:Report.AmendmentType.Code

^FBT237 = pyin.02.08:Report.AmendmentReason.Text

-->


    <assert id="VR.ATO.GEN.010029" diagnostics="D12VR.ATO.GEN.010029" subject="subject" test="not((string(($FBT234)[1]) != 'true' and (exists(($FBT235)[1]) != false() or string-length(normalize-space(($FBT236)[1])) != 0 or string-length(normalize-space(($FBT237)[1])) != 0)))"  >If the return is an amendment, Amendment Indicator must be 'yes' (true)</assert>
    

<!--  VR.ATO.FBT.000004 ()

IF (RP:pyde.xx.xx:PersonNameDetails.FamilyName.Text WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C") AND (TUPLE ELEMENT pyde.xx.xx:PersonNameDetails.Usage.Code  = "Identifier")) = NULLORBLANKAND (RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text WHERE(TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = MN) AND  (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = C)) = NULLORBLANK   
    RETURN VALIDATION MESSAGE
ENDIF

(^ControllingParty <> NULL) AND ((^FBT6 = BLANK) AND (^FBT10 = BLANK))
^FBT6 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

^FBT10 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

^ControllingParty = fbt.0002.lodge.req.02.00:ControllingParty

-->


    <assert id="VR.ATO.FBT.000004" diagnostics="D15VR.ATO.FBT.000004" subject="subject" test="not((exists(($ControllingParty)[1]) and (string-length(normalize-space(($FBT6)[1])) = 0 and string-length(normalize-space(($FBT10)[1])) = 0)))"  >Both Controlling party current family name and Non-Individual Name are not provided. One of these names is required</assert>
    

<!--  VR.ATO.FBT.000017 ()

WHERE IN TUPLE(fbt.0002.lodge.req.xx.xx:ControllingParty)IF (RP:pyde.xx.xx:PersonNameDetails.FamilyName.Text WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code  = "Identifier")) <> NULLORBLANK) AND (RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text WHERE((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")) <> NULLORBLANK)
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT6 <> BLANK) AND (^FBT10 <> BLANK)
^FBT6 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

^FBT10 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.FBT.000017" diagnostics="D16VR.ATO.FBT.000017" subject="subject" test="not((string-length(normalize-space(($FBT6)[1])) != 0 and string-length(normalize-space(($FBT10)[1])) != 0))"  >Both Controlling party current family name and Non-Individual Name are present. Only one name is required</assert>
    

<!--  VR.ATO.FBT.000250 ()

WHERE IN TUPLE(fbt.0002.lodge.req.xx.xx:ControllingParty)IF (RP:pyde.xx.xx:PersonNameDetails.FamilyName.Text WHERE((TUPLE ELEMENT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") AND (TUPLE ELEMENT pyde.xx.xx:PersonNameDetails.Currency.Code = "P") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code  = "Identifier")) <> NULLORBLANK)AND (RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text WHERE((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "P")) <> NULLORBLANK)
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT50 <> BLANK) AND (^FBT54 <> BLANK)
^FBT50 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

^FBT54 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.FBT.000250" diagnostics="D25VR.ATO.FBT.000250" subject="subject" test="not((string-length(normalize-space(($FBT50)[1])) != 0 and string-length(normalize-space(($FBT54)[1])) != 0))"  >Both Controlling Party Previous Name Family name and Controlling Party Previous Name Non-individual name are present. Only one name is required</assert>
    

<!--  VR.ATO.GEN.000483 ()

IF COUNT TUPLE (xbrli/personstructuredname3.xx.xx:PersonNameDetails WHERE TUPLE ELEMENT (RP:pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") AND (RP:pyde.xx.xx:PersonNameDetails.Usage.Code = "Identifier") AND (RP:pyde.xx.xx:PersonNameDetails.Currency.Code = "C") AND (RP:PersonNameDetails.FamilyName.Text  <> NULLORBLANK)) > 1   
    RETURN VALIDATION MESSAGE
ENDIF

Count(^FBT12) > 1
^FBT12 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.000483" diagnostics="D32VR.ATO.GEN.000483" subject="subject" test="not((count($FBT12) &gt; 1))"  >Only one instance of the current name of employer is allowed</assert>
    

<!--  VR.ATO.FBT.000069 ()

WHERE NOT IN TUPLE(fbt.0002.lodge.req.xx.xx:ControllingParty)IF ((RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text WHERE(TUPLE ELEMENT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") AND (TUPLE ELEMENT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")) <> NULLORBLANK)AND ((RP:pyde.xx.xx:PersonNameDetails.FamilyName.Text WHERE(TUPLE ELEMENT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") AND (TUPLE ELEMENT pyde.xx.xx:PersonNameDetails.Currency.Code = "C") AND (TUPLE ELEMENT pyde.xx.xx:PersonNameDetails.Usage.Code  = "Identifer")) <> NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT16 <> BLANK) AND (^FBT12 <> BLANK)
^FBT12 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

^FBT16 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.FBT.000069" diagnostics="D34VR.ATO.FBT.000069" subject="subject" test="not((string-length(normalize-space(($FBT16)[1])) != 0 and string-length(normalize-space(($FBT12)[1])) != 0))"  >Both Employers Family Name and Non-Individual Name are present . Only one name is required</assert>
    

<!--  VR.ATO.FBT.000070 ()

WHERE NOT IN TUPLE(fbt.0002.lodge.req.xx.xx:ControllingParty)IF ((RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text WHERE(TUPLE ELEMENT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") AND (TUPLE ELEMENT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")) = NULLORBLANK)AND (RP:pyde.xx.xx:PersonNameDetails.FamilyName.Text WHERE((TUPLE ELEMENT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") AND (TUPLE ELEMENT pyde.xx.xx:PersonNameDetails.Currency.Code = "C") AND (TUPLE ELEMENT pyde.xx.xx:PersonNameDetails.Usage.Code  = "Identifer")) = NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT16 = BLANK) AND (^FBT12 = BLANK)
^FBT12 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

^FBT16 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.FBT.000070" diagnostics="D35VR.ATO.FBT.000070" subject="subject" test="not((string-length(normalize-space(($FBT16)[1])) = 0 and string-length(normalize-space(($FBT12)[1])) = 0))"  >Employer Family Name or Non-individual Name is not present.</assert>
    

<!--  VR.ATO.GEN.000485 ()

IF COUNT TUPLE  (xbrli/Organisationname2.xx.xx:OrganisationNameDetails WHERE TUPLE ELEMENT (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") AND  (pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")   AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  <> NULLORBLANK))  > 1   
    RETURN VALIDATION MESSAGE
ENDIF

Count(^FBT16) > 1
^FBT16 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.000485" diagnostics="D40VR.ATO.GEN.000485" subject="subject" test="not((count($FBT16) &gt; 1))"  >Only one instance of the Current Employer non-individual name is allowed</assert>
    

<!--  VR.ATO.GEN.000484 ()

IF COUNT TUPLE (xbrli/personstructuredname3.xx.xx:PersonNameDetails WHERE TUPLE ELEMENT (RP:pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") AND (RP:pyde.xx.xx:PersonNameDetails.Usage.Code = "Identifier") AND (RP:pyde.xx.xx:PersonNameDetails.Currency.Code = "P") AND (RP pyde.xx.xx:PersonNameDetails.FamilyName.Text  <> NULLORBLANK)) > 1   
    RETURN VALIDATION MESSAGE
ENDIF

Count(^FBT27) > 1
^FBT27 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.000484" diagnostics="D71VR.ATO.GEN.000484" subject="subject" test="not((count($FBT27) &gt; 1))"  >Only one instance of the previous name of employer is allowed</assert>
    

<!--  VR.ATO.FBT.000145 ()

IF (RP:pyde.xx.xx:PersonNameDetails.FamilyName.Text WHERE((TUPLE ELEMENT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") AND (TUPLE ELEMENT pyde.xx.xx:PersonNameDetails.Currency.Code = "P") AND (TUPLE ELEMENT pyde.xx.xx:PersonNameDetails.Usage.Code  = "Identifer")) <> NULLORBLANK) AND (RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text WHERE((TUPLE ELEMENT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") AND (TUPLE ELEMENT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "P")) <> NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT27 <> BLANK) AND (^FBT31 <> BLANK)
^FBT27 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

^FBT31 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.FBT.000145" diagnostics="D73VR.ATO.FBT.000145" subject="subject" test="not((string-length(normalize-space(($FBT27)[1])) != 0 and string-length(normalize-space(($FBT31)[1])) != 0))"  >Both Employer previous family name and Employer previous non-individual name are present. Only one name is required.</assert>
    

<!--  VR.ATO.GEN.000486 ()

IF COUNT TUPLE  (xbrli/Organisationname2.xx.xx:OrganisationNameDetails WHERE TUPLE ELEMENT (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN")  AND(pyde.xx.xx:OrganisationNameDetails.Currency.Code = "P")   AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  <> NULLORBLANK)) > 1   
    RETURN VALIDATION MESSAGE
ENDIF

Count(^FBT31) > 1
^FBT31 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.000486" diagnostics="D78VR.ATO.GEN.000486" subject="subject" test="not((count($FBT31) &gt; 1))"  >Only one instance of the previous Employer non-individual name is allowed</assert>
    

<!--  VR.ATO.FBT.000187 ()

IF  ^FBT32=^FBT17 AND ^FBT33=^FBT18 AND ^FBT36=^FBT21 AND ^FBT38=^FBT23 AND ^FBT37=^FBT22 AND ^FBT223=^FBT222   
    RETURN VALIDATION MESSAGE
ENDIF

(^AddressDetails <> NULL) AND (^FBT32=^FBT17 AND ^FBT33=^FBT18 AND ^FBT36=^FBT21 AND ^FBT38=^FBT23 AND ^FBT37=^FBT22 AND ^FBT223=^FBT222)
^FBT32 = pyde.02.00:AddressDetails.Line1.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

^FBT17 = pyde.02.00:AddressDetails.Line1.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

^FBT33 = pyde.02.00:AddressDetails.Line2.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

^FBT18 = pyde.02.00:AddressDetails.Line2.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

^FBT36 = pyde.02.00:AddressDetails.LocalityName.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

^FBT21 = pyde.02.00:AddressDetails.LocalityName.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

^FBT38 = pyde.02.00:AddressDetails.Postcode.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

^FBT23 = pyde.02.00:AddressDetails.Postcode.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

^FBT37 = pyde.02.00:AddressDetails.StateOrTerritory.Code WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

^FBT22 = pyde.02.00:AddressDetails.StateOrTerritory.Code WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

^FBT223 = pyde.02.00:AddressDetails.Country.Code WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

^FBT222 = pyde.02.00:AddressDetails.Country.Code WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

^AddressDetails = address2.02.01:AddressDetails

-->


    <assert id="VR.ATO.FBT.000187" diagnostics="D81VR.ATO.FBT.000187" subject="subject" test="not((exists(($AddressDetails_POS_P)[1]) and (string(($FBT32)[1]) = string(($FBT17)[1]) and string(($FBT33)[1]) = string(($FBT18)[1]) and string(($FBT36)[1]) = string(($FBT21)[1]) and string(($FBT38)[1]) = string(($FBT23)[1]) and string(($FBT37)[1]) = string(($FBT22)[1]) and string(($FBT223)[1]) = string(($FBT222)[1]))))"  >Current postal address and previous postal address are identical. Previous postal address is only required when an address change has occurred since the last return</assert>
    

<!--  VR.ATO.GEN.000487 ()

IF COUNT TUPLE  (xbrli/Organisationname2.xx.xx:OrganisationNameDetails WHERE TUPLE ELEMENT     (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MTR") AND(pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")   AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  <> NULLORBLANK))  > 1   
    RETURN VALIDATION MESSAGE
ENDIF

Count(^FBT40) > 1
^FBT40 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MTR'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.000487" diagnostics="D84VR.ATO.GEN.000487" subject="subject" test="not((count($FBT40) &gt; 1))"  >Only one instance of the Business/trading name is allowed</assert>
    

<!--  VR.ATO.FBT.000424 ()

IF (INT:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number WHERE(TUPLE ELEMENT pyde.xx.xx:ElectronicContact.Telephone.Usage.Code = 03)) = NULLORBLANKAND (RP:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number WHERE(TUPLE ELEMENT pyde.xx.xx:ElectronicContact.Telephone.Usage.Code = 03)) = NULLORBLANK   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT61 = BLANK) AND (^FBT128 = BLANK)
^FBT61 = pyde.02.00:ElectronicContact.Telephone.Minimal.Number WHERE [ElectronicContact.Telephone.Usage.Code='03']

^FBT128 = pyde.02.00:ElectronicContact.Telephone.Minimal.Number WHERE [ElectronicContact.Telephone.Usage.Code='03']

-->


    <assert id="VR.ATO.FBT.000424" diagnostics="D109VR.ATO.FBT.000424" subject="subject" test="not((string-length(normalize-space(($FBT61)[1])) = 0 and string-length(normalize-space(($FBT128)[1])) = 0))"  >Both reporting party and intermediary contact telephone numbers are missing, at least one is required</assert>
    

<!--  VR.ATO.FBT.000332 ()

IF ((RP:rvctc3.xx.xx:FringeBenefitsTax.Type1Aggregate.Amount) > (((RP:lrla.xx.xx:Remuneration.FringeBenefits.Type1Aggregate.Amount) * GROSS UP HIGHER RATE) + 50)OR (RP:rvctc3.xx.xx:FringeBenefitsTax.Type1Aggregate.Amount) < (((RP:lrla.xx.xx:Remuneration.FringeBenefits.Type1Aggregate.Amount) * GROSS UP HIGHER RATE) - 50))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT67 > ((^FBT66 * Constant('GROSS UP HIGHER RATE')) + 50) OR ^FBT67 < ((^FBT66 * Constant('GROSS UP HIGHER RATE')) - 50))
^FBT67 = rvctc3.02.00:FringeBenefitsTax.Type1Aggregate.Amount

^FBT66 = lrla.02.00:Remuneration.FringeBenefits.Type1Aggregate.Amount

-->


    <assert id="VR.ATO.FBT.000332" diagnostics="D117VR.ATO.FBT.000332" subject="subject" test="not((($FBT67)[1] &gt; ($FBT66)[1] * 2.0647 + 50 or ($FBT67)[1] &lt; ($FBT66)[1] * 2.0647 - 50))"  >Type 1 aggregate factored amount is incorrect</assert>
    

<!--  VR.ATO.FBT.000333 ()

IF ((RP:rvctc3.xx.xx:FringeBenefitsTax.Type2Aggregate.Amount) > (((RP:lrla.xx.xx:Remuneration.FringeBenefits.Type2Aggregate.Amount) * GROSS UP LOWER RATE) + 50)OR (RP:rvctc3.xx.xx:FringeBenefitsTax.Type2Aggregate.Amount) < (((RP:lrla.xx.xx:Remuneration.FringeBenefits.Type2Aggregate.Amount) * GROSS UP LOWER RATE) - 50))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT69 > ((^FBT68 * Constant('GROSS UP LOWER RATE')) + 50) OR ^FBT69 < ((^FBT68 * Constant('GROSS UP LOWER RATE')) - 50))
^FBT69 = rvctc3.02.00:FringeBenefitsTax.Type2Aggregate.Amount

^FBT68 = lrla.02.00:Remuneration.FringeBenefits.Type2Aggregate.Amount

-->


    <assert id="VR.ATO.FBT.000333" diagnostics="D120VR.ATO.FBT.000333" subject="subject" test="not((($FBT69)[1] &gt; ($FBT68)[1] * 1.8692 + 50 or ($FBT69)[1] &lt; ($FBT68)[1] * 1.8692 - 50))"  >Type 2 aggregate factored amount is incorrect</assert>
    

<!--  VR.ATO.FBT.000334 ()

IF ((RP:rvctc3.xx.xx:FringeBenefitsTax.Type1Aggregate.Amount) + (RP:rvctc3.xx.xx:FringeBenefitsTax.Type2Aggregate.Amount) + (RP:lrla.xx.xx:Remuneration.FringeBenefits.AggregateNonExempt.Amount) +/- $1) <> (RP:lrla.xx.xx:Remuneration.FringeBenefits.TaxableTotal.Amount)   
    RETURN VALIDATION MESSAGE
ENDIF

OutsideRange(^FBT71, ^FBT67 + ^FBT69 + ^FBT70, 1)
^FBT71 = lrla.02.00:Remuneration.FringeBenefits.TaxableTotal.Amount

^FBT67 = rvctc3.02.00:FringeBenefitsTax.Type1Aggregate.Amount

^FBT69 = rvctc3.02.00:FringeBenefitsTax.Type2Aggregate.Amount

^FBT70 = lrla.02.00:Remuneration.FringeBenefits.AggregateNonExempt.Amount

-->


    <assert id="VR.ATO.FBT.000334" diagnostics="D123VR.ATO.FBT.000334" subject="subject" test="not(function:OutsideRange(($FBT71)[1], ($FBT67)[1] + ($FBT69)[1] + ($FBT70)[1], 1))"  >Fringe benefits taxable amount (A + B) or C must equal Type 1 aggregate factored amount plus Type 2 aggregate factored amount plus Aggregate Non-exempt amount (hospitals, ambulances, public benevolent institutions and health promotion charities only)</assert>
    

<!--  VR.ATO.FBT.000335 ()

IF RP:rvctc3.xx.xx:FringeBenefitsTax.Payable.Amount > ((RP:lrla.xx.xx:Remuneration.FringeBenefits.TaxableTotal.Amount * FBT TAX RATE) + 50)OR RP:rvctc3.xx.xx:FringeBenefitsTax.Payable.Amount < ((RP:lrla.xx.xx:Remuneration.FringeBenefits.TaxableTotal.Amount * FBT TAX RATE) - 50)   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT72 > ((^FBT71 * Constant('FBT TAX RATE')) + 50) OR ^FBT72 < ((^FBT71 * Constant('FBT TAX RATE')) - 50)
^FBT72 = rvctc3.02.00:FringeBenefitsTax.Payable.Amount

^FBT71 = lrla.02.00:Remuneration.FringeBenefits.TaxableTotal.Amount

-->


    <assert id="VR.ATO.FBT.000335" diagnostics="D126VR.ATO.FBT.000335" subject="subject" test="not((($FBT72)[1] &gt; ($FBT71)[1] * 0.465 + 50 or ($FBT72)[1] &lt; ($FBT71)[1] * 0.465 - 50))"  >Amount of tax payable is not equal to Fringe benefits taxable amount (A + B) or C multiplied by FBT TAX RATE</assert>
    

<!--  VR.ATO.FBT.000336 ()

IF (RP:rvctc3.xx.xx:FringeBenefitsTax.NonRebatableAggregate.Amount <> NULLORBLANK) AND (RP:rvctc3.xx.xx:FringeBenefitsTax.NonRebatableAggregate.Amount > RP:rvctc3.xx.xx:FringeBenefitsTax.Payable.Amount)   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT73 <> BLANK) AND (^FBT73 > ^FBT72)
^FBT73 = rvctc3.02.00:FringeBenefitsTax.NonRebatableAggregate.Amount

^FBT72 = rvctc3.02.00:FringeBenefitsTax.Payable.Amount

-->


    <assert id="VR.ATO.FBT.000336" diagnostics="D129VR.ATO.FBT.000336" subject="subject" test="not((exists(($FBT73)[1]) != false() and ($FBT73)[1] &gt; ($FBT72)[1]))"  >Aggregate non rebatable amount cannot be greater than Amount of tax payable</assert>
    

<!--  VR.ATO.FBT.000337 ()

IF ((RP:rvctc3.xx.xx:FringeBenefitsTax.NonRebatableAggregate.Amount) = NULLORBLANK) AND ((RP:rvctc3.xx.xx:FringeBenefitsTax.Rebate.Amount) <> NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT73 = BLANK) AND (^FBT74 <> BLANK)
^FBT73 = rvctc3.02.00:FringeBenefitsTax.NonRebatableAggregate.Amount

^FBT74 = rvctc3.02.00:FringeBenefitsTax.Rebate.Amount

-->


    <assert id="VR.ATO.FBT.000337" diagnostics="D130VR.ATO.FBT.000337" subject="subject" test="not((exists(($FBT73)[1]) = false() and exists(($FBT74)[1]) != false()))"  >Aggregate non rebatable amount is absent and Amount of rebate is present. Enter zero if there is no non-rebatable amount</assert>
    

<!--  VR.ATO.FBT.000338 ()

IF ((RP:rvctc3.xx.xx:FringeBenefitsTax.NonRebatableAggregate.Amount) <> NULLORBLANK) AND ((RP:rvctc3.xx.xx:FringeBenefitsTax.Rebate.Amount) = NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT73 <> BLANK) AND (^FBT74 = BLANK)
^FBT74 = rvctc3.02.00:FringeBenefitsTax.Rebate.Amount

^FBT73 = rvctc3.02.00:FringeBenefitsTax.NonRebatableAggregate.Amount

-->


    <assert id="VR.ATO.FBT.000338" diagnostics="D132VR.ATO.FBT.000338" subject="subject" test="not((exists(($FBT73)[1]) != false() and exists(($FBT74)[1]) = false()))"  >Aggregate non rebatable amount is present and Amount of rebate is absent. Enter zero if there is no rebate amount</assert>
    

<!--  VR.ATO.FBT.000339 ()

IF ^FBT74 > 0 AND (^FBT74 <> ((^FBT72 - ^FBT73) *0.48 +/- 50))    
    RETURN VALIDATION MESSAGE
ENDIF

^FBT74 > 0 AND OutsideRange(^FBT74, (^FBT72 - ^FBT73) *0.48, 50)
^FBT74 = rvctc3.02.00:FringeBenefitsTax.Rebate.Amount

^FBT72 = rvctc3.02.00:FringeBenefitsTax.Payable.Amount

^FBT73 = rvctc3.02.00:FringeBenefitsTax.NonRebatableAggregate.Amount

-->


    <assert id="VR.ATO.FBT.000339" diagnostics="D133VR.ATO.FBT.000339" subject="subject" test="not((($FBT74)[1] &gt; 0 and function:OutsideRange(($FBT74)[1], (($FBT72)[1] - ($FBT73)[1]) * 0.48, 50)))"  >Amount of rebate is greater than zero and Amount of rebate is greater than 48% of Total amount of tax calculated</assert>
    

<!--  VR.ATO.FBT.000340 ()

IF (RP:rvctc3.xx.xx:FringeBenefitsTax.Liability.Amount) <> ((RP:rvctc3.xx.xx:FringeBenefitsTax.Payable.Amount) - (RP:rvctc3.xx.xx:FringeBenefitsTax.Rebate.Amount))   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT75 <> (^FBT72 - ^FBT74)
^FBT75 = rvctc3.02.00:FringeBenefitsTax.Liability.Amount

^FBT72 = rvctc3.02.00:FringeBenefitsTax.Payable.Amount

^FBT74 = rvctc3.02.00:FringeBenefitsTax.Rebate.Amount

-->


    <assert id="VR.ATO.FBT.000340" diagnostics="D135VR.ATO.FBT.000340" subject="subject" test="not((($FBT75)[1] != ($FBT72)[1] - ($FBT74)[1]))"  >Sub - total (Amount of tax payable less Amount of rebate) is not equal to Amount of tax payable less Amount of rebate</assert>
    

<!--  VR.ATO.FBT.000341 ()

IF (RP:rvctc3.xx.xx:FringeBenefitsTax.AdjustmentDue.Amount) <> ((RP:rvctc3.xx.xx:FringeBenefitsTax.Liability.Amount) - (RP:rvctc3.xx.xx:FringeBenefitsTax.LiabilityInstalmentsTotal.Amount))   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT77 <> (^FBT75 - ^FBT76)
^FBT77 = rvctc3.02.00:FringeBenefitsTax.AdjustmentDue.Amount

^FBT75 = rvctc3.02.00:FringeBenefitsTax.Liability.Amount

^FBT76 = rvctc3.02.00:FringeBenefitsTax.LiabilityInstalmentsTotal.Amount

-->


    <assert id="VR.ATO.FBT.000341" diagnostics="D139VR.ATO.FBT.000341" subject="subject" test="not((($FBT77)[1] != ($FBT75)[1] - ($FBT76)[1]))"  >Payment due or credit due to you is not equal to Sub - total (Amount of tax payable less Amount of rebate) minus Less instalment amounts reported on activity statements</assert>
    

<!--  VR.ATO.FBT.100057 ()

IF rvctc3.xx.xx:FringeBenefitsTax.AdjustmentDue.Amount < 0 AND pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccount.Number = NULL  
    RETURN VALIDATION MESSAGE
ENDIF

^FBT77 < 0 AND ^FBT230 = NULL
^FBT77 = rvctc3.02.00:FringeBenefitsTax.AdjustmentDue.Amount

^FBT230 = pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number

-->


    <assert id="VR.ATO.FBT.100057" diagnostics="D141VR.ATO.FBT.100057" subject="subject" test="not((($FBT77)[1] &lt; 0 and string-length(normalize-space(($FBT230)[1])) = 0))"  >Financial institution details must be entered when a credit (refund) is due.</assert>
    

<!--  VR.ATO.FBT.000453 ()

IF (INT:pyde.xx.xx:PersonUnstructuredName.FullName.Text WHERE(TUPLE ELEMENT pyde.xx.xx:PersonUnstructuredName.Usage.Code = "Contact")) = NULLORBLANKAND (RP:pyde.xx.xx:PersonNameDetails.FamilyName.Text WHERE(TUPLE ELEMENT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") AND (TUPLE ELEMENT pyde.xx.xx:PersonNameDetails.Usage.Code = "Contact") AND (TUPLE ELEMENT pyde.xx.xx:PersonNameDetails.Currency.Code = "C")) = NULLORBLANK   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT129 = BLANK AND ^FBT56 = BLANK
^FBT129 = pyde.02.00:PersonUnstructuredName.FullName.Text WHERE [PersonUnstructuredName.Usage.Code='Contact']

^FBT56 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.FBT.000453" diagnostics="D229VR.ATO.FBT.000453" subject="subject" test="not((string-length(normalize-space(($FBT129)[1])) = 0 and string-length(normalize-space(($FBT56)[1])) = 0))"  >Both Agent Contact Person Unstructured Name and Employer Current Contact Person Name are not provided. One of these is required</assert>
    

<!--  VR.ATO.FBT.000436 ()

IF (INT:pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) <> NULLORBLANKAND (INT:pyde.xx.xx:PersonUnstructuredName.FullName.Text WHERE(TUPLE ELEMENT pyde.xx.xx:PersonUnstructuredName.Usage.Code = Contact) IN TUPLE (prsnunstrcnm1.xx.xx:PersonUnstructuredName)) = NULLORBLANK
    RETURN VALIDATION MESSAGE
ENDIF

^FBT2 <> BLANK AND ^FBT129 = BLANK
^FBT129 = pyde.02.00:PersonUnstructuredName.FullName.Text WHERE [PersonUnstructuredName.Usage.Code='Contact']

^FBT2 = pyid.02.00:Identifiers.TaxAgentNumber.Identifier

-->


    <assert id="VR.ATO.FBT.000436" diagnostics="D232VR.ATO.FBT.000436" subject="subject" test="not((string-length(normalize-space(($FBT2)[1])) != 0 and string-length(normalize-space(($FBT129)[1])) = 0))"  >Agent contact name is required</assert>
    

<!--  VR.ATO.GEN.410002 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF ((pyde.xx.xx:AddressDetails.Line1.Text CONTAINS "C/-") AND (pyde.xx.xx:AddressDetails.Line2.Text = NULLORBLANK))     
    RETURN VALIDATION MESSAGE
ENDIF

((Contains(^FBT17, 'C/-')) AND (^FBT18 = BLANK))
^FBT17 = pyde.02.00:AddressDetails.Line1.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

^FBT18 = pyde.02.00:AddressDetails.Line2.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410002" diagnostics="D242VR.ATO.GEN.410002" subject="subject" test="not((contains(upper-case(($FBT17)[1]), 'C/-') and string-length(normalize-space(($FBT18)[1])) = 0))"  >Address Line 2 must be present if Address Line 1 contains 'C/-'</assert>
    

<!--  VR.ATO.GEN.410002 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF ((pyde.xx.xx:AddressDetails.Line1.Text CONTAINS "C/-") AND (pyde.xx.xx:AddressDetails.Line2.Text = NULLORBLANK))     
    RETURN VALIDATION MESSAGE
ENDIF

((Contains(^FBT32, 'C/-')) AND (^FBT33 = BLANK))
^FBT32 = pyde.02.00:AddressDetails.Line1.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

^FBT33 = pyde.02.00:AddressDetails.Line2.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410002" diagnostics="D243VR.ATO.GEN.410002" subject="subject" test="not((contains(upper-case(($FBT32)[1]), 'C/-') and string-length(normalize-space(($FBT33)[1])) = 0))"  >Address Line 2 must be present if Address Line 1 contains 'C/-'</assert>
    

<!--  VR.ATO.GEN.410002 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF ((pyde.xx.xx:AddressDetails.Line1.Text CONTAINS "C/-") AND (pyde.xx.xx:AddressDetails.Line2.Text = NULLORBLANK))     
    RETURN VALIDATION MESSAGE
ENDIF

((Contains(^FBT41, 'C/-')) AND (^FBT42 = BLANK))
^FBT41 = pyde.02.00:AddressDetails.Line1.Text WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

^FBT42 = pyde.02.00:AddressDetails.Line2.Text WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410002" diagnostics="D244VR.ATO.GEN.410002" subject="subject" test="not((contains(upper-case(($FBT41)[1]), 'C/-') and string-length(normalize-space(($FBT42)[1])) = 0))"  >Address Line 2 must be present if Address Line 1 contains 'C/-'</assert>
    

<!--  VR.ATO.GEN.434147 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF pyde.xx.xx:AddressDetails.OverseasAddressIndicator = FALSE AND (pyde.xx.xx:AddressDetails.StateOrTerritory.Code = NULLORBLANK OR pyde.xx.xx:AddressDetails.Postcode.Text = NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT25 = FALSE AND (^FBT22 = BLANK OR ^FBT23 = BLANK)
^FBT25 = pyde.02.00:AddressDetails.OverseasAddress.Indicator WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

^FBT22 = pyde.02.00:AddressDetails.StateOrTerritory.Code WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

^FBT23 = pyde.02.00:AddressDetails.Postcode.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.434147" diagnostics="D251VR.ATO.GEN.434147" subject="subject" test="not((string(($FBT25)[1]) = 'false' and (string-length(normalize-space(($FBT22)[1])) = 0 or string-length(normalize-space(($FBT23)[1])) = 0)))"  >State and post code must be present for an Australian address</assert>
    

<!--  VR.ATO.GEN.434147 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF pyde.xx.xx:AddressDetails.OverseasAddressIndicator = FALSE AND (pyde.xx.xx:AddressDetails.StateOrTerritory.Code = NULLORBLANK OR pyde.xx.xx:AddressDetails.Postcode.Text = NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT159 = FALSE AND (^FBT37 = BLANK OR ^FBT38 = BLANK)
^FBT159 = pyde.02.00:AddressDetails.OverseasAddress.Indicator WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

^FBT37 = pyde.02.00:AddressDetails.StateOrTerritory.Code WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

^FBT38 = pyde.02.00:AddressDetails.Postcode.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.434147" diagnostics="D252VR.ATO.GEN.434147" subject="subject" test="not((string(($FBT159)[1]) = 'false' and (string-length(normalize-space(($FBT37)[1])) = 0 or string-length(normalize-space(($FBT38)[1])) = 0)))"  >State and post code must be present for an Australian address</assert>
    

<!--  VR.ATO.GEN.434147 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF pyde.xx.xx:AddressDetails.OverseasAddressIndicator = FALSE AND (pyde.xx.xx:AddressDetails.StateOrTerritory.Code = NULLORBLANK OR pyde.xx.xx:AddressDetails.Postcode.Text = NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT164 = FALSE AND (^FBT46 = BLANK OR ^FBT47 = BLANK)
^FBT164 = pyde.02.00:AddressDetails.OverseasAddress.Indicator WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

^FBT46 = pyde.02.00:AddressDetails.StateOrTerritory.Code WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

^FBT47 = pyde.02.00:AddressDetails.Postcode.Text WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.434147" diagnostics="D253VR.ATO.GEN.434147" subject="subject" test="not((string(($FBT164)[1]) = 'false' and (string-length(normalize-space(($FBT46)[1])) = 0 or string-length(normalize-space(($FBT47)[1])) = 0)))"  >State and post code must be present for an Australian address</assert>
    

<!--  VR.ATO.GEN.410191 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = TRUE) AND (pyde.xx.xx:AddressDetails.Country.Code = NULLORBLANK)  
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT25 = TRUE) AND (^FBT222 = BLANK)
^FBT222 = pyde.02.00:AddressDetails.Country.Code WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

^FBT25 = pyde.02.00:AddressDetails.OverseasAddress.Indicator WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410191" diagnostics="D260VR.ATO.GEN.410191" subject="subject" test="not((string(($FBT25)[1]) = 'true' and string-length(normalize-space(($FBT222)[1])) = 0))"  >Country code must be present for overseas address</assert>
    

<!--  VR.ATO.GEN.410191 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = TRUE) AND (pyde.xx.xx:AddressDetails.Country.Code = NULLORBLANK)  
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT159 = TRUE) AND (^FBT223 = BLANK)
^FBT223 = pyde.02.00:AddressDetails.Country.Code WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

^FBT159 = pyde.02.00:AddressDetails.OverseasAddress.Indicator WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410191" diagnostics="D261VR.ATO.GEN.410191" subject="subject" test="not((string(($FBT159)[1]) = 'true' and string-length(normalize-space(($FBT223)[1])) = 0))"  >Country code must be present for overseas address</assert>
    

<!--  VR.ATO.GEN.410191 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = TRUE) AND (pyde.xx.xx:AddressDetails.Country.Code = NULLORBLANK)  
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT164 = TRUE) AND (^FBT224 = BLANK)
^FBT224 = pyde.02.00:AddressDetails.Country.Code WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

^FBT164 = pyde.02.00:AddressDetails.OverseasAddress.Indicator WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410191" diagnostics="D262VR.ATO.GEN.410191" subject="subject" test="not((string(($FBT164)[1]) = 'true' and string-length(normalize-space(($FBT224)[1])) = 0))"  >Country code must be present for overseas address</assert>
    

<!--  VR.ATO.GEN.410212 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF (pyde.xx.xx:AddressDetails.Country.Code <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.Country.Code <> "au") AND  (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = FALSE)   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT222 <> BLANK) AND (^FBT222 <> 'au') AND  (^FBT25 = FALSE)
^FBT222 = pyde.02.00:AddressDetails.Country.Code WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

^FBT25 = pyde.02.00:AddressDetails.OverseasAddress.Indicator WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410212" diagnostics="D278VR.ATO.GEN.410212" subject="subject" test="not((string-length(normalize-space(($FBT222)[1])) != 0 and string(($FBT222)[1]) != 'au' and string(($FBT25)[1]) = 'false'))"  >If an overseas Country Code is used, the Overseas Address indicator must be 'TRUE'</assert>
    

<!--  VR.ATO.GEN.410212 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF (pyde.xx.xx:AddressDetails.Country.Code <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.Country.Code <> "au") AND  (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = FALSE)   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT223 <> BLANK) AND (^FBT223 <> 'au') AND  (^FBT159 = FALSE)
^FBT223 = pyde.02.00:AddressDetails.Country.Code WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

^FBT159 = pyde.02.00:AddressDetails.OverseasAddress.Indicator WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410212" diagnostics="D279VR.ATO.GEN.410212" subject="subject" test="not((string-length(normalize-space(($FBT223)[1])) != 0 and string(($FBT223)[1]) != 'au' and string(($FBT159)[1]) = 'false'))"  >If an overseas Country Code is used, the Overseas Address indicator must be 'TRUE'</assert>
    

<!--  VR.ATO.GEN.410212 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF (pyde.xx.xx:AddressDetails.Country.Code <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.Country.Code <> "au") AND  (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = FALSE)   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT224 <> BLANK) AND (^FBT224 <> 'au') AND  (^FBT164 = FALSE)
^FBT224 = pyde.02.00:AddressDetails.Country.Code WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

^FBT164 = pyde.02.00:AddressDetails.OverseasAddress.Indicator WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410212" diagnostics="D280VR.ATO.GEN.410212" subject="subject" test="not((string-length(normalize-space(($FBT224)[1])) != 0 and string(($FBT224)[1]) != 'au' and string(($FBT164)[1]) = 'false'))"  >If an overseas Country Code is used, the Overseas Address indicator must be 'TRUE'</assert>
    

<!--  VR.ATO.GEN.430246 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = FALSE) AND (pyde.xx.xx:AddressDetails.LocalityName.Text CONTAINS NUMERICS SET(0-9))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT25 = FALSE) AND (ContainsSet(^FBT21, '0-9'))
^FBT21 = pyde.02.00:AddressDetails.LocalityName.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

^FBT25 = pyde.02.00:AddressDetails.OverseasAddress.Indicator WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.430246" diagnostics="D311VR.ATO.GEN.430246" subject="subject" test="not((string(($FBT25)[1]) = 'false' and matches(($FBT21)[1], '[0-9]','i')))"  >Suburb/Town/City cannot contain numeric characters</assert>
    

<!--  VR.ATO.GEN.430246 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = FALSE) AND (pyde.xx.xx:AddressDetails.LocalityName.Text CONTAINS NUMERICS SET(0-9))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT159 = FALSE) AND (ContainsSet(^FBT36, '0-9'))
^FBT36 = pyde.02.00:AddressDetails.LocalityName.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

^FBT159 = pyde.02.00:AddressDetails.OverseasAddress.Indicator WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.430246" diagnostics="D312VR.ATO.GEN.430246" subject="subject" test="not((string(($FBT159)[1]) = 'false' and matches(($FBT36)[1], '[0-9]','i')))"  >Suburb/Town/City cannot contain numeric characters</assert>
    

<!--  VR.ATO.GEN.430246 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = FALSE) AND (pyde.xx.xx:AddressDetails.LocalityName.Text CONTAINS NUMERICS SET(0-9))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT164 = FALSE) AND (ContainsSet(^FBT45, '0-9'))
^FBT45 = pyde.02.00:AddressDetails.LocalityName.Text WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

^FBT164 = pyde.02.00:AddressDetails.OverseasAddress.Indicator WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.430246" diagnostics="D313VR.ATO.GEN.430246" subject="subject" test="not((string(($FBT164)[1]) = 'false' and matches(($FBT45)[1], '[0-9]','i')))"  >Suburb/Town/City cannot contain numeric characters</assert>
    

<!--  VR.ATO.GEN.432267 ()

IF (pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionBranchName.Text) <> NULLORBLANK OR (pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionName.Text <> NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT232 <> BLANK OR (^FBT233 <> BLANK)
^FBT233 = pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionName.Text

^FBT232 = pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionBranchName.Text

-->


    <assert id="VR.ATO.GEN.432267" diagnostics="D327VR.ATO.GEN.432267" subject="subject" test="not((string-length(normalize-space(($FBT232)[1])) != 0 or string-length(normalize-space(($FBT233)[1])) != 0))"  >Financial institution name and branch name must not be present</assert>
    

<!--  VR.ATO.GEN.410218 ()

IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails) IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.GivenName.Text = NULLORBLANK)     
    RETURN VALIDATION MESSAGE
  ENDIF

(^FBT9 <> BLANK) AND (^FBT8 = BLANK)
^FBT8 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

^FBT9 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410218" diagnostics="D473VR.ATO.GEN.410218" subject="subject" test="not((string-length(normalize-space(($FBT9)[1])) != 0 and string-length(normalize-space(($FBT8)[1])) = 0))"  >FirstName must be entered if OtherGivenNames is entered</assert>
    

<!--  VR.ATO.GEN.410218 ()

IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails) IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.GivenName.Text = NULLORBLANK)     
    RETURN VALIDATION MESSAGE
  ENDIF

(^FBT53 <> BLANK) AND (^FBT52 = BLANK)
^FBT52 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

^FBT53 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410218" diagnostics="D474VR.ATO.GEN.410218" subject="subject" test="not((string-length(normalize-space(($FBT53)[1])) != 0 and string-length(normalize-space(($FBT52)[1])) = 0))"  >FirstName must be entered if OtherGivenNames is entered</assert>
    

<!--  VR.ATO.GEN.410218 ()

IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails) IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.GivenName.Text = NULLORBLANK)     
    RETURN VALIDATION MESSAGE
  ENDIF

(^FBT15 <> BLANK) AND (^FBT14 = BLANK)
^FBT14 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

^FBT15 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410218" diagnostics="D475VR.ATO.GEN.410218" subject="subject" test="not((string-length(normalize-space(($FBT15)[1])) != 0 and string-length(normalize-space(($FBT14)[1])) = 0))"  >FirstName must be entered if OtherGivenNames is entered</assert>
    

<!--  VR.ATO.GEN.410218 ()

IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails) IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.GivenName.Text = NULLORBLANK)     
    RETURN VALIDATION MESSAGE
  ENDIF

(^FBT30 <> BLANK) AND (^FBT29 = BLANK)
^FBT29 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

^FBT30 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410218" diagnostics="D476VR.ATO.GEN.410218" subject="subject" test="not((string-length(normalize-space(($FBT30)[1])) != 0 and string-length(normalize-space(($FBT29)[1])) = 0))"  >FirstName must be entered if OtherGivenNames is entered</assert>
    

<!--  VR.ATO.GEN.410218 ()

IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails) IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.GivenName.Text = NULLORBLANK)     
    RETURN VALIDATION MESSAGE
  ENDIF

(^FBT59 <> BLANK) AND (^FBT58 = BLANK)
^FBT58 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

^FBT59 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410218" diagnostics="D477VR.ATO.GEN.410218" subject="subject" test="not((string-length(normalize-space(($FBT59)[1])) != 0 and string-length(normalize-space(($FBT58)[1])) = 0))"  >FirstName must be entered if OtherGivenNames is entered</assert>

    </rule>


        <rule context="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">

    

<!--  VR.ATO.GEN.000465 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK)AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> SET("MN","MTR"))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT10 <> BLANK) AND (NotInSet(^FBT152, '"MN","MTR"'))
^FBT152 = pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

^FBT10 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.000465" diagnostics="D20VR.ATO.GEN.000465" subject="subject" test="not((string-length(normalize-space((pyde.02.00:OrganisationNameDetails.OrganisationalName.Text)[1])) != 0 and not(matches((pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code)[1], '^(MN|MTR)$','i'))))"  >Organisation name type code must be "MN" or "MTR"</assert>
    

<!--  VR.ATO.GEN.410147 ()

WHERE IN TUPLE(organisationname2.xx.xx:OrganisationNameDetails)IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = NULLORBLANK)    
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT152 = BLANK)
^FBT152 = pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410147" diagnostics="D364VR.ATO.GEN.410147" subject="subject" test="not((string-length(normalize-space((pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code)[1])) = 0))"  >Name Type Code must be present if Name of the Interposed Entity is present.</assert>

    </rule>


        <rule context="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]">

    

<!--  VR.ATO.GEN.000462 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.PersonNameType.Code <> "LGL")   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT50 <> BLANK) AND (^FBT168 <> 'LGL')
^FBT168 = pyde.02.00:PersonNameDetails.PersonNameType.Code WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

^FBT50 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.000462" diagnostics="D22VR.ATO.GEN.000462" subject="subject" test="not((string-length(normalize-space((pyde.02.00:PersonNameDetails.FamilyName.Text)[1])) != 0 and string((pyde.02.00:PersonNameDetails.PersonNameType.Code)[1]) != 'LGL'))"  >Person Name Type Code must be "LGL"</assert>

    </rule>


        <rule context="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]">

    

<!--  VR.ATO.GEN.000467 ()

IF (pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK)AND (pyde.xx.xx:AddressDetails.Usage.Code <> SET("POS","BUS"))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT17 <> BLANK) AND (NotInSet(^FBT154, '"POS","BUS"'))
^FBT154 = pyde.02.01:AddressDetails.Usage.Code WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

^FBT17 = pyde.02.00:AddressDetails.Line1.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.000467" diagnostics="D42VR.ATO.GEN.000467" subject="subject" test="not((string-length(normalize-space((pyde.02.00:AddressDetails.Line1.Text)[1])) != 0 and not(matches((pyde.02.01:AddressDetails.Usage.Code)[1], '^(POS|BUS)$','i'))))"  >Address usage code must be "POS" or "BUS"</assert>
    

<!--  VR.ATO.GEN.410148 ()

IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF pyde.xx.xx:AddressDetails.Currency.Code = NULLORBLANK
  RETURN VALIDATION MESSAGE
END IF

^FBT153 = BLANK
^FBT153 = pyde.02.00:AddressDetails.Currency.Code WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410148" diagnostics="D254VR.ATO.GEN.410148" subject="subject" test="not((string-length(normalize-space((pyde.02.00:AddressDetails.Currency.Code)[1])) = 0))"  >Address Currency Code must be present if an Address is present.</assert>

    </rule>


        <rule context="fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails[not(@i:nil='true' or @i:nil='1')]">

    

<!--  VR.ATO.FBT.100058 ()

IF Period.EndDate > 31032013) AND lrla.xx.xx:Remuneration.FringeBenefits.Type.Code = "H"   
    RETURN VALIDATION MESSAGE
ENDIF

(^EndDate > AsDate('2013-03-31')) AND ^FBT143 = 'H'
^FBT143 = lrla.02.00:Remuneration.FringeBenefits.Type.Code WHERE [Remuneration.FringeBenefits.Type.Code='H']

^EndDate = RP

-->


    <assert id="VR.ATO.FBT.100058" diagnostics="D187VR.ATO.FBT.100058" subject="subject" test="not(($RP.Context.EndDate &gt; xs:date('2013-03-31') and string((lrla.02.00:Remuneration.FringeBenefits.Type.Code)[1]) = 'H'))"  >Code H (Airline transport) is not valid beyond 2013.</assert>

    </rule>


        <rule context="phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]">

    

<!--  VR.ATO.GEN.432016 ()

WHERE IN TUPLE(electroniccontacttelephone1.xx.xx:ElectronicContactTelephone)IF pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULL OR pyde.xx.xx:ElectronicContact.Telephone.Usage.Code <> "03" OR pyde.xx.xx:Electronic Contact.Telephone.ServiceLine.Code <> SET ("01", "02")   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT128 = NULL OR ^FBT131 <> '03' OR NotInSet(^FBT132, '"01", "02"')
^FBT128 = pyde.02.00:ElectronicContact.Telephone.Minimal.Number WHERE [ElectronicContact.Telephone.Usage.Code='03']

^FBT131 = pyde.02.00:ElectronicContact.Telephone.Usage.Code WHERE [ElectronicContact.Telephone.Usage.Code='03']

^FBT132 = pyde.02.00:ElectronicContact.Telephone.ServiceLine.Code WHERE [ElectronicContact.Telephone.Usage.Code='03']

-->


    <assert id="VR.ATO.GEN.432016" diagnostics="D314VR.ATO.GEN.432016" subject="subject" test="not((string-length(normalize-space((pyde.02.00:ElectronicContact.Telephone.Minimal.Number)[1])) = 0 or string((pyde.02.00:ElectronicContact.Telephone.Usage.Code)[1]) != '03' or not(matches((pyde.02.00:ElectronicContact.Telephone.ServiceLine.Code)[1], '^(01|02)$','i'))))"  >Telephone must include number, usage code '03' and service line code '01' or '02'.</assert>

    </rule>


        <rule context="email1.02.00:ElectronicContactElectronicMail[not(@i:nil='true' or @i:nil='1')]">

    

<!--  VR.ATO.GEN.436276 ()

WHERE IN TUPLE(ElectronicContactElectronicMail1.xx.xx:ElectronicContactElectronicMail)IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text = NULLORBLANK) OR (pyde.xx.xx:ElectronicContact.ElectronicMail.Usage.Code <> "03")    
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT62 = BLANK) OR (^FBT133 <> '03')
^FBT133 = pyde.02.00:ElectronicContact.ElectronicMail.Usage.Code WHERE [ElectronicContact.ElectronicMail.Usage.Code='03']

^FBT62 = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text WHERE [ElectronicContact.ElectronicMail.Usage.Code='03']

-->


    <assert id="VR.ATO.GEN.436276" diagnostics="D326VR.ATO.GEN.436276" subject="subject" test="not((string-length(normalize-space((pyde.02.00:ElectronicContact.ElectronicMail.Address.Text)[1])) = 0 or string((pyde.02.00:ElectronicContact.ElectronicMail.Usage.Code)[1]) != '03'))"  >Email address must include an address and a usage code '03'</assert>

    </rule>


        <rule context="prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]">

    

<!--  VR.ATO.GEN.000243 ()

WHERE IN TUPLE(personunstructuredname1.xx.xx:PersonUnstructuredName)IF pyde.xx.xx:PersonUnstructuredName.Usage.Code = NULLORBLANK OR pyde.xx.xx:PersonUnstructuredName.FullName.Text = NULLORBLANK   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT172 = BLANK OR ^FBT129 = BLANK
^FBT172 = pyde.02.05:PersonUnstructuredName.Usage.Code WHERE [PersonUnstructuredName.Usage.Code='Contact']

^FBT129 = pyde.02.00:PersonUnstructuredName.FullName.Text WHERE [PersonUnstructuredName.Usage.Code='Contact']

-->


    <assert id="VR.ATO.GEN.000243" diagnostics="D389VR.ATO.GEN.000243" subject="subject" test="not((string-length(normalize-space((pyde.02.05:PersonUnstructuredName.Usage.Code)[1])) = 0 or string-length(normalize-space((pyde.02.00:PersonUnstructuredName.FullName.Text)[1])) = 0))"  >Both person unstructured name usage code and name must be provided</assert>

    </rule>



    </pattern>


    <pattern id="Format">

        <rule context="xbrli:xbrl">

    

<!--  VR.ATO.GEN.010030 ()

IF pyin.xx.xx:Report.AmendmentSequence.Number <> NULL AND pyin.xx.xx:Report.AmendmentSequence.Number <> SET(1-9)   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT235 <> NULL AND (^FBT235 < 1 OR ^FBT235 > 9)
^FBT235 = pyin.02.08:Report.AmendmentSequence.Number

-->


    <assert id="VR.ATO.GEN.010030" diagnostics="D13VR.ATO.GEN.010030" subject="subject" test="not((exists(($FBT235)[1]) != false() and (($FBT235)[1] &lt; 1 or ($FBT235)[1] &gt; 9)))"  >Amendment sequence number must be a number between 1 and 9</assert>
    

<!--  VR.ATO.FBT.010045 ()

IF ^FBT6 <> NULLORBLANK AND LENGTH(^FBT6) > 30   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT6) > 30
^FBT6 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.FBT.010045" diagnostics="D17VR.ATO.FBT.010045" subject="subject" test="not((string-length(normalize-space(($FBT6)[1])) &gt; 30))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010046 ()

IF ^FBT8 <> NULLORBLANK AND LENGTH(^FBT8) > 15   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT8) > 15
^FBT8 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.FBT.010046" diagnostics="D18VR.ATO.FBT.010046" subject="subject" test="not((string-length(normalize-space(($FBT8)[1])) &gt; 15))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010047 ()

IF ^FBT9 <> NULLORBLANK AND LENGTH(^FBT9) > 30   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT9) > 30
^FBT9 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.FBT.010047" diagnostics="D19VR.ATO.FBT.010047" subject="subject" test="not((string-length(normalize-space(($FBT9)[1])) &gt; 30))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010056 ()

IF pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK AND LENGTH(pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text) > 76 
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT10) > 76
^FBT10 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.FBT.010056" diagnostics="D21VR.ATO.FBT.010056" subject="subject" test="not((string-length(normalize-space(($FBT10)[1])) &gt; 76))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010048 ()

IF ^FBT50 <> NULLORBLANK AND LENGTH(^FBT50) > 30   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT50) > 30
^FBT50 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.FBT.010048" diagnostics="D26VR.ATO.FBT.010048" subject="subject" test="not((string-length(normalize-space(($FBT50)[1])) &gt; 30))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010049 ()

IF ^FBT52 <> NULLORBLANK AND LENGTH(^FBT52) > 15   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT52) > 15
^FBT52 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.FBT.010049" diagnostics="D27VR.ATO.FBT.010049" subject="subject" test="not((string-length(normalize-space(($FBT52)[1])) &gt; 15))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010050 ()

IF ^FBT53 <> NULLORBLANK AND LENGTH(^FBT53) > 30   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT53) > 30
^FBT53 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.FBT.010050" diagnostics="D28VR.ATO.FBT.010050" subject="subject" test="not((string-length(normalize-space(($FBT53)[1])) &gt; 30))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010056 ()

IF pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK AND LENGTH(pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text) > 76 
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT54) > 76
^FBT54 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.FBT.010056" diagnostics="D30VR.ATO.FBT.010056" subject="subject" test="not((string-length(normalize-space(($FBT54)[1])) &gt; 76))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010036 ()

IF ^FBT12 <> NULLORBLANK AND LENGTH(^FBT12) > 30   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT12) > 30
^FBT12 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.FBT.010036" diagnostics="D36VR.ATO.FBT.010036" subject="subject" test="not((string-length(normalize-space(($FBT12)[1])) &gt; 30))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010037 ()

IF ^FBT14 <> NULLORBLANK AND LENGTH(^FBT14) > 15   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT14) > 15
^FBT14 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.FBT.010037" diagnostics="D37VR.ATO.FBT.010037" subject="subject" test="not((string-length(normalize-space(($FBT14)[1])) &gt; 15))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010038 ()

IF ^FBT15 <> NULLORBLANK AND LENGTH(^FBT15) > 30   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT15) > 30
^FBT15 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.FBT.010038" diagnostics="D38VR.ATO.FBT.010038" subject="subject" test="not((string-length(normalize-space(($FBT15)[1])) &gt; 30))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010056 ()

IF pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK AND LENGTH(pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text) > 76 
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT16) > 76
^FBT16 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.FBT.010056" diagnostics="D41VR.ATO.FBT.010056" subject="subject" test="not((string-length(normalize-space(($FBT16)[1])) &gt; 76))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010018 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number <> NUMBER(U,6,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotNumeric(^FBT201, 'U', 6, 0)
^FBT201 = lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number WHERE [Remuneration.FringeBenefits.Type.Code='H']

-->


    <assert id="VR.ATO.FBT.010018" diagnostics="D44VR.ATO.FBT.010018" subject="subject" test="not(function:NotNumeric(($FBT201)[1], 'U', 6, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010018 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number <> NUMBER(U,6,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotNumeric(^FBT202, 'U', 6, 0)
^FBT202 = lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number WHERE [Remuneration.FringeBenefits.Type.Code='J']

-->


    <assert id="VR.ATO.FBT.010018" diagnostics="D46VR.ATO.FBT.010018" subject="subject" test="not(function:NotNumeric(($FBT202)[1], 'U', 6, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010018 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number <> NUMBER(U,6,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotNumeric(^FBT203, 'U', 6, 0)
^FBT203 = lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number WHERE [Remuneration.FringeBenefits.Type.Code='K']

-->


    <assert id="VR.ATO.FBT.010018" diagnostics="D48VR.ATO.FBT.010018" subject="subject" test="not(function:NotNumeric(($FBT203)[1], 'U', 6, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010018 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number <> NUMBER(U,6,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotNumeric(^FBT204, 'U', 6, 0)
^FBT204 = lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number WHERE [Remuneration.FringeBenefits.Type.Code='L']

-->


    <assert id="VR.ATO.FBT.010018" diagnostics="D50VR.ATO.FBT.010018" subject="subject" test="not(function:NotNumeric(($FBT204)[1], 'U', 6, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010018 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number <> NUMBER(U,6,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotNumeric(^FBT207, 'U', 6, 0)
^FBT207 = lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number WHERE [Remuneration.FringeBenefits.Type.Code='M']

-->


    <assert id="VR.ATO.FBT.010018" diagnostics="D52VR.ATO.FBT.010018" subject="subject" test="not(function:NotNumeric(($FBT207)[1], 'U', 6, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010018 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number <> NUMBER(U,6,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotNumeric(^FBT208, 'U', 6, 0)
^FBT208 = lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number WHERE [Remuneration.FringeBenefits.Type.Code='N']

-->


    <assert id="VR.ATO.FBT.010018" diagnostics="D54VR.ATO.FBT.010018" subject="subject" test="not(function:NotNumeric(($FBT208)[1], 'U', 6, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010013 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT200, 'U', 10, 0)
^FBT200 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='G']

-->


    <assert id="VR.ATO.FBT.010013" diagnostics="D56VR.ATO.FBT.010013" subject="subject" test="not(function:NotMonetary(($FBT200)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010013 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT205, 'U', 10, 0)
^FBT205 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='L']

-->


    <assert id="VR.ATO.FBT.010013" diagnostics="D58VR.ATO.FBT.010013" subject="subject" test="not(function:NotMonetary(($FBT205)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010014 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT206, 'U', 10, 0)
^FBT206 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='L']

-->


    <assert id="VR.ATO.FBT.010014" diagnostics="D60VR.ATO.FBT.010014" subject="subject" test="not(function:NotMonetary(($FBT206)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010014 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT209, 'U', 10, 0)
^FBT209 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='N']

-->


    <assert id="VR.ATO.FBT.010014" diagnostics="D62VR.ATO.FBT.010014" subject="subject" test="not(function:NotMonetary(($FBT209)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010023 ()

IF (pyde.xx.xx:AddressDetails.LocalityName.Text <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.LocalityName.Text <> TEXT(27))   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT21) > 27
^FBT21 = pyde.02.00:AddressDetails.LocalityName.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.FBT.010023" diagnostics="D63VR.ATO.FBT.010023" subject="subject" test="not((string-length(normalize-space(($FBT21)[1])) &gt; 27))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010018 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number <> NUMBER(U,6,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotNumeric(^FBT210, 'U', 6, 0)
^FBT210 = lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number WHERE [Remuneration.FringeBenefits.Type.Code='P']

-->


    <assert id="VR.ATO.FBT.010018" diagnostics="D65VR.ATO.FBT.010018" subject="subject" test="not(function:NotNumeric(($FBT210)[1], 'U', 6, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010013 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT211, 'U', 10, 0)
^FBT211 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='P']

-->


    <assert id="VR.ATO.FBT.010013" diagnostics="D67VR.ATO.FBT.010013" subject="subject" test="not(function:NotMonetary(($FBT211)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010014 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT212, 'U', 10, 0)
^FBT212 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='P']

-->


    <assert id="VR.ATO.FBT.010014" diagnostics="D69VR.ATO.FBT.010014" subject="subject" test="not(function:NotMonetary(($FBT212)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010040 ()

IF ^FBT27 <> NULLORBLANK AND LENGTH(^FBT27) > 30   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT27) > 30
^FBT27 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.FBT.010040" diagnostics="D74VR.ATO.FBT.010040" subject="subject" test="not((string-length(normalize-space(($FBT27)[1])) &gt; 30))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010041 ()

IF ^FBT29 <> NULLORBLANK AND LENGTH(^FBT29) > 15   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT29) > 15
^FBT29 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.FBT.010041" diagnostics="D75VR.ATO.FBT.010041" subject="subject" test="not((string-length(normalize-space(($FBT29)[1])) &gt; 15))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010042 ()

IF ^FBT30 <> NULLORBLANK AND LENGTH(^FBT30) > 30   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT30) > 30
^FBT30 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.FBT.010042" diagnostics="D76VR.ATO.FBT.010042" subject="subject" test="not((string-length(normalize-space(($FBT30)[1])) &gt; 30))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010056 ()

IF pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK AND LENGTH(pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text) > 76 
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT31) > 76
^FBT31 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.FBT.010056" diagnostics="D79VR.ATO.FBT.010056" subject="subject" test="not((string-length(normalize-space(($FBT31)[1])) &gt; 76))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010023 ()

IF (pyde.xx.xx:AddressDetails.LocalityName.Text <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.LocalityName.Text <> TEXT(27))   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT36) > 27
^FBT36 = pyde.02.00:AddressDetails.LocalityName.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.FBT.010023" diagnostics="D82VR.ATO.FBT.010023" subject="subject" test="not((string-length(normalize-space(($FBT36)[1])) &gt; 27))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010056 ()

IF pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK AND LENGTH(pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text) > 76 
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT40) > 76
^FBT40 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MTR'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.FBT.010056" diagnostics="D85VR.ATO.FBT.010056" subject="subject" test="not((string-length(normalize-space(($FBT40)[1])) &gt; 76))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010023 ()

IF (pyde.xx.xx:AddressDetails.LocalityName.Text <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.LocalityName.Text <> TEXT(27))   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT45) > 27
^FBT45 = pyde.02.00:AddressDetails.LocalityName.Text WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.FBT.010023" diagnostics="D87VR.ATO.FBT.010023" subject="subject" test="not((string-length(normalize-space(($FBT45)[1])) &gt; 27))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010018 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number <> NUMBER(U,6,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotNumeric(^FBT195, 'U', 6, 0)
^FBT195 = lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number WHERE [Remuneration.FringeBenefits.Type.Code='D']

-->


    <assert id="VR.ATO.FBT.010018" diagnostics="D91VR.ATO.FBT.010018" subject="subject" test="not(function:NotNumeric(($FBT195)[1], 'U', 6, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010018 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number <> NUMBER(U,6,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotNumeric(^FBT198, 'U', 6, 0)
^FBT198 = lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number WHERE [Remuneration.FringeBenefits.Type.Code='E']

-->


    <assert id="VR.ATO.FBT.010018" diagnostics="D93VR.ATO.FBT.010018" subject="subject" test="not(function:NotNumeric(($FBT198)[1], 'U', 6, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010013 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT194, 'U', 10, 0)
^FBT194 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='C']

-->


    <assert id="VR.ATO.FBT.010013" diagnostics="D95VR.ATO.FBT.010013" subject="subject" test="not(function:NotMonetary(($FBT194)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010013 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT196, 'U', 10, 0)
^FBT196 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='D']

-->


    <assert id="VR.ATO.FBT.010013" diagnostics="D97VR.ATO.FBT.010013" subject="subject" test="not(function:NotMonetary(($FBT196)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010014 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT192, 'U', 10, 0)
^FBT192 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='A']

-->


    <assert id="VR.ATO.FBT.010014" diagnostics="D99VR.ATO.FBT.010014" subject="subject" test="not(function:NotMonetary(($FBT192)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010014 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT193, 'U', 10, 0)
^FBT193 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='B']

-->


    <assert id="VR.ATO.FBT.010014" diagnostics="D101VR.ATO.FBT.010014" subject="subject" test="not(function:NotMonetary(($FBT193)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010014 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT197, 'U', 10, 0)
^FBT197 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='D']

-->


    <assert id="VR.ATO.FBT.010014" diagnostics="D103VR.ATO.FBT.010014" subject="subject" test="not(function:NotMonetary(($FBT197)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010014 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT199, 'U', 10, 0)
^FBT199 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='F']

-->


    <assert id="VR.ATO.FBT.010014" diagnostics="D105VR.ATO.FBT.010014" subject="subject" test="not(function:NotMonetary(($FBT199)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010052 ()

IF ^FBT56 <> NULLORBLANK AND LENGTH(^FBT56) > 30   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT56) > 30
^FBT56 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.FBT.010052" diagnostics="D106VR.ATO.FBT.010052" subject="subject" test="not((string-length(normalize-space(($FBT56)[1])) &gt; 30))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010053 ()

IF ^FBT58 <> NULLORBLANK AND LENGTH(^FBT58) > 30   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT58) > 30
^FBT58 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.FBT.010053" diagnostics="D107VR.ATO.FBT.010053" subject="subject" test="not((string-length(normalize-space(($FBT58)[1])) &gt; 30))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010054 ()

IF ^FBT59 <> NULLORBLANK AND LENGTH(^FBT59) > 30   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT59) > 30
^FBT59 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.FBT.010054" diagnostics="D108VR.ATO.FBT.010054" subject="subject" test="not((string-length(normalize-space(($FBT59)[1])) &gt; 30))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010024 ()

IF (pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number <> NULLORBLANK)AND (pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number <> TEXT(15))   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT61) > 15
^FBT61 = pyde.02.00:ElectronicContact.Telephone.Minimal.Number WHERE [ElectronicContact.Telephone.Usage.Code='03']

-->


    <assert id="VR.ATO.FBT.010024" diagnostics="D110VR.ATO.FBT.010024" subject="subject" test="not((string-length(normalize-space(($FBT61)[1])) &gt; 15))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010027 ()

IF ^FBT62 <> NULLORBLANK AND LENGTH(^FBT62) > 76   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT62) > 76
^FBT62 = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text WHERE [ElectronicContact.ElectronicMail.Usage.Code='03']

-->


    <assert id="VR.ATO.FBT.010027" diagnostics="D111VR.ATO.FBT.010027" subject="subject" test="not((string-length(normalize-space(($FBT62)[1])) &gt; 76))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010017 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.Recipients.Count<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.Recipients.Count <> NUMBER(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotNumeric(^FBT63, 'U', 10, 0)
^FBT63 = lrla.02.00:Remuneration.FringeBenefits.Recipients.Count

-->


    <assert id="VR.ATO.FBT.010017" diagnostics="D112VR.ATO.FBT.010017" subject="subject" test="not(function:NotNumeric(($FBT63)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010019 ()

IF pyin.xx.xx:Report.CompletionHours.Number<>NULL AND pyin.xx.xx:Report.CompletionHours.Number <> NUMBER(U,11,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotNumeric(^FBT64, 'U', 11, 0)
^FBT64 = pyin.02.00:Report.CompletionHours.Number

-->


    <assert id="VR.ATO.FBT.010019" diagnostics="D113VR.ATO.FBT.010019" subject="subject" test="not(function:NotNumeric(($FBT64)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010033 ()

IF LENGTH(^FBT231) > 32   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT231) > 32
^FBT231 = pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text

-->


    <assert id="VR.ATO.FBT.010033" diagnostics="D115VR.ATO.FBT.010033" subject="subject" test="not((string-length(normalize-space(($FBT231)[1])) &gt; 32))"  >Bank account name must not be longer than 32 characters.</assert>
    

<!--  VR.ATO.FBT.010002 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.Type1Aggregate.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.Type1Aggregate.Amount <> MONETARY(U,11,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT66, 'U', 11, 0)
^FBT66 = lrla.02.00:Remuneration.FringeBenefits.Type1Aggregate.Amount

-->


    <assert id="VR.ATO.FBT.010002" diagnostics="D116VR.ATO.FBT.010002" subject="subject" test="not(function:NotMonetary(($FBT66)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010003 ()

IF rvctc3.xx.xx:FringeBenefitsTax.Type1Aggregate.Amount<>NULL AND rvctc3.xx.xx:FringeBenefitsTax.Type1Aggregate.Amount <> MONETARY(U,11,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT67, 'U', 11, 0)
^FBT67 = rvctc3.02.00:FringeBenefitsTax.Type1Aggregate.Amount

-->


    <assert id="VR.ATO.FBT.010003" diagnostics="D118VR.ATO.FBT.010003" subject="subject" test="not(function:NotMonetary(($FBT67)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010004 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.Type2Aggregate.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.Type2Aggregate.Amount <> MONETARY(U,11,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT68, 'U', 11, 0)
^FBT68 = lrla.02.00:Remuneration.FringeBenefits.Type2Aggregate.Amount

-->


    <assert id="VR.ATO.FBT.010004" diagnostics="D119VR.ATO.FBT.010004" subject="subject" test="not(function:NotMonetary(($FBT68)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010005 ()

IF rvctc3.xx.xx:FringeBenefitsTax.Type2Aggregate.Amount<>NULL AND rvctc3.xx.xx:FringeBenefitsTax.Type2Aggregate.Amount <> MONETARY(U,11,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT69, 'U', 11, 0)
^FBT69 = rvctc3.02.00:FringeBenefitsTax.Type2Aggregate.Amount

-->


    <assert id="VR.ATO.FBT.010005" diagnostics="D121VR.ATO.FBT.010005" subject="subject" test="not(function:NotMonetary(($FBT69)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010006 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.AggregateNonExempt.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.AggregateNonExempt.Amount <> MONETARY(U,11,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT70, 'U', 11, 0)
^FBT70 = lrla.02.00:Remuneration.FringeBenefits.AggregateNonExempt.Amount

-->


    <assert id="VR.ATO.FBT.010006" diagnostics="D122VR.ATO.FBT.010006" subject="subject" test="not(function:NotMonetary(($FBT70)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010007 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.TaxableTotal.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.TaxableTotal.Amount <> MONETARY(U,11,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT71, 'U', 11, 0)
^FBT71 = lrla.02.00:Remuneration.FringeBenefits.TaxableTotal.Amount

-->


    <assert id="VR.ATO.FBT.010007" diagnostics="D125VR.ATO.FBT.010007" subject="subject" test="not(function:NotMonetary(($FBT71)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010008 ()

IF rvctc3.xx.xx:FringeBenefitsTax.Payable.Amount<>NULL AND rvctc3.xx.xx:FringeBenefitsTax.Payable.Amount <> MONETARY(U,13,2) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT72, 'U', 13, 2)
^FBT72 = rvctc3.02.00:FringeBenefitsTax.Payable.Amount

-->


    <assert id="VR.ATO.FBT.010008" diagnostics="D128VR.ATO.FBT.010008" subject="subject" test="not(function:NotMonetary(($FBT72)[1], 'U', 13, 2))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010009 ()

IF rvctc3.xx.xx:FringeBenefitsTax.NonRebatableAggregate.Amount<>NULL AND rvctc3.xx.xx:FringeBenefitsTax.NonRebatableAggregate.Amount <> MONETARY(U,13,2) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT73, 'U', 13, 2)
^FBT73 = rvctc3.02.00:FringeBenefitsTax.NonRebatableAggregate.Amount

-->


    <assert id="VR.ATO.FBT.010009" diagnostics="D131VR.ATO.FBT.010009" subject="subject" test="not(function:NotMonetary(($FBT73)[1], 'U', 13, 2))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010010 ()

IF rvctc3.xx.xx:FringeBenefitsTax.Rebate.Amount<>NULL AND rvctc3.xx.xx:FringeBenefitsTax.Rebate.Amount <> MONETARY(U,13,2) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT74, 'U', 13, 2)
^FBT74 = rvctc3.02.00:FringeBenefitsTax.Rebate.Amount

-->


    <assert id="VR.ATO.FBT.010010" diagnostics="D134VR.ATO.FBT.010010" subject="subject" test="not(function:NotMonetary(($FBT74)[1], 'U', 13, 2))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010015 ()

IF rvctc3.xx.xx:FringeBenefitsTax.Liability.Amount<>NULL AND rvctc3.xx.xx:FringeBenefitsTax.Liability.Amount <> MONETARY(U,13,2) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT75, 'U', 13, 2)
^FBT75 = rvctc3.02.00:FringeBenefitsTax.Liability.Amount

-->


    <assert id="VR.ATO.FBT.010015" diagnostics="D137VR.ATO.FBT.010015" subject="subject" test="not(function:NotMonetary(($FBT75)[1], 'U', 13, 2))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010016 ()

IF rvctc3.xx.xx:FringeBenefitsTax.LiabilityInstalmentsTotal.Amount<>NULL AND rvctc3.xx.xx:FringeBenefitsTax.LiabilityInstalmentsTotal.Amount <> MONETARY(U,11,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT76, 'U', 11, 0)
^FBT76 = rvctc3.02.00:FringeBenefitsTax.LiabilityInstalmentsTotal.Amount

-->


    <assert id="VR.ATO.FBT.010016" diagnostics="D138VR.ATO.FBT.010016" subject="subject" test="not(function:NotMonetary(($FBT76)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010011 ()

IF rvctc3.xx.xx:FringeBenefitsTax.AdjustmentDue.Amount<>NULL AND rvctc3.xx.xx:FringeBenefitsTax.AdjustmentDue.Amount <> MONETARY(S,13,2) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT77, 'S', 13, 2)
^FBT77 = rvctc3.02.00:FringeBenefitsTax.AdjustmentDue.Amount

-->


    <assert id="VR.ATO.FBT.010011" diagnostics="D140VR.ATO.FBT.010011" subject="subject" test="not(function:NotMonetary(($FBT77)[1], 'S', 13, 2))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.000469 ()

IF (lrla.xx.xx:Remuneration.FringeBenefits.Type.Code <> NULLORBLANK) AND ( lrla.xx.xx:Remuneration.FringeBenefits.Type.Code = ANY OTHER OCCURENCE OF( lrla.xx.xx:Remuneration.FringeBenefits.Type.Code ) )   
    RETURN VALIDATION MESSAGE
ENDIF

Count(^FBT136) > 1 OR Count(^FBT137) > 1 OR Count(^FBT138) > 1 OR Count(^FBT139) > 1 OR Count(^FBT140) > 1 OR Count(^FBT141) > 1 OR Count(^FBT142) > 1 OR Count(^FBT143) OR Count(^FBT144) > 1 OR Count(^FBT145) > 1 OR Count(^FBT146) > 1 OR Count(^FBT147) > 1 OR Count(^FBT148) > 1 OR Count(^FBT149) > 1
^FBT136 = lrla.02.00:Remuneration.FringeBenefits.Type.Code WHERE [Remuneration.FringeBenefits.Type.Code='A']

^FBT137 = lrla.02.00:Remuneration.FringeBenefits.Type.Code WHERE [Remuneration.FringeBenefits.Type.Code='B']

^FBT138 = lrla.02.00:Remuneration.FringeBenefits.Type.Code WHERE [Remuneration.FringeBenefits.Type.Code='C']

^FBT139 = lrla.02.00:Remuneration.FringeBenefits.Type.Code WHERE [Remuneration.FringeBenefits.Type.Code='D']

^FBT140 = lrla.02.00:Remuneration.FringeBenefits.Type.Code WHERE [Remuneration.FringeBenefits.Type.Code='E']

^FBT141 = lrla.02.00:Remuneration.FringeBenefits.Type.Code WHERE [Remuneration.FringeBenefits.Type.Code='F']

^FBT142 = lrla.02.00:Remuneration.FringeBenefits.Type.Code WHERE [Remuneration.FringeBenefits.Type.Code='G']

^FBT143 = lrla.02.00:Remuneration.FringeBenefits.Type.Code WHERE [Remuneration.FringeBenefits.Type.Code='H']

^FBT144 = lrla.02.00:Remuneration.FringeBenefits.Type.Code WHERE [Remuneration.FringeBenefits.Type.Code='J']

^FBT145 = lrla.02.00:Remuneration.FringeBenefits.Type.Code WHERE [Remuneration.FringeBenefits.Type.Code='K']

^FBT146 = lrla.02.00:Remuneration.FringeBenefits.Type.Code WHERE [Remuneration.FringeBenefits.Type.Code='L']

^FBT147 = lrla.02.00:Remuneration.FringeBenefits.Type.Code WHERE [Remuneration.FringeBenefits.Type.Code='M']

^FBT148 = lrla.02.00:Remuneration.FringeBenefits.Type.Code WHERE [Remuneration.FringeBenefits.Type.Code='N']

^FBT149 = lrla.02.00:Remuneration.FringeBenefits.Type.Code WHERE [Remuneration.FringeBenefits.Type.Code='P']

-->


    <assert id="VR.ATO.FBT.000469" diagnostics="D142VR.ATO.FBT.000469" subject="subject" test="not((count($FBT136) &gt; 1 or count($FBT137) &gt; 1 or count($FBT138) &gt; 1 or count($FBT139) &gt; 1 or count($FBT140) &gt; 1 or count($FBT141) &gt; 1 or count($FBT142) &gt; 1 or count($FBT143) or count($FBT144) &gt; 1 or count($FBT145) &gt; 1 or count($FBT146) &gt; 1 or count($FBT147) &gt; 1 or count($FBT148) &gt; 1 or count($FBT149) &gt; 1))"  >Fringe Benefits Type Code must not be repeated.</assert>
    

<!--  VR.ATO.FBT.010018 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number <> NUMBER(U,6,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotNumeric(^FBT78, 'U', 6, 0)
^FBT78 = lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number WHERE [Remuneration.FringeBenefits.Type.Code='A']

-->


    <assert id="VR.ATO.FBT.010018" diagnostics="D144VR.ATO.FBT.010018" subject="subject" test="not(function:NotNumeric(($FBT78)[1], 'U', 6, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010012 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT79, 'U', 10, 0)
^FBT79 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='A']

-->


    <assert id="VR.ATO.FBT.010012" diagnostics="D145VR.ATO.FBT.010012" subject="subject" test="not(function:NotMonetary(($FBT79)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010013 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT80, 'U', 10, 0)
^FBT80 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='A']

-->


    <assert id="VR.ATO.FBT.010013" diagnostics="D147VR.ATO.FBT.010013" subject="subject" test="not(function:NotMonetary(($FBT80)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010001 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT81, 'U', 10, 0)
^FBT81 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='A']

-->


    <assert id="VR.ATO.FBT.010001" diagnostics="D148VR.ATO.FBT.010001" subject="subject" test="not(function:NotMonetary(($FBT81)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010018 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number <> NUMBER(U,6,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotNumeric(^FBT82, 'U', 6, 0)
^FBT82 = lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number WHERE [Remuneration.FringeBenefits.Type.Code='B']

-->


    <assert id="VR.ATO.FBT.010018" diagnostics="D151VR.ATO.FBT.010018" subject="subject" test="not(function:NotNumeric(($FBT82)[1], 'U', 6, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010012 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT83, 'U', 10, 0)
^FBT83 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='B']

-->


    <assert id="VR.ATO.FBT.010012" diagnostics="D152VR.ATO.FBT.010012" subject="subject" test="not(function:NotMonetary(($FBT83)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010013 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT84, 'U', 10, 0)
^FBT84 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='B']

-->


    <assert id="VR.ATO.FBT.010013" diagnostics="D154VR.ATO.FBT.010013" subject="subject" test="not(function:NotMonetary(($FBT84)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010001 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT85, 'U', 10, 0)
^FBT85 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='B']

-->


    <assert id="VR.ATO.FBT.010001" diagnostics="D155VR.ATO.FBT.010001" subject="subject" test="not(function:NotMonetary(($FBT85)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010018 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number <> NUMBER(U,6,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotNumeric(^FBT86, 'U', 6, 0)
^FBT86 = lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number WHERE [Remuneration.FringeBenefits.Type.Code='C']

-->


    <assert id="VR.ATO.FBT.010018" diagnostics="D158VR.ATO.FBT.010018" subject="subject" test="not(function:NotNumeric(($FBT86)[1], 'U', 6, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010012 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT87, 'U', 10, 0)
^FBT87 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='C']

-->


    <assert id="VR.ATO.FBT.010012" diagnostics="D159VR.ATO.FBT.010012" subject="subject" test="not(function:NotMonetary(($FBT87)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010014 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT88, 'U', 10, 0)
^FBT88 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='C']

-->


    <assert id="VR.ATO.FBT.010014" diagnostics="D161VR.ATO.FBT.010014" subject="subject" test="not(function:NotMonetary(($FBT88)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010001 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT89, 'U', 10, 0)
^FBT89 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='C']

-->


    <assert id="VR.ATO.FBT.010001" diagnostics="D162VR.ATO.FBT.010001" subject="subject" test="not(function:NotMonetary(($FBT89)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010012 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT90, 'U', 10, 0)
^FBT90 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='D']

-->


    <assert id="VR.ATO.FBT.010012" diagnostics="D164VR.ATO.FBT.010012" subject="subject" test="not(function:NotMonetary(($FBT90)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010001 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT91, 'U', 10, 0)
^FBT91 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='D']

-->


    <assert id="VR.ATO.FBT.010001" diagnostics="D165VR.ATO.FBT.010001" subject="subject" test="not(function:NotMonetary(($FBT91)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010012 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT92, 'U', 10, 0)
^FBT92 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='E']

-->


    <assert id="VR.ATO.FBT.010012" diagnostics="D167VR.ATO.FBT.010012" subject="subject" test="not(function:NotMonetary(($FBT92)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010013 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT93, 'U', 10, 0)
^FBT93 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='E']

-->


    <assert id="VR.ATO.FBT.010013" diagnostics="D169VR.ATO.FBT.010013" subject="subject" test="not(function:NotMonetary(($FBT93)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010014 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT94, 'U', 10, 0)
^FBT94 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='E']

-->


    <assert id="VR.ATO.FBT.010014" diagnostics="D171VR.ATO.FBT.010014" subject="subject" test="not(function:NotMonetary(($FBT94)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010001 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT95, 'U', 10, 0)
^FBT95 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='E']

-->


    <assert id="VR.ATO.FBT.010001" diagnostics="D172VR.ATO.FBT.010001" subject="subject" test="not(function:NotMonetary(($FBT95)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010018 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number <> NUMBER(U,6,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotNumeric(^FBT96, 'U', 6, 0)
^FBT96 = lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number WHERE [Remuneration.FringeBenefits.Type.Code='F']

-->


    <assert id="VR.ATO.FBT.010018" diagnostics="D175VR.ATO.FBT.010018" subject="subject" test="not(function:NotNumeric(($FBT96)[1], 'U', 6, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010012 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT97, 'U', 10, 0)
^FBT97 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='F']

-->


    <assert id="VR.ATO.FBT.010012" diagnostics="D176VR.ATO.FBT.010012" subject="subject" test="not(function:NotMonetary(($FBT97)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010013 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT98, 'U', 10, 0)
^FBT98 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='F']

-->


    <assert id="VR.ATO.FBT.010013" diagnostics="D178VR.ATO.FBT.010013" subject="subject" test="not(function:NotMonetary(($FBT98)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010001 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT99, 'U', 10, 0)
^FBT99 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='F']

-->


    <assert id="VR.ATO.FBT.010001" diagnostics="D179VR.ATO.FBT.010001" subject="subject" test="not(function:NotMonetary(($FBT99)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010018 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.ItemsProvided.Number <> NUMBER(U,6,0) THEN
    RETURN VALIDATION MESSAGE
ENDIF

NotNumeric(^FBT100, 'U', 6, 0)
^FBT100 = lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number WHERE [Remuneration.FringeBenefits.Type.Code='G']

-->


    <assert id="VR.ATO.FBT.010018" diagnostics="D181VR.ATO.FBT.010018" subject="subject" test="not(function:NotNumeric(($FBT100)[1], 'U', 6, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010012 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT101, 'U', 10, 0)
^FBT101 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='G']

-->


    <assert id="VR.ATO.FBT.010012" diagnostics="D182VR.ATO.FBT.010012" subject="subject" test="not(function:NotMonetary(($FBT101)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010014 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT102, 'U', 10, 0)
^FBT102 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='G']

-->


    <assert id="VR.ATO.FBT.010014" diagnostics="D184VR.ATO.FBT.010014" subject="subject" test="not(function:NotMonetary(($FBT102)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010001 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT103, 'U', 10, 0)
^FBT103 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='G']

-->


    <assert id="VR.ATO.FBT.010001" diagnostics="D185VR.ATO.FBT.010001" subject="subject" test="not(function:NotMonetary(($FBT103)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010012 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT104, 'U', 10, 0)
^FBT104 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='H']

-->


    <assert id="VR.ATO.FBT.010012" diagnostics="D188VR.ATO.FBT.010012" subject="subject" test="not(function:NotMonetary(($FBT104)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010013 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT105, 'U', 10, 0)
^FBT105 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='H']

-->


    <assert id="VR.ATO.FBT.010013" diagnostics="D190VR.ATO.FBT.010013" subject="subject" test="not(function:NotMonetary(($FBT105)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010014 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT106, 'U', 10, 0)
^FBT106 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='H']

-->


    <assert id="VR.ATO.FBT.010014" diagnostics="D192VR.ATO.FBT.010014" subject="subject" test="not(function:NotMonetary(($FBT106)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010001 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT107, 'U', 10, 0)
^FBT107 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='H']

-->


    <assert id="VR.ATO.FBT.010001" diagnostics="D193VR.ATO.FBT.010001" subject="subject" test="not(function:NotMonetary(($FBT107)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010012 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT108, 'U', 10, 0)
^FBT108 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='J']

-->


    <assert id="VR.ATO.FBT.010012" diagnostics="D195VR.ATO.FBT.010012" subject="subject" test="not(function:NotMonetary(($FBT108)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010013 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT109, 'U', 10, 0)
^FBT109 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='J']

-->


    <assert id="VR.ATO.FBT.010013" diagnostics="D197VR.ATO.FBT.010013" subject="subject" test="not(function:NotMonetary(($FBT109)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010014 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT110, 'U', 10, 0)
^FBT110 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='J']

-->


    <assert id="VR.ATO.FBT.010014" diagnostics="D199VR.ATO.FBT.010014" subject="subject" test="not(function:NotMonetary(($FBT110)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010001 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT111, 'U', 10, 0)
^FBT111 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='J']

-->


    <assert id="VR.ATO.FBT.010001" diagnostics="D200VR.ATO.FBT.010001" subject="subject" test="not(function:NotMonetary(($FBT111)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010012 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT112, 'U', 10, 0)
^FBT112 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='K']

-->


    <assert id="VR.ATO.FBT.010012" diagnostics="D202VR.ATO.FBT.010012" subject="subject" test="not(function:NotMonetary(($FBT112)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010013 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT113, 'U', 10, 0)
^FBT113 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='K']

-->


    <assert id="VR.ATO.FBT.010013" diagnostics="D204VR.ATO.FBT.010013" subject="subject" test="not(function:NotMonetary(($FBT113)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010014 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT114, 'U', 10, 0)
^FBT114 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='K']

-->


    <assert id="VR.ATO.FBT.010014" diagnostics="D206VR.ATO.FBT.010014" subject="subject" test="not(function:NotMonetary(($FBT114)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010001 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT115, 'U', 10, 0)
^FBT115 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='K']

-->


    <assert id="VR.ATO.FBT.010001" diagnostics="D207VR.ATO.FBT.010001" subject="subject" test="not(function:NotMonetary(($FBT115)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010012 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT116, 'U', 10, 0)
^FBT116 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='L']

-->


    <assert id="VR.ATO.FBT.010012" diagnostics="D209VR.ATO.FBT.010012" subject="subject" test="not(function:NotMonetary(($FBT116)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010001 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT117, 'U', 10, 0)
^FBT117 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='L']

-->


    <assert id="VR.ATO.FBT.010001" diagnostics="D210VR.ATO.FBT.010001" subject="subject" test="not(function:NotMonetary(($FBT117)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010012 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT118, 'U', 10, 0)
^FBT118 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='M']

-->


    <assert id="VR.ATO.FBT.010012" diagnostics="D212VR.ATO.FBT.010012" subject="subject" test="not(function:NotMonetary(($FBT118)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010013 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT119, 'U', 10, 0)
^FBT119 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='M']

-->


    <assert id="VR.ATO.FBT.010013" diagnostics="D214VR.ATO.FBT.010013" subject="subject" test="not(function:NotMonetary(($FBT119)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010014 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT120, 'U', 10, 0)
^FBT120 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='M']

-->


    <assert id="VR.ATO.FBT.010014" diagnostics="D216VR.ATO.FBT.010014" subject="subject" test="not(function:NotMonetary(($FBT120)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010001 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT121, 'U', 10, 0)
^FBT121 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='M']

-->


    <assert id="VR.ATO.FBT.010001" diagnostics="D217VR.ATO.FBT.010001" subject="subject" test="not(function:NotMonetary(($FBT121)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010012 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT122, 'U', 10, 0)
^FBT122 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='N']

-->


    <assert id="VR.ATO.FBT.010012" diagnostics="D219VR.ATO.FBT.010012" subject="subject" test="not(function:NotMonetary(($FBT122)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010013 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT123, 'U', 10, 0)
^FBT123 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='N']

-->


    <assert id="VR.ATO.FBT.010013" diagnostics="D221VR.ATO.FBT.010013" subject="subject" test="not(function:NotMonetary(($FBT123)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010001 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT124, 'U', 10, 0)
^FBT124 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='N']

-->


    <assert id="VR.ATO.FBT.010001" diagnostics="D222VR.ATO.FBT.010001" subject="subject" test="not(function:NotMonetary(($FBT124)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010012 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT125, 'U', 10, 0)
^FBT125 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='P']

-->


    <assert id="VR.ATO.FBT.010012" diagnostics="D224VR.ATO.FBT.010012" subject="subject" test="not(function:NotMonetary(($FBT125)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.010001 ()

IF lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount<>NULL AND lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> MONETARY(U,10,0) THEN  
    RETURN VALIDATION MESSAGE
ENDIF

NotMonetary(^FBT126, 'U', 10, 0)
^FBT126 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='P']

-->


    <assert id="VR.ATO.FBT.010001" diagnostics="D225VR.ATO.FBT.010001" subject="subject" test="not(function:NotMonetary(($FBT126)[1], 'U', 10, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
    

<!--  VR.ATO.FBT.000417 ()

IF ((INT:pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) <> NULLORBLANK)AND (ALGORITHM(INT:pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) = FALSE)    
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT2 <> BLANK) AND FailsTANAlgorithm(^FBT2)
^FBT2 = pyid.02.00:Identifiers.TaxAgentNumber.Identifier

-->


    <assert id="VR.ATO.FBT.000417" diagnostics="D227VR.ATO.FBT.000417" subject="subject" test="not((string-length(normalize-space(($FBT2)[1])) != 0 and function:FailsTANAlgorithm(($FBT2)[1])))"  >Tax Agent number (TAN) is invalid</assert>
    

<!--  VR.ATO.FBT.010025 ()

IF ^FBT130 <> NULLORBLANK AND LENGTH(^FBT130) > 10   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT130) > 10
^FBT130 = pyid.02.00:Identifiers.TaxAgentClientReference.Text

-->


    <assert id="VR.ATO.FBT.010025" diagnostics="D228VR.ATO.FBT.010025" subject="subject" test="not((string-length(normalize-space(($FBT130)[1])) &gt; 10))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.FBT.010026 ()

IF ^FBT129 <> NULLORBLANK AND LENGTH(^FBT129) > 25   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT129) > 25
^FBT129 = pyde.02.00:PersonUnstructuredName.FullName.Text WHERE [PersonUnstructuredName.Usage.Code='Contact']

-->


    <assert id="VR.ATO.FBT.010026" diagnostics="D233VR.ATO.FBT.010026" subject="subject" test="not((string-length(normalize-space(($FBT129)[1])) &gt; 25))"  >Field value supplied exceeds maximum field length</assert>
    

<!--  VR.ATO.GEN.300003 ()

IF (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> SET ("ACT","NSW","NT","QLD","SA","VIC","WA","TAS","AAT"))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT22 <> BLANK) AND (NotInSet(^FBT22, '"ACT","NSW","NT","QLD","SA","VIC","WA","TAS","AAT"'))
^FBT22 = pyde.02.00:AddressDetails.StateOrTerritory.Code WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.300003" diagnostics="D239VR.ATO.GEN.300003" subject="subject" test="not((string-length(normalize-space(($FBT22)[1])) != 0 and not(matches(($FBT22)[1], '^(ACT|NSW|NT|QLD|SA|VIC|WA|TAS|AAT)$','i'))))"  >For an Australian address, state or territory must be one of: ACT, NSW, NT, QLD, SA, VIC, WA, TAS, AAT</assert>
    

<!--  VR.ATO.GEN.300003 ()

IF (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> SET ("ACT","NSW","NT","QLD","SA","VIC","WA","TAS","AAT"))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT37 <> BLANK) AND (NotInSet(^FBT37, '"ACT","NSW","NT","QLD","SA","VIC","WA","TAS","AAT"'))
^FBT37 = pyde.02.00:AddressDetails.StateOrTerritory.Code WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.300003" diagnostics="D240VR.ATO.GEN.300003" subject="subject" test="not((string-length(normalize-space(($FBT37)[1])) != 0 and not(matches(($FBT37)[1], '^(ACT|NSW|NT|QLD|SA|VIC|WA|TAS|AAT)$','i'))))"  >For an Australian address, state or territory must be one of: ACT, NSW, NT, QLD, SA, VIC, WA, TAS, AAT</assert>
    

<!--  VR.ATO.GEN.300003 ()

IF (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> SET ("ACT","NSW","NT","QLD","SA","VIC","WA","TAS","AAT"))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT46 <> BLANK) AND (NotInSet(^FBT46, '"ACT","NSW","NT","QLD","SA","VIC","WA","TAS","AAT"'))
^FBT46 = pyde.02.00:AddressDetails.StateOrTerritory.Code WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.300003" diagnostics="D241VR.ATO.GEN.300003" subject="subject" test="not((string-length(normalize-space(($FBT46)[1])) != 0 and not(matches(($FBT46)[1], '^(ACT|NSW|NT|QLD|SA|VIC|WA|TAS|AAT)$','i'))))"  >For an Australian address, state or territory must be one of: ACT, NSW, NT, QLD, SA, VIC, WA, TAS, AAT</assert>
    

<!--  VR.ATO.GEN.410008 ()

IF (pyde.xx.xx:AddressDetails.Line3.Text <> NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT19 <> BLANK
^FBT19 = pyde.02.00:AddressDetails.Line3.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410008" diagnostics="D245VR.ATO.GEN.410008" subject="subject" test="not((string-length(normalize-space(($FBT19)[1])) != 0))"  >Address Line 3 must be left blank</assert>
    

<!--  VR.ATO.GEN.410008 ()

IF (pyde.xx.xx:AddressDetails.Line3.Text <> NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT34 <> BLANK
^FBT34 = pyde.02.00:AddressDetails.Line3.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410008" diagnostics="D246VR.ATO.GEN.410008" subject="subject" test="not((string-length(normalize-space(($FBT34)[1])) != 0))"  >Address Line 3 must be left blank</assert>
    

<!--  VR.ATO.GEN.410008 ()

IF (pyde.xx.xx:AddressDetails.Line3.Text <> NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT43 <> BLANK
^FBT43 = pyde.02.00:AddressDetails.Line3.Text WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410008" diagnostics="D247VR.ATO.GEN.410008" subject="subject" test="not((string-length(normalize-space(($FBT43)[1])) != 0))"  >Address Line 3 must be left blank</assert>
    

<!--  VR.ATO.GEN.410013 ()

IF (pyde.xx.xx:AddressDetails.Line4.Text <> NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT20 <> BLANK
^FBT20 = pyde.02.00:AddressDetails.Line4.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410013" diagnostics="D248VR.ATO.GEN.410013" subject="subject" test="not((string-length(normalize-space(($FBT20)[1])) != 0))"  >Address Line 4 must be left blank</assert>
    

<!--  VR.ATO.GEN.410013 ()

IF (pyde.xx.xx:AddressDetails.Line4.Text <> NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT35 <> BLANK
^FBT35 = pyde.02.00:AddressDetails.Line4.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410013" diagnostics="D249VR.ATO.GEN.410013" subject="subject" test="not((string-length(normalize-space(($FBT35)[1])) != 0))"  >Address Line 4 must be left blank</assert>
    

<!--  VR.ATO.GEN.410013 ()

IF (pyde.xx.xx:AddressDetails.Line4.Text <> NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT44 <> BLANK
^FBT44 = pyde.02.00:AddressDetails.Line4.Text WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410013" diagnostics="D250VR.ATO.GEN.410013" subject="subject" test="not((string-length(normalize-space(($FBT44)[1])) != 0))"  >Address Line 4 must be left blank</assert>
    

<!--  VR.ATO.GEN.410167 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = NULLORBLANK)  
    RETURN VALIDATION MESSAGE
ENDIF

(^AddressDetails <> NULL) AND ((^FBT25 = BLANK))
^FBT25 = pyde.02.00:AddressDetails.OverseasAddress.Indicator WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

^AddressDetails = address2.02.01:AddressDetails

-->


    <assert id="VR.ATO.GEN.410167" diagnostics="D257VR.ATO.GEN.410167" subject="subject" test="not((exists(($AddressDetails_POS_C)[1]) and exists(($FBT25)[1]) = false()))"  >Overseas address indicator must be present</assert>
    

<!--  VR.ATO.GEN.410167 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = NULLORBLANK)  
    RETURN VALIDATION MESSAGE
ENDIF

(^AddressDetails <> NULL) AND ((^FBT159 = BLANK))
^FBT159 = pyde.02.00:AddressDetails.OverseasAddress.Indicator WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

^AddressDetails = address2.02.01:AddressDetails

-->


    <assert id="VR.ATO.GEN.410167" diagnostics="D258VR.ATO.GEN.410167" subject="subject" test="not((exists(($AddressDetails_POS_P)[1]) and exists(($FBT159)[1]) = false()))"  >Overseas address indicator must be present</assert>
    

<!--  VR.ATO.GEN.410167 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = NULLORBLANK)  
    RETURN VALIDATION MESSAGE
ENDIF

(^AddressDetails <> NULL) AND ((^FBT164 = BLANK))
^FBT164 = pyde.02.00:AddressDetails.OverseasAddress.Indicator WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

^AddressDetails = address2.02.01:AddressDetails

-->


    <assert id="VR.ATO.GEN.410167" diagnostics="D259VR.ATO.GEN.410167" subject="subject" test="not((exists(($AddressDetails_BUS_C)[1]) and exists(($FBT164)[1]) = false()))"  >Overseas address indicator must be present</assert>
    

<!--  VR.ATO.GEN.410192 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF (pyde.xx.xx:AddressDetails.Country.Code <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.Country.Code <> SET(DOMAIN(COUNTRY CODES)))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT222 <> BLANK) AND (NotInDomain(^FBT222, 'COUNTRY CODES'))
^FBT222 = pyde.02.00:AddressDetails.Country.Code WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410192" diagnostics="D263VR.ATO.GEN.410192" subject="subject" test="not((string-length(normalize-space(($FBT222)[1])) != 0 and not(matches(($FBT222)[1], '^(ad|ae|af|ag|ai|al|am|ao|aq|ar|as|at|au|aw|ax|az|ba|bb|bd|be|bf|bg|bh|bi|bj|bl|bm|bn|bo|bq|br|bs|bt|bv|bw|by|bz|ca|cc|cd|cf|cg|ch|ci|ck|cl|cm|cn|co|cr|cu|cv|cw|cx|cy|cz|de|dj|dk|dm|do|dz|ec|ee|eg|eh|er|es|et|fi|fj|fk|fm|fo|fr|ga|gb|gd|ge|gf|gg|gh|gi|gl|gm|gn|gp|gq|gr|gs|gt|gu|gw|gy|hk|hm|hn|hr|ht|hu|id|ie|il|im|in|io|iq|ir|is|it|je|jm|jo|jp|ke|kg|kh|ki|km|kn|kp|kr|kw|ky|kz|la|lb|lc|li|lk|lr|ls|lt|lu|lv|ly|ma|mc|md|me|mf|mg|mh|mk|ml|mm|mn|mo|mp|mq|mr|ms|mt|mu|mv|mw|mx|my|mz|na|nc|ne|nf|ng|ni|nl|no|np|nr|nu|nz|om|pa|pe|pf|pg|ph|pk|pl|pm|pn|pr|ps|pt|pw|py|qa|re|ro|rs|ru|rw|sa|sb|sc|sd|se|sg|sh|si|sj|sk|sl|sm|sn|so|sr|ss|st|sv|sx|sy|sz|tc|td|tf|tg|th|tj|tk|tl|tm|tn|to|tr|tt|tv|tw|tz|ua|ug|um|us|uy|uz|va|vc|ve|vg|vi|vn|vu|wf|ws|ye|yt|za|zm|zw)$','i'))))"  >Country code must be a valid code</assert>
    

<!--  VR.ATO.GEN.410192 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF (pyde.xx.xx:AddressDetails.Country.Code <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.Country.Code <> SET(DOMAIN(COUNTRY CODES)))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT223 <> BLANK) AND (NotInDomain(^FBT223, 'COUNTRY CODES'))
^FBT223 = pyde.02.00:AddressDetails.Country.Code WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410192" diagnostics="D264VR.ATO.GEN.410192" subject="subject" test="not((string-length(normalize-space(($FBT223)[1])) != 0 and not(matches(($FBT223)[1], '^(ad|ae|af|ag|ai|al|am|ao|aq|ar|as|at|au|aw|ax|az|ba|bb|bd|be|bf|bg|bh|bi|bj|bl|bm|bn|bo|bq|br|bs|bt|bv|bw|by|bz|ca|cc|cd|cf|cg|ch|ci|ck|cl|cm|cn|co|cr|cu|cv|cw|cx|cy|cz|de|dj|dk|dm|do|dz|ec|ee|eg|eh|er|es|et|fi|fj|fk|fm|fo|fr|ga|gb|gd|ge|gf|gg|gh|gi|gl|gm|gn|gp|gq|gr|gs|gt|gu|gw|gy|hk|hm|hn|hr|ht|hu|id|ie|il|im|in|io|iq|ir|is|it|je|jm|jo|jp|ke|kg|kh|ki|km|kn|kp|kr|kw|ky|kz|la|lb|lc|li|lk|lr|ls|lt|lu|lv|ly|ma|mc|md|me|mf|mg|mh|mk|ml|mm|mn|mo|mp|mq|mr|ms|mt|mu|mv|mw|mx|my|mz|na|nc|ne|nf|ng|ni|nl|no|np|nr|nu|nz|om|pa|pe|pf|pg|ph|pk|pl|pm|pn|pr|ps|pt|pw|py|qa|re|ro|rs|ru|rw|sa|sb|sc|sd|se|sg|sh|si|sj|sk|sl|sm|sn|so|sr|ss|st|sv|sx|sy|sz|tc|td|tf|tg|th|tj|tk|tl|tm|tn|to|tr|tt|tv|tw|tz|ua|ug|um|us|uy|uz|va|vc|ve|vg|vi|vn|vu|wf|ws|ye|yt|za|zm|zw)$','i'))))"  >Country code must be a valid code</assert>
    

<!--  VR.ATO.GEN.410192 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF (pyde.xx.xx:AddressDetails.Country.Code <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.Country.Code <> SET(DOMAIN(COUNTRY CODES)))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT224 <> BLANK) AND (NotInDomain(^FBT224, 'COUNTRY CODES'))
^FBT224 = pyde.02.00:AddressDetails.Country.Code WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410192" diagnostics="D265VR.ATO.GEN.410192" subject="subject" test="not((string-length(normalize-space(($FBT224)[1])) != 0 and not(matches(($FBT224)[1], '^(ad|ae|af|ag|ai|al|am|ao|aq|ar|as|at|au|aw|ax|az|ba|bb|bd|be|bf|bg|bh|bi|bj|bl|bm|bn|bo|bq|br|bs|bt|bv|bw|by|bz|ca|cc|cd|cf|cg|ch|ci|ck|cl|cm|cn|co|cr|cu|cv|cw|cx|cy|cz|de|dj|dk|dm|do|dz|ec|ee|eg|eh|er|es|et|fi|fj|fk|fm|fo|fr|ga|gb|gd|ge|gf|gg|gh|gi|gl|gm|gn|gp|gq|gr|gs|gt|gu|gw|gy|hk|hm|hn|hr|ht|hu|id|ie|il|im|in|io|iq|ir|is|it|je|jm|jo|jp|ke|kg|kh|ki|km|kn|kp|kr|kw|ky|kz|la|lb|lc|li|lk|lr|ls|lt|lu|lv|ly|ma|mc|md|me|mf|mg|mh|mk|ml|mm|mn|mo|mp|mq|mr|ms|mt|mu|mv|mw|mx|my|mz|na|nc|ne|nf|ng|ni|nl|no|np|nr|nu|nz|om|pa|pe|pf|pg|ph|pk|pl|pm|pn|pr|ps|pt|pw|py|qa|re|ro|rs|ru|rw|sa|sb|sc|sd|se|sg|sh|si|sj|sk|sl|sm|sn|so|sr|ss|st|sv|sx|sy|sz|tc|td|tf|tg|th|tj|tk|tl|tm|tn|to|tr|tt|tv|tw|tz|ua|ug|um|us|uy|uz|va|vc|ve|vg|vi|vn|vu|wf|ws|ye|yt|za|zm|zw)$','i'))))"  >Country code must be a valid code</assert>
    

<!--  VR.ATO.GEN.410194 ()

IF LENGTH(pyde.xx.xx:AddressDetails.Line1.Text) > 38     
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT17) > 38
^FBT17 = pyde.02.00:AddressDetails.Line1.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410194" diagnostics="D266VR.ATO.GEN.410194" subject="subject" test="not((string-length(normalize-space(($FBT17)[1])) &gt; 38))"  >Address Line 1 must not exceed 38 characters</assert>
    

<!--  VR.ATO.GEN.410194 ()

IF LENGTH(pyde.xx.xx:AddressDetails.Line1.Text) > 38     
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT32) > 38
^FBT32 = pyde.02.00:AddressDetails.Line1.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410194" diagnostics="D267VR.ATO.GEN.410194" subject="subject" test="not((string-length(normalize-space(($FBT32)[1])) &gt; 38))"  >Address Line 1 must not exceed 38 characters</assert>
    

<!--  VR.ATO.GEN.410194 ()

IF LENGTH(pyde.xx.xx:AddressDetails.Line1.Text) > 38     
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT41) > 38
^FBT41 = pyde.02.00:AddressDetails.Line1.Text WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410194" diagnostics="D268VR.ATO.GEN.410194" subject="subject" test="not((string-length(normalize-space(($FBT41)[1])) &gt; 38))"  >Address Line 1 must not exceed 38 characters</assert>
    

<!--  VR.ATO.GEN.410195 ()

IF LENGTH(pyde.xx.xx:AddressDetails.Line2.Text) > 38     
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT18) > 38
^FBT18 = pyde.02.00:AddressDetails.Line2.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410195" diagnostics="D269VR.ATO.GEN.410195" subject="subject" test="not((string-length(normalize-space(($FBT18)[1])) &gt; 38))"  >Address Line 2 must not exceed 38 characters</assert>
    

<!--  VR.ATO.GEN.410195 ()

IF LENGTH(pyde.xx.xx:AddressDetails.Line2.Text) > 38     
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT33) > 38
^FBT33 = pyde.02.00:AddressDetails.Line2.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410195" diagnostics="D270VR.ATO.GEN.410195" subject="subject" test="not((string-length(normalize-space(($FBT33)[1])) &gt; 38))"  >Address Line 2 must not exceed 38 characters</assert>
    

<!--  VR.ATO.GEN.410195 ()

IF LENGTH(pyde.xx.xx:AddressDetails.Line2.Text) > 38     
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT42) > 38
^FBT42 = pyde.02.00:AddressDetails.Line2.Text WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410195" diagnostics="D271VR.ATO.GEN.410195" subject="subject" test="not((string-length(normalize-space(($FBT42)[1])) &gt; 38))"  >Address Line 2 must not exceed 38 characters</assert>
    

<!--  VR.ATO.GEN.410205 ()

IF (pyde.xx.xx:AddressDetails.Line1.Text = FOUND("AS ABOVE"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT17, '"AS ABOVE"'))
^FBT17 = pyde.02.00:AddressDetails.Line1.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410205" diagnostics="D272VR.ATO.GEN.410205" subject="subject" test="not(matches(($FBT17)[1], '(^(AS ABOVE)$)|(^(.*)( AS ABOVE )(.*)$)|(^(AS ABOVE )(.*)$)|(^(.*)( AS ABOVE)$)','i'))"  >Address Line 1 must not contain 'AS ABOVE'</assert>
    

<!--  VR.ATO.GEN.410205 ()

IF (pyde.xx.xx:AddressDetails.Line1.Text = FOUND("AS ABOVE"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT32, '"AS ABOVE"'))
^FBT32 = pyde.02.00:AddressDetails.Line1.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410205" diagnostics="D273VR.ATO.GEN.410205" subject="subject" test="not(matches(($FBT32)[1], '(^(AS ABOVE)$)|(^(.*)( AS ABOVE )(.*)$)|(^(AS ABOVE )(.*)$)|(^(.*)( AS ABOVE)$)','i'))"  >Address Line 1 must not contain 'AS ABOVE'</assert>
    

<!--  VR.ATO.GEN.410205 ()

IF (pyde.xx.xx:AddressDetails.Line1.Text = FOUND("AS ABOVE"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT41, '"AS ABOVE"'))
^FBT41 = pyde.02.00:AddressDetails.Line1.Text WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410205" diagnostics="D274VR.ATO.GEN.410205" subject="subject" test="not(matches(($FBT41)[1], '(^(AS ABOVE)$)|(^(.*)( AS ABOVE )(.*)$)|(^(AS ABOVE )(.*)$)|(^(.*)( AS ABOVE)$)','i'))"  >Address Line 1 must not contain 'AS ABOVE'</assert>
    

<!--  VR.ATO.GEN.410211 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF (pyde.xx.xx:AddressDetails.Country.Code = "au") AND  (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = TRUE)      
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT222 = 'au') AND  (^FBT25 = TRUE)
^FBT222 = pyde.02.00:AddressDetails.Country.Code WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

^FBT25 = pyde.02.00:AddressDetails.OverseasAddress.Indicator WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410211" diagnostics="D275VR.ATO.GEN.410211" subject="subject" test="not((string(($FBT222)[1]) = 'au' and string(($FBT25)[1]) = 'true'))"  >Overseas address indicator must not be 'TRUE' if Country Code is 'au'</assert>
    

<!--  VR.ATO.GEN.410211 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF (pyde.xx.xx:AddressDetails.Country.Code = "au") AND  (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = TRUE)      
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT223 = 'au') AND  (^FBT159 = TRUE)
^FBT223 = pyde.02.00:AddressDetails.Country.Code WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

^FBT159 = pyde.02.00:AddressDetails.OverseasAddress.Indicator WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410211" diagnostics="D276VR.ATO.GEN.410211" subject="subject" test="not((string(($FBT223)[1]) = 'au' and string(($FBT159)[1]) = 'true'))"  >Overseas address indicator must not be 'TRUE' if Country Code is 'au'</assert>
    

<!--  VR.ATO.GEN.410211 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF (pyde.xx.xx:AddressDetails.Country.Code = "au") AND  (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = TRUE)      
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT224 = 'au') AND  (^FBT164 = TRUE)
^FBT224 = pyde.02.00:AddressDetails.Country.Code WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

^FBT164 = pyde.02.00:AddressDetails.OverseasAddress.Indicator WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410211" diagnostics="D277VR.ATO.GEN.410211" subject="subject" test="not((string(($FBT224)[1]) = 'au' and string(($FBT164)[1]) = 'true'))"  >Overseas address indicator must not be 'TRUE' if Country Code is 'au'</assert>
    

<!--  VR.ATO.GEN.410213 ()

IF (pyde.xx.xx:AddressDetails.CountryName.Text <> NULLORBLANK)    
    RETURN VALIDATION MESSAGE
ENDIF

^FBT24 <> BLANK
^FBT24 = pyde.02.00:AddressDetails.CountryName.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410213" diagnostics="D281VR.ATO.GEN.410213" subject="subject" test="not((string-length(normalize-space(($FBT24)[1])) != 0))"  >Country Name must be left blank</assert>
    

<!--  VR.ATO.GEN.410213 ()

IF (pyde.xx.xx:AddressDetails.CountryName.Text <> NULLORBLANK)    
    RETURN VALIDATION MESSAGE
ENDIF

^FBT39 <> BLANK
^FBT39 = pyde.02.00:AddressDetails.CountryName.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410213" diagnostics="D282VR.ATO.GEN.410213" subject="subject" test="not((string-length(normalize-space(($FBT39)[1])) != 0))"  >Country Name must be left blank</assert>
    

<!--  VR.ATO.GEN.410213 ()

IF (pyde.xx.xx:AddressDetails.CountryName.Text <> NULLORBLANK)    
    RETURN VALIDATION MESSAGE
ENDIF

^FBT48 <> BLANK
^FBT48 = pyde.02.00:AddressDetails.CountryName.Text WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410213" diagnostics="D283VR.ATO.GEN.410213" subject="subject" test="not((string-length(normalize-space(($FBT48)[1])) != 0))"  >Country Name must be left blank</assert>
    

<!--  VR.ATO.GEN.410214 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF (pyde.xx.xx:AddressDetails.Line1.Text = NULLORBLANK)  
    RETURN VALIDATION MESSAGE
ENDIF

(^AddressDetails <> NULL) AND ((^FBT17 = BLANK))
^FBT17 = pyde.02.00:AddressDetails.Line1.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

^AddressDetails = address2.02.01:AddressDetails

-->


    <assert id="VR.ATO.GEN.410214" diagnostics="D284VR.ATO.GEN.410214" subject="subject" test="not((exists(($AddressDetails_POS_C)[1]) and string-length(normalize-space(($FBT17)[1])) = 0))"  >Address Line 1 must be present</assert>
    

<!--  VR.ATO.GEN.410214 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF (pyde.xx.xx:AddressDetails.Line1.Text = NULLORBLANK)  
    RETURN VALIDATION MESSAGE
ENDIF

(^AddressDetails <> NULL) AND ((^FBT32 = BLANK))
^FBT32 = pyde.02.00:AddressDetails.Line1.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

^AddressDetails = address2.02.01:AddressDetails

-->


    <assert id="VR.ATO.GEN.410214" diagnostics="D285VR.ATO.GEN.410214" subject="subject" test="not((exists(($AddressDetails_POS_P)[1]) and string-length(normalize-space(($FBT32)[1])) = 0))"  >Address Line 1 must be present</assert>
    

<!--  VR.ATO.GEN.410214 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF (pyde.xx.xx:AddressDetails.Line1.Text = NULLORBLANK)  
    RETURN VALIDATION MESSAGE
ENDIF

(^AddressDetails <> NULL) AND ((^FBT41 = BLANK))
^FBT41 = pyde.02.00:AddressDetails.Line1.Text WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

^AddressDetails = address2.02.01:AddressDetails

-->


    <assert id="VR.ATO.GEN.410214" diagnostics="D286VR.ATO.GEN.410214" subject="subject" test="not((exists(($AddressDetails_BUS_C)[1]) and string-length(normalize-space(($FBT41)[1])) = 0))"  >Address Line 1 must be present</assert>
    

<!--  VR.ATO.GEN.428230 ()

IF (pyde.xx.xx:AddressDetails.LocalityName.Text = FOUND("QLD","NSW","VIC","SA","WA","NT","ACT","TAS"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT21, '"QLD","NSW","VIC","SA","WA","NT","ACT","TAS"'))
^FBT21 = pyde.02.00:AddressDetails.LocalityName.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428230" diagnostics="D290VR.ATO.GEN.428230" subject="subject" test="not(matches(($FBT21)[1], '(^(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)$)|(^(.*)( QLD | NSW | VIC | SA | WA | NT | ACT | TAS )(.*)$)|(^(QLD |NSW |VIC |SA |WA |NT |ACT |TAS )(.*)$)|(^(.*)( QLD| NSW| VIC| SA| WA| NT| ACT| TAS)$)','i'))"  >Suburb/Town/City cannot contain state code</assert>
    

<!--  VR.ATO.GEN.428230 ()

IF (pyde.xx.xx:AddressDetails.LocalityName.Text = FOUND("QLD","NSW","VIC","SA","WA","NT","ACT","TAS"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT36, '"QLD","NSW","VIC","SA","WA","NT","ACT","TAS"'))
^FBT36 = pyde.02.00:AddressDetails.LocalityName.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428230" diagnostics="D291VR.ATO.GEN.428230" subject="subject" test="not(matches(($FBT36)[1], '(^(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)$)|(^(.*)( QLD | NSW | VIC | SA | WA | NT | ACT | TAS )(.*)$)|(^(QLD |NSW |VIC |SA |WA |NT |ACT |TAS )(.*)$)|(^(.*)( QLD| NSW| VIC| SA| WA| NT| ACT| TAS)$)','i'))"  >Suburb/Town/City cannot contain state code</assert>
    

<!--  VR.ATO.GEN.428230 ()

IF (pyde.xx.xx:AddressDetails.LocalityName.Text = FOUND("QLD","NSW","VIC","SA","WA","NT","ACT","TAS"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT45, '"QLD","NSW","VIC","SA","WA","NT","ACT","TAS"'))
^FBT45 = pyde.02.00:AddressDetails.LocalityName.Text WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428230" diagnostics="D292VR.ATO.GEN.428230" subject="subject" test="not(matches(($FBT45)[1], '(^(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)$)|(^(.*)( QLD | NSW | VIC | SA | WA | NT | ACT | TAS )(.*)$)|(^(QLD |NSW |VIC |SA |WA |NT |ACT |TAS )(.*)$)|(^(.*)( QLD| NSW| VIC| SA| WA| NT| ACT| TAS)$)','i'))"  >Suburb/Town/City cannot contain state code</assert>
    

<!--  VR.ATO.GEN.428240 ()

IF (pyde.xx.xx:AddressDetails.Line1.Text = FOUND("C/O","C/","Care Of","CO"))    
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT17, '"C/O","C/","Care Of","CO"'))
^FBT17 = pyde.02.00:AddressDetails.Line1.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428240" diagnostics="D293VR.ATO.GEN.428240" subject="subject" test="not(matches(($FBT17)[1], '(^(C/O|C/|Care Of|CO)$)|(^(.*)( C/O | C/ | Care Of | CO )(.*)$)|(^(C/O |C/ |Care Of |CO )(.*)$)|(^(.*)( C/O| C/| Care Of| CO)$)','i'))"  >Address line 1 contains incorrect 'care of' reference.  The only acceptable 'care of' reference is C/-</assert>
    

<!--  VR.ATO.GEN.428240 ()

IF (pyde.xx.xx:AddressDetails.Line1.Text = FOUND("C/O","C/","Care Of","CO"))    
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT32, '"C/O","C/","Care Of","CO"'))
^FBT32 = pyde.02.00:AddressDetails.Line1.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428240" diagnostics="D294VR.ATO.GEN.428240" subject="subject" test="not(matches(($FBT32)[1], '(^(C/O|C/|Care Of|CO)$)|(^(.*)( C/O | C/ | Care Of | CO )(.*)$)|(^(C/O |C/ |Care Of |CO )(.*)$)|(^(.*)( C/O| C/| Care Of| CO)$)','i'))"  >Address line 1 contains incorrect 'care of' reference.  The only acceptable 'care of' reference is C/-</assert>
    

<!--  VR.ATO.GEN.428240 ()

IF (pyde.xx.xx:AddressDetails.Line1.Text = FOUND("C/O","C/","Care Of","CO"))    
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT41, '"C/O","C/","Care Of","CO"'))
^FBT41 = pyde.02.00:AddressDetails.Line1.Text WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428240" diagnostics="D295VR.ATO.GEN.428240" subject="subject" test="not(matches(($FBT41)[1], '(^(C/O|C/|Care Of|CO)$)|(^(.*)( C/O | C/ | Care Of | CO )(.*)$)|(^(C/O |C/ |Care Of |CO )(.*)$)|(^(.*)( C/O| C/| Care Of| CO)$)','i'))"  >Address line 1 contains incorrect 'care of' reference.  The only acceptable 'care of' reference is C/-</assert>
    

<!--  VR.ATO.GEN.428241 ()

IF (pyde.xx.xx:AddressDetails.Line2.Text = FOUND("C/-","C/O","C/","Care Of","CO"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT18, '"C/-","C/O","C/","Care Of","CO"'))
^FBT18 = pyde.02.00:AddressDetails.Line2.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428241" diagnostics="D296VR.ATO.GEN.428241" subject="subject" test="not(matches(($FBT18)[1], '(^(C/-|C/O|C/|Care Of|CO)$)|(^(.*)( C/- | C/O | C/ | Care Of | CO )(.*)$)|(^(C/- |C/O |C/ |Care Of |CO )(.*)$)|(^(.*)( C/-| C/O| C/| Care Of| CO)$)','i'))"  >Care of' is not valid for address line 2</assert>
    

<!--  VR.ATO.GEN.428241 ()

IF (pyde.xx.xx:AddressDetails.Line2.Text = FOUND("C/-","C/O","C/","Care Of","CO"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT33, '"C/-","C/O","C/","Care Of","CO"'))
^FBT33 = pyde.02.00:AddressDetails.Line2.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428241" diagnostics="D297VR.ATO.GEN.428241" subject="subject" test="not(matches(($FBT33)[1], '(^(C/-|C/O|C/|Care Of|CO)$)|(^(.*)( C/- | C/O | C/ | Care Of | CO )(.*)$)|(^(C/- |C/O |C/ |Care Of |CO )(.*)$)|(^(.*)( C/-| C/O| C/| Care Of| CO)$)','i'))"  >Care of' is not valid for address line 2</assert>
    

<!--  VR.ATO.GEN.428241 ()

IF (pyde.xx.xx:AddressDetails.Line2.Text = FOUND("C/-","C/O","C/","Care Of","CO"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT42, '"C/-","C/O","C/","Care Of","CO"'))
^FBT42 = pyde.02.00:AddressDetails.Line2.Text WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428241" diagnostics="D298VR.ATO.GEN.428241" subject="subject" test="not(matches(($FBT42)[1], '(^(C/-|C/O|C/|Care Of|CO)$)|(^(.*)( C/- | C/O | C/ | Care Of | CO )(.*)$)|(^(C/- |C/O |C/ |Care Of |CO )(.*)$)|(^(.*)( C/-| C/O| C/| Care Of| CO)$)','i'))"  >Care of' is not valid for address line 2</assert>
    

<!--  VR.ATO.GEN.428254 ()

IF (pyde.xx.xx:AddressDetails.Line1.Text CONTAINS "UNKNOWN")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT17, 'UNKNOWN')
^FBT17 = pyde.02.00:AddressDetails.Line1.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428254" diagnostics="D299VR.ATO.GEN.428254" subject="subject" test="not(contains(upper-case(($FBT17)[1]), 'UNKNOWN'))"  >Address line 1 cannot contain "UNKNOWN"</assert>
    

<!--  VR.ATO.GEN.428254 ()

IF (pyde.xx.xx:AddressDetails.Line1.Text CONTAINS "UNKNOWN")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT32, 'UNKNOWN')
^FBT32 = pyde.02.00:AddressDetails.Line1.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428254" diagnostics="D300VR.ATO.GEN.428254" subject="subject" test="not(contains(upper-case(($FBT32)[1]), 'UNKNOWN'))"  >Address line 1 cannot contain "UNKNOWN"</assert>
    

<!--  VR.ATO.GEN.428254 ()

IF (pyde.xx.xx:AddressDetails.Line1.Text CONTAINS "UNKNOWN")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT41, 'UNKNOWN')
^FBT41 = pyde.02.00:AddressDetails.Line1.Text WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428254" diagnostics="D301VR.ATO.GEN.428254" subject="subject" test="not(contains(upper-case(($FBT41)[1]), 'UNKNOWN'))"  >Address line 1 cannot contain "UNKNOWN"</assert>
    

<!--  VR.ATO.GEN.428255 ()

IF (pyde.xx.xx:AddressDetails.Line2.Text CONTAINS "UNKNOWN")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT18, 'UNKNOWN')
^FBT18 = pyde.02.00:AddressDetails.Line2.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428255" diagnostics="D302VR.ATO.GEN.428255" subject="subject" test="not(contains(upper-case(($FBT18)[1]), 'UNKNOWN'))"  >Address line 2 cannot contain "UNKNOWN"</assert>
    

<!--  VR.ATO.GEN.428255 ()

IF (pyde.xx.xx:AddressDetails.Line2.Text CONTAINS "UNKNOWN")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT33, 'UNKNOWN')
^FBT33 = pyde.02.00:AddressDetails.Line2.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428255" diagnostics="D303VR.ATO.GEN.428255" subject="subject" test="not(contains(upper-case(($FBT33)[1]), 'UNKNOWN'))"  >Address line 2 cannot contain "UNKNOWN"</assert>
    

<!--  VR.ATO.GEN.428255 ()

IF (pyde.xx.xx:AddressDetails.Line2.Text CONTAINS "UNKNOWN")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT42, 'UNKNOWN')
^FBT42 = pyde.02.00:AddressDetails.Line2.Text WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428255" diagnostics="D304VR.ATO.GEN.428255" subject="subject" test="not(contains(upper-case(($FBT42)[1]), 'UNKNOWN'))"  >Address line 2 cannot contain "UNKNOWN"</assert>
    

<!--  VR.ATO.GEN.428256 ()

IF (pyde.xx.xx:AddressDetails.LocalityName.Text CONTAINS "UNKNOWN")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT21, 'UNKNOWN')
^FBT21 = pyde.02.00:AddressDetails.LocalityName.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428256" diagnostics="D305VR.ATO.GEN.428256" subject="subject" test="not(contains(upper-case(($FBT21)[1]), 'UNKNOWN'))"  >Suburb/Town/City cannot contain "UNKNOWN"</assert>
    

<!--  VR.ATO.GEN.428256 ()

IF (pyde.xx.xx:AddressDetails.LocalityName.Text CONTAINS "UNKNOWN")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT36, 'UNKNOWN')
^FBT36 = pyde.02.00:AddressDetails.LocalityName.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428256" diagnostics="D306VR.ATO.GEN.428256" subject="subject" test="not(contains(upper-case(($FBT36)[1]), 'UNKNOWN'))"  >Suburb/Town/City cannot contain "UNKNOWN"</assert>
    

<!--  VR.ATO.GEN.428256 ()

IF (pyde.xx.xx:AddressDetails.LocalityName.Text CONTAINS "UNKNOWN")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT45, 'UNKNOWN')
^FBT45 = pyde.02.00:AddressDetails.LocalityName.Text WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428256" diagnostics="D307VR.ATO.GEN.428256" subject="subject" test="not(contains(upper-case(($FBT45)[1]), 'UNKNOWN'))"  >Suburb/Town/City cannot contain "UNKNOWN"</assert>
    

<!--  VR.ATO.GEN.430245 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF (pyde.xx.xx:AddressDetails.LocalityName.Text = NULLORBLANK)  
    RETURN VALIDATION MESSAGE
ENDIF

(^AddressDetails <> NULL) AND ((^FBT21 = BLANK))
^FBT21 = pyde.02.00:AddressDetails.LocalityName.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

^AddressDetails = address2.02.01:AddressDetails

-->


    <assert id="VR.ATO.GEN.430245" diagnostics="D308VR.ATO.GEN.430245" subject="subject" test="not((exists(($AddressDetails_POS_C)[1]) and string-length(normalize-space(($FBT21)[1])) = 0))"  >Suburb/Town/City must be present in an address</assert>
    

<!--  VR.ATO.GEN.430245 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF (pyde.xx.xx:AddressDetails.LocalityName.Text = NULLORBLANK)  
    RETURN VALIDATION MESSAGE
ENDIF

(^AddressDetails <> NULL) AND ((^FBT36 = BLANK))
^FBT36 = pyde.02.00:AddressDetails.LocalityName.Text WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']

^AddressDetails = address2.02.01:AddressDetails

-->


    <assert id="VR.ATO.GEN.430245" diagnostics="D309VR.ATO.GEN.430245" subject="subject" test="not((exists(($AddressDetails_POS_P)[1]) and string-length(normalize-space(($FBT36)[1])) = 0))"  >Suburb/Town/City must be present in an address</assert>
    

<!--  VR.ATO.GEN.430245 ()

WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)IF (pyde.xx.xx:AddressDetails.LocalityName.Text = NULLORBLANK)  
    RETURN VALIDATION MESSAGE
ENDIF

(^AddressDetails <> NULL) AND ((^FBT45 = BLANK))
^FBT45 = pyde.02.00:AddressDetails.LocalityName.Text WHERE [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']

^AddressDetails = address2.02.01:AddressDetails

-->


    <assert id="VR.ATO.GEN.430245" diagnostics="D310VR.ATO.GEN.430245" subject="subject" test="not((exists(($AddressDetails_BUS_C)[1]) and string-length(normalize-space(($FBT45)[1])) = 0))"  >Suburb/Town/City must be present in an address</assert>
    

<!--  VR.ATO.GEN.430222 ()

IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text STARTSWITH "@") OR (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text ENDSWITH "@")      
    RETURN VALIDATION MESSAGE
ENDIF

(StartsWith(^FBT62, '@')) OR (EndsWith(^FBT62, '@'))
^FBT62 = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text WHERE [ElectronicContact.ElectronicMail.Usage.Code='03']

-->


    <assert id="VR.ATO.GEN.430222" diagnostics="D316VR.ATO.GEN.430222" subject="subject" test="not((matches(($FBT62)[1], '^(@)','i') or matches(($FBT62)[1], '(@)$','i')))"  >Email address must not start or end with an @ symbol</assert>
    

<!--  VR.ATO.GEN.430223 ()

IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS MORE THAN ONE "@"   
    RETURN VALIDATION MESSAGE
ENDIF

ContainsMultiple(^FBT62, '@')
^FBT62 = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text WHERE [ElectronicContact.ElectronicMail.Usage.Code='03']

-->


    <assert id="VR.ATO.GEN.430223" diagnostics="D317VR.ATO.GEN.430223" subject="subject" test="not(matches(($FBT62)[1], '@(.*)@','i'))"  >Email address must not contain more than one @ symbol</assert>
    

<!--  VR.ATO.GEN.430224 ()

IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text STARTSWITH ".") OR (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text ENDSWITH ".")    
    RETURN VALIDATION MESSAGE
ENDIF

(StartsWith(^FBT62, '.')) OR (EndsWith(^FBT62, '.'))
^FBT62 = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text WHERE [ElectronicContact.ElectronicMail.Usage.Code='03']

-->


    <assert id="VR.ATO.GEN.430224" diagnostics="D318VR.ATO.GEN.430224" subject="subject" test="not((matches(($FBT62)[1], '^(\.)','i') or matches(($FBT62)[1], '(\.)$','i')))"  >Email address must not start or end with a dot (.)</assert>
    

<!--  VR.ATO.GEN.430226 ()

IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS ".."   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT62, '..')
^FBT62 = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text WHERE [ElectronicContact.ElectronicMail.Usage.Code='03']

-->


    <assert id="VR.ATO.GEN.430226" diagnostics="D319VR.ATO.GEN.430226" subject="subject" test="not(contains(($FBT62)[1], '..'))"  >Email address must not contain more than one consecutive dots (..)</assert>
    

<!--  VR.ATO.GEN.430227 ()

IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS ".@"   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT62, '.@')
^FBT62 = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text WHERE [ElectronicContact.ElectronicMail.Usage.Code='03']

-->


    <assert id="VR.ATO.GEN.430227" diagnostics="D320VR.ATO.GEN.430227" subject="subject" test="not(contains(($FBT62)[1], '.@'))"  >Email address must not contain a dot followed by a @ symbol (.@)</assert>
    

<!--  VR.ATO.GEN.430228 ()

IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS "@."   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT62, '@.')
^FBT62 = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text WHERE [ElectronicContact.ElectronicMail.Usage.Code='03']

-->


    <assert id="VR.ATO.GEN.430228" diagnostics="D321VR.ATO.GEN.430228" subject="subject" test="not(contains(($FBT62)[1], '@.'))"  >Email address must not contain a @ symbol followed by a dot (@.)</assert>
    

<!--  VR.ATO.GEN.430229 ()

IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS SET("(", ")", "<", ">", ",", ";", ":", "\",  """, "]", "[")   
    RETURN VALIDATION MESSAGE
ENDIF

ContainsSet(^FBT62, '"(", ")", "<", ">", ",", ";", ":", "\",  """, "]", "["')
^FBT62 = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text WHERE [ElectronicContact.ElectronicMail.Usage.Code='03']

-->


    <assert id="VR.ATO.GEN.430229" diagnostics="D322VR.ATO.GEN.430229" subject="subject" test="not(matches(($FBT62)[1], '\(|\)|&lt;|&gt;|,|;|:|\\|&quot;|\]|\[','i'))"  >Email address must not contain an invalid character</assert>
    

<!--  VR.ATO.GEN.430230 ()

IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text <> NULLORBLANK) AND (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text DOES NOT CONTAIN "@")   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT62 <> BLANK) AND (NotContains(^FBT62, '@'))
^FBT62 = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text WHERE [ElectronicContact.ElectronicMail.Usage.Code='03']

-->


    <assert id="VR.ATO.GEN.430230" diagnostics="D323VR.ATO.GEN.430230" subject="subject" test="not((string-length(normalize-space(($FBT62)[1])) != 0 and not(contains(($FBT62)[1], '@'))))"  >Email address must contain an @ symbol</assert>
    

<!--  VR.ATO.GEN.430231 ()

IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text = FOUND(" ")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT62, ' ')
^FBT62 = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text WHERE [ElectronicContact.ElectronicMail.Usage.Code='03']

-->


    <assert id="VR.ATO.GEN.430231" diagnostics="D324VR.ATO.GEN.430231" subject="subject" test="not(contains(($FBT62)[1], ' '))"  >An email address must not start with a space or include a space within it</assert>
    

<!--  VR.ATO.GEN.430232 ()

IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text <> NULLORBLANK) AND (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text DOES NOT CONTAIN ".")    
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT62 <> BLANK) AND (NotContains(^FBT62, '.'))
^FBT62 = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text WHERE [ElectronicContact.ElectronicMail.Usage.Code='03']

-->


    <assert id="VR.ATO.GEN.430232" diagnostics="D325VR.ATO.GEN.430232" subject="subject" test="not((string-length(normalize-space(($FBT62)[1])) != 0 and not(contains(($FBT62)[1], '.'))))"  >Email address must contain a dot (.)</assert>
    

<!--  VR.ATO.GEN.432032 ()

WHERE IN TUPLE(financialinstitutionaccount1.xx.xx:FinancialInstitutionAccount)IF pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number = NULLORBLANK OR pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccount.Number = NULLORBLANK OR pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text = NULLORBLANK   
    RETURN VALIDATION MESSAGE
ENDIF

(^FIA <> NULL) AND (^FBT229 = BLANK OR ^FBT230 = BLANK OR ^FBT231 = BLANK)
^FBT230 = pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number

^FBT229 = pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number

^FBT231 = pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text

^FIA = fininstacc1.02.00:FinancialInstitutionAccount

-->


    <assert id="VR.ATO.GEN.432032" diagnostics="D328VR.ATO.GEN.432032" subject="subject" test="not((exists(($FinancialInstitutionAccount)[1]) and (string-length(normalize-space(($FBT229)[1])) = 0 or string-length(normalize-space(($FBT230)[1])) = 0 or string-length(normalize-space(($FBT231)[1])) = 0)))"  >BSB Number, Account Number and Account Name must all be present</assert>
    

<!--  VR.ATO.GEN.432035 ()

IF pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number <> NULLORBLANK AND (pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number <> SET(012001- 999999)) OR (LENGTH(pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number) <> 6)   
    RETURN VALIDATION MESSAGE
ENDIF

(^FIA <> NULL) AND (^FBT229 <> BLANK AND (IsNumeric(^FBT229) = 'FALSE' OR AsNumeric(^FBT229) < 12001 OR AsNumeric(^FBT229) > 999999 OR Length(^FBT229) <> 6))
^FBT229 = pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number

^FIA = fininstacc1.02.00:FinancialInstitutionAccount

-->


    <assert id="VR.ATO.GEN.432035" diagnostics="D329VR.ATO.GEN.432035" subject="subject" test="not((exists(($FinancialInstitutionAccount)[1]) and (string-length(normalize-space(($FBT229)[1])) != 0 and (string(($FBT229)[1] castable as xs:integer) = 'false' or xs:integer(($FBT229)[1]) &lt; 12001 or xs:integer(($FBT229)[1]) &gt; 999999 or string-length(normalize-space(($FBT229)[1])) != 6))))"  >BSB Number must be six digits and greater than 012000</assert>
    

<!--  VR.ATO.GEN.432036 ()

IF pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccount.Number CONTAINS SET("'", " ")   
    RETURN VALIDATION MESSAGE
ENDIF

ContainsSet(^FBT230, '"'", " "')
^FBT230 = pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number

-->


    <assert id="VR.ATO.GEN.432036" diagnostics="D330VR.ATO.GEN.432036" subject="subject" test="not(matches(($FBT230)[1], '''| ','i'))"  >Bank account number must not contain an apostrophe or a space</assert>
    

<!--  VR.ATO.GEN.432037 ()

IFpyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text CONTAINS SET("_", "!", "@", "$", "%", "]", "[", "?", "=", ":", ";", """, ",")   
    RETURN VALIDATION MESSAGE
ENDIF

ContainsSet(^FBT231, '"_", "!", "@", "$", "%", "]", "[", "?", "=", ":", ";", """, ","')
^FBT231 = pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text

-->


    <assert id="VR.ATO.GEN.432037" diagnostics="D331VR.ATO.GEN.432037" subject="subject" test="not(matches(($FBT231)[1], '_|!|@|\$|%|\]|\[|\?|=|:|;|&quot;|,','i'))"  >Bank account name must not contain invalid characters _ ! @ $ % [ ] ? = : ; " ,</assert>
    

<!--  VR.ATO.GEN.432040 ()

IF COUNT (TUPLE(financialinstitutionaccount1.xx.xx:FinancialInstitutionAccount)) > 1   
    RETURN VALIDATION MESSAGE
ENDIF

Count(^FinancialInstitutionAccount) > 1
^FinancialInstitutionAccount = fininstacc1.02.00:FinancialInstitutionAccount

-->


    <assert id="VR.ATO.GEN.432040" diagnostics="D332VR.ATO.GEN.432040" subject="subject" test="not((count($FinancialInstitutionAccount) &gt; 1))"  >Only one EFT bank account may be present</assert>
    

<!--  VR.ATO.GEN.432041 ()

IF LENGTH(pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text) > 32   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT231) > 32
^FBT231 = pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text

-->


    <assert id="VR.ATO.GEN.432041" diagnostics="D333VR.ATO.GEN.432041" subject="subject" test="not((string-length(normalize-space(($FBT231)[1])) &gt; 32))"  >Bank account name must not be longer than 32 characters</assert>
    

<!--  VR.ATO.GEN.410039 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  DOES NOT CONTAIN SET("a-z", "A-Z", "0-9"))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT10  <> BLANK) AND (NotContainsSet(^FBT10, '"a-z", "A-Z", "0-9"'))
^FBT10 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410039" diagnostics="D334VR.ATO.GEN.410039" subject="subject" test="not((string-length(normalize-space(($FBT10)[1])) != 0 and not(matches(($FBT10)[1], '[a-z]|[A-Z]|[0-9]','i'))))"  >Organisation name must contain at least one alpha or numeric character</assert>
    

<!--  VR.ATO.GEN.410039 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  DOES NOT CONTAIN SET("a-z", "A-Z", "0-9"))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT54  <> BLANK) AND (NotContainsSet(^FBT54, '"a-z", "A-Z", "0-9"'))
^FBT54 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410039" diagnostics="D335VR.ATO.GEN.410039" subject="subject" test="not((string-length(normalize-space(($FBT54)[1])) != 0 and not(matches(($FBT54)[1], '[a-z]|[A-Z]|[0-9]','i'))))"  >Organisation name must contain at least one alpha or numeric character</assert>
    

<!--  VR.ATO.GEN.410039 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  DOES NOT CONTAIN SET("a-z", "A-Z", "0-9"))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT16  <> BLANK) AND (NotContainsSet(^FBT16, '"a-z", "A-Z", "0-9"'))
^FBT16 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410039" diagnostics="D336VR.ATO.GEN.410039" subject="subject" test="not((string-length(normalize-space(($FBT16)[1])) != 0 and not(matches(($FBT16)[1], '[a-z]|[A-Z]|[0-9]','i'))))"  >Organisation name must contain at least one alpha or numeric character</assert>
    

<!--  VR.ATO.GEN.410039 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  DOES NOT CONTAIN SET("a-z", "A-Z", "0-9"))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT31  <> BLANK) AND (NotContainsSet(^FBT31, '"a-z", "A-Z", "0-9"'))
^FBT31 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410039" diagnostics="D337VR.ATO.GEN.410039" subject="subject" test="not((string-length(normalize-space(($FBT31)[1])) != 0 and not(matches(($FBT31)[1], '[a-z]|[A-Z]|[0-9]','i'))))"  >Organisation name must contain at least one alpha or numeric character</assert>
    

<!--  VR.ATO.GEN.410039 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  DOES NOT CONTAIN SET("a-z", "A-Z", "0-9"))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT40  <> BLANK) AND (NotContainsSet(^FBT40, '"a-z", "A-Z", "0-9"'))
^FBT40 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MTR'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410039" diagnostics="D338VR.ATO.GEN.410039" subject="subject" test="not((string-length(normalize-space(($FBT40)[1])) != 0 and not(matches(($FBT40)[1], '[a-z]|[A-Z]|[0-9]','i'))))"  >Organisation name must contain at least one alpha or numeric character</assert>
    

<!--  VR.ATO.GEN.428258 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS  " - " )   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT10, ' - ')
^FBT10 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428258" diagnostics="D339VR.ATO.GEN.428258" subject="subject" test="not(contains(($FBT10)[1], ' - '))"  >Non Individual Name cannot contain space hyphen space combinations</assert>
    

<!--  VR.ATO.GEN.428258 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS  " - " )   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT54, ' - ')
^FBT54 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428258" diagnostics="D340VR.ATO.GEN.428258" subject="subject" test="not(contains(($FBT54)[1], ' - '))"  >Non Individual Name cannot contain space hyphen space combinations</assert>
    

<!--  VR.ATO.GEN.428258 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS  " - " )   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT16, ' - ')
^FBT16 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428258" diagnostics="D341VR.ATO.GEN.428258" subject="subject" test="not(contains(($FBT16)[1], ' - '))"  >Non Individual Name cannot contain space hyphen space combinations</assert>
    

<!--  VR.ATO.GEN.428258 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS  " - " )   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT31, ' - ')
^FBT31 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428258" diagnostics="D342VR.ATO.GEN.428258" subject="subject" test="not(contains(($FBT31)[1], ' - '))"  >Non Individual Name cannot contain space hyphen space combinations</assert>
    

<!--  VR.ATO.GEN.428258 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS  " - " )   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT40, ' - ')
^FBT40 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MTR'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428258" diagnostics="D343VR.ATO.GEN.428258" subject="subject" test="not(contains(($FBT40)[1], ' - '))"  >Non Individual Name cannot contain space hyphen space combinations</assert>
    

<!--  VR.ATO.GEN.428259 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS "P/L")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT10, 'P/L')
^FBT10 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428259" diagnostics="D344VR.ATO.GEN.428259" subject="subject" test="not(contains(upper-case(($FBT10)[1]), 'P/L'))"  >Non Individual Name cannot contain "P/L"</assert>
    

<!--  VR.ATO.GEN.428259 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS "P/L")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT54, 'P/L')
^FBT54 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428259" diagnostics="D345VR.ATO.GEN.428259" subject="subject" test="not(contains(upper-case(($FBT54)[1]), 'P/L'))"  >Non Individual Name cannot contain "P/L"</assert>
    

<!--  VR.ATO.GEN.428259 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS "P/L")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT16, 'P/L')
^FBT16 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428259" diagnostics="D346VR.ATO.GEN.428259" subject="subject" test="not(contains(upper-case(($FBT16)[1]), 'P/L'))"  >Non Individual Name cannot contain "P/L"</assert>
    

<!--  VR.ATO.GEN.428259 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS "P/L")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT31, 'P/L')
^FBT31 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428259" diagnostics="D347VR.ATO.GEN.428259" subject="subject" test="not(contains(upper-case(($FBT31)[1]), 'P/L'))"  >Non Individual Name cannot contain "P/L"</assert>
    

<!--  VR.ATO.GEN.428259 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS "P/L")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT40, 'P/L')
^FBT40 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MTR'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428259" diagnostics="D348VR.ATO.GEN.428259" subject="subject" test="not(contains(upper-case(($FBT40)[1]), 'P/L'))"  >Non Individual Name cannot contain "P/L"</assert>
    

<!--  VR.ATO.GEN.428260 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS SET("DASHDASH","'’","  ") )   
    RETURN VALIDATION MESSAGE
ENDIF

(ContainsSet(^FBT10, '"DASHDASH","''","  "'))
^FBT10 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428260" diagnostics="D349VR.ATO.GEN.428260" subject="subject" test="not(matches(($FBT10)[1], '--|''''|  ','i'))"  >Non Individual Name cannot contain repeated hyphen, apostrophe, or space characters</assert>
    

<!--  VR.ATO.GEN.428260 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS SET("DASHDASH","'’","  ") )   
    RETURN VALIDATION MESSAGE
ENDIF

(ContainsSet(^FBT54, '"DASHDASH","''","  "'))
^FBT54 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428260" diagnostics="D350VR.ATO.GEN.428260" subject="subject" test="not(matches(($FBT54)[1], '--|''''|  ','i'))"  >Non Individual Name cannot contain repeated hyphen, apostrophe, or space characters</assert>
    

<!--  VR.ATO.GEN.428260 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS SET("DASHDASH","'’","  ") )   
    RETURN VALIDATION MESSAGE
ENDIF

(ContainsSet(^FBT16, '"DASHDASH","''","  "'))
^FBT16 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428260" diagnostics="D351VR.ATO.GEN.428260" subject="subject" test="not(matches(($FBT16)[1], '--|''''|  ','i'))"  >Non Individual Name cannot contain repeated hyphen, apostrophe, or space characters</assert>
    

<!--  VR.ATO.GEN.428260 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS SET("DASHDASH","'’","  ") )   
    RETURN VALIDATION MESSAGE
ENDIF

(ContainsSet(^FBT31, '"DASHDASH","''","  "'))
^FBT31 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428260" diagnostics="D352VR.ATO.GEN.428260" subject="subject" test="not(matches(($FBT31)[1], '--|''''|  ','i'))"  >Non Individual Name cannot contain repeated hyphen, apostrophe, or space characters</assert>
    

<!--  VR.ATO.GEN.428260 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS SET("DASHDASH","'’","  ") )   
    RETURN VALIDATION MESSAGE
ENDIF

(ContainsSet(^FBT40, '"DASHDASH","''","  "'))
^FBT40 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MTR'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428260" diagnostics="D353VR.ATO.GEN.428260" subject="subject" test="not(matches(($FBT40)[1], '--|''''|  ','i'))"  >Non Individual Name cannot contain repeated hyphen, apostrophe, or space characters</assert>
    

<!--  VR.ATO.GEN.410038 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text STARTSWITH "T/A ") AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" Pship"," P'ship"," P/ship"))  
    RETURN VALIDATION MESSAGE
ENDIF

(StartsWith(^FBT10, 'T/A ')) AND (EndsWithSet(^FBT10, '" Pship"," P'ship"," P/ship"'))
^FBT10 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410038" diagnostics="D354VR.ATO.GEN.410038" subject="subject" test="not((matches(($FBT10)[1], '^(T/A )','i') and matches(($FBT10)[1], '( Pship| P''ship| P/ship)$','i')))"  >Non-individual name field cannot start with 'T/A' and end with 'Pship', 'P'ship or 'P/Ship'</assert>
    

<!--  VR.ATO.GEN.410038 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text STARTSWITH "T/A ") AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" Pship"," P'ship"," P/ship"))  
    RETURN VALIDATION MESSAGE
ENDIF

(StartsWith(^FBT54, 'T/A ')) AND (EndsWithSet(^FBT54, '" Pship"," P'ship"," P/ship"'))
^FBT54 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410038" diagnostics="D355VR.ATO.GEN.410038" subject="subject" test="not((matches(($FBT54)[1], '^(T/A )','i') and matches(($FBT54)[1], '( Pship| P''ship| P/ship)$','i')))"  >Non-individual name field cannot start with 'T/A' and end with 'Pship', 'P'ship or 'P/Ship'</assert>
    

<!--  VR.ATO.GEN.410038 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text STARTSWITH "T/A ") AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" Pship"," P'ship"," P/ship"))  
    RETURN VALIDATION MESSAGE
ENDIF

(StartsWith(^FBT16, 'T/A ')) AND (EndsWithSet(^FBT16, '" Pship"," P'ship"," P/ship"'))
^FBT16 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410038" diagnostics="D356VR.ATO.GEN.410038" subject="subject" test="not((matches(($FBT16)[1], '^(T/A )','i') and matches(($FBT16)[1], '( Pship| P''ship| P/ship)$','i')))"  >Non-individual name field cannot start with 'T/A' and end with 'Pship', 'P'ship or 'P/Ship'</assert>
    

<!--  VR.ATO.GEN.410038 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text STARTSWITH "T/A ") AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" Pship"," P'ship"," P/ship"))  
    RETURN VALIDATION MESSAGE
ENDIF

(StartsWith(^FBT31, 'T/A ')) AND (EndsWithSet(^FBT31, '" Pship"," P'ship"," P/ship"'))
^FBT31 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410038" diagnostics="D357VR.ATO.GEN.410038" subject="subject" test="not((matches(($FBT31)[1], '^(T/A )','i') and matches(($FBT31)[1], '( Pship| P''ship| P/ship)$','i')))"  >Non-individual name field cannot start with 'T/A' and end with 'Pship', 'P'ship or 'P/Ship'</assert>
    

<!--  VR.ATO.GEN.410038 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text STARTSWITH "T/A ") AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" Pship"," P'ship"," P/ship"))  
    RETURN VALIDATION MESSAGE
ENDIF

(StartsWith(^FBT40, 'T/A ')) AND (EndsWithSet(^FBT40, '" Pship"," P'ship"," P/ship"'))
^FBT40 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MTR'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410038" diagnostics="D358VR.ATO.GEN.410038" subject="subject" test="not((matches(($FBT40)[1], '^(T/A )','i') and matches(($FBT40)[1], '( Pship| P''ship| P/ship)$','i')))"  >Non-individual name field cannot start with 'T/A' and end with 'Pship', 'P'ship or 'P/Ship'</assert>
    

<!--  VR.ATO.GEN.410206 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = FOUND("The trustee","The Exec","exec","The TTE"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT10, '"The trustee","The Exec","exec","The TTE"'))
^FBT10 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410206" diagnostics="D369VR.ATO.GEN.410206" subject="subject" test="not(matches(($FBT10)[1], '(^(The trustee|The Exec|exec|The TTE)$)|(^(.*)( The trustee | The Exec | exec | The TTE )(.*)$)|(^(The trustee |The Exec |exec |The TTE )(.*)$)|(^(.*)( The trustee| The Exec| exec| The TTE)$)','i'))"  >Non Individual Name cannot contain "The trustee", "The Exec", "exec" or "the TTE"</assert>
    

<!--  VR.ATO.GEN.410206 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = FOUND("The trustee","The Exec","exec","The TTE"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT54, '"The trustee","The Exec","exec","The TTE"'))
^FBT54 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410206" diagnostics="D370VR.ATO.GEN.410206" subject="subject" test="not(matches(($FBT54)[1], '(^(The trustee|The Exec|exec|The TTE)$)|(^(.*)( The trustee | The Exec | exec | The TTE )(.*)$)|(^(The trustee |The Exec |exec |The TTE )(.*)$)|(^(.*)( The trustee| The Exec| exec| The TTE)$)','i'))"  >Non Individual Name cannot contain "The trustee", "The Exec", "exec" or "the TTE"</assert>
    

<!--  VR.ATO.GEN.410206 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = FOUND("The trustee","The Exec","exec","The TTE"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT16, '"The trustee","The Exec","exec","The TTE"'))
^FBT16 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410206" diagnostics="D371VR.ATO.GEN.410206" subject="subject" test="not(matches(($FBT16)[1], '(^(The trustee|The Exec|exec|The TTE)$)|(^(.*)( The trustee | The Exec | exec | The TTE )(.*)$)|(^(The trustee |The Exec |exec |The TTE )(.*)$)|(^(.*)( The trustee| The Exec| exec| The TTE)$)','i'))"  >Non Individual Name cannot contain "The trustee", "The Exec", "exec" or "the TTE"</assert>
    

<!--  VR.ATO.GEN.410206 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = FOUND("The trustee","The Exec","exec","The TTE"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT31, '"The trustee","The Exec","exec","The TTE"'))
^FBT31 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410206" diagnostics="D372VR.ATO.GEN.410206" subject="subject" test="not(matches(($FBT31)[1], '(^(The trustee|The Exec|exec|The TTE)$)|(^(.*)( The trustee | The Exec | exec | The TTE )(.*)$)|(^(The trustee |The Exec |exec |The TTE )(.*)$)|(^(.*)( The trustee| The Exec| exec| The TTE)$)','i'))"  >Non Individual Name cannot contain "The trustee", "The Exec", "exec" or "the TTE"</assert>
    

<!--  VR.ATO.GEN.410206 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = FOUND("The trustee","The Exec","exec","The TTE"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT40, '"The trustee","The Exec","exec","The TTE"'))
^FBT40 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MTR'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410206" diagnostics="D373VR.ATO.GEN.410206" subject="subject" test="not(matches(($FBT40)[1], '(^(The trustee|The Exec|exec|The TTE)$)|(^(.*)( The trustee | The Exec | exec | The TTE )(.*)$)|(^(The trustee |The Exec |exec |The TTE )(.*)$)|(^(.*)( The trustee| The Exec| exec| The TTE)$)','i'))"  >Non Individual Name cannot contain "The trustee", "The Exec", "exec" or "the TTE"</assert>
    

<!--  VR.ATO.GEN.410215 ()

WHERE IN TUPLE(organisationname2.xx.xx:OrganisationNameDetails)IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

(^ORG <> NULL) AND ((^FBT10 = BLANK))
^FBT10 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

^ORG = orgname2.02.00:OrganisationNameDetails

-->


    <assert id="VR.ATO.GEN.410215" diagnostics="D374VR.ATO.GEN.410215" subject="subject" test="not((exists(($ControllingParty_OrganisationNameDetails_MN_C)[1]) and string-length(normalize-space(($FBT10)[1])) = 0))"  >Organisation name must be present</assert>
    

<!--  VR.ATO.GEN.410215 ()

WHERE IN TUPLE(organisationname2.xx.xx:OrganisationNameDetails)IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

(^ORG <> NULL) AND ((^FBT54 = BLANK))
^FBT54 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']

^ORG = orgname2.02.00:OrganisationNameDetails

-->


    <assert id="VR.ATO.GEN.410215" diagnostics="D375VR.ATO.GEN.410215" subject="subject" test="not((exists(($ControllingParty_OrganisationNameDetails_MN_P)[1]) and string-length(normalize-space(($FBT54)[1])) = 0))"  >Organisation name must be present</assert>
    

<!--  VR.ATO.GEN.410215 ()

WHERE IN TUPLE(organisationname2.xx.xx:OrganisationNameDetails)IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

(^ORG <> NULL) AND ((^FBT16 = BLANK))
^FBT16 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

^ORG = orgname2.02.00:OrganisationNameDetails

-->


    <assert id="VR.ATO.GEN.410215" diagnostics="D376VR.ATO.GEN.410215" subject="subject" test="not((exists(($OrganisationNameDetails_MN_C)[1]) and string-length(normalize-space(($FBT16)[1])) = 0))"  >Organisation name must be present</assert>
    

<!--  VR.ATO.GEN.410215 ()

WHERE IN TUPLE(organisationname2.xx.xx:OrganisationNameDetails)IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

(^ORG <> NULL) AND ((^FBT31 = BLANK))
^FBT31 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']

^ORG = orgname2.02.00:OrganisationNameDetails

-->


    <assert id="VR.ATO.GEN.410215" diagnostics="D377VR.ATO.GEN.410215" subject="subject" test="not((exists(($OrganisationNameDetails_MN_P)[1]) and string-length(normalize-space(($FBT31)[1])) = 0))"  >Organisation name must be present</assert>
    

<!--  VR.ATO.GEN.410215 ()

WHERE IN TUPLE(organisationname2.xx.xx:OrganisationNameDetails)IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

(^ORG <> NULL) AND ((^FBT40 = BLANK))
^FBT40 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MTR'].[OrganisationNameDetails.Currency.Code='C']

^ORG = orgname2.02.00:OrganisationNameDetails

-->


    <assert id="VR.ATO.GEN.410215" diagnostics="D378VR.ATO.GEN.410215" subject="subject" test="not((exists(($OrganisationNameDetails_MTR_C)[1]) and string-length(normalize-space(($FBT40)[1])) = 0))"  >Organisation name must be present</assert>
    

<!--  VR.ATO.GEN.428261 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" T/A"," T/A P'ship"," T/A Pship"," T/A P/Ship"," T/A Partnership"))  
    RETURN VALIDATION MESSAGE
ENDIF

(EndsWithSet(^FBT10, '" T/A"," T/A P'ship"," T/A Pship"," T/A P/Ship"," T/A Partnership"'))
^FBT10 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428261" diagnostics="D384VR.ATO.GEN.428261" subject="subject" test="not(matches(($FBT10)[1], '( T/A| T/A P''ship| T/A Pship| T/A P/Ship| T/A Partnership)$','i'))"  >Non Individual Name cannot end with "T/A", "T/A P'ship", "T/A Pship", "T/A P/Ship" or "T/A Partnership"</assert>
    

<!--  VR.ATO.GEN.428261 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" T/A"," T/A P'ship"," T/A Pship"," T/A P/Ship"," T/A Partnership"))  
    RETURN VALIDATION MESSAGE
ENDIF

(EndsWithSet(^FBT54, '" T/A"," T/A P'ship"," T/A Pship"," T/A P/Ship"," T/A Partnership"'))
^FBT54 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428261" diagnostics="D385VR.ATO.GEN.428261" subject="subject" test="not(matches(($FBT54)[1], '( T/A| T/A P''ship| T/A Pship| T/A P/Ship| T/A Partnership)$','i'))"  >Non Individual Name cannot end with "T/A", "T/A P'ship", "T/A Pship", "T/A P/Ship" or "T/A Partnership"</assert>
    

<!--  VR.ATO.GEN.428261 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" T/A"," T/A P'ship"," T/A Pship"," T/A P/Ship"," T/A Partnership"))  
    RETURN VALIDATION MESSAGE
ENDIF

(EndsWithSet(^FBT16, '" T/A"," T/A P'ship"," T/A Pship"," T/A P/Ship"," T/A Partnership"'))
^FBT16 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428261" diagnostics="D386VR.ATO.GEN.428261" subject="subject" test="not(matches(($FBT16)[1], '( T/A| T/A P''ship| T/A Pship| T/A P/Ship| T/A Partnership)$','i'))"  >Non Individual Name cannot end with "T/A", "T/A P'ship", "T/A Pship", "T/A P/Ship" or "T/A Partnership"</assert>
    

<!--  VR.ATO.GEN.428261 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" T/A"," T/A P'ship"," T/A Pship"," T/A P/Ship"," T/A Partnership"))  
    RETURN VALIDATION MESSAGE
ENDIF

(EndsWithSet(^FBT31, '" T/A"," T/A P'ship"," T/A Pship"," T/A P/Ship"," T/A Partnership"'))
^FBT31 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428261" diagnostics="D387VR.ATO.GEN.428261" subject="subject" test="not(matches(($FBT31)[1], '( T/A| T/A P''ship| T/A Pship| T/A P/Ship| T/A Partnership)$','i'))"  >Non Individual Name cannot end with "T/A", "T/A P'ship", "T/A Pship", "T/A P/Ship" or "T/A Partnership"</assert>
    

<!--  VR.ATO.GEN.428261 ()

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" T/A"," T/A P'ship"," T/A Pship"," T/A P/Ship"," T/A Partnership"))  
    RETURN VALIDATION MESSAGE
ENDIF

(EndsWithSet(^FBT40, '" T/A"," T/A P'ship"," T/A Pship"," T/A P/Ship"," T/A Partnership"'))
^FBT40 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MTR'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428261" diagnostics="D388VR.ATO.GEN.428261" subject="subject" test="not(matches(($FBT40)[1], '( T/A| T/A P''ship| T/A Pship| T/A P/Ship| T/A Partnership)$','i'))"  >Non Individual Name cannot end with "T/A", "T/A P'ship", "T/A Pship", "T/A P/Ship" or "T/A Partnership"</assert>
    

<!--  VR.ATO.GEN.408010 ()

WHERE IN TUPLE(personunstructuredname1.xx.xx:PersonUnstructuredName)IF (pyde.xx.xx:PersonUnstructuredName.FullName.Text CONTAINS "" - "")   
    RETURN VALIDATION MESSAGE
ENDIF

(Contains(^FBT129, ' - '))
^FBT129 = pyde.02.00:PersonUnstructuredName.FullName.Text WHERE [PersonUnstructuredName.Usage.Code='Contact']

-->


    <assert id="VR.ATO.GEN.408010" diagnostics="D390VR.ATO.GEN.408010" subject="subject" test="not(contains(($FBT129)[1], ' - '))"  >Name field cannot contain 'space hyphen space'.</assert>
    

<!--  VR.ATO.GEN.430252 ()

IF LENGTH(pyde.xx.xx:PersonUnstructuredName.FullName.Text) > 200   
    RETURN VALIDATION MESSAGE
ENDIF

Length(^FBT129) > 200
^FBT129 = pyde.02.00:PersonUnstructuredName.FullName.Text WHERE [PersonUnstructuredName.Usage.Code='Contact']

-->


    <assert id="VR.ATO.GEN.430252" diagnostics="D391VR.ATO.GEN.430252" subject="subject" test="not((string-length(normalize-space(($FBT129)[1])) &gt; 200))"  >Unstructured name must not be more than 200 characters</assert>
    

<!--  VR.ATO.GEN.430253 ()

IF pyde.xx.xx:PersonUnstructuredName.FullName.Text  <> NULLORBLANK AND pyde.xx.xx:PersonUnstructuredName.FullName.Text <> SET("a-z", "A-Z","0-9", "-", " ")   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT129  <> BLANK AND NotInSet(^FBT129, '"a-z", "A-Z","0-9", "-", " "')
^FBT129 = pyde.02.00:PersonUnstructuredName.FullName.Text WHERE [PersonUnstructuredName.Usage.Code='Contact']

-->


    <assert id="VR.ATO.GEN.430253" diagnostics="D392VR.ATO.GEN.430253" subject="subject" test="not((string-length(normalize-space(($FBT129)[1])) != 0 and not(matches(($FBT129)[1], '[a-z]|[A-Z]|[0-9]|-| ','i'))))"  >Unstructured name must only contain A to Z,  a to z, 0 to 9, hyphens and spaces</assert>
    

<!--  VR.ATO.GEN.000458 ()

IF (pyde.xx.xx:PersonNameDetails.NameSuffix.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.NameSuffix.Text <> SET(DOMAIN(SUFFIX CODES)))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT7 <> BLANK) AND (NotInDomain(^FBT7, 'SUFFIX CODES'))
^FBT7 = pyde.02.00:PersonNameDetails.NameSuffix.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.000458" diagnostics="D393VR.ATO.GEN.000458" subject="subject" test="not((string-length(normalize-space(($FBT7)[1])) != 0 and not(matches(($FBT7)[1], '^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i'))))"  >Suffix is invalid</assert>
    

<!--  VR.ATO.GEN.000458 ()

IF (pyde.xx.xx:PersonNameDetails.NameSuffix.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.NameSuffix.Text <> SET(DOMAIN(SUFFIX CODES)))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT51 <> BLANK) AND (NotInDomain(^FBT51, 'SUFFIX CODES'))
^FBT51 = pyde.02.00:PersonNameDetails.NameSuffix.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.000458" diagnostics="D394VR.ATO.GEN.000458" subject="subject" test="not((string-length(normalize-space(($FBT51)[1])) != 0 and not(matches(($FBT51)[1], '^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i'))))"  >Suffix is invalid</assert>
    

<!--  VR.ATO.GEN.000458 ()

IF (pyde.xx.xx:PersonNameDetails.NameSuffix.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.NameSuffix.Text <> SET(DOMAIN(SUFFIX CODES)))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT13 <> BLANK) AND (NotInDomain(^FBT13, 'SUFFIX CODES'))
^FBT13 = pyde.02.00:PersonNameDetails.NameSuffix.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.000458" diagnostics="D395VR.ATO.GEN.000458" subject="subject" test="not((string-length(normalize-space(($FBT13)[1])) != 0 and not(matches(($FBT13)[1], '^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i'))))"  >Suffix is invalid</assert>
    

<!--  VR.ATO.GEN.000458 ()

IF (pyde.xx.xx:PersonNameDetails.NameSuffix.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.NameSuffix.Text <> SET(DOMAIN(SUFFIX CODES)))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT28 <> BLANK) AND (NotInDomain(^FBT28, 'SUFFIX CODES'))
^FBT28 = pyde.02.00:PersonNameDetails.NameSuffix.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.000458" diagnostics="D396VR.ATO.GEN.000458" subject="subject" test="not((string-length(normalize-space(($FBT28)[1])) != 0 and not(matches(($FBT28)[1], '^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i'))))"  >Suffix is invalid</assert>
    

<!--  VR.ATO.GEN.000458 ()

IF (pyde.xx.xx:PersonNameDetails.NameSuffix.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.NameSuffix.Text <> SET(DOMAIN(SUFFIX CODES)))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT57 <> BLANK) AND (NotInDomain(^FBT57, 'SUFFIX CODES'))
^FBT57 = pyde.02.00:PersonNameDetails.NameSuffix.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.000458" diagnostics="D397VR.ATO.GEN.000458" subject="subject" test="not((string-length(normalize-space(($FBT57)[1])) != 0 and not(matches(($FBT57)[1], '^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i'))))"  >Suffix is invalid</assert>
    

<!--  VR.ATO.GEN.000459 ()

IF (pyde.xx.xx:PersonNameDetails.Title.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.Title.Text <> SET(DOMAIN(TITLE CODES)))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT5 <> BLANK) AND (NotInDomain(^FBT5, 'TITLE CODES'))
^FBT5 = pyde.02.00:PersonNameDetails.Title.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.000459" diagnostics="D398VR.ATO.GEN.000459" subject="subject" test="not((string-length(normalize-space(($FBT5)[1])) != 0 and not(matches(($FBT5)[1], '^(2LT|AB|ABBOT|AC|ACM|ADM|AIR CDRE|ALDERMAN|AM|ARCHBISHOP|ARCHDEACON|ASSOC PROF|AVM|BARON|BARONESS|BISHOP|BR|BRIG|CANON|CAPT|CARDINAL|CDRE|CDT|CHAP|CMDR|CMM|COL|CONST|COUNT|COUNTESS|CPL|CPO|DAME|DEACON|DEACONESS|DEAN|DEPUTY SUPT|DR|DUCHESS|DUKE|EARL|EF|FLGOFF|FLT LT|FR|FSGT|GEN|GNR|GP CAPT|HON|HON JUDGE|HON JUST|HRH|INSP|JUDGE|JUST|LAC|LACW|LADY|LBDR|LCPL|LORD|LS|LT|LT CMDR|LT COL|LT GEN|MADAM|MAJ|MAJ GEN|MASTER|MATRON|MAYOR|MAYORESS|MIDN|MISS|MON|MOST REV|MR|MRS|MS|PASTOR|PATRIARCH|PLT OFF|PO|PRIOR|PROF|PTE|RABBI|RADM|RECTOR|REV|RF|RT HON|RT REV|RT REV BISHOP|RT REV MON|SBLT|SEN|SGT|SIR|SMN|SNR CONST|SQN LDR|SR|SSGT|SUPR|SWAMI|TF|VADM|VERY REV|VICAR|VISCOUNT|WG CDR|WO|WO1|WO2)$','i'))))"  >Title is invalid</assert>
    

<!--  VR.ATO.GEN.000459 ()

IF (pyde.xx.xx:PersonNameDetails.Title.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.Title.Text <> SET(DOMAIN(TITLE CODES)))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT49 <> BLANK) AND (NotInDomain(^FBT49, 'TITLE CODES'))
^FBT49 = pyde.02.00:PersonNameDetails.Title.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.000459" diagnostics="D399VR.ATO.GEN.000459" subject="subject" test="not((string-length(normalize-space(($FBT49)[1])) != 0 and not(matches(($FBT49)[1], '^(2LT|AB|ABBOT|AC|ACM|ADM|AIR CDRE|ALDERMAN|AM|ARCHBISHOP|ARCHDEACON|ASSOC PROF|AVM|BARON|BARONESS|BISHOP|BR|BRIG|CANON|CAPT|CARDINAL|CDRE|CDT|CHAP|CMDR|CMM|COL|CONST|COUNT|COUNTESS|CPL|CPO|DAME|DEACON|DEACONESS|DEAN|DEPUTY SUPT|DR|DUCHESS|DUKE|EARL|EF|FLGOFF|FLT LT|FR|FSGT|GEN|GNR|GP CAPT|HON|HON JUDGE|HON JUST|HRH|INSP|JUDGE|JUST|LAC|LACW|LADY|LBDR|LCPL|LORD|LS|LT|LT CMDR|LT COL|LT GEN|MADAM|MAJ|MAJ GEN|MASTER|MATRON|MAYOR|MAYORESS|MIDN|MISS|MON|MOST REV|MR|MRS|MS|PASTOR|PATRIARCH|PLT OFF|PO|PRIOR|PROF|PTE|RABBI|RADM|RECTOR|REV|RF|RT HON|RT REV|RT REV BISHOP|RT REV MON|SBLT|SEN|SGT|SIR|SMN|SNR CONST|SQN LDR|SR|SSGT|SUPR|SWAMI|TF|VADM|VERY REV|VICAR|VISCOUNT|WG CDR|WO|WO1|WO2)$','i'))))"  >Title is invalid</assert>
    

<!--  VR.ATO.GEN.000459 ()

IF (pyde.xx.xx:PersonNameDetails.Title.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.Title.Text <> SET(DOMAIN(TITLE CODES)))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT11 <> BLANK) AND (NotInDomain(^FBT11, 'TITLE CODES'))
^FBT11 = pyde.02.00:PersonNameDetails.Title.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.000459" diagnostics="D400VR.ATO.GEN.000459" subject="subject" test="not((string-length(normalize-space(($FBT11)[1])) != 0 and not(matches(($FBT11)[1], '^(2LT|AB|ABBOT|AC|ACM|ADM|AIR CDRE|ALDERMAN|AM|ARCHBISHOP|ARCHDEACON|ASSOC PROF|AVM|BARON|BARONESS|BISHOP|BR|BRIG|CANON|CAPT|CARDINAL|CDRE|CDT|CHAP|CMDR|CMM|COL|CONST|COUNT|COUNTESS|CPL|CPO|DAME|DEACON|DEACONESS|DEAN|DEPUTY SUPT|DR|DUCHESS|DUKE|EARL|EF|FLGOFF|FLT LT|FR|FSGT|GEN|GNR|GP CAPT|HON|HON JUDGE|HON JUST|HRH|INSP|JUDGE|JUST|LAC|LACW|LADY|LBDR|LCPL|LORD|LS|LT|LT CMDR|LT COL|LT GEN|MADAM|MAJ|MAJ GEN|MASTER|MATRON|MAYOR|MAYORESS|MIDN|MISS|MON|MOST REV|MR|MRS|MS|PASTOR|PATRIARCH|PLT OFF|PO|PRIOR|PROF|PTE|RABBI|RADM|RECTOR|REV|RF|RT HON|RT REV|RT REV BISHOP|RT REV MON|SBLT|SEN|SGT|SIR|SMN|SNR CONST|SQN LDR|SR|SSGT|SUPR|SWAMI|TF|VADM|VERY REV|VICAR|VISCOUNT|WG CDR|WO|WO1|WO2)$','i'))))"  >Title is invalid</assert>
    

<!--  VR.ATO.GEN.000459 ()

IF (pyde.xx.xx:PersonNameDetails.Title.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.Title.Text <> SET(DOMAIN(TITLE CODES)))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT26 <> BLANK) AND (NotInDomain(^FBT26, 'TITLE CODES'))
^FBT26 = pyde.02.00:PersonNameDetails.Title.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.000459" diagnostics="D401VR.ATO.GEN.000459" subject="subject" test="not((string-length(normalize-space(($FBT26)[1])) != 0 and not(matches(($FBT26)[1], '^(2LT|AB|ABBOT|AC|ACM|ADM|AIR CDRE|ALDERMAN|AM|ARCHBISHOP|ARCHDEACON|ASSOC PROF|AVM|BARON|BARONESS|BISHOP|BR|BRIG|CANON|CAPT|CARDINAL|CDRE|CDT|CHAP|CMDR|CMM|COL|CONST|COUNT|COUNTESS|CPL|CPO|DAME|DEACON|DEACONESS|DEAN|DEPUTY SUPT|DR|DUCHESS|DUKE|EARL|EF|FLGOFF|FLT LT|FR|FSGT|GEN|GNR|GP CAPT|HON|HON JUDGE|HON JUST|HRH|INSP|JUDGE|JUST|LAC|LACW|LADY|LBDR|LCPL|LORD|LS|LT|LT CMDR|LT COL|LT GEN|MADAM|MAJ|MAJ GEN|MASTER|MATRON|MAYOR|MAYORESS|MIDN|MISS|MON|MOST REV|MR|MRS|MS|PASTOR|PATRIARCH|PLT OFF|PO|PRIOR|PROF|PTE|RABBI|RADM|RECTOR|REV|RF|RT HON|RT REV|RT REV BISHOP|RT REV MON|SBLT|SEN|SGT|SIR|SMN|SNR CONST|SQN LDR|SR|SSGT|SUPR|SWAMI|TF|VADM|VERY REV|VICAR|VISCOUNT|WG CDR|WO|WO1|WO2)$','i'))))"  >Title is invalid</assert>
    

<!--  VR.ATO.GEN.000459 ()

IF (pyde.xx.xx:PersonNameDetails.Title.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.Title.Text <> SET(DOMAIN(TITLE CODES)))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT55 <> BLANK) AND (NotInDomain(^FBT55, 'TITLE CODES'))
^FBT55 = pyde.02.00:PersonNameDetails.Title.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.000459" diagnostics="D402VR.ATO.GEN.000459" subject="subject" test="not((string-length(normalize-space(($FBT55)[1])) != 0 and not(matches(($FBT55)[1], '^(2LT|AB|ABBOT|AC|ACM|ADM|AIR CDRE|ALDERMAN|AM|ARCHBISHOP|ARCHDEACON|ASSOC PROF|AVM|BARON|BARONESS|BISHOP|BR|BRIG|CANON|CAPT|CARDINAL|CDRE|CDT|CHAP|CMDR|CMM|COL|CONST|COUNT|COUNTESS|CPL|CPO|DAME|DEACON|DEACONESS|DEAN|DEPUTY SUPT|DR|DUCHESS|DUKE|EARL|EF|FLGOFF|FLT LT|FR|FSGT|GEN|GNR|GP CAPT|HON|HON JUDGE|HON JUST|HRH|INSP|JUDGE|JUST|LAC|LACW|LADY|LBDR|LCPL|LORD|LS|LT|LT CMDR|LT COL|LT GEN|MADAM|MAJ|MAJ GEN|MASTER|MATRON|MAYOR|MAYORESS|MIDN|MISS|MON|MOST REV|MR|MRS|MS|PASTOR|PATRIARCH|PLT OFF|PO|PRIOR|PROF|PTE|RABBI|RADM|RECTOR|REV|RF|RT HON|RT REV|RT REV BISHOP|RT REV MON|SBLT|SEN|SGT|SIR|SMN|SNR CONST|SQN LDR|SR|SSGT|SUPR|SWAMI|TF|VADM|VERY REV|VICAR|VISCOUNT|WG CDR|WO|WO1|WO2)$','i'))))"  >Title is invalid</assert>
    

<!--  VR.ATO.GEN.410040 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text DOES NOT CONTAIN SET("A-Z","a-z"))   RETURN VALIDATION MESSSAGEENDIF

(^FBT6 <> BLANK) AND (NotContainsSet(^FBT6, '"A-Z","a-z"'))
^FBT6 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410040" diagnostics="D403VR.ATO.GEN.410040" subject="subject" test="not((string-length(normalize-space(($FBT6)[1])) != 0 and not(matches(($FBT6)[1], '[A-Z]|[a-z]','i'))))"  >Family name must contain at least one alphabetical character</assert>
    

<!--  VR.ATO.GEN.410040 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text DOES NOT CONTAIN SET("A-Z","a-z"))   RETURN VALIDATION MESSSAGEENDIF

(^FBT50 <> BLANK) AND (NotContainsSet(^FBT50, '"A-Z","a-z"'))
^FBT50 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410040" diagnostics="D404VR.ATO.GEN.410040" subject="subject" test="not((string-length(normalize-space(($FBT50)[1])) != 0 and not(matches(($FBT50)[1], '[A-Z]|[a-z]','i'))))"  >Family name must contain at least one alphabetical character</assert>
    

<!--  VR.ATO.GEN.410040 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text DOES NOT CONTAIN SET("A-Z","a-z"))   RETURN VALIDATION MESSSAGEENDIF

(^FBT12 <> BLANK) AND (NotContainsSet(^FBT12, '"A-Z","a-z"'))
^FBT12 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410040" diagnostics="D405VR.ATO.GEN.410040" subject="subject" test="not((string-length(normalize-space(($FBT12)[1])) != 0 and not(matches(($FBT12)[1], '[A-Z]|[a-z]','i'))))"  >Family name must contain at least one alphabetical character</assert>
    

<!--  VR.ATO.GEN.410040 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text DOES NOT CONTAIN SET("A-Z","a-z"))   RETURN VALIDATION MESSSAGEENDIF

(^FBT27 <> BLANK) AND (NotContainsSet(^FBT27, '"A-Z","a-z"'))
^FBT27 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410040" diagnostics="D406VR.ATO.GEN.410040" subject="subject" test="not((string-length(normalize-space(($FBT27)[1])) != 0 and not(matches(($FBT27)[1], '[A-Z]|[a-z]','i'))))"  >Family name must contain at least one alphabetical character</assert>
    

<!--  VR.ATO.GEN.410040 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text DOES NOT CONTAIN SET("A-Z","a-z"))   RETURN VALIDATION MESSSAGEENDIF

(^FBT56 <> BLANK) AND (NotContainsSet(^FBT56, '"A-Z","a-z"'))
^FBT56 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410040" diagnostics="D407VR.ATO.GEN.410040" subject="subject" test="not((string-length(normalize-space(($FBT56)[1])) != 0 and not(matches(($FBT56)[1], '[A-Z]|[a-z]','i'))))"  >Family name must contain at least one alphabetical character</assert>
    

<!--  VR.ATO.GEN.410063 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.GivenName.Text DOES NOT CONTAIN SET("A-Z","a-z"))   RETURN VALIDATION MESSSAGEENDIF

(^FBT8 <> BLANK) AND (NotContainsSet(^FBT8, '"A-Z","a-z"'))
^FBT8 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410063" diagnostics="D408VR.ATO.GEN.410063" subject="subject" test="not((string-length(normalize-space(($FBT8)[1])) != 0 and not(matches(($FBT8)[1], '[A-Z]|[a-z]','i'))))"  >Given Name must contain at least one alphabetical character</assert>
    

<!--  VR.ATO.GEN.410063 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.GivenName.Text DOES NOT CONTAIN SET("A-Z","a-z"))   RETURN VALIDATION MESSSAGEENDIF

(^FBT52 <> BLANK) AND (NotContainsSet(^FBT52, '"A-Z","a-z"'))
^FBT52 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410063" diagnostics="D409VR.ATO.GEN.410063" subject="subject" test="not((string-length(normalize-space(($FBT52)[1])) != 0 and not(matches(($FBT52)[1], '[A-Z]|[a-z]','i'))))"  >Given Name must contain at least one alphabetical character</assert>
    

<!--  VR.ATO.GEN.410063 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.GivenName.Text DOES NOT CONTAIN SET("A-Z","a-z"))   RETURN VALIDATION MESSSAGEENDIF

(^FBT14 <> BLANK) AND (NotContainsSet(^FBT14, '"A-Z","a-z"'))
^FBT14 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410063" diagnostics="D410VR.ATO.GEN.410063" subject="subject" test="not((string-length(normalize-space(($FBT14)[1])) != 0 and not(matches(($FBT14)[1], '[A-Z]|[a-z]','i'))))"  >Given Name must contain at least one alphabetical character</assert>
    

<!--  VR.ATO.GEN.410063 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.GivenName.Text DOES NOT CONTAIN SET("A-Z","a-z"))   RETURN VALIDATION MESSSAGEENDIF

(^FBT29 <> BLANK) AND (NotContainsSet(^FBT29, '"A-Z","a-z"'))
^FBT29 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410063" diagnostics="D411VR.ATO.GEN.410063" subject="subject" test="not((string-length(normalize-space(($FBT29)[1])) != 0 and not(matches(($FBT29)[1], '[A-Z]|[a-z]','i'))))"  >Given Name must contain at least one alphabetical character</assert>
    

<!--  VR.ATO.GEN.410063 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.GivenName.Text DOES NOT CONTAIN SET("A-Z","a-z"))   RETURN VALIDATION MESSSAGEENDIF

(^FBT58 <> BLANK) AND (NotContainsSet(^FBT58, '"A-Z","a-z"'))
^FBT58 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410063" diagnostics="D412VR.ATO.GEN.410063" subject="subject" test="not((string-length(normalize-space(($FBT58)[1])) != 0 and not(matches(($FBT58)[1], '[A-Z]|[a-z]','i'))))"  >Given Name must contain at least one alphabetical character</assert>
    

<!--  VR.ATO.GEN.410131 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text DOES NOT CONTAIN SET("A-Z","a-z"))  
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT9 <> BLANK) AND (NotContainsSet(^FBT9, '"A-Z","a-z"'))
^FBT9 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410131" diagnostics="D413VR.ATO.GEN.410131" subject="subject" test="not((string-length(normalize-space(($FBT9)[1])) != 0 and not(matches(($FBT9)[1], '[A-Z]|[a-z]','i'))))"  >Other Given Name must contain at least one alphabetical character</assert>
    

<!--  VR.ATO.GEN.410131 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text DOES NOT CONTAIN SET("A-Z","a-z"))  
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT53 <> BLANK) AND (NotContainsSet(^FBT53, '"A-Z","a-z"'))
^FBT53 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410131" diagnostics="D414VR.ATO.GEN.410131" subject="subject" test="not((string-length(normalize-space(($FBT53)[1])) != 0 and not(matches(($FBT53)[1], '[A-Z]|[a-z]','i'))))"  >Other Given Name must contain at least one alphabetical character</assert>
    

<!--  VR.ATO.GEN.410131 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text DOES NOT CONTAIN SET("A-Z","a-z"))  
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT15 <> BLANK) AND (NotContainsSet(^FBT15, '"A-Z","a-z"'))
^FBT15 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410131" diagnostics="D415VR.ATO.GEN.410131" subject="subject" test="not((string-length(normalize-space(($FBT15)[1])) != 0 and not(matches(($FBT15)[1], '[A-Z]|[a-z]','i'))))"  >Other Given Name must contain at least one alphabetical character</assert>
    

<!--  VR.ATO.GEN.410131 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text DOES NOT CONTAIN SET("A-Z","a-z"))  
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT30 <> BLANK) AND (NotContainsSet(^FBT30, '"A-Z","a-z"'))
^FBT30 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410131" diagnostics="D416VR.ATO.GEN.410131" subject="subject" test="not((string-length(normalize-space(($FBT30)[1])) != 0 and not(matches(($FBT30)[1], '[A-Z]|[a-z]','i'))))"  >Other Given Name must contain at least one alphabetical character</assert>
    

<!--  VR.ATO.GEN.410131 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text DOES NOT CONTAIN SET("A-Z","a-z"))  
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT59 <> BLANK) AND (NotContainsSet(^FBT59, '"A-Z","a-z"'))
^FBT59 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410131" diagnostics="D417VR.ATO.GEN.410131" subject="subject" test="not((string-length(normalize-space(($FBT59)[1])) != 0 and not(matches(($FBT59)[1], '[A-Z]|[a-z]','i'))))"  >Other Given Name must contain at least one alphabetical character</assert>
    

<!--  VR.ATO.GEN.410200 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("Exec for","Rep for","Trustee for"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT6, '"Exec for","Rep for","Trustee for"'))
^FBT6 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410200" diagnostics="D423VR.ATO.GEN.410200" subject="subject" test="not(matches(($FBT6)[1], '(^(Exec for|Rep for|Trustee for)$)|(^(.*)( Exec for | Rep for | Trustee for )(.*)$)|(^(Exec for |Rep for |Trustee for )(.*)$)|(^(.*)( Exec for| Rep for| Trustee for)$)','i'))"  >Family name cannot contain "Exec for", "Rep for" or "Trustee for"</assert>
    

<!--  VR.ATO.GEN.410200 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("Exec for","Rep for","Trustee for"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT50, '"Exec for","Rep for","Trustee for"'))
^FBT50 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410200" diagnostics="D424VR.ATO.GEN.410200" subject="subject" test="not(matches(($FBT50)[1], '(^(Exec for|Rep for|Trustee for)$)|(^(.*)( Exec for | Rep for | Trustee for )(.*)$)|(^(Exec for |Rep for |Trustee for )(.*)$)|(^(.*)( Exec for| Rep for| Trustee for)$)','i'))"  >Family name cannot contain "Exec for", "Rep for" or "Trustee for"</assert>
    

<!--  VR.ATO.GEN.410200 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("Exec for","Rep for","Trustee for"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT12, '"Exec for","Rep for","Trustee for"'))
^FBT12 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410200" diagnostics="D425VR.ATO.GEN.410200" subject="subject" test="not(matches(($FBT12)[1], '(^(Exec for|Rep for|Trustee for)$)|(^(.*)( Exec for | Rep for | Trustee for )(.*)$)|(^(Exec for |Rep for |Trustee for )(.*)$)|(^(.*)( Exec for| Rep for| Trustee for)$)','i'))"  >Family name cannot contain "Exec for", "Rep for" or "Trustee for"</assert>
    

<!--  VR.ATO.GEN.410200 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("Exec for","Rep for","Trustee for"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT27, '"Exec for","Rep for","Trustee for"'))
^FBT27 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410200" diagnostics="D426VR.ATO.GEN.410200" subject="subject" test="not(matches(($FBT27)[1], '(^(Exec for|Rep for|Trustee for)$)|(^(.*)( Exec for | Rep for | Trustee for )(.*)$)|(^(Exec for |Rep for |Trustee for )(.*)$)|(^(.*)( Exec for| Rep for| Trustee for)$)','i'))"  >Family name cannot contain "Exec for", "Rep for" or "Trustee for"</assert>
    

<!--  VR.ATO.GEN.410200 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("Exec for","Rep for","Trustee for"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT56, '"Exec for","Rep for","Trustee for"'))
^FBT56 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410200" diagnostics="D427VR.ATO.GEN.410200" subject="subject" test="not(matches(($FBT56)[1], '(^(Exec for|Rep for|Trustee for)$)|(^(.*)( Exec for | Rep for | Trustee for )(.*)$)|(^(Exec for |Rep for |Trustee for )(.*)$)|(^(.*)( Exec for| Rep for| Trustee for)$)','i'))"  >Family name cannot contain "Exec for", "Rep for" or "Trustee for"</assert>
    

<!--  VR.ATO.GEN.410201 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("MR","MRS","MISS","MS"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT6, '"MR","MRS","MISS","MS"'))
^FBT6 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410201" diagnostics="D428VR.ATO.GEN.410201" subject="subject" test="not(matches(($FBT6)[1], '(^(MR|MRS|MISS|MS)$)|(^(.*)( MR | MRS | MISS | MS )(.*)$)|(^(MR |MRS |MISS |MS )(.*)$)|(^(.*)( MR| MRS| MISS| MS)$)','i'))"  >Family name cannot contain "MR", "MRS", "MISS" or "MS"</assert>
    

<!--  VR.ATO.GEN.410201 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("MR","MRS","MISS","MS"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT50, '"MR","MRS","MISS","MS"'))
^FBT50 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410201" diagnostics="D429VR.ATO.GEN.410201" subject="subject" test="not(matches(($FBT50)[1], '(^(MR|MRS|MISS|MS)$)|(^(.*)( MR | MRS | MISS | MS )(.*)$)|(^(MR |MRS |MISS |MS )(.*)$)|(^(.*)( MR| MRS| MISS| MS)$)','i'))"  >Family name cannot contain "MR", "MRS", "MISS" or "MS"</assert>
    

<!--  VR.ATO.GEN.410201 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("MR","MRS","MISS","MS"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT12, '"MR","MRS","MISS","MS"'))
^FBT12 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410201" diagnostics="D430VR.ATO.GEN.410201" subject="subject" test="not(matches(($FBT12)[1], '(^(MR|MRS|MISS|MS)$)|(^(.*)( MR | MRS | MISS | MS )(.*)$)|(^(MR |MRS |MISS |MS )(.*)$)|(^(.*)( MR| MRS| MISS| MS)$)','i'))"  >Family name cannot contain "MR", "MRS", "MISS" or "MS"</assert>
    

<!--  VR.ATO.GEN.410201 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("MR","MRS","MISS","MS"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT27, '"MR","MRS","MISS","MS"'))
^FBT27 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410201" diagnostics="D431VR.ATO.GEN.410201" subject="subject" test="not(matches(($FBT27)[1], '(^(MR|MRS|MISS|MS)$)|(^(.*)( MR | MRS | MISS | MS )(.*)$)|(^(MR |MRS |MISS |MS )(.*)$)|(^(.*)( MR| MRS| MISS| MS)$)','i'))"  >Family name cannot contain "MR", "MRS", "MISS" or "MS"</assert>
    

<!--  VR.ATO.GEN.410201 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("MR","MRS","MISS","MS"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT56, '"MR","MRS","MISS","MS"'))
^FBT56 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410201" diagnostics="D432VR.ATO.GEN.410201" subject="subject" test="not(matches(($FBT56)[1], '(^(MR|MRS|MISS|MS)$)|(^(.*)( MR | MRS | MISS | MS )(.*)$)|(^(MR |MRS |MISS |MS )(.*)$)|(^(.*)( MR| MRS| MISS| MS)$)','i'))"  >Family name cannot contain "MR", "MRS", "MISS" or "MS"</assert>
    

<!--  VR.ATO.GEN.410202 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT8, '"ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"'))
^FBT8 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410202" diagnostics="D433VR.ATO.GEN.410202" subject="subject" test="not(matches(($FBT8)[1], '(^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$)|(^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$)|(^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$)|(^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$)','i'))"  >First name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</assert>
    

<!--  VR.ATO.GEN.410202 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT52, '"ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"'))
^FBT52 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410202" diagnostics="D434VR.ATO.GEN.410202" subject="subject" test="not(matches(($FBT52)[1], '(^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$)|(^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$)|(^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$)|(^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$)','i'))"  >First name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</assert>
    

<!--  VR.ATO.GEN.410202 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT14, '"ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"'))
^FBT14 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410202" diagnostics="D435VR.ATO.GEN.410202" subject="subject" test="not(matches(($FBT14)[1], '(^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$)|(^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$)|(^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$)|(^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$)','i'))"  >First name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</assert>
    

<!--  VR.ATO.GEN.410202 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT29, '"ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"'))
^FBT29 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410202" diagnostics="D436VR.ATO.GEN.410202" subject="subject" test="not(matches(($FBT29)[1], '(^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$)|(^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$)|(^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$)|(^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$)','i'))"  >First name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</assert>
    

<!--  VR.ATO.GEN.410202 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT58, '"ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"'))
^FBT58 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410202" diagnostics="D437VR.ATO.GEN.410202" subject="subject" test="not(matches(($FBT58)[1], '(^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$)|(^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$)|(^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$)|(^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$)','i'))"  >First name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</assert>
    

<!--  VR.ATO.GEN.410203 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("Exec for","Rep for","Trustee for"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT8, '"Exec for","Rep for","Trustee for"'))
^FBT8 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410203" diagnostics="D438VR.ATO.GEN.410203" subject="subject" test="not(matches(($FBT8)[1], '(^(Exec for|Rep for|Trustee for)$)|(^(.*)( Exec for | Rep for | Trustee for )(.*)$)|(^(Exec for |Rep for |Trustee for )(.*)$)|(^(.*)( Exec for| Rep for| Trustee for)$)','i'))"  >First name cannot contain "Exec for", "Rep for" or "Trustee for"</assert>
    

<!--  VR.ATO.GEN.410203 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("Exec for","Rep for","Trustee for"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT52, '"Exec for","Rep for","Trustee for"'))
^FBT52 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410203" diagnostics="D439VR.ATO.GEN.410203" subject="subject" test="not(matches(($FBT52)[1], '(^(Exec for|Rep for|Trustee for)$)|(^(.*)( Exec for | Rep for | Trustee for )(.*)$)|(^(Exec for |Rep for |Trustee for )(.*)$)|(^(.*)( Exec for| Rep for| Trustee for)$)','i'))"  >First name cannot contain "Exec for", "Rep for" or "Trustee for"</assert>
    

<!--  VR.ATO.GEN.410203 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("Exec for","Rep for","Trustee for"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT14, '"Exec for","Rep for","Trustee for"'))
^FBT14 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410203" diagnostics="D440VR.ATO.GEN.410203" subject="subject" test="not(matches(($FBT14)[1], '(^(Exec for|Rep for|Trustee for)$)|(^(.*)( Exec for | Rep for | Trustee for )(.*)$)|(^(Exec for |Rep for |Trustee for )(.*)$)|(^(.*)( Exec for| Rep for| Trustee for)$)','i'))"  >First name cannot contain "Exec for", "Rep for" or "Trustee for"</assert>
    

<!--  VR.ATO.GEN.410203 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("Exec for","Rep for","Trustee for"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT29, '"Exec for","Rep for","Trustee for"'))
^FBT29 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410203" diagnostics="D441VR.ATO.GEN.410203" subject="subject" test="not(matches(($FBT29)[1], '(^(Exec for|Rep for|Trustee for)$)|(^(.*)( Exec for | Rep for | Trustee for )(.*)$)|(^(Exec for |Rep for |Trustee for )(.*)$)|(^(.*)( Exec for| Rep for| Trustee for)$)','i'))"  >First name cannot contain "Exec for", "Rep for" or "Trustee for"</assert>
    

<!--  VR.ATO.GEN.410203 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("Exec for","Rep for","Trustee for"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT58, '"Exec for","Rep for","Trustee for"'))
^FBT58 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410203" diagnostics="D442VR.ATO.GEN.410203" subject="subject" test="not(matches(($FBT58)[1], '(^(Exec for|Rep for|Trustee for)$)|(^(.*)( Exec for | Rep for | Trustee for )(.*)$)|(^(Exec for |Rep for |Trustee for )(.*)$)|(^(.*)( Exec for| Rep for| Trustee for)$)','i'))"  >First name cannot contain "Exec for", "Rep for" or "Trustee for"</assert>
    

<!--  VR.ATO.GEN.410204 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("MR","MRS","MISS","MS"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT8, '"MR","MRS","MISS","MS"'))
^FBT8 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410204" diagnostics="D443VR.ATO.GEN.410204" subject="subject" test="not(matches(($FBT8)[1], '(^(MR|MRS|MISS|MS)$)|(^(.*)( MR | MRS | MISS | MS )(.*)$)|(^(MR |MRS |MISS |MS )(.*)$)|(^(.*)( MR| MRS| MISS| MS)$)','i'))"  >First name cannot contain "MR", "MRS", "MISS" or "MS"</assert>
    

<!--  VR.ATO.GEN.410204 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("MR","MRS","MISS","MS"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT52, '"MR","MRS","MISS","MS"'))
^FBT52 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410204" diagnostics="D444VR.ATO.GEN.410204" subject="subject" test="not(matches(($FBT52)[1], '(^(MR|MRS|MISS|MS)$)|(^(.*)( MR | MRS | MISS | MS )(.*)$)|(^(MR |MRS |MISS |MS )(.*)$)|(^(.*)( MR| MRS| MISS| MS)$)','i'))"  >First name cannot contain "MR", "MRS", "MISS" or "MS"</assert>
    

<!--  VR.ATO.GEN.410204 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("MR","MRS","MISS","MS"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT14, '"MR","MRS","MISS","MS"'))
^FBT14 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410204" diagnostics="D445VR.ATO.GEN.410204" subject="subject" test="not(matches(($FBT14)[1], '(^(MR|MRS|MISS|MS)$)|(^(.*)( MR | MRS | MISS | MS )(.*)$)|(^(MR |MRS |MISS |MS )(.*)$)|(^(.*)( MR| MRS| MISS| MS)$)','i'))"  >First name cannot contain "MR", "MRS", "MISS" or "MS"</assert>
    

<!--  VR.ATO.GEN.410204 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("MR","MRS","MISS","MS"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT29, '"MR","MRS","MISS","MS"'))
^FBT29 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410204" diagnostics="D446VR.ATO.GEN.410204" subject="subject" test="not(matches(($FBT29)[1], '(^(MR|MRS|MISS|MS)$)|(^(.*)( MR | MRS | MISS | MS )(.*)$)|(^(MR |MRS |MISS |MS )(.*)$)|(^(.*)( MR| MRS| MISS| MS)$)','i'))"  >First name cannot contain "MR", "MRS", "MISS" or "MS"</assert>
    

<!--  VR.ATO.GEN.410204 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("MR","MRS","MISS","MS"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT58, '"MR","MRS","MISS","MS"'))
^FBT58 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410204" diagnostics="D447VR.ATO.GEN.410204" subject="subject" test="not(matches(($FBT58)[1], '(^(MR|MRS|MISS|MS)$)|(^(.*)( MR | MRS | MISS | MS )(.*)$)|(^(MR |MRS |MISS |MS )(.*)$)|(^(.*)( MR| MRS| MISS| MS)$)','i'))"  >First name cannot contain "MR", "MRS", "MISS" or "MS"</assert>
    

<!--  VR.ATO.GEN.410207 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT9, '"ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"'))
^FBT9 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410207" diagnostics="D448VR.ATO.GEN.410207" subject="subject" test="not(matches(($FBT9)[1], '(^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$)|(^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$)|(^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$)|(^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$)','i'))"  >Other given name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</assert>
    

<!--  VR.ATO.GEN.410207 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT53, '"ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"'))
^FBT53 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410207" diagnostics="D449VR.ATO.GEN.410207" subject="subject" test="not(matches(($FBT53)[1], '(^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$)|(^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$)|(^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$)|(^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$)','i'))"  >Other given name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</assert>
    

<!--  VR.ATO.GEN.410207 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT15, '"ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"'))
^FBT15 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410207" diagnostics="D450VR.ATO.GEN.410207" subject="subject" test="not(matches(($FBT15)[1], '(^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$)|(^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$)|(^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$)|(^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$)','i'))"  >Other given name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</assert>
    

<!--  VR.ATO.GEN.410207 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT30, '"ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"'))
^FBT30 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410207" diagnostics="D451VR.ATO.GEN.410207" subject="subject" test="not(matches(($FBT30)[1], '(^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$)|(^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$)|(^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$)|(^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$)','i'))"  >Other given name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</assert>
    

<!--  VR.ATO.GEN.410207 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT59, '"ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"'))
^FBT59 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410207" diagnostics="D452VR.ATO.GEN.410207" subject="subject" test="not(matches(($FBT59)[1], '(^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$)|(^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$)|(^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$)|(^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$)','i'))"  >Other given name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</assert>
    

<!--  VR.ATO.GEN.410208 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("Exec for","Rep for","Trustee for"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT9, '"Exec for","Rep for","Trustee for"'))
^FBT9 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410208" diagnostics="D453VR.ATO.GEN.410208" subject="subject" test="not(matches(($FBT9)[1], '(^(Exec for|Rep for|Trustee for)$)|(^(.*)( Exec for | Rep for | Trustee for )(.*)$)|(^(Exec for |Rep for |Trustee for )(.*)$)|(^(.*)( Exec for| Rep for| Trustee for)$)','i'))"  >Other given name cannot contain "Exec for", "Rep for" or "Trustee for"</assert>
    

<!--  VR.ATO.GEN.410208 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("Exec for","Rep for","Trustee for"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT53, '"Exec for","Rep for","Trustee for"'))
^FBT53 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410208" diagnostics="D454VR.ATO.GEN.410208" subject="subject" test="not(matches(($FBT53)[1], '(^(Exec for|Rep for|Trustee for)$)|(^(.*)( Exec for | Rep for | Trustee for )(.*)$)|(^(Exec for |Rep for |Trustee for )(.*)$)|(^(.*)( Exec for| Rep for| Trustee for)$)','i'))"  >Other given name cannot contain "Exec for", "Rep for" or "Trustee for"</assert>
    

<!--  VR.ATO.GEN.410208 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("Exec for","Rep for","Trustee for"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT15, '"Exec for","Rep for","Trustee for"'))
^FBT15 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410208" diagnostics="D455VR.ATO.GEN.410208" subject="subject" test="not(matches(($FBT15)[1], '(^(Exec for|Rep for|Trustee for)$)|(^(.*)( Exec for | Rep for | Trustee for )(.*)$)|(^(Exec for |Rep for |Trustee for )(.*)$)|(^(.*)( Exec for| Rep for| Trustee for)$)','i'))"  >Other given name cannot contain "Exec for", "Rep for" or "Trustee for"</assert>
    

<!--  VR.ATO.GEN.410208 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("Exec for","Rep for","Trustee for"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT30, '"Exec for","Rep for","Trustee for"'))
^FBT30 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410208" diagnostics="D456VR.ATO.GEN.410208" subject="subject" test="not(matches(($FBT30)[1], '(^(Exec for|Rep for|Trustee for)$)|(^(.*)( Exec for | Rep for | Trustee for )(.*)$)|(^(Exec for |Rep for |Trustee for )(.*)$)|(^(.*)( Exec for| Rep for| Trustee for)$)','i'))"  >Other given name cannot contain "Exec for", "Rep for" or "Trustee for"</assert>
    

<!--  VR.ATO.GEN.410208 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("Exec for","Rep for","Trustee for"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT59, '"Exec for","Rep for","Trustee for"'))
^FBT59 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410208" diagnostics="D457VR.ATO.GEN.410208" subject="subject" test="not(matches(($FBT59)[1], '(^(Exec for|Rep for|Trustee for)$)|(^(.*)( Exec for | Rep for | Trustee for )(.*)$)|(^(Exec for |Rep for |Trustee for )(.*)$)|(^(.*)( Exec for| Rep for| Trustee for)$)','i'))"  >Other given name cannot contain "Exec for", "Rep for" or "Trustee for"</assert>
    

<!--  VR.ATO.GEN.410209 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("MR","MRS","MISS","MS"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT9, '"MR","MRS","MISS","MS"'))
^FBT9 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410209" diagnostics="D458VR.ATO.GEN.410209" subject="subject" test="not(matches(($FBT9)[1], '(^(MR|MRS|MISS|MS)$)|(^(.*)( MR | MRS | MISS | MS )(.*)$)|(^(MR |MRS |MISS |MS )(.*)$)|(^(.*)( MR| MRS| MISS| MS)$)','i'))"  >Other given name cannot contain "MR", "MRS", "MISS" or "MS"</assert>
    

<!--  VR.ATO.GEN.410209 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("MR","MRS","MISS","MS"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT53, '"MR","MRS","MISS","MS"'))
^FBT53 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410209" diagnostics="D459VR.ATO.GEN.410209" subject="subject" test="not(matches(($FBT53)[1], '(^(MR|MRS|MISS|MS)$)|(^(.*)( MR | MRS | MISS | MS )(.*)$)|(^(MR |MRS |MISS |MS )(.*)$)|(^(.*)( MR| MRS| MISS| MS)$)','i'))"  >Other given name cannot contain "MR", "MRS", "MISS" or "MS"</assert>
    

<!--  VR.ATO.GEN.410209 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("MR","MRS","MISS","MS"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT15, '"MR","MRS","MISS","MS"'))
^FBT15 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410209" diagnostics="D460VR.ATO.GEN.410209" subject="subject" test="not(matches(($FBT15)[1], '(^(MR|MRS|MISS|MS)$)|(^(.*)( MR | MRS | MISS | MS )(.*)$)|(^(MR |MRS |MISS |MS )(.*)$)|(^(.*)( MR| MRS| MISS| MS)$)','i'))"  >Other given name cannot contain "MR", "MRS", "MISS" or "MS"</assert>
    

<!--  VR.ATO.GEN.410209 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("MR","MRS","MISS","MS"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT30, '"MR","MRS","MISS","MS"'))
^FBT30 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.410209" diagnostics="D461VR.ATO.GEN.410209" subject="subject" test="not(matches(($FBT30)[1], '(^(MR|MRS|MISS|MS)$)|(^(.*)( MR | MRS | MISS | MS )(.*)$)|(^(MR |MRS |MISS |MS )(.*)$)|(^(.*)( MR| MRS| MISS| MS)$)','i'))"  >Other given name cannot contain "MR", "MRS", "MISS" or "MS"</assert>
    

<!--  VR.ATO.GEN.410209 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("MR","MRS","MISS","MS"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT59, '"MR","MRS","MISS","MS"'))
^FBT59 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410209" diagnostics="D462VR.ATO.GEN.410209" subject="subject" test="not(matches(($FBT59)[1], '(^(MR|MRS|MISS|MS)$)|(^(.*)( MR | MRS | MISS | MS )(.*)$)|(^(MR |MRS |MISS |MS )(.*)$)|(^(.*)( MR| MRS| MISS| MS)$)','i'))"  >Other given name cannot contain "MR", "MRS", "MISS" or "MS"</assert>
    

<!--  VR.ATO.GEN.410217 ()

WHERE IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails)IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = NULLORBLANK)    
    RETURN VALIDATION MESSAGE
ENDIF

(^PNAM <> NULL) AND ((^FBT6 = BLANK))
^FBT6 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

^PNAM = prsnstrcnm3.02.01:PersonNameDetails

-->


    <assert id="VR.ATO.GEN.410217" diagnostics="D468VR.ATO.GEN.410217" subject="subject" test="not((exists(($ControllingParty_PersonNameDetails_LGL_Identifier_C)[1]) and string-length(normalize-space(($FBT6)[1])) = 0))"  >Family Name must be present</assert>
    

<!--  VR.ATO.GEN.410217 ()

WHERE IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails)IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = NULLORBLANK)    
    RETURN VALIDATION MESSAGE
ENDIF

(^PNAM <> NULL) AND ((^FBT50 = BLANK))
^FBT50 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

^PNAM = prsnstrcnm3.02.01:PersonNameDetails

-->


    <assert id="VR.ATO.GEN.410217" diagnostics="D469VR.ATO.GEN.410217" subject="subject" test="not((exists(($ControllingParty_PersonNameDetails_LGL_Identifier_P)[1]) and string-length(normalize-space(($FBT50)[1])) = 0))"  >Family Name must be present</assert>
    

<!--  VR.ATO.GEN.410217 ()

WHERE IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails)IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = NULLORBLANK)    
    RETURN VALIDATION MESSAGE
ENDIF

(^PNAM <> NULL) AND ((^FBT12 = BLANK))
^FBT12 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

^PNAM = prsnstrcnm3.02.01:PersonNameDetails

-->


    <assert id="VR.ATO.GEN.410217" diagnostics="D470VR.ATO.GEN.410217" subject="subject" test="not((exists(($PersonNameDetails_LGL_Identifier_C)[1]) and string-length(normalize-space(($FBT12)[1])) = 0))"  >Family Name must be present</assert>
    

<!--  VR.ATO.GEN.410217 ()

WHERE IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails)IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = NULLORBLANK)    
    RETURN VALIDATION MESSAGE
ENDIF

(^PNAM <> NULL) AND ((^FBT27 = BLANK))
^FBT27 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

^PNAM = prsnstrcnm3.02.01:PersonNameDetails

-->


    <assert id="VR.ATO.GEN.410217" diagnostics="D471VR.ATO.GEN.410217" subject="subject" test="not((exists(($PersonNameDetails_LGL_Identifier_P)[1]) and string-length(normalize-space(($FBT27)[1])) = 0))"  >Family Name must be present</assert>
    

<!--  VR.ATO.GEN.410217 ()

WHERE IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails)IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = NULLORBLANK)    
    RETURN VALIDATION MESSAGE
ENDIF

(^PNAM <> NULL) AND ((^FBT56 = BLANK))
^FBT56 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

^PNAM = prsnstrcnm3.02.01:PersonNameDetails

-->


    <assert id="VR.ATO.GEN.410217" diagnostics="D472VR.ATO.GEN.410217" subject="subject" test="not((exists(($PersonNameDetails_LGL_Contact_C)[1]) and string-length(normalize-space(($FBT56)[1])) = 0))"  >Family Name must be present</assert>
    

<!--  VR.ATO.GEN.428231 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT6, '"ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"'))
^FBT6 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428231" diagnostics="D478VR.ATO.GEN.428231" subject="subject" test="not(matches(($FBT6)[1], '(^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$)|(^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$)|(^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$)|(^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$)','i'))"  >Family name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</assert>
    

<!--  VR.ATO.GEN.428231 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT50, '"ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"'))
^FBT50 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428231" diagnostics="D479VR.ATO.GEN.428231" subject="subject" test="not(matches(($FBT50)[1], '(^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$)|(^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$)|(^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$)|(^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$)','i'))"  >Family name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</assert>
    

<!--  VR.ATO.GEN.428231 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT12, '"ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"'))
^FBT12 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428231" diagnostics="D480VR.ATO.GEN.428231" subject="subject" test="not(matches(($FBT12)[1], '(^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$)|(^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$)|(^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$)|(^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$)','i'))"  >Family name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</assert>
    

<!--  VR.ATO.GEN.428231 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT27, '"ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"'))
^FBT27 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428231" diagnostics="D481VR.ATO.GEN.428231" subject="subject" test="not(matches(($FBT27)[1], '(^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$)|(^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$)|(^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$)|(^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$)','i'))"  >Family name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</assert>
    

<!--  VR.ATO.GEN.428231 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))   
    RETURN VALIDATION MESSAGE
ENDIF

(FoundSet(^FBT56, '"ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"'))
^FBT56 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428231" diagnostics="D482VR.ATO.GEN.428231" subject="subject" test="not(matches(($FBT56)[1], '(^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$)|(^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$)|(^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$)|(^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$)','i'))"  >Family name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</assert>
    

<!--  VR.ATO.GEN.428262 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS " - ")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT6, ' - ')
^FBT6 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428262" diagnostics="D483VR.ATO.GEN.428262" subject="subject" test="not(contains(($FBT6)[1], ' - '))"  >Family Name cannot contain "space hyphen space"</assert>
    

<!--  VR.ATO.GEN.428262 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS " - ")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT50, ' - ')
^FBT50 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428262" diagnostics="D484VR.ATO.GEN.428262" subject="subject" test="not(contains(($FBT50)[1], ' - '))"  >Family Name cannot contain "space hyphen space"</assert>
    

<!--  VR.ATO.GEN.428262 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS " - ")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT12, ' - ')
^FBT12 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428262" diagnostics="D485VR.ATO.GEN.428262" subject="subject" test="not(contains(($FBT12)[1], ' - '))"  >Family Name cannot contain "space hyphen space"</assert>
    

<!--  VR.ATO.GEN.428262 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS " - ")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT27, ' - ')
^FBT27 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428262" diagnostics="D486VR.ATO.GEN.428262" subject="subject" test="not(contains(($FBT27)[1], ' - '))"  >Family Name cannot contain "space hyphen space"</assert>
    

<!--  VR.ATO.GEN.428262 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS " - ")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT56, ' - ')
^FBT56 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428262" diagnostics="D487VR.ATO.GEN.428262" subject="subject" test="not(contains(($FBT56)[1], ' - '))"  >Family Name cannot contain "space hyphen space"</assert>
    

<!--  VR.ATO.GEN.428263 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS SET("DASHDASH","'’","  ") )   
    RETURN VALIDATION MESSAGE
ENDIF

(ContainsSet(^FBT6, '"DASHDASH","''","  "'))
^FBT6 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428263" diagnostics="D488VR.ATO.GEN.428263" subject="subject" test="not(matches(($FBT6)[1], '--|''''|  ','i'))"  >Family name cannot contain repeated hyphen, apostrophe, or space characters</assert>
    

<!--  VR.ATO.GEN.428263 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS SET("DASHDASH","'’","  ") )   
    RETURN VALIDATION MESSAGE
ENDIF

(ContainsSet(^FBT50, '"DASHDASH","''","  "'))
^FBT50 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428263" diagnostics="D489VR.ATO.GEN.428263" subject="subject" test="not(matches(($FBT50)[1], '--|''''|  ','i'))"  >Family name cannot contain repeated hyphen, apostrophe, or space characters</assert>
    

<!--  VR.ATO.GEN.428263 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS SET("DASHDASH","'’","  ") )   
    RETURN VALIDATION MESSAGE
ENDIF

(ContainsSet(^FBT12, '"DASHDASH","''","  "'))
^FBT12 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428263" diagnostics="D490VR.ATO.GEN.428263" subject="subject" test="not(matches(($FBT12)[1], '--|''''|  ','i'))"  >Family name cannot contain repeated hyphen, apostrophe, or space characters</assert>
    

<!--  VR.ATO.GEN.428263 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS SET("DASHDASH","'’","  ") )   
    RETURN VALIDATION MESSAGE
ENDIF

(ContainsSet(^FBT27, '"DASHDASH","''","  "'))
^FBT27 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428263" diagnostics="D491VR.ATO.GEN.428263" subject="subject" test="not(matches(($FBT27)[1], '--|''''|  ','i'))"  >Family name cannot contain repeated hyphen, apostrophe, or space characters</assert>
    

<!--  VR.ATO.GEN.428263 ()

IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS SET("DASHDASH","'’","  ") )   
    RETURN VALIDATION MESSAGE
ENDIF

(ContainsSet(^FBT56, '"DASHDASH","''","  "'))
^FBT56 = pyde.02.00:PersonNameDetails.FamilyName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428263" diagnostics="D492VR.ATO.GEN.428263" subject="subject" test="not(matches(($FBT56)[1], '--|''''|  ','i'))"  >Family name cannot contain repeated hyphen, apostrophe, or space characters</assert>
    

<!--  VR.ATO.GEN.428264 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS  " - ")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT8, ' - ')
^FBT8 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428264" diagnostics="D493VR.ATO.GEN.428264" subject="subject" test="not(contains(($FBT8)[1], ' - '))"  >First name cannot contain space hyphen space</assert>
    

<!--  VR.ATO.GEN.428264 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS  " - ")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT52, ' - ')
^FBT52 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428264" diagnostics="D494VR.ATO.GEN.428264" subject="subject" test="not(contains(($FBT52)[1], ' - '))"  >First name cannot contain space hyphen space</assert>
    

<!--  VR.ATO.GEN.428264 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS  " - ")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT14, ' - ')
^FBT14 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428264" diagnostics="D495VR.ATO.GEN.428264" subject="subject" test="not(contains(($FBT14)[1], ' - '))"  >First name cannot contain space hyphen space</assert>
    

<!--  VR.ATO.GEN.428264 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS  " - ")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT29, ' - ')
^FBT29 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428264" diagnostics="D496VR.ATO.GEN.428264" subject="subject" test="not(contains(($FBT29)[1], ' - '))"  >First name cannot contain space hyphen space</assert>
    

<!--  VR.ATO.GEN.428264 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS  " - ")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT58, ' - ')
^FBT58 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428264" diagnostics="D497VR.ATO.GEN.428264" subject="subject" test="not(contains(($FBT58)[1], ' - '))"  >First name cannot contain space hyphen space</assert>
    

<!--  VR.ATO.GEN.428265 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS SET("DASHDASH","'’","  ") )   
    RETURN VALIDATION MESSAGE
ENDIF

(ContainsSet(^FBT8, '"DASHDASH","''","  "'))
^FBT8 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428265" diagnostics="D498VR.ATO.GEN.428265" subject="subject" test="not(matches(($FBT8)[1], '--|''''|  ','i'))"  >First name cannot contain repeated hyphen, apostrophe, or space characters</assert>
    

<!--  VR.ATO.GEN.428265 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS SET("DASHDASH","'’","  ") )   
    RETURN VALIDATION MESSAGE
ENDIF

(ContainsSet(^FBT52, '"DASHDASH","''","  "'))
^FBT52 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428265" diagnostics="D499VR.ATO.GEN.428265" subject="subject" test="not(matches(($FBT52)[1], '--|''''|  ','i'))"  >First name cannot contain repeated hyphen, apostrophe, or space characters</assert>
    

<!--  VR.ATO.GEN.428265 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS SET("DASHDASH","'’","  ") )   
    RETURN VALIDATION MESSAGE
ENDIF

(ContainsSet(^FBT14, '"DASHDASH","''","  "'))
^FBT14 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428265" diagnostics="D500VR.ATO.GEN.428265" subject="subject" test="not(matches(($FBT14)[1], '--|''''|  ','i'))"  >First name cannot contain repeated hyphen, apostrophe, or space characters</assert>
    

<!--  VR.ATO.GEN.428265 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS SET("DASHDASH","'’","  ") )   
    RETURN VALIDATION MESSAGE
ENDIF

(ContainsSet(^FBT29, '"DASHDASH","''","  "'))
^FBT29 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428265" diagnostics="D501VR.ATO.GEN.428265" subject="subject" test="not(matches(($FBT29)[1], '--|''''|  ','i'))"  >First name cannot contain repeated hyphen, apostrophe, or space characters</assert>
    

<!--  VR.ATO.GEN.428265 ()

IF (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS SET("DASHDASH","'’","  ") )   
    RETURN VALIDATION MESSAGE
ENDIF

(ContainsSet(^FBT58, '"DASHDASH","''","  "'))
^FBT58 = pyde.02.00:PersonNameDetails.GivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428265" diagnostics="D502VR.ATO.GEN.428265" subject="subject" test="not(matches(($FBT58)[1], '--|''''|  ','i'))"  >First name cannot contain repeated hyphen, apostrophe, or space characters</assert>
    

<!--  VR.ATO.GEN.428266 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS  " - ")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT9, ' - ')
^FBT9 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428266" diagnostics="D503VR.ATO.GEN.428266" subject="subject" test="not(contains(($FBT9)[1], ' - '))"  >Other given name cannot contain space hyphen space</assert>
    

<!--  VR.ATO.GEN.428266 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS  " - ")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT53, ' - ')
^FBT53 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428266" diagnostics="D504VR.ATO.GEN.428266" subject="subject" test="not(contains(($FBT53)[1], ' - '))"  >Other given name cannot contain space hyphen space</assert>
    

<!--  VR.ATO.GEN.428266 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS  " - ")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT15, ' - ')
^FBT15 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428266" diagnostics="D505VR.ATO.GEN.428266" subject="subject" test="not(contains(($FBT15)[1], ' - '))"  >Other given name cannot contain space hyphen space</assert>
    

<!--  VR.ATO.GEN.428266 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS  " - ")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT30, ' - ')
^FBT30 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428266" diagnostics="D506VR.ATO.GEN.428266" subject="subject" test="not(contains(($FBT30)[1], ' - '))"  >Other given name cannot contain space hyphen space</assert>
    

<!--  VR.ATO.GEN.428266 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS  " - ")   
    RETURN VALIDATION MESSAGE
ENDIF

Contains(^FBT59, ' - ')
^FBT59 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428266" diagnostics="D507VR.ATO.GEN.428266" subject="subject" test="not(contains(($FBT59)[1], ' - '))"  >Other given name cannot contain space hyphen space</assert>
    

<!--  VR.ATO.GEN.428267 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS SET("DASHDASH","'’","  ") )   
    RETURN VALIDATION MESSAGE
ENDIF

(ContainsSet(^FBT9, '"DASHDASH","''","  "'))
^FBT9 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428267" diagnostics="D508VR.ATO.GEN.428267" subject="subject" test="not(matches(($FBT9)[1], '--|''''|  ','i'))"  >Other given name cannot contain repeated hyphen, apostrophe, or space characters</assert>
    

<!--  VR.ATO.GEN.428267 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS SET("DASHDASH","'’","  ") )   
    RETURN VALIDATION MESSAGE
ENDIF

(ContainsSet(^FBT53, '"DASHDASH","''","  "'))
^FBT53 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428267" diagnostics="D509VR.ATO.GEN.428267" subject="subject" test="not(matches(($FBT53)[1], '--|''''|  ','i'))"  >Other given name cannot contain repeated hyphen, apostrophe, or space characters</assert>
    

<!--  VR.ATO.GEN.428267 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS SET("DASHDASH","'’","  ") )   
    RETURN VALIDATION MESSAGE
ENDIF

(ContainsSet(^FBT15, '"DASHDASH","''","  "'))
^FBT15 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428267" diagnostics="D510VR.ATO.GEN.428267" subject="subject" test="not(matches(($FBT15)[1], '--|''''|  ','i'))"  >Other given name cannot contain repeated hyphen, apostrophe, or space characters</assert>
    

<!--  VR.ATO.GEN.428267 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS SET("DASHDASH","'’","  ") )   
    RETURN VALIDATION MESSAGE
ENDIF

(ContainsSet(^FBT30, '"DASHDASH","''","  "'))
^FBT30 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='P']

-->


    <assert id="VR.ATO.GEN.428267" diagnostics="D511VR.ATO.GEN.428267" subject="subject" test="not(matches(($FBT30)[1], '--|''''|  ','i'))"  >Other given name cannot contain repeated hyphen, apostrophe, or space characters</assert>
    

<!--  VR.ATO.GEN.428267 ()

IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS SET("DASHDASH","'’","  ") )   
    RETURN VALIDATION MESSAGE
ENDIF

(ContainsSet(^FBT59, '"DASHDASH","''","  "'))
^FBT59 = pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428267" diagnostics="D512VR.ATO.GEN.428267" subject="subject" test="not(matches(($FBT59)[1], '--|''''|  ','i'))"  >Other given name cannot contain repeated hyphen, apostrophe, or space characters</assert>

    </rule>


        <rule context="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]">

    

<!--  VR.ATO.GEN.428202 ()

IF (pyde.xx.xx:AddressDetails.Currency.Code <> NULLORBLANK)AND (pyde.xx.xx:AddressDetails.Currency.Code <> SET("C","P"))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT153 <> BLANK) AND (NotInSet(^FBT153, '"C","P"'))
^FBT153 = pyde.02.00:AddressDetails.Currency.Code WHERE [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.428202" diagnostics="D287VR.ATO.GEN.428202" subject="subject" test="not((string-length(normalize-space((pyde.02.00:AddressDetails.Currency.Code)[1])) != 0 and not(matches((pyde.02.00:AddressDetails.Currency.Code)[1], '^(C|P)$','i'))))"  >Address currency code must be "C" or "P"</assert>

    </rule>


        <rule context="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">

    

<!--  VR.ATO.GEN.410140 ()

IN TUPLE(organisationname2.xx.xx:OrganisationNameDetails)IF (pyde.xx.xx:OrganisationNameDetails.Currency.Code = NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT176 = BLANK
^FBT176 = pyde.02.00:OrganisationNameDetails.Currency.Code WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410140" diagnostics="D359VR.ATO.GEN.410140" subject="subject" test="not((string-length(normalize-space((pyde.02.00:OrganisationNameDetails.Currency.Code)[1])) = 0))"  >Organisation Name Currency Code must be present</assert>
    

<!--  VR.ATO.GEN.430850 ()

IF pyde.xx.xx:OrganisationNameDetails.Currency.Code <> NULLORBLANKAND pyde.xx.xx:OrganisationNameDetails.Currency.Code <> SET ("C", "P")   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT176 <> BLANK AND NotInSet(^FBT176, '"C", "P"')
^FBT176 = pyde.02.00:OrganisationNameDetails.Currency.Code WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.430850" diagnostics="D379VR.ATO.GEN.430850" subject="subject" test="not((string-length(normalize-space((pyde.02.00:OrganisationNameDetails.Currency.Code)[1])) != 0 and not(matches((pyde.02.00:OrganisationNameDetails.Currency.Code)[1], '^(C|P)$','i'))))"  >Orgnaisation name Currency code must be 'C' or 'P'</assert>

    </rule>


        <rule context="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]">

    

<!--  VR.ATO.GEN.410183 ()

IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails)IF (pyde.xx.xx:PersonNameDetails.Currency.Code = NULLORBLANK)   
    RETURN VALIDATION MESSAGE
ENDIF

^FBT151 = BLANK
^FBT151 = pyde.02.00:PersonNameDetails.Currency.Code WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410183" diagnostics="D418VR.ATO.GEN.410183" subject="subject" test="not((string-length(normalize-space((pyde.02.00:PersonNameDetails.Currency.Code)[1])) = 0))"  >Person Name Currency Code must be present</assert>
    

<!--  VR.ATO.GEN.410216 ()

WHERE IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails)IF (pyde.xx.xx:PersonNameDetails.PersonNameType.Code = NULLORBLANK)    
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT150 = BLANK)
^FBT150 = pyde.02.00:PersonNameDetails.PersonNameType.Code WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.GEN.410216" diagnostics="D463VR.ATO.GEN.410216" subject="subject" test="not((string-length(normalize-space((pyde.02.00:PersonNameDetails.PersonNameType.Code)[1])) = 0))"  >Person NameType code must be present</assert>

    </rule>



    </pattern>


    <pattern id="Enumeration">

        <rule context="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]">

    

<!--  VR.ATO.FBT.000452 ()

IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails)IF pyde.xx.xx:PersonNameDetails.Usage.Code <> SET("Identifier", "Contact")   
    RETURN VALIDATION MESSAGE
ENDIF

NotInSet(^FBT225, '"Identifier", "Contact"')
^FBT225 = pyde.02.05:PersonNameDetails.Usage.Code WHERE [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']

-->


    <assert id="VR.ATO.FBT.000452" diagnostics="D14VR.ATO.FBT.000452" subject="subject" test="not(not(matches((pyde.02.05:PersonNameDetails.Usage.Code)[1], '^(Identifier|Contact)$','i')))"  >Person Name Usage code is invalid. It must be either "Identifier" or "Contact".</assert>

    </rule>


        <rule context="fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails[not(@i:nil='true' or @i:nil='1')]">

    

<!--  VR.ATO.FBT.000399 ()

IF (lrla.xx.xx:Remuneration.Fringe Benefits.Items Provided.Number <> NULLORBLANK) AND (lrla.xx.xx:Remuneration.FringeBenefits.Type.Code = SET("D","E","H","J","K","L","M","N","P"))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT201 <> BLANK) AND (InSet(^FBT143, '"D","E","H","J","K","L","M","N","P"'))
^FBT201 = lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number WHERE [Remuneration.FringeBenefits.Type.Code='H']

^FBT143 = lrla.02.00:Remuneration.FringeBenefits.Type.Code WHERE [Remuneration.FringeBenefits.Type.Code='H']

-->


    <assert id="VR.ATO.FBT.000399" diagnostics="D43VR.ATO.FBT.000399" subject="subject" test="not((string-length(normalize-space((lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number)[1])) != 0 and matches((lrla.02.00:Remuneration.FringeBenefits.Type.Code)[1], '^(D|E|H|J|K|L|M|N|P)$')))"  >Number is not required for this Fringe Benefits type</assert>
    

<!--  VR.ATO.FBT.000398 ()

IF (lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount <> NULLORBLANK) AND (lrla.xx.xx:Remuneration.FringeBenefits.Type.Code = SET("C","D","G","L","P"))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT200 <> BLANK) AND (InSet(^FBT142, '"C","D","G","L","P"'))
^FBT200 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='G']

^FBT142 = lrla.02.00:Remuneration.FringeBenefits.Type.Code WHERE [Remuneration.FringeBenefits.Type.Code='G']

-->


    <assert id="VR.ATO.FBT.000398" diagnostics="D55VR.ATO.FBT.000398" subject="subject" test="not((string-length(normalize-space((lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount)[1])) != 0 and matches((lrla.02.00:Remuneration.FringeBenefits.Type.Code)[1], '^(C|D|G|L|P)$')))"  >Employee contribution is not required for this Fringe benefits type</assert>
    

<!--  VR.ATO.FBT.000396 ()

IF (lrla.xx.xx:Remuneration.Fringe Benefits.Reduction.Amount <> NULLORBLANK) AND (lrla.xx.xx:Remuneration.FringeBenefits.Type.Code = SET("A","B","D","F","L","N","P"))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT206 <> BLANK) AND (InSet(^FBT146, '"A","B","D","F","L","N","P"'))
^FBT206 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='L']

^FBT146 = lrla.02.00:Remuneration.FringeBenefits.Type.Code WHERE [Remuneration.FringeBenefits.Type.Code='L']

-->


    <assert id="VR.ATO.FBT.000396" diagnostics="D59VR.ATO.FBT.000396" subject="subject" test="not((string-length(normalize-space((lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount)[1])) != 0 and matches((lrla.02.00:Remuneration.FringeBenefits.Type.Code)[1], '^(A|B|D|F|L|N|P)$')))"  >Value of reductions is not required for this Fringe Benefits type</assert>

    </rule>


        <rule context="prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]">

    

<!--  VR.ATO.FBT.000454 ()

IF (INT:pyde.xx.xx:PersonUnstructuredName.FullName.Text <> NULLORBLANK)AND (INT:pyde.xx.xx:PersonUnstructuredName.Usage.Code <> “Contact”)   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT129 <> BLANK) AND (^FBT172 <> 'Contact')
^FBT172 = pyde.02.05:PersonUnstructuredName.Usage.Code WHERE [PersonUnstructuredName.Usage.Code='Contact']

^FBT129 = pyde.02.00:PersonUnstructuredName.FullName.Text WHERE [PersonUnstructuredName.Usage.Code='Contact']

-->


    <assert id="VR.ATO.FBT.000454" diagnostics="D230VR.ATO.FBT.000454" subject="subject" test="not((string-length(normalize-space((pyde.02.00:PersonUnstructuredName.FullName.Text)[1])) != 0 and string((pyde.02.05:PersonUnstructuredName.Usage.Code)[1]) != 'Contact'))"  >Agent Contact Person Unstructured Name usage code must be "Contact"</assert>
    

<!--  VR.ATO.FBT.000455 ()

IF (INT:pyde.xx.xx:PersonUnstructuredName.Usage.Code <> NULLORBLANK)AND (INT:pyde.xx.xx:PersonUnstructuredName.Usage.Code <> "Contact")   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT172 <> BLANK) AND (^FBT172 <> 'Contact')
^FBT172 = pyde.02.05:PersonUnstructuredName.Usage.Code WHERE [PersonUnstructuredName.Usage.Code='Contact']

-->


    <assert id="VR.ATO.FBT.000455" diagnostics="D231VR.ATO.FBT.000455" subject="subject" test="not((string-length(normalize-space((pyde.02.05:PersonUnstructuredName.Usage.Code)[1])) != 0 and string((pyde.02.05:PersonUnstructuredName.Usage.Code)[1]) != 'Contact'))"  >Agent Contact Person Unstructured Name usage code is invalid. It must be "Contact"</assert>

    </rule>



    </pattern>


    <pattern id="Calculation">

        <rule context="xbrli:xbrl">

    

<!--  VR.ATO.GEN.000474 ()

WHERE IN TUPLE (fbt.0002.lodge.req.xx.xx:ProvidedFringeBenefitsDetails)IF (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> NULLORBLANK) AND (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> (lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount - lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount - lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT81 <> BLANK) AND (^FBT81 <> (^FBT79 - ^FBT80 - ^FBT192))
^FBT81 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='A']

^FBT79 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='A']

^FBT80 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='A']

^FBT192 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='A']

-->


    <assert id="VR.ATO.GEN.000474" diagnostics="D149VR.ATO.GEN.000474" subject="subject" test="not((exists(($FBT81)[1]) != false() and ($FBT81)[1] != ($FBT79)[1] - ($FBT80)[1] - ($FBT192)[1]))"  >Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</assert>
    

<!--  VR.ATO.GEN.000474 ()

WHERE IN TUPLE (fbt.0002.lodge.req.xx.xx:ProvidedFringeBenefitsDetails)IF (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> NULLORBLANK) AND (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> (lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount - lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount - lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT85 <> BLANK) AND (^FBT85 <> (^FBT83 - ^FBT84 - ^FBT193))
^FBT85 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='B']

^FBT83 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='B']

^FBT84 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='B']

^FBT193 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='B']

-->


    <assert id="VR.ATO.GEN.000474" diagnostics="D156VR.ATO.GEN.000474" subject="subject" test="not((exists(($FBT85)[1]) != false() and ($FBT85)[1] != ($FBT83)[1] - ($FBT84)[1] - ($FBT193)[1]))"  >Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</assert>
    

<!--  VR.ATO.GEN.000474 ()

WHERE IN TUPLE (fbt.0002.lodge.req.xx.xx:ProvidedFringeBenefitsDetails)IF (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> NULLORBLANK) AND (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> (lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount - lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount - lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT89 <> BLANK) AND (^FBT89 <> (^FBT87 - ^FBT194 - ^FBT88))
^FBT89 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='C']

^FBT87 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='C']

^FBT194 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='C']

^FBT88 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='C']

-->


    <assert id="VR.ATO.GEN.000474" diagnostics="D163VR.ATO.GEN.000474" subject="subject" test="not((exists(($FBT89)[1]) != false() and ($FBT89)[1] != ($FBT87)[1] - ($FBT194)[1] - ($FBT88)[1]))"  >Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</assert>
    

<!--  VR.ATO.GEN.000474 ()

WHERE IN TUPLE (fbt.0002.lodge.req.xx.xx:ProvidedFringeBenefitsDetails)IF (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> NULLORBLANK) AND (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> (lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount - lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount - lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT91 <> BLANK) AND (^FBT91 <> (^FBT90 - ^FBT196 - ^FBT197))
^FBT91 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='D']

^FBT90 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='D']

^FBT196 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='D']

^FBT197 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='D']

-->


    <assert id="VR.ATO.GEN.000474" diagnostics="D166VR.ATO.GEN.000474" subject="subject" test="not((exists(($FBT91)[1]) != false() and ($FBT91)[1] != ($FBT90)[1] - ($FBT196)[1] - ($FBT197)[1]))"  >Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</assert>
    

<!--  VR.ATO.GEN.000474 ()

WHERE IN TUPLE (fbt.0002.lodge.req.xx.xx:ProvidedFringeBenefitsDetails)IF (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> NULLORBLANK) AND (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> (lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount - lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount - lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT95 <> BLANK) AND (^FBT95 <> (^FBT92 - ^FBT93 - ^FBT94))
^FBT95 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='E']

^FBT92 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='E']

^FBT93 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='E']

^FBT94 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='E']

-->


    <assert id="VR.ATO.GEN.000474" diagnostics="D173VR.ATO.GEN.000474" subject="subject" test="not((exists(($FBT95)[1]) != false() and ($FBT95)[1] != ($FBT92)[1] - ($FBT93)[1] - ($FBT94)[1]))"  >Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</assert>
    

<!--  VR.ATO.GEN.000474 ()

WHERE IN TUPLE (fbt.0002.lodge.req.xx.xx:ProvidedFringeBenefitsDetails)IF (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> NULLORBLANK) AND (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> (lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount - lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount - lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT99 <> BLANK) AND (^FBT99 <> (^FBT97 - ^FBT98 - ^FBT199))
^FBT99 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='F']

^FBT97 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='F']

^FBT98 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='F']

^FBT199 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='F']

-->


    <assert id="VR.ATO.GEN.000474" diagnostics="D180VR.ATO.GEN.000474" subject="subject" test="not((exists(($FBT99)[1]) != false() and ($FBT99)[1] != ($FBT97)[1] - ($FBT98)[1] - ($FBT199)[1]))"  >Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</assert>
    

<!--  VR.ATO.GEN.000474 ()

WHERE IN TUPLE (fbt.0002.lodge.req.xx.xx:ProvidedFringeBenefitsDetails)IF (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> NULLORBLANK) AND (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> (lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount - lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount - lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT103 <> BLANK) AND (^FBT103 <> (^FBT101 - ^FBT200 - ^FBT102))
^FBT103 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='G']

^FBT101 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='G']

^FBT200 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='G']

^FBT102 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='G']

-->


    <assert id="VR.ATO.GEN.000474" diagnostics="D186VR.ATO.GEN.000474" subject="subject" test="not((exists(($FBT103)[1]) != false() and ($FBT103)[1] != ($FBT101)[1] - ($FBT200)[1] - ($FBT102)[1]))"  >Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</assert>
    

<!--  VR.ATO.GEN.000474 ()

WHERE IN TUPLE (fbt.0002.lodge.req.xx.xx:ProvidedFringeBenefitsDetails)IF (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> NULLORBLANK) AND (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> (lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount - lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount - lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT107 <> BLANK) AND (^FBT107 <> (^FBT104 - ^FBT105 - ^FBT106))
^FBT107 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='H']

^FBT104 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='H']

^FBT105 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='H']

^FBT106 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='H']

-->


    <assert id="VR.ATO.GEN.000474" diagnostics="D194VR.ATO.GEN.000474" subject="subject" test="not((exists(($FBT107)[1]) != false() and ($FBT107)[1] != ($FBT104)[1] - ($FBT105)[1] - ($FBT106)[1]))"  >Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</assert>
    

<!--  VR.ATO.GEN.000474 ()

WHERE IN TUPLE (fbt.0002.lodge.req.xx.xx:ProvidedFringeBenefitsDetails)IF (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> NULLORBLANK) AND (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> (lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount - lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount - lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT111 <> BLANK) AND (^FBT111 <> (^FBT108 - ^FBT109 - ^FBT110))
^FBT111 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='J']

^FBT108 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='J']

^FBT109 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='J']

^FBT110 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='J']

-->


    <assert id="VR.ATO.GEN.000474" diagnostics="D201VR.ATO.GEN.000474" subject="subject" test="not((exists(($FBT111)[1]) != false() and ($FBT111)[1] != ($FBT108)[1] - ($FBT109)[1] - ($FBT110)[1]))"  >Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</assert>
    

<!--  VR.ATO.GEN.000474 ()

WHERE IN TUPLE (fbt.0002.lodge.req.xx.xx:ProvidedFringeBenefitsDetails)IF (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> NULLORBLANK) AND (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> (lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount - lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount - lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT115 <> BLANK) AND (^FBT115 <> (^FBT112 - ^FBT113 - ^FBT114))
^FBT115 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='K']

^FBT112 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='K']

^FBT113 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='K']

^FBT114 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='K']

-->


    <assert id="VR.ATO.GEN.000474" diagnostics="D208VR.ATO.GEN.000474" subject="subject" test="not((exists(($FBT115)[1]) != false() and ($FBT115)[1] != ($FBT112)[1] - ($FBT113)[1] - ($FBT114)[1]))"  >Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</assert>
    

<!--  VR.ATO.GEN.000474 ()

WHERE IN TUPLE (fbt.0002.lodge.req.xx.xx:ProvidedFringeBenefitsDetails)IF (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> NULLORBLANK) AND (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> (lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount - lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount - lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT117 <> BLANK) AND (^FBT117 <> (^FBT116 - ^FBT205 - ^FBT206))
^FBT117 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='L']

^FBT116 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='L']

^FBT205 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='L']

^FBT206 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='L']

-->


    <assert id="VR.ATO.GEN.000474" diagnostics="D211VR.ATO.GEN.000474" subject="subject" test="not((exists(($FBT117)[1]) != false() and ($FBT117)[1] != ($FBT116)[1] - ($FBT205)[1] - ($FBT206)[1]))"  >Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</assert>
    

<!--  VR.ATO.GEN.000474 ()

WHERE IN TUPLE (fbt.0002.lodge.req.xx.xx:ProvidedFringeBenefitsDetails)IF (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> NULLORBLANK) AND (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> (lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount - lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount - lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount))   RETURN VALIDATION MESSAGENDIF

(^FBT121 <> BLANK) AND (^FBT121 <> (^FBT118 - ^FBT119 - ^FBT120))
^FBT121 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='M']

^FBT118 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='M']

^FBT119 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='M']

^FBT120 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='M']

-->


    <assert id="VR.ATO.GEN.000474" diagnostics="D218VR.ATO.GEN.000474" subject="subject" test="not((exists(($FBT121)[1]) != false() and ($FBT121)[1] != ($FBT118)[1] - ($FBT119)[1] - ($FBT120)[1]))"  >Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</assert>
    

<!--  VR.ATO.GEN.000474 ()

WHERE IN TUPLE (fbt.0002.lodge.req.xx.xx:ProvidedFringeBenefitsDetails)IF (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> NULLORBLANK) AND (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> (lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount - lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount - lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount))   RETURN VALIDATION MESSAGENDIF

(^FBT124 <> BLANK) AND (^FBT124 <> (^FBT122 - ^FBT123 - ^FBT209))
^FBT124 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='N']

^FBT122 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='N']

^FBT123 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='N']

^FBT209 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='N']

-->


    <assert id="VR.ATO.GEN.000474" diagnostics="D223VR.ATO.GEN.000474" subject="subject" test="not((exists(($FBT124)[1]) != false() and ($FBT124)[1] != ($FBT122)[1] - ($FBT123)[1] - ($FBT209)[1]))"  >Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</assert>
    

<!--  VR.ATO.GEN.000474 ()

WHERE IN TUPLE (fbt.0002.lodge.req.xx.xx:ProvidedFringeBenefitsDetails)IF (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> NULLORBLANK) AND (lrla.xx.xx:Remuneration.FringeBenefits.BenefitNetTaxable.Amount <> (lrla.xx.xx:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount - lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount - lrla.xx.xx:Remuneration.FringeBenefits.Reduction.Amount))   
    RETURN VALIDATION MESSAGE
ENDIF

(^FBT126 <> BLANK) AND (^FBT126 <> (^FBT125 - ^FBT211 - ^FBT212))
^FBT126 = lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='P']

^FBT125 = lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount WHERE [Remuneration.FringeBenefits.Type.Code='P']

^FBT211 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount WHERE [Remuneration.FringeBenefits.Type.Code='P']

^FBT212 = lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount WHERE [Remuneration.FringeBenefits.Type.Code='P']

-->


    <assert id="VR.ATO.GEN.000474" diagnostics="D226VR.ATO.GEN.000474" subject="subject" test="not((exists(($FBT126)[1]) != false() and ($FBT126)[1] != ($FBT125)[1] - ($FBT211)[1] - ($FBT212)[1]))"  >Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</assert>

    </rule>



    </pattern>


    <phase id="Prerequisites">
        <active pattern="ContextVariables" />
        <active pattern="ElementVariables" />
        <active pattern="Context" />
        <active pattern="Enumeration" />
        <active pattern="Format" />
    </phase>


    <phase id="Mandatories">
        <active pattern="ContextVariables" />
        <active pattern="ElementVariables" />
        <active pattern="Mandatory" />
    </phase>


    <phase id="Content">
        <active pattern="ContextVariables" />
        <active pattern="ElementVariables" />
        <active pattern="Crossfield" />
        <active pattern="Calculation" />
    </phase>


    <phase id="Full">
        <active pattern="ContextVariables" />
        <active pattern="ElementVariables" />
        <active pattern="Context" />
        <active pattern="Mandatory" />
        <active pattern="Crossfield" />
        <active pattern="Format" />
        <active pattern="Enumeration" />
        <active pattern="Calculation" />
    </phase>



<diagnostics>

    <diagnostic id="D1VR.ATO.GEN.000206">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.200004</Code>
            <Description>Tax file number is required</Description>
            <Location>/<xsl:value-of select="function:PathToNode($INT.ContextFirst)" />/xbrli:entity/xbrli:identifier</Location>
            <Parameters>
                <Parameter>
                    <Name>IdentifierScheme-INT</Name>
                    <Value><xsl:value-of select="$INT.Identifier.Scheme"/></Value>
                </Parameter>
                <Parameter>
                    <Name>IdentifierScheme-INT-Identifier</Name>
                    <Value><xsl:value-of select="$INT.Identifier"/></Value>
                </Parameter>
                <Parameter>
                    <Name>ABN-INT</Name>
                    <Value><xsl:value-of select="$INT.Identifier.ABN"/></Value>
                </Parameter>
                <Parameter>
                    <Name>ABN-INT-Identifier</Name>
                    <Value><xsl:value-of select="$INT.Identifier"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000206</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D2VR.ATO.GEN.000207">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.200005</Code>
            <Description>ABN is required unless an Intermediary is provided</Description>
            <Location>/<xsl:value-of select="function:PathToNode($RP.ContextFirst)" />/xbrli:entity/xbrli:identifier</Location>
            <Parameters>
                <Parameter>
                    <Name>ABN-RP</Name>
                    <Value><xsl:value-of select="$RP.Identifier.ABN"/></Value>
                </Parameter>
                <Parameter>
                    <Name>ABN-RP-Identifier</Name>
                    <Value><xsl:value-of select="$RP.Identifier"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Context-INT</Name>
                    <Value><xsl:value-of select="$INT.ContextId"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Context-INT-Identifier</Name>
                    <Value><xsl:value-of select="$INT.Identifier"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000207</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D3VR.ATO.GEN.000208">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.200007</Code>
            <Description>Invalid XBRL schema</Description>
            <Location>/<xsl:value-of select="function:PathToNode($RP.ContextFirst)" /></Location>
            <Parameters>
                <Parameter>
                    <Name>Context-RP</Name>
                    <Value><xsl:value-of select="$RP.ContextId"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Context-RP-Identifier</Name>
                    <Value><xsl:value-of select="$RP.Identifier"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000208</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D4VR.ATO.GEN.000226">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.200007</Code>
            <Description>Invalid XBRL schema</Description>
            <Location>/<xsl:value-of select="function:PathToNode($INT.ContextFirst)" /></Location>
            <Parameters>
                <Parameter>
                    <Name>Context-INT</Name>
                    <Value><xsl:value-of select="$INT.ContextId"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Context-INT-Identifier</Name>
                    <Value><xsl:value-of select="$INT.Identifier"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000226</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D5VR.ATO.GEN.000239">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.200007</Code>
            <Description>Invalid XBRL schema</Description>
            <Location>/<xsl:value-of select="function:PathToNode($RP.ContextFirst)" />/xbrli:entity/xbrli:identifier</Location>
            <Parameters>
                <Parameter>
                    <Name>IdentifierScheme-RP</Name>
                    <Value><xsl:value-of select="$RP.Identifier.Scheme"/></Value>
                </Parameter>
                <Parameter>
                    <Name>IdentifierScheme-RP-Identifier</Name>
                    <Value><xsl:value-of select="$RP.Identifier"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000239</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D6VR.ATO.FBT.000465">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000465</Code>
            <Description>The start date is in a different FBT financial year to the end date</Description>
            <Location>/<xsl:value-of select="function:PathToNode($INT.ContextFirst)" />/xbrli:period/xbrli:startDate</Location>
            <Parameters>
                <Parameter>
                    <Name>StartDate-INT</Name>
                    <Value><xsl:value-of select="$INT.Context.StartDate"/></Value>
                </Parameter>
                <Parameter>
                    <Name>StartDate-INT-Identifier</Name>
                    <Value><xsl:value-of select="$INT.Identifier"/></Value>
                </Parameter>
                <Parameter>
                    <Name>EndDate-INT</Name>
                    <Value><xsl:value-of select="$INT.Context.EndDate"/></Value>
                </Parameter>
                <Parameter>
                    <Name>EndDate-INT-Identifier</Name>
                    <Value><xsl:value-of select="$INT.Identifier"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000465</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D7VR.ATO.FBT.000466">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000466</Code>
            <Description>Start date must be 1st of April</Description>
            <Location>/<xsl:value-of select="function:PathToNode($INT.ContextFirst)" />/xbrli:period/xbrli:startDate</Location>
            <Parameters>
                <Parameter>
                    <Name>StartDate-INT</Name>
                    <Value><xsl:value-of select="$INT.Context.StartDate"/></Value>
                </Parameter>
                <Parameter>
                    <Name>StartDate-INT-Identifier</Name>
                    <Value><xsl:value-of select="$INT.Identifier"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000466</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D8VR.ATO.FBT.000001">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000001</Code>
            <Description>Year of return must be from FBT year 2011 to current FBT year.</Description>
            <LongDescription>Only FBT Returns from FBT year 2011 to the current FBT year are supported via the SBR channel.</LongDescription>
            <Location>/<xsl:value-of select="function:PathToNode($INT.ContextFirst)" />/xbrli:period/xbrli:endDate</Location>
            <Parameters>
                <Parameter>
                    <Name>EndDate-INT</Name>
                    <Value><xsl:value-of select="$INT.Context.EndDate"/></Value>
                </Parameter>
                <Parameter>
                    <Name>EndDate-INT-Identifier</Name>
                    <Value><xsl:value-of select="$INT.Identifier"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000001</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D9VR.ATO.FBT.000467">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000467</Code>
            <Description>The end date must be 31 of March</Description>
            <Location>/<xsl:value-of select="function:PathToNode($INT.ContextFirst)" />/xbrli:period/xbrli:endDate</Location>
            <Parameters>
                <Parameter>
                    <Name>EndDate-INT</Name>
                    <Value><xsl:value-of select="$INT.Context.EndDate"/></Value>
                </Parameter>
                <Parameter>
                    <Name>EndDate-INT-Identifier</Name>
                    <Value><xsl:value-of select="$INT.Identifier"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000467</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D10VR.ATO.FBT.000461">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000461</Code>
            <Description>Tax file number is required</Description>
            <Location>/xbrli:xbrl/pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT3</Name>
                    <Value><xsl:value-of select="($FBT3)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000461</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D11VR.ATO.GEN.010028">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.010028</Code>
            <Description>If the return is an amendment, sequence number, type and reason must be present</Description>
            <LongDescription>If the Amendment Indicator is &#39;yes&#39; (true), then the Amendment Sequence Number, Amendment Type and Amendment Reason must be present and not blank.</LongDescription>
            <Location>/xbrli:xbrl/pyin.02.07:Report.Amendment.Indicator</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT234</Name>
                    <Value><xsl:value-of select="($FBT234)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT235</Name>
                    <Value><xsl:value-of select="($FBT235)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT236</Name>
                    <Value><xsl:value-of select="($FBT236)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT237</Name>
                    <Value><xsl:value-of select="($FBT237)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.010028</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D12VR.ATO.GEN.010029">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.010029</Code>
            <Description>If the return is an amendment, Amendment Indicator must be &#39;yes&#39; (true)</Description>
            <LongDescription>If an Amendment Sequence Number, Amendment Type or Amendment Reason is present, then the Amendment Indicator must be &#39;yes&#39; (true)</LongDescription>
            <Location>/xbrli:xbrl/pyin.02.07:Report.Amendment.Indicator</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT234</Name>
                    <Value><xsl:value-of select="($FBT234)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT235</Name>
                    <Value><xsl:value-of select="($FBT235)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT236</Name>
                    <Value><xsl:value-of select="($FBT236)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT237</Name>
                    <Value><xsl:value-of select="($FBT237)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.010029</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D13VR.ATO.GEN.010030">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.010030</Code>
            <Description>Amendment sequence number must be a number between 1 and 9</Description>
            <Location>/xbrli:xbrl/pyin.02.08:Report.AmendmentSequence.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT235</Name>
                    <Value><xsl:value-of select="($FBT235)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.010030</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D14VR.ATO.FBT.000452">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000452</Code>
            <Description>Person Name Usage code is invalid. It must be either &quot;Identifier&quot; or &quot;Contact&quot;.</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.05:PersonNameDetails.Usage.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>PersonNameDetails.Usage.Code</Name>
                    <Value><xsl:value-of select="PersonNameDetails.Usage.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000452</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D15VR.ATO.FBT.000004">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000004</Code>
            <Description>Both Controlling party current family name and Non-Individual Name are not provided. One of these names is required</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT6</Name>
                    <Value><xsl:value-of select="($FBT6)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT10</Name>
                    <Value><xsl:value-of select="($FBT10)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000004</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D16VR.ATO.FBT.000017">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000017</Code>
            <Description>Both Controlling party current family name and Non-Individual Name are present. Only one name is required</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT6</Name>
                    <Value><xsl:value-of select="($FBT6)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT10</Name>
                    <Value><xsl:value-of select="($FBT10)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000017</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D17VR.ATO.FBT.010045">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT6</Name>
                    <Value><xsl:value-of select="($FBT6)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010045</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D18VR.ATO.FBT.010046">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT8</Name>
                    <Value><xsl:value-of select="($FBT8)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010046</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D19VR.ATO.FBT.010047">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT9</Name>
                    <Value><xsl:value-of select="($FBT9)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010047</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D20VR.ATO.GEN.000465">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000465</Code>
            <Description>Organisation name type code must be &quot;MN&quot; or &quot;MTR&quot;</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>OrganisationNameDetails.OrganisationalName.Text</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.OrganisationalName.Text"/></Value>
                </Parameter>
                <Parameter>
                    <Name>OrganisationNameDetails.OrganisationalNameType.Code</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.OrganisationalNameType.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000465</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D21VR.ATO.FBT.010056">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT10</Name>
                    <Value><xsl:value-of select="($FBT10)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010056</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D22VR.ATO.GEN.000462">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000462</Code>
            <Description>Person Name Type Code must be &quot;LGL&quot;</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:PersonNameDetails.PersonNameType.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>PersonNameDetails.FamilyName.Text</Name>
                    <Value><xsl:value-of select="PersonNameDetails.FamilyName.Text"/></Value>
                </Parameter>
                <Parameter>
                    <Name>PersonNameDetails.PersonNameType.Code</Name>
                    <Value><xsl:value-of select="PersonNameDetails.PersonNameType.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000462</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D23VR.ATO.FBT.000452">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000452</Code>
            <Description>Person Name Usage code is invalid. It must be either &quot;Identifier&quot; or &quot;Contact&quot;.</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.05:PersonNameDetails.Usage.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>PersonNameDetails.Usage.Code</Name>
                    <Value><xsl:value-of select="PersonNameDetails.Usage.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000452</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D24VR.ATO.GEN.000462">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000462</Code>
            <Description>Person Name Type Code must be &quot;LGL&quot;</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:PersonNameDetails.PersonNameType.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>PersonNameDetails.FamilyName.Text</Name>
                    <Value><xsl:value-of select="PersonNameDetails.FamilyName.Text"/></Value>
                </Parameter>
                <Parameter>
                    <Name>PersonNameDetails.PersonNameType.Code</Name>
                    <Value><xsl:value-of select="PersonNameDetails.PersonNameType.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000462</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D25VR.ATO.FBT.000250">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000250</Code>
            <Description>Both Controlling Party Previous Name Family name and Controlling Party Previous Name Non-individual name are present. Only one name is required</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT50</Name>
                    <Value><xsl:value-of select="($FBT50)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT54</Name>
                    <Value><xsl:value-of select="($FBT54)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000250</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D26VR.ATO.FBT.010048">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT50</Name>
                    <Value><xsl:value-of select="($FBT50)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010048</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D27VR.ATO.FBT.010049">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT52</Name>
                    <Value><xsl:value-of select="($FBT52)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010049</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D28VR.ATO.FBT.010050">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT53</Name>
                    <Value><xsl:value-of select="($FBT53)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010050</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D29VR.ATO.GEN.000465">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000465</Code>
            <Description>Organisation name type code must be &quot;MN&quot; or &quot;MTR&quot;</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>OrganisationNameDetails.OrganisationalName.Text</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.OrganisationalName.Text"/></Value>
                </Parameter>
                <Parameter>
                    <Name>OrganisationNameDetails.OrganisationalNameType.Code</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.OrganisationalNameType.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000465</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D30VR.ATO.FBT.010056">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT54</Name>
                    <Value><xsl:value-of select="($FBT54)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010056</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D31VR.ATO.GEN.000462">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000462</Code>
            <Description>Person Name Type Code must be &quot;LGL&quot;</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:PersonNameDetails.PersonNameType.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>PersonNameDetails.FamilyName.Text</Name>
                    <Value><xsl:value-of select="PersonNameDetails.FamilyName.Text"/></Value>
                </Parameter>
                <Parameter>
                    <Name>PersonNameDetails.PersonNameType.Code</Name>
                    <Value><xsl:value-of select="PersonNameDetails.PersonNameType.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000462</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D32VR.ATO.GEN.000483">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000483</Code>
            <Description>Only one instance of the current name of employer is allowed</Description>
            <LongDescription>There must be no more than one instance of the current employer Name. This name must be submitted with a Type Code of &#39;LGL&#39;, Usage Code  of &#39;Identifier&#39; and a Currency code of &#39;C&#39;</LongDescription>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.PersonNameType.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT12</Name>
                    <Value><xsl:value-of select="$FBT12"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000483</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D33VR.ATO.FBT.000452">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000452</Code>
            <Description>Person Name Usage code is invalid. It must be either &quot;Identifier&quot; or &quot;Contact&quot;.</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.05:PersonNameDetails.Usage.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>PersonNameDetails.Usage.Code</Name>
                    <Value><xsl:value-of select="PersonNameDetails.Usage.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000452</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D34VR.ATO.FBT.000069">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000069</Code>
            <Description>Both Employers Family Name and Non-Individual Name are present . Only one name is required</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT16</Name>
                    <Value><xsl:value-of select="($FBT16)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT12</Name>
                    <Value><xsl:value-of select="($FBT12)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000069</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D35VR.ATO.FBT.000070">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000070</Code>
            <Description>Employer Family Name or Non-individual Name is not present.</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT16</Name>
                    <Value><xsl:value-of select="($FBT16)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT12</Name>
                    <Value><xsl:value-of select="($FBT12)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000070</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D36VR.ATO.FBT.010036">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT12</Name>
                    <Value><xsl:value-of select="($FBT12)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010036</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D37VR.ATO.FBT.010037">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT14</Name>
                    <Value><xsl:value-of select="($FBT14)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010037</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D38VR.ATO.FBT.010038">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT15</Name>
                    <Value><xsl:value-of select="($FBT15)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010038</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D39VR.ATO.GEN.000465">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000465</Code>
            <Description>Organisation name type code must be &quot;MN&quot; or &quot;MTR&quot;</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>OrganisationNameDetails.OrganisationalName.Text</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.OrganisationalName.Text"/></Value>
                </Parameter>
                <Parameter>
                    <Name>OrganisationNameDetails.OrganisationalNameType.Code</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.OrganisationalNameType.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000465</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D40VR.ATO.GEN.000485">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000485</Code>
            <Description>Only one instance of the Current Employer non-individual name is allowed</Description>
            <LongDescription>There must be no more than one instance of the current employer non-individual Name. This name must be submitted with a Currency Code &#39;C&#39; and a Type of &#39;MN&#39;</LongDescription>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT16</Name>
                    <Value><xsl:value-of select="$FBT16"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000485</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D41VR.ATO.FBT.010056">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT16</Name>
                    <Value><xsl:value-of select="($FBT16)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010056</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D42VR.ATO.GEN.000467">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000467</Code>
            <Description>Address usage code must be &quot;POS&quot; or &quot;BUS&quot;</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.01:AddressDetails.Usage.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>AddressDetails.Line1.Text</Name>
                    <Value><xsl:value-of select="AddressDetails.Line1.Text"/></Value>
                </Parameter>
                <Parameter>
                    <Name>AddressDetails.Usage.Code</Name>
                    <Value><xsl:value-of select="AddressDetails.Usage.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000467</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D43VR.ATO.FBT.000399">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000399</Code>
            <Description>Number is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.ItemsProvided.Number</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.ItemsProvided.Number"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000399</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D44VR.ATO.FBT.010018">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400012</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a numeric field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT201</Name>
                    <Value><xsl:value-of select="($FBT201)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010018</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D45VR.ATO.FBT.000399">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000399</Code>
            <Description>Number is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.ItemsProvided.Number</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.ItemsProvided.Number"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000399</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D46VR.ATO.FBT.010018">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400012</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a numeric field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT202</Name>
                    <Value><xsl:value-of select="($FBT202)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010018</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D47VR.ATO.FBT.000399">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000399</Code>
            <Description>Number is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.ItemsProvided.Number</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.ItemsProvided.Number"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000399</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D48VR.ATO.FBT.010018">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400012</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a numeric field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT203</Name>
                    <Value><xsl:value-of select="($FBT203)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010018</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D49VR.ATO.FBT.000399">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000399</Code>
            <Description>Number is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.ItemsProvided.Number</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.ItemsProvided.Number"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000399</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D50VR.ATO.FBT.010018">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400012</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a numeric field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT204</Name>
                    <Value><xsl:value-of select="($FBT204)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010018</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D51VR.ATO.FBT.000399">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000399</Code>
            <Description>Number is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.ItemsProvided.Number</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.ItemsProvided.Number"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000399</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D52VR.ATO.FBT.010018">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400012</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a numeric field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT207</Name>
                    <Value><xsl:value-of select="($FBT207)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010018</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D53VR.ATO.FBT.000399">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000399</Code>
            <Description>Number is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.ItemsProvided.Number</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.ItemsProvided.Number"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000399</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D54VR.ATO.FBT.010018">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400012</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a numeric field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT208</Name>
                    <Value><xsl:value-of select="($FBT208)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010018</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D55VR.ATO.FBT.000398">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000398</Code>
            <Description>Employee contribution is not required for this Fringe benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.EmployeeContribution.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.EmployeeContribution.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000398</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D56VR.ATO.FBT.010013">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT200</Name>
                    <Value><xsl:value-of select="($FBT200)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010013</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D57VR.ATO.FBT.000398">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000398</Code>
            <Description>Employee contribution is not required for this Fringe benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.EmployeeContribution.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.EmployeeContribution.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000398</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D58VR.ATO.FBT.010013">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT205</Name>
                    <Value><xsl:value-of select="($FBT205)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010013</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D59VR.ATO.FBT.000396">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000396</Code>
            <Description>Value of reductions is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Reduction.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Reduction.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000396</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D60VR.ATO.FBT.010014">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT206</Name>
                    <Value><xsl:value-of select="($FBT206)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010014</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D61VR.ATO.FBT.000396">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000396</Code>
            <Description>Value of reductions is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Reduction.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Reduction.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000396</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D62VR.ATO.FBT.010014">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT209</Name>
                    <Value><xsl:value-of select="($FBT209)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010014</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D63VR.ATO.FBT.010023">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.LocalityName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT21</Name>
                    <Value><xsl:value-of select="($FBT21)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010023</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D64VR.ATO.FBT.000399">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000399</Code>
            <Description>Number is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.ItemsProvided.Number</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.ItemsProvided.Number"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000399</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D65VR.ATO.FBT.010018">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400012</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a numeric field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT210</Name>
                    <Value><xsl:value-of select="($FBT210)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010018</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D66VR.ATO.FBT.000398">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000398</Code>
            <Description>Employee contribution is not required for this Fringe benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.EmployeeContribution.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.EmployeeContribution.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000398</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D67VR.ATO.FBT.010013">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT211</Name>
                    <Value><xsl:value-of select="($FBT211)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010013</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D68VR.ATO.FBT.000396">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000396</Code>
            <Description>Value of reductions is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Reduction.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Reduction.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000396</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D69VR.ATO.FBT.010014">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT212</Name>
                    <Value><xsl:value-of select="($FBT212)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010014</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D70VR.ATO.GEN.000462">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000462</Code>
            <Description>Person Name Type Code must be &quot;LGL&quot;</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:PersonNameDetails.PersonNameType.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>PersonNameDetails.FamilyName.Text</Name>
                    <Value><xsl:value-of select="PersonNameDetails.FamilyName.Text"/></Value>
                </Parameter>
                <Parameter>
                    <Name>PersonNameDetails.PersonNameType.Code</Name>
                    <Value><xsl:value-of select="PersonNameDetails.PersonNameType.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000462</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D71VR.ATO.GEN.000484">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000484</Code>
            <Description>Only one instance of the previous name of employer is allowed</Description>
            <LongDescription>There must be no more than one instance of the previous employer Name. This name must be submitted with a Type Code of &#39;LGL&#39;, Usage Code  of &#39;Identifier&#39; and a Currency code of &#39;P&#39;</LongDescription>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT27</Name>
                    <Value><xsl:value-of select="$FBT27"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000484</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D72VR.ATO.FBT.000452">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000452</Code>
            <Description>Person Name Usage code is invalid. It must be either &quot;Identifier&quot; or &quot;Contact&quot;.</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.05:PersonNameDetails.Usage.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>PersonNameDetails.Usage.Code</Name>
                    <Value><xsl:value-of select="PersonNameDetails.Usage.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000452</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D73VR.ATO.FBT.000145">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000145</Code>
            <Description>Both Employer previous family name and Employer previous non-individual name are present. Only one name is required.</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT27</Name>
                    <Value><xsl:value-of select="($FBT27)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT31</Name>
                    <Value><xsl:value-of select="($FBT31)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000145</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D74VR.ATO.FBT.010040">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT27</Name>
                    <Value><xsl:value-of select="($FBT27)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010040</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D75VR.ATO.FBT.010041">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT29</Name>
                    <Value><xsl:value-of select="($FBT29)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010041</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D76VR.ATO.FBT.010042">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT30</Name>
                    <Value><xsl:value-of select="($FBT30)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010042</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D77VR.ATO.GEN.000465">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000465</Code>
            <Description>Organisation name type code must be &quot;MN&quot; or &quot;MTR&quot;</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>OrganisationNameDetails.OrganisationalName.Text</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.OrganisationalName.Text"/></Value>
                </Parameter>
                <Parameter>
                    <Name>OrganisationNameDetails.OrganisationalNameType.Code</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.OrganisationalNameType.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000465</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D78VR.ATO.GEN.000486">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000486</Code>
            <Description>Only one instance of the previous Employer non-individual name is allowed</Description>
            <LongDescription>There must be no more than one instance of the previous employer non-individual Name. This name must be submitted with a Currency Code &#39;P&#39; and a Type of &#39;MN&#39;</LongDescription>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT31</Name>
                    <Value><xsl:value-of select="$FBT31"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000486</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D79VR.ATO.FBT.010056">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT31</Name>
                    <Value><xsl:value-of select="($FBT31)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010056</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D80VR.ATO.GEN.000467">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000467</Code>
            <Description>Address usage code must be &quot;POS&quot; or &quot;BUS&quot;</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.01:AddressDetails.Usage.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>AddressDetails.Line1.Text</Name>
                    <Value><xsl:value-of select="AddressDetails.Line1.Text"/></Value>
                </Parameter>
                <Parameter>
                    <Name>AddressDetails.Usage.Code</Name>
                    <Value><xsl:value-of select="AddressDetails.Usage.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000467</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D81VR.ATO.FBT.000187">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000187</Code>
            <Description>Current postal address and previous postal address are identical. Previous postal address is only required when an address change has occurred since the last return</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT32</Name>
                    <Value><xsl:value-of select="($FBT32)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT17</Name>
                    <Value><xsl:value-of select="($FBT17)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT33</Name>
                    <Value><xsl:value-of select="($FBT33)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT18</Name>
                    <Value><xsl:value-of select="($FBT18)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT36</Name>
                    <Value><xsl:value-of select="($FBT36)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT21</Name>
                    <Value><xsl:value-of select="($FBT21)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT38</Name>
                    <Value><xsl:value-of select="($FBT38)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT23</Name>
                    <Value><xsl:value-of select="($FBT23)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT37</Name>
                    <Value><xsl:value-of select="($FBT37)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT22</Name>
                    <Value><xsl:value-of select="($FBT22)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT223</Name>
                    <Value><xsl:value-of select="($FBT223)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT222</Name>
                    <Value><xsl:value-of select="($FBT222)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000187</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D82VR.ATO.FBT.010023">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.LocalityName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT36</Name>
                    <Value><xsl:value-of select="($FBT36)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010023</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D83VR.ATO.GEN.000465">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000465</Code>
            <Description>Organisation name type code must be &quot;MN&quot; or &quot;MTR&quot;</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>OrganisationNameDetails.OrganisationalName.Text</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.OrganisationalName.Text"/></Value>
                </Parameter>
                <Parameter>
                    <Name>OrganisationNameDetails.OrganisationalNameType.Code</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.OrganisationalNameType.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000465</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D84VR.ATO.GEN.000487">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000487</Code>
            <Description>Only one instance of the Business/trading name is allowed</Description>
            <LongDescription>There must be no more than one instance of the Business/trading name. This name must be submitted with a Currency Code &#39;C&#39; and a Type of &#39;MTR&#39;</LongDescription>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT40</Name>
                    <Value><xsl:value-of select="$FBT40"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000487</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D85VR.ATO.FBT.010056">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT40</Name>
                    <Value><xsl:value-of select="($FBT40)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010056</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D86VR.ATO.GEN.000467">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000467</Code>
            <Description>Address usage code must be &quot;POS&quot; or &quot;BUS&quot;</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.01:AddressDetails.Usage.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>AddressDetails.Line1.Text</Name>
                    <Value><xsl:value-of select="AddressDetails.Line1.Text"/></Value>
                </Parameter>
                <Parameter>
                    <Name>AddressDetails.Usage.Code</Name>
                    <Value><xsl:value-of select="AddressDetails.Usage.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000467</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D87VR.ATO.FBT.010023">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.LocalityName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT45</Name>
                    <Value><xsl:value-of select="($FBT45)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010023</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D88VR.ATO.GEN.000462">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000462</Code>
            <Description>Person Name Type Code must be &quot;LGL&quot;</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:PersonNameDetails.PersonNameType.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>PersonNameDetails.FamilyName.Text</Name>
                    <Value><xsl:value-of select="PersonNameDetails.FamilyName.Text"/></Value>
                </Parameter>
                <Parameter>
                    <Name>PersonNameDetails.PersonNameType.Code</Name>
                    <Value><xsl:value-of select="PersonNameDetails.PersonNameType.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000462</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D89VR.ATO.FBT.000452">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000452</Code>
            <Description>Person Name Usage code is invalid. It must be either &quot;Identifier&quot; or &quot;Contact&quot;.</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.05:PersonNameDetails.Usage.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>PersonNameDetails.Usage.Code</Name>
                    <Value><xsl:value-of select="PersonNameDetails.Usage.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000452</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D90VR.ATO.FBT.000399">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000399</Code>
            <Description>Number is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.ItemsProvided.Number</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.ItemsProvided.Number"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000399</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D91VR.ATO.FBT.010018">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400012</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a numeric field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT195</Name>
                    <Value><xsl:value-of select="($FBT195)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010018</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D92VR.ATO.FBT.000399">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000399</Code>
            <Description>Number is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.ItemsProvided.Number</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.ItemsProvided.Number"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000399</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D93VR.ATO.FBT.010018">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400012</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a numeric field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT198</Name>
                    <Value><xsl:value-of select="($FBT198)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010018</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D94VR.ATO.FBT.000398">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000398</Code>
            <Description>Employee contribution is not required for this Fringe benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.EmployeeContribution.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.EmployeeContribution.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000398</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D95VR.ATO.FBT.010013">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT194</Name>
                    <Value><xsl:value-of select="($FBT194)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010013</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D96VR.ATO.FBT.000398">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000398</Code>
            <Description>Employee contribution is not required for this Fringe benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.EmployeeContribution.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.EmployeeContribution.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000398</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D97VR.ATO.FBT.010013">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT196</Name>
                    <Value><xsl:value-of select="($FBT196)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010013</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D98VR.ATO.FBT.000396">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000396</Code>
            <Description>Value of reductions is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Reduction.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Reduction.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000396</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D99VR.ATO.FBT.010014">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT192</Name>
                    <Value><xsl:value-of select="($FBT192)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010014</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D100VR.ATO.FBT.000396">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000396</Code>
            <Description>Value of reductions is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Reduction.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Reduction.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000396</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D101VR.ATO.FBT.010014">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT193</Name>
                    <Value><xsl:value-of select="($FBT193)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010014</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D102VR.ATO.FBT.000396">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000396</Code>
            <Description>Value of reductions is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Reduction.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Reduction.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000396</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D103VR.ATO.FBT.010014">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT197</Name>
                    <Value><xsl:value-of select="($FBT197)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010014</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D104VR.ATO.FBT.000396">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000396</Code>
            <Description>Value of reductions is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Reduction.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Reduction.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000396</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D105VR.ATO.FBT.010014">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT199</Name>
                    <Value><xsl:value-of select="($FBT199)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010014</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D106VR.ATO.FBT.010052">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT56</Name>
                    <Value><xsl:value-of select="($FBT56)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010052</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D107VR.ATO.FBT.010053">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT58</Name>
                    <Value><xsl:value-of select="($FBT58)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010053</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D108VR.ATO.FBT.010054">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT59</Name>
                    <Value><xsl:value-of select="($FBT59)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010054</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D109VR.ATO.FBT.000424">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000424</Code>
            <Description>Both reporting party and intermediary contact telephone numbers are missing, at least one is required</Description>
            <Location>/xbrli:xbrl/phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT61</Name>
                    <Value><xsl:value-of select="($FBT61)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT128</Name>
                    <Value><xsl:value-of select="($FBT128)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000424</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D110VR.ATO.FBT.010024">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT61</Name>
                    <Value><xsl:value-of select="($FBT61)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010024</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D111VR.ATO.FBT.010027">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/email1.02.00:ElectronicContactElectronicMail/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT62</Name>
                    <Value><xsl:value-of select="($FBT62)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010027</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D112VR.ATO.FBT.010017">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400012</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a numeric field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/lrla.02.00:Remuneration.FringeBenefits.Recipients.Count</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT63</Name>
                    <Value><xsl:value-of select="($FBT63)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010017</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D113VR.ATO.FBT.010019">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400012</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a numeric field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/pyin.02.00:Report.CompletionHours.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT64</Name>
                    <Value><xsl:value-of select="($FBT64)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010019</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D114VR.ATO.FBT.000331">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000331</Code>
            <Description>Final Return Indicator must be TRUE or FALSE</Description>
            <LongDescription>Answering False to this question will cancel your FBT registration and future instalments</LongDescription>
            <Location>/xbrli:xbrl/pyin.02.00:Lodgment.FinalReturn.Indicator</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT65</Name>
                    <Value><xsl:value-of select="($FBT65)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000331</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D115VR.ATO.FBT.010033">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.010033</Code>
            <Description>Bank account name must not be longer than 32 characters.</Description>
            <Location>/xbrli:xbrl/fininstacc1.02.00:FinancialInstitutionAccount/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT231</Name>
                    <Value><xsl:value-of select="($FBT231)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010033</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D116VR.ATO.FBT.010002">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/lrla.02.00:Remuneration.FringeBenefits.Type1Aggregate.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT66</Name>
                    <Value><xsl:value-of select="($FBT66)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010002</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D117VR.ATO.FBT.000332">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000332</Code>
            <Description>Type 1 aggregate factored amount is incorrect</Description>
            <Location>/xbrli:xbrl/rvctc3.02.00:FringeBenefitsTax.Type1Aggregate.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>GROSS UP HIGHER RATE</Name>
                    <Value>2.0647</Value>
                </Parameter>
                <Parameter>
                    <Name>FBT67</Name>
                    <Value><xsl:value-of select="($FBT67)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT66</Name>
                    <Value><xsl:value-of select="($FBT66)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000332</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D118VR.ATO.FBT.010003">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/rvctc3.02.00:FringeBenefitsTax.Type1Aggregate.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT67</Name>
                    <Value><xsl:value-of select="($FBT67)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010003</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D119VR.ATO.FBT.010004">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/lrla.02.00:Remuneration.FringeBenefits.Type2Aggregate.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT68</Name>
                    <Value><xsl:value-of select="($FBT68)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010004</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D120VR.ATO.FBT.000333">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000333</Code>
            <Description>Type 2 aggregate factored amount is incorrect</Description>
            <Location>/xbrli:xbrl/rvctc3.02.00:FringeBenefitsTax.Type2Aggregate.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>GROSS UP LOWER RATE</Name>
                    <Value>1.8692</Value>
                </Parameter>
                <Parameter>
                    <Name>FBT69</Name>
                    <Value><xsl:value-of select="($FBT69)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT68</Name>
                    <Value><xsl:value-of select="($FBT68)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000333</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D121VR.ATO.FBT.010005">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/rvctc3.02.00:FringeBenefitsTax.Type2Aggregate.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT69</Name>
                    <Value><xsl:value-of select="($FBT69)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010005</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D122VR.ATO.FBT.010006">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/lrla.02.00:Remuneration.FringeBenefits.AggregateNonExempt.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT70</Name>
                    <Value><xsl:value-of select="($FBT70)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010006</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D123VR.ATO.FBT.000334">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000334</Code>
            <Description>Fringe benefits taxable amount (A + B) or C must equal Type 1 aggregate factored amount plus Type 2 aggregate factored amount plus Aggregate Non-exempt amount (hospitals, ambulances, public benevolent institutions and health promotion charities only)</Description>
            <Location>/xbrli:xbrl/lrla.02.00:Remuneration.FringeBenefits.TaxableTotal.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT71</Name>
                    <Value><xsl:value-of select="($FBT71)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT67</Name>
                    <Value><xsl:value-of select="($FBT67)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT69</Name>
                    <Value><xsl:value-of select="($FBT69)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT70</Name>
                    <Value><xsl:value-of select="($FBT70)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000334</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D124VR.ATO.FBT.000464">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000464</Code>
            <Description>Fringe benefits taxable amount (A + B) or C is required</Description>
            <Location>/xbrli:xbrl/lrla.02.00:Remuneration.FringeBenefits.TaxableTotal.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT71</Name>
                    <Value><xsl:value-of select="($FBT71)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000464</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D125VR.ATO.FBT.010007">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/lrla.02.00:Remuneration.FringeBenefits.TaxableTotal.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT71</Name>
                    <Value><xsl:value-of select="($FBT71)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010007</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D126VR.ATO.FBT.000335">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000335</Code>
            <Description>Amount of tax payable is not equal to Fringe benefits taxable amount (A + B) or C multiplied by FBT TAX RATE</Description>
            <Location>/xbrli:xbrl/rvctc3.02.00:FringeBenefitsTax.Payable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT TAX RATE</Name>
                    <Value>0.465</Value>
                </Parameter>
                <Parameter>
                    <Name>FBT72</Name>
                    <Value><xsl:value-of select="($FBT72)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT71</Name>
                    <Value><xsl:value-of select="($FBT71)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000335</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D127VR.ATO.FBT.000463">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000463</Code>
            <Description>Amount of tax payable is required</Description>
            <Location>/xbrli:xbrl/rvctc3.02.00:FringeBenefitsTax.Payable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT72</Name>
                    <Value><xsl:value-of select="($FBT72)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000463</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D128VR.ATO.FBT.010008">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/rvctc3.02.00:FringeBenefitsTax.Payable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT72</Name>
                    <Value><xsl:value-of select="($FBT72)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010008</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D129VR.ATO.FBT.000336">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000336</Code>
            <Description>Aggregate non rebatable amount cannot be greater than Amount of tax payable</Description>
            <Location>/xbrli:xbrl/rvctc3.02.00:FringeBenefitsTax.NonRebatableAggregate.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT73</Name>
                    <Value><xsl:value-of select="($FBT73)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT72</Name>
                    <Value><xsl:value-of select="($FBT72)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000336</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D130VR.ATO.FBT.000337">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000337</Code>
            <Description>Aggregate non rebatable amount is absent and Amount of rebate is present. Enter zero if there is no non-rebatable amount</Description>
            <Location>/xbrli:xbrl/rvctc3.02.00:FringeBenefitsTax.NonRebatableAggregate.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT73</Name>
                    <Value><xsl:value-of select="($FBT73)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT74</Name>
                    <Value><xsl:value-of select="($FBT74)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000337</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D131VR.ATO.FBT.010009">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/rvctc3.02.00:FringeBenefitsTax.NonRebatableAggregate.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT73</Name>
                    <Value><xsl:value-of select="($FBT73)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010009</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D132VR.ATO.FBT.000338">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000338</Code>
            <Description>Aggregate non rebatable amount is present and Amount of rebate is absent. Enter zero if there is no rebate amount</Description>
            <Location>/xbrli:xbrl/rvctc3.02.00:FringeBenefitsTax.Rebate.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT73</Name>
                    <Value><xsl:value-of select="($FBT73)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT74</Name>
                    <Value><xsl:value-of select="($FBT74)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000338</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D133VR.ATO.FBT.000339">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000339</Code>
            <Description>Amount of rebate is greater than zero and Amount of rebate is greater than 48% of Total amount of tax calculated</Description>
            <Location>/xbrli:xbrl/rvctc3.02.00:FringeBenefitsTax.Rebate.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT74</Name>
                    <Value><xsl:value-of select="($FBT74)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT72</Name>
                    <Value><xsl:value-of select="($FBT72)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT73</Name>
                    <Value><xsl:value-of select="($FBT73)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000339</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D134VR.ATO.FBT.010010">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/rvctc3.02.00:FringeBenefitsTax.Rebate.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT74</Name>
                    <Value><xsl:value-of select="($FBT74)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010010</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D135VR.ATO.FBT.000340">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000340</Code>
            <Description>Sub - total (Amount of tax payable less Amount of rebate) is not equal to Amount of tax payable less Amount of rebate</Description>
            <Location>/xbrli:xbrl/rvctc3.02.00:FringeBenefitsTax.Liability.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT75</Name>
                    <Value><xsl:value-of select="($FBT75)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT72</Name>
                    <Value><xsl:value-of select="($FBT72)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT74</Name>
                    <Value><xsl:value-of select="($FBT74)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000340</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D136VR.ATO.FBT.000462">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000462</Code>
            <Description>Sub - total (Amount of tax payable less Amount of rebate) is required</Description>
            <Location>/xbrli:xbrl/rvctc3.02.00:FringeBenefitsTax.Liability.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT75</Name>
                    <Value><xsl:value-of select="($FBT75)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000462</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D137VR.ATO.FBT.010015">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/rvctc3.02.00:FringeBenefitsTax.Liability.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT75</Name>
                    <Value><xsl:value-of select="($FBT75)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010015</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D138VR.ATO.FBT.010016">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/rvctc3.02.00:FringeBenefitsTax.LiabilityInstalmentsTotal.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT76</Name>
                    <Value><xsl:value-of select="($FBT76)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010016</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D139VR.ATO.FBT.000341">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000341</Code>
            <Description>Payment due or credit due to you is not equal to Sub - total (Amount of tax payable less Amount of rebate) minus Less instalment amounts reported on activity statements</Description>
            <Location>/xbrli:xbrl/rvctc3.02.00:FringeBenefitsTax.AdjustmentDue.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT77</Name>
                    <Value><xsl:value-of select="($FBT77)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT75</Name>
                    <Value><xsl:value-of select="($FBT75)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT76</Name>
                    <Value><xsl:value-of select="($FBT76)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000341</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D140VR.ATO.FBT.010011">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/rvctc3.02.00:FringeBenefitsTax.AdjustmentDue.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT77</Name>
                    <Value><xsl:value-of select="($FBT77)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010011</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D141VR.ATO.FBT.100057">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.432268</Code>
            <Description>Financial institution details must be entered when a credit (refund) is due.</Description>
            <LongDescription>Based on the return calculation details a credit or refund is due. In order for the ATO to pay this credit or refund, Australian financial institution account details must be provided. If account details are not available please phone the Tax Office on: For self lodgers 13 28 61 options 2 2 and for tax agents 13 72 86 options 1 3 1 2.</LongDescription>
            <Location>/xbrli:xbrl/rvctc3.02.00:FringeBenefitsTax.AdjustmentDue.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT77</Name>
                    <Value><xsl:value-of select="($FBT77)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT230</Name>
                    <Value><xsl:value-of select="($FBT230)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.100057</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D142VR.ATO.FBT.000469">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000469</Code>
            <Description>Fringe Benefits Type Code must not be repeated.</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.Type.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT136</Name>
                    <Value><xsl:value-of select="$FBT136"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT137</Name>
                    <Value><xsl:value-of select="$FBT137"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT138</Name>
                    <Value><xsl:value-of select="$FBT138"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT139</Name>
                    <Value><xsl:value-of select="$FBT139"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT140</Name>
                    <Value><xsl:value-of select="$FBT140"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT141</Name>
                    <Value><xsl:value-of select="$FBT141"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT142</Name>
                    <Value><xsl:value-of select="$FBT142"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT143</Name>
                    <Value><xsl:value-of select="$FBT143"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT144</Name>
                    <Value><xsl:value-of select="$FBT144"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT145</Name>
                    <Value><xsl:value-of select="$FBT145"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT146</Name>
                    <Value><xsl:value-of select="$FBT146"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT147</Name>
                    <Value><xsl:value-of select="$FBT147"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT148</Name>
                    <Value><xsl:value-of select="$FBT148"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT149</Name>
                    <Value><xsl:value-of select="$FBT149"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000469</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D143VR.ATO.FBT.000399">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000399</Code>
            <Description>Number is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.ItemsProvided.Number</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.ItemsProvided.Number"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000399</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D144VR.ATO.FBT.010018">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400012</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a numeric field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT78</Name>
                    <Value><xsl:value-of select="($FBT78)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010018</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D145VR.ATO.FBT.010012">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT79</Name>
                    <Value><xsl:value-of select="($FBT79)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010012</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D146VR.ATO.FBT.000398">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000398</Code>
            <Description>Employee contribution is not required for this Fringe benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.EmployeeContribution.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.EmployeeContribution.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000398</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D147VR.ATO.FBT.010013">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT80</Name>
                    <Value><xsl:value-of select="($FBT80)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010013</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D148VR.ATO.FBT.010001">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT81</Name>
                    <Value><xsl:value-of select="($FBT81)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010001</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D149VR.ATO.GEN.000474">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000474</Code>
            <Description>Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT81</Name>
                    <Value><xsl:value-of select="($FBT81)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT79</Name>
                    <Value><xsl:value-of select="($FBT79)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT80</Name>
                    <Value><xsl:value-of select="($FBT80)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT192</Name>
                    <Value><xsl:value-of select="($FBT192)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000474</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D150VR.ATO.FBT.000399">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000399</Code>
            <Description>Number is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.ItemsProvided.Number</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.ItemsProvided.Number"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000399</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D151VR.ATO.FBT.010018">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400012</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a numeric field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT82</Name>
                    <Value><xsl:value-of select="($FBT82)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010018</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D152VR.ATO.FBT.010012">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT83</Name>
                    <Value><xsl:value-of select="($FBT83)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010012</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D153VR.ATO.FBT.000398">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000398</Code>
            <Description>Employee contribution is not required for this Fringe benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.EmployeeContribution.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.EmployeeContribution.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000398</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D154VR.ATO.FBT.010013">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT84</Name>
                    <Value><xsl:value-of select="($FBT84)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010013</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D155VR.ATO.FBT.010001">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT85</Name>
                    <Value><xsl:value-of select="($FBT85)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010001</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D156VR.ATO.GEN.000474">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000474</Code>
            <Description>Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT85</Name>
                    <Value><xsl:value-of select="($FBT85)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT83</Name>
                    <Value><xsl:value-of select="($FBT83)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT84</Name>
                    <Value><xsl:value-of select="($FBT84)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT193</Name>
                    <Value><xsl:value-of select="($FBT193)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000474</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D157VR.ATO.FBT.000399">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000399</Code>
            <Description>Number is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.ItemsProvided.Number</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.ItemsProvided.Number"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000399</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D158VR.ATO.FBT.010018">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400012</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a numeric field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT86</Name>
                    <Value><xsl:value-of select="($FBT86)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010018</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D159VR.ATO.FBT.010012">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT87</Name>
                    <Value><xsl:value-of select="($FBT87)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010012</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D160VR.ATO.FBT.000396">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000396</Code>
            <Description>Value of reductions is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Reduction.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Reduction.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000396</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D161VR.ATO.FBT.010014">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT88</Name>
                    <Value><xsl:value-of select="($FBT88)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010014</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D162VR.ATO.FBT.010001">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT89</Name>
                    <Value><xsl:value-of select="($FBT89)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010001</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D163VR.ATO.GEN.000474">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000474</Code>
            <Description>Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT89</Name>
                    <Value><xsl:value-of select="($FBT89)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT87</Name>
                    <Value><xsl:value-of select="($FBT87)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT194</Name>
                    <Value><xsl:value-of select="($FBT194)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT88</Name>
                    <Value><xsl:value-of select="($FBT88)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000474</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D164VR.ATO.FBT.010012">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT90</Name>
                    <Value><xsl:value-of select="($FBT90)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010012</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D165VR.ATO.FBT.010001">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT91</Name>
                    <Value><xsl:value-of select="($FBT91)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010001</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D166VR.ATO.GEN.000474">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000474</Code>
            <Description>Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT91</Name>
                    <Value><xsl:value-of select="($FBT91)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT90</Name>
                    <Value><xsl:value-of select="($FBT90)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT196</Name>
                    <Value><xsl:value-of select="($FBT196)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT197</Name>
                    <Value><xsl:value-of select="($FBT197)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000474</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D167VR.ATO.FBT.010012">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT92</Name>
                    <Value><xsl:value-of select="($FBT92)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010012</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D168VR.ATO.FBT.000398">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000398</Code>
            <Description>Employee contribution is not required for this Fringe benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.EmployeeContribution.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.EmployeeContribution.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000398</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D169VR.ATO.FBT.010013">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT93</Name>
                    <Value><xsl:value-of select="($FBT93)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010013</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D170VR.ATO.FBT.000396">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000396</Code>
            <Description>Value of reductions is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Reduction.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Reduction.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000396</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D171VR.ATO.FBT.010014">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT94</Name>
                    <Value><xsl:value-of select="($FBT94)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010014</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D172VR.ATO.FBT.010001">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT95</Name>
                    <Value><xsl:value-of select="($FBT95)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010001</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D173VR.ATO.GEN.000474">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000474</Code>
            <Description>Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT95</Name>
                    <Value><xsl:value-of select="($FBT95)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT92</Name>
                    <Value><xsl:value-of select="($FBT92)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT93</Name>
                    <Value><xsl:value-of select="($FBT93)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT94</Name>
                    <Value><xsl:value-of select="($FBT94)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000474</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D174VR.ATO.FBT.000399">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000399</Code>
            <Description>Number is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.ItemsProvided.Number</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.ItemsProvided.Number"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000399</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D175VR.ATO.FBT.010018">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400012</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a numeric field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT96</Name>
                    <Value><xsl:value-of select="($FBT96)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010018</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D176VR.ATO.FBT.010012">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT97</Name>
                    <Value><xsl:value-of select="($FBT97)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010012</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D177VR.ATO.FBT.000398">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000398</Code>
            <Description>Employee contribution is not required for this Fringe benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.EmployeeContribution.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.EmployeeContribution.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000398</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D178VR.ATO.FBT.010013">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT98</Name>
                    <Value><xsl:value-of select="($FBT98)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010013</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D179VR.ATO.FBT.010001">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT99</Name>
                    <Value><xsl:value-of select="($FBT99)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010001</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D180VR.ATO.GEN.000474">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000474</Code>
            <Description>Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT99</Name>
                    <Value><xsl:value-of select="($FBT99)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT97</Name>
                    <Value><xsl:value-of select="($FBT97)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT98</Name>
                    <Value><xsl:value-of select="($FBT98)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT199</Name>
                    <Value><xsl:value-of select="($FBT199)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000474</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D181VR.ATO.FBT.010018">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400012</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a numeric field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.ItemsProvided.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT100</Name>
                    <Value><xsl:value-of select="($FBT100)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010018</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D182VR.ATO.FBT.010012">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT101</Name>
                    <Value><xsl:value-of select="($FBT101)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010012</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D183VR.ATO.FBT.000396">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000396</Code>
            <Description>Value of reductions is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Reduction.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Reduction.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000396</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D184VR.ATO.FBT.010014">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT102</Name>
                    <Value><xsl:value-of select="($FBT102)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010014</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D185VR.ATO.FBT.010001">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT103</Name>
                    <Value><xsl:value-of select="($FBT103)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010001</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D186VR.ATO.GEN.000474">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000474</Code>
            <Description>Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT103</Name>
                    <Value><xsl:value-of select="($FBT103)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT101</Name>
                    <Value><xsl:value-of select="($FBT101)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT200</Name>
                    <Value><xsl:value-of select="($FBT200)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT102</Name>
                    <Value><xsl:value-of select="($FBT102)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000474</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D187VR.ATO.FBT.100058">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.100058</Code>
            <Description>Airline transport is not a valid type of benefit beyond 2013.</Description>
            <LongDescription>Arline transport fringe benefits provided after 8 May 2012 now fall within the in-house fringe benefit provisions and may be claimed under &#39;Property&#39; or &#39;Other benefits (residual)&#39;.</LongDescription>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.Type.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>EndDate-RP</Name>
                    <Value><xsl:value-of select="$RP.Context.EndDate"/></Value>
                </Parameter>
                <Parameter>
                    <Name>EndDate-RP-Identifier</Name>
                    <Value><xsl:value-of select="$RP.Identifier"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.100058</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D188VR.ATO.FBT.010012">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT104</Name>
                    <Value><xsl:value-of select="($FBT104)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010012</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D189VR.ATO.FBT.000398">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000398</Code>
            <Description>Employee contribution is not required for this Fringe benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.EmployeeContribution.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.EmployeeContribution.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000398</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D190VR.ATO.FBT.010013">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT105</Name>
                    <Value><xsl:value-of select="($FBT105)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010013</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D191VR.ATO.FBT.000396">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000396</Code>
            <Description>Value of reductions is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Reduction.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Reduction.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000396</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D192VR.ATO.FBT.010014">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT106</Name>
                    <Value><xsl:value-of select="($FBT106)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010014</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D193VR.ATO.FBT.010001">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT107</Name>
                    <Value><xsl:value-of select="($FBT107)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010001</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D194VR.ATO.GEN.000474">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000474</Code>
            <Description>Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT107</Name>
                    <Value><xsl:value-of select="($FBT107)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT104</Name>
                    <Value><xsl:value-of select="($FBT104)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT105</Name>
                    <Value><xsl:value-of select="($FBT105)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT106</Name>
                    <Value><xsl:value-of select="($FBT106)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000474</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D195VR.ATO.FBT.010012">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT108</Name>
                    <Value><xsl:value-of select="($FBT108)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010012</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D196VR.ATO.FBT.000398">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000398</Code>
            <Description>Employee contribution is not required for this Fringe benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.EmployeeContribution.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.EmployeeContribution.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000398</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D197VR.ATO.FBT.010013">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT109</Name>
                    <Value><xsl:value-of select="($FBT109)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010013</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D198VR.ATO.FBT.000396">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000396</Code>
            <Description>Value of reductions is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Reduction.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Reduction.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000396</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D199VR.ATO.FBT.010014">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT110</Name>
                    <Value><xsl:value-of select="($FBT110)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010014</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D200VR.ATO.FBT.010001">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT111</Name>
                    <Value><xsl:value-of select="($FBT111)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010001</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D201VR.ATO.GEN.000474">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000474</Code>
            <Description>Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT111</Name>
                    <Value><xsl:value-of select="($FBT111)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT108</Name>
                    <Value><xsl:value-of select="($FBT108)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT109</Name>
                    <Value><xsl:value-of select="($FBT109)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT110</Name>
                    <Value><xsl:value-of select="($FBT110)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000474</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D202VR.ATO.FBT.010012">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT112</Name>
                    <Value><xsl:value-of select="($FBT112)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010012</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D203VR.ATO.FBT.000398">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000398</Code>
            <Description>Employee contribution is not required for this Fringe benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.EmployeeContribution.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.EmployeeContribution.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000398</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D204VR.ATO.FBT.010013">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT113</Name>
                    <Value><xsl:value-of select="($FBT113)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010013</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D205VR.ATO.FBT.000396">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000396</Code>
            <Description>Value of reductions is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Reduction.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Reduction.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000396</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D206VR.ATO.FBT.010014">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT114</Name>
                    <Value><xsl:value-of select="($FBT114)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010014</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D207VR.ATO.FBT.010001">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT115</Name>
                    <Value><xsl:value-of select="($FBT115)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010001</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D208VR.ATO.GEN.000474">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000474</Code>
            <Description>Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT115</Name>
                    <Value><xsl:value-of select="($FBT115)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT112</Name>
                    <Value><xsl:value-of select="($FBT112)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT113</Name>
                    <Value><xsl:value-of select="($FBT113)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT114</Name>
                    <Value><xsl:value-of select="($FBT114)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000474</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D209VR.ATO.FBT.010012">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT116</Name>
                    <Value><xsl:value-of select="($FBT116)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010012</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D210VR.ATO.FBT.010001">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT117</Name>
                    <Value><xsl:value-of select="($FBT117)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010001</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D211VR.ATO.GEN.000474">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000474</Code>
            <Description>Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT117</Name>
                    <Value><xsl:value-of select="($FBT117)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT116</Name>
                    <Value><xsl:value-of select="($FBT116)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT205</Name>
                    <Value><xsl:value-of select="($FBT205)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT206</Name>
                    <Value><xsl:value-of select="($FBT206)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000474</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D212VR.ATO.FBT.010012">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT118</Name>
                    <Value><xsl:value-of select="($FBT118)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010012</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D213VR.ATO.FBT.000398">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000398</Code>
            <Description>Employee contribution is not required for this Fringe benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.EmployeeContribution.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.EmployeeContribution.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000398</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D214VR.ATO.FBT.010013">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT119</Name>
                    <Value><xsl:value-of select="($FBT119)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010013</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D215VR.ATO.FBT.000396">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000396</Code>
            <Description>Value of reductions is not required for this Fringe Benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Reduction.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Reduction.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000396</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D216VR.ATO.FBT.010014">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.Reduction.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT120</Name>
                    <Value><xsl:value-of select="($FBT120)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010014</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D217VR.ATO.FBT.010001">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT121</Name>
                    <Value><xsl:value-of select="($FBT121)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010001</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D218VR.ATO.GEN.000474">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000474</Code>
            <Description>Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT121</Name>
                    <Value><xsl:value-of select="($FBT121)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT118</Name>
                    <Value><xsl:value-of select="($FBT118)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT119</Name>
                    <Value><xsl:value-of select="($FBT119)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT120</Name>
                    <Value><xsl:value-of select="($FBT120)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000474</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D219VR.ATO.FBT.010012">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT122</Name>
                    <Value><xsl:value-of select="($FBT122)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010012</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D220VR.ATO.FBT.000398">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000398</Code>
            <Description>Employee contribution is not required for this Fringe benefits type</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.EmployeeContribution.Amount</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.EmployeeContribution.Amount"/></Value>
                </Parameter>
                <Parameter>
                    <Name>Remuneration.FringeBenefits.Type.Code</Name>
                    <Value><xsl:value-of select="Remuneration.FringeBenefits.Type.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000398</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D221VR.ATO.FBT.010013">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT123</Name>
                    <Value><xsl:value-of select="($FBT123)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010013</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D222VR.ATO.FBT.010001">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT124</Name>
                    <Value><xsl:value-of select="($FBT124)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010001</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D223VR.ATO.GEN.000474">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000474</Code>
            <Description>Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT124</Name>
                    <Value><xsl:value-of select="($FBT124)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT122</Name>
                    <Value><xsl:value-of select="($FBT122)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT123</Name>
                    <Value><xsl:value-of select="($FBT123)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT209</Name>
                    <Value><xsl:value-of select="($FBT209)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000474</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D224VR.ATO.FBT.010012">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitGrossTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT125</Name>
                    <Value><xsl:value-of select="($FBT125)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010012</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D225VR.ATO.FBT.010001">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT126</Name>
                    <Value><xsl:value-of select="($FBT126)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010001</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D226VR.ATO.GEN.000474">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000474</Code>
            <Description>Taxable value of benefits must equal Gross Taxable value of benefits minus Employee contribution (if applicable) minus Value of reductions (if applicable)</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ProvidedFringeBenefitsDetails/lrla.02.00:Remuneration.FringeBenefits.BenefitNetTaxable.Amount</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT126</Name>
                    <Value><xsl:value-of select="($FBT126)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT125</Name>
                    <Value><xsl:value-of select="($FBT125)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT211</Name>
                    <Value><xsl:value-of select="($FBT211)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT212</Name>
                    <Value><xsl:value-of select="($FBT212)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000474</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D227VR.ATO.FBT.000417">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000417</Code>
            <Description>Tax Agent number (TAN) is invalid</Description>
            <Location>/xbrli:xbrl/pyid.02.00:Identifiers.TaxAgentNumber.Identifier</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT2</Name>
                    <Value><xsl:value-of select="($FBT2)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000417</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D228VR.ATO.FBT.010025">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/pyid.02.00:Identifiers.TaxAgentClientReference.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT130</Name>
                    <Value><xsl:value-of select="($FBT130)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010025</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D229VR.ATO.FBT.000453">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000453</Code>
            <Description>Both Agent Contact Person Unstructured Name and Employer Current Contact Person Name are not provided. One of these is required</Description>
            <Location>/xbrli:xbrl/prsnunstrcnm1.02.01:PersonUnstructuredName/pyde.02.05:PersonUnstructuredName.Usage.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT129</Name>
                    <Value><xsl:value-of select="($FBT129)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT56</Name>
                    <Value><xsl:value-of select="($FBT56)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000453</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D230VR.ATO.FBT.000454">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000454</Code>
            <Description>Agent Contact Person Unstructured Name usage code must be &quot;Contact&quot;</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.05:PersonUnstructuredName.Usage.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>PersonUnstructuredName.FullName.Text</Name>
                    <Value><xsl:value-of select="PersonUnstructuredName.FullName.Text"/></Value>
                </Parameter>
                <Parameter>
                    <Name>PersonUnstructuredName.Usage.Code</Name>
                    <Value><xsl:value-of select="PersonUnstructuredName.Usage.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000454</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D231VR.ATO.FBT.000455">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000455</Code>
            <Description>Agent Contact Person Unstructured Name usage code is invalid. It must be &quot;Contact&quot;</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.05:PersonUnstructuredName.Usage.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>PersonUnstructuredName.Usage.Code</Name>
                    <Value><xsl:value-of select="PersonUnstructuredName.Usage.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000455</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D232VR.ATO.FBT.000436">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000436</Code>
            <Description>Agent contact name is required</Description>
            <Location>/xbrli:xbrl/prsnunstrcnm1.02.01:PersonUnstructuredName/pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT2</Name>
                    <Value><xsl:value-of select="($FBT2)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT129</Name>
                    <Value><xsl:value-of select="($FBT129)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000436</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D233VR.ATO.FBT.010026">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>/xbrli:xbrl/prsnunstrcnm1.02.01:PersonUnstructuredName/pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT129</Name>
                    <Value><xsl:value-of select="($FBT129)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.010026</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D234VR.ATO.GEN.000239">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.200007</Code>
            <Description>Invalid XBRL schema</Description>
            <Location>/<xsl:value-of select="function:PathToNode($INT.ContextFirst)" />/xbrli:entity/xbrli:identifier</Location>
            <Parameters>
                <Parameter>
                    <Name>IdentifierScheme-INT</Name>
                    <Value><xsl:value-of select="$INT.Identifier.Scheme"/></Value>
                </Parameter>
                <Parameter>
                    <Name>IdentifierScheme-INT-Identifier</Name>
                    <Value><xsl:value-of select="$INT.Identifier"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000239</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D235VR.ATO.FBT.000465">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000465</Code>
            <Description>The start date is in a different FBT financial year to the end date</Description>
            <Location>/<xsl:value-of select="function:PathToNode($RP.ContextFirst)" />/xbrli:period/xbrli:startDate</Location>
            <Parameters>
                <Parameter>
                    <Name>StartDate-RP</Name>
                    <Value><xsl:value-of select="$RP.Context.StartDate"/></Value>
                </Parameter>
                <Parameter>
                    <Name>StartDate-RP-Identifier</Name>
                    <Value><xsl:value-of select="$RP.Identifier"/></Value>
                </Parameter>
                <Parameter>
                    <Name>EndDate-RP</Name>
                    <Value><xsl:value-of select="$RP.Context.EndDate"/></Value>
                </Parameter>
                <Parameter>
                    <Name>EndDate-RP-Identifier</Name>
                    <Value><xsl:value-of select="$RP.Identifier"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000465</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D236VR.ATO.FBT.000466">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000466</Code>
            <Description>Start date must be 1st of April</Description>
            <Location>/<xsl:value-of select="function:PathToNode($RP.ContextFirst)" />/xbrli:period/xbrli:startDate</Location>
            <Parameters>
                <Parameter>
                    <Name>StartDate-RP</Name>
                    <Value><xsl:value-of select="$RP.Context.StartDate"/></Value>
                </Parameter>
                <Parameter>
                    <Name>StartDate-RP-Identifier</Name>
                    <Value><xsl:value-of select="$RP.Identifier"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000466</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D237VR.ATO.FBT.000001">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000001</Code>
            <Description>Year of return must be from FBT year 2011 to current FBT year.</Description>
            <LongDescription>Only FBT Returns from FBT year 2011 to the current FBT year are supported via the SBR channel.</LongDescription>
            <Location>/<xsl:value-of select="function:PathToNode($RP.ContextFirst)" />/xbrli:period/xbrli:endDate</Location>
            <Parameters>
                <Parameter>
                    <Name>EndDate-RP</Name>
                    <Value><xsl:value-of select="$RP.Context.EndDate"/></Value>
                </Parameter>
                <Parameter>
                    <Name>EndDate-RP-Identifier</Name>
                    <Value><xsl:value-of select="$RP.Identifier"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000001</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D238VR.ATO.FBT.000467">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.FBT.000467</Code>
            <Description>The end date must be 31 of March</Description>
            <Location>/<xsl:value-of select="function:PathToNode($RP.ContextFirst)" />/xbrli:period/xbrli:endDate</Location>
            <Parameters>
                <Parameter>
                    <Name>EndDate-RP</Name>
                    <Value><xsl:value-of select="$RP.Context.EndDate"/></Value>
                </Parameter>
                <Parameter>
                    <Name>EndDate-RP-Identifier</Name>
                    <Value><xsl:value-of select="$RP.Identifier"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.FBT.000467</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D239VR.ATO.GEN.300003">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.300003</Code>
            <Description>For an Australian address, state or territory must be one of: ACT, NSW, NT, QLD, SA, VIC, WA, TAS, AAT</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.StateOrTerritory.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT22</Name>
                    <Value><xsl:value-of select="($FBT22)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.300003</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D240VR.ATO.GEN.300003">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.300003</Code>
            <Description>For an Australian address, state or territory must be one of: ACT, NSW, NT, QLD, SA, VIC, WA, TAS, AAT</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.StateOrTerritory.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT37</Name>
                    <Value><xsl:value-of select="($FBT37)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.300003</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D241VR.ATO.GEN.300003">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.300003</Code>
            <Description>For an Australian address, state or territory must be one of: ACT, NSW, NT, QLD, SA, VIC, WA, TAS, AAT</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.StateOrTerritory.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT46</Name>
                    <Value><xsl:value-of select="($FBT46)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.300003</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D242VR.ATO.GEN.410002">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410002</Code>
            <Description>Address Line 2 must be present if Address Line 1 contains &#39;C/-&#39;</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT17</Name>
                    <Value><xsl:value-of select="($FBT17)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT18</Name>
                    <Value><xsl:value-of select="($FBT18)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410002</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D243VR.ATO.GEN.410002">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410002</Code>
            <Description>Address Line 2 must be present if Address Line 1 contains &#39;C/-&#39;</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT32</Name>
                    <Value><xsl:value-of select="($FBT32)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT33</Name>
                    <Value><xsl:value-of select="($FBT33)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410002</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D244VR.ATO.GEN.410002">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410002</Code>
            <Description>Address Line 2 must be present if Address Line 1 contains &#39;C/-&#39;</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT41</Name>
                    <Value><xsl:value-of select="($FBT41)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT42</Name>
                    <Value><xsl:value-of select="($FBT42)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410002</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D245VR.ATO.GEN.410008">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410008</Code>
            <Description>Address Line 3 must be left blank</Description>
            <LongDescription>Lines 3 and 4 of the address are not used on this form</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line3.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT19</Name>
                    <Value><xsl:value-of select="($FBT19)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410008</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D246VR.ATO.GEN.410008">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410008</Code>
            <Description>Address Line 3 must be left blank</Description>
            <LongDescription>Lines 3 and 4 of the address are not used on this form</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line3.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT34</Name>
                    <Value><xsl:value-of select="($FBT34)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410008</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D247VR.ATO.GEN.410008">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410008</Code>
            <Description>Address Line 3 must be left blank</Description>
            <LongDescription>Lines 3 and 4 of the address are not used on this form</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line3.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT43</Name>
                    <Value><xsl:value-of select="($FBT43)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410008</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D248VR.ATO.GEN.410013">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410013</Code>
            <Description>Address Line 4 must be left blank</Description>
            <LongDescription>Lines 3 and 4 of the address are not used on this form</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line4.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT20</Name>
                    <Value><xsl:value-of select="($FBT20)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410013</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D249VR.ATO.GEN.410013">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410013</Code>
            <Description>Address Line 4 must be left blank</Description>
            <LongDescription>Lines 3 and 4 of the address are not used on this form</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line4.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT35</Name>
                    <Value><xsl:value-of select="($FBT35)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410013</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D250VR.ATO.GEN.410013">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410013</Code>
            <Description>Address Line 4 must be left blank</Description>
            <LongDescription>Lines 3 and 4 of the address are not used on this form</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line4.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT44</Name>
                    <Value><xsl:value-of select="($FBT44)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410013</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D251VR.ATO.GEN.434147">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.434147</Code>
            <Description>State and post code must be present for an Australian address</Description>
            <LongDescription>If the overseas indicator is no (false), then an Australian state code and post code must be present</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.OverseasAddress.Indicator</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT25</Name>
                    <Value><xsl:value-of select="($FBT25)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT22</Name>
                    <Value><xsl:value-of select="($FBT22)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT23</Name>
                    <Value><xsl:value-of select="($FBT23)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.434147</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D252VR.ATO.GEN.434147">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.434147</Code>
            <Description>State and post code must be present for an Australian address</Description>
            <LongDescription>If the overseas indicator is no (false), then an Australian state code and post code must be present</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.OverseasAddress.Indicator</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT159</Name>
                    <Value><xsl:value-of select="($FBT159)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT37</Name>
                    <Value><xsl:value-of select="($FBT37)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT38</Name>
                    <Value><xsl:value-of select="($FBT38)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.434147</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D253VR.ATO.GEN.434147">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.434147</Code>
            <Description>State and post code must be present for an Australian address</Description>
            <LongDescription>If the overseas indicator is no (false), then an Australian state code and post code must be present</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.OverseasAddress.Indicator</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT164</Name>
                    <Value><xsl:value-of select="($FBT164)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT46</Name>
                    <Value><xsl:value-of select="($FBT46)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT47</Name>
                    <Value><xsl:value-of select="($FBT47)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.434147</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D254VR.ATO.GEN.410148">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410148</Code>
            <Description>Address Currency Code must be present if an Address is present.</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:AddressDetails.Currency.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>AddressDetails.Currency.Code</Name>
                    <Value><xsl:value-of select="AddressDetails.Currency.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410148</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D255VR.ATO.GEN.410148">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410148</Code>
            <Description>Address Currency Code must be present if an Address is present.</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:AddressDetails.Currency.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>AddressDetails.Currency.Code</Name>
                    <Value><xsl:value-of select="AddressDetails.Currency.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410148</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D256VR.ATO.GEN.410148">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410148</Code>
            <Description>Address Currency Code must be present if an Address is present.</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:AddressDetails.Currency.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>AddressDetails.Currency.Code</Name>
                    <Value><xsl:value-of select="AddressDetails.Currency.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410148</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D257VR.ATO.GEN.410167">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410167</Code>
            <Description>Overseas address indicator must be present</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.OverseasAddress.Indicator</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT25</Name>
                    <Value><xsl:value-of select="($FBT25)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410167</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D258VR.ATO.GEN.410167">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410167</Code>
            <Description>Overseas address indicator must be present</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.OverseasAddress.Indicator</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT159</Name>
                    <Value><xsl:value-of select="($FBT159)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410167</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D259VR.ATO.GEN.410167">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410167</Code>
            <Description>Overseas address indicator must be present</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.OverseasAddress.Indicator</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT164</Name>
                    <Value><xsl:value-of select="($FBT164)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410167</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D260VR.ATO.GEN.410191">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410191</Code>
            <Description>Country code must be present for overseas address</Description>
            <LongDescription>When the overseas address indicator is &#39;TRUE&#39;, the corresponding Country Code must be supplied</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Country.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT25</Name>
                    <Value><xsl:value-of select="($FBT25)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT222</Name>
                    <Value><xsl:value-of select="($FBT222)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410191</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D261VR.ATO.GEN.410191">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410191</Code>
            <Description>Country code must be present for overseas address</Description>
            <LongDescription>When the overseas address indicator is &#39;TRUE&#39;, the corresponding Country Code must be supplied</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Country.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT159</Name>
                    <Value><xsl:value-of select="($FBT159)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT223</Name>
                    <Value><xsl:value-of select="($FBT223)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410191</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D262VR.ATO.GEN.410191">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410191</Code>
            <Description>Country code must be present for overseas address</Description>
            <LongDescription>When the overseas address indicator is &#39;TRUE&#39;, the corresponding Country Code must be supplied</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Country.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT164</Name>
                    <Value><xsl:value-of select="($FBT164)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT224</Name>
                    <Value><xsl:value-of select="($FBT224)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410191</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D263VR.ATO.GEN.410192">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410192</Code>
            <Description>Country code must be a valid code</Description>
            <LongDescription>Country Code must be one of the two character lower-case codes from Australian Standard 4590, Section 5, Sub-section 5.15</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Country.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT222</Name>
                    <Value><xsl:value-of select="($FBT222)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410192</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D264VR.ATO.GEN.410192">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410192</Code>
            <Description>Country code must be a valid code</Description>
            <LongDescription>Country Code must be one of the two character lower-case codes from Australian Standard 4590, Section 5, Sub-section 5.15</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Country.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT223</Name>
                    <Value><xsl:value-of select="($FBT223)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410192</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D265VR.ATO.GEN.410192">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410192</Code>
            <Description>Country code must be a valid code</Description>
            <LongDescription>Country Code must be one of the two character lower-case codes from Australian Standard 4590, Section 5, Sub-section 5.15</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Country.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT224</Name>
                    <Value><xsl:value-of select="($FBT224)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410192</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D266VR.ATO.GEN.410194">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410194</Code>
            <Description>Address Line 1 must not exceed 38 characters</Description>
            <LongDescription>Although SBR sets a limit of 50 characters for the Line 1 of an address, the maximum allowable for this form is 38</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT17</Name>
                    <Value><xsl:value-of select="($FBT17)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410194</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D267VR.ATO.GEN.410194">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410194</Code>
            <Description>Address Line 1 must not exceed 38 characters</Description>
            <LongDescription>Although SBR sets a limit of 50 characters for the Line 1 of an address, the maximum allowable for this form is 38</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT32</Name>
                    <Value><xsl:value-of select="($FBT32)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410194</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D268VR.ATO.GEN.410194">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410194</Code>
            <Description>Address Line 1 must not exceed 38 characters</Description>
            <LongDescription>Although SBR sets a limit of 50 characters for the Line 1 of an address, the maximum allowable for this form is 38</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT41</Name>
                    <Value><xsl:value-of select="($FBT41)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410194</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D269VR.ATO.GEN.410195">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410195</Code>
            <Description>Address Line 2 must not exceed 38 characters</Description>
            <LongDescription>Although SBR sets a limit of 50 characters for the Line 2 of an address, the maximum allowable for this form is 38</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line2.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT18</Name>
                    <Value><xsl:value-of select="($FBT18)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410195</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D270VR.ATO.GEN.410195">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410195</Code>
            <Description>Address Line 2 must not exceed 38 characters</Description>
            <LongDescription>Although SBR sets a limit of 50 characters for the Line 2 of an address, the maximum allowable for this form is 38</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line2.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT33</Name>
                    <Value><xsl:value-of select="($FBT33)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410195</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D271VR.ATO.GEN.410195">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410195</Code>
            <Description>Address Line 2 must not exceed 38 characters</Description>
            <LongDescription>Although SBR sets a limit of 50 characters for the Line 2 of an address, the maximum allowable for this form is 38</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line2.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT42</Name>
                    <Value><xsl:value-of select="($FBT42)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410195</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D272VR.ATO.GEN.410205">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410001</Code>
            <Description>Address Line 1 must not contain &#39;AS ABOVE&#39;</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT17</Name>
                    <Value><xsl:value-of select="($FBT17)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410205</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D273VR.ATO.GEN.410205">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410001</Code>
            <Description>Address Line 1 must not contain &#39;AS ABOVE&#39;</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT32</Name>
                    <Value><xsl:value-of select="($FBT32)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410205</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D274VR.ATO.GEN.410205">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410001</Code>
            <Description>Address Line 1 must not contain &#39;AS ABOVE&#39;</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT41</Name>
                    <Value><xsl:value-of select="($FBT41)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410205</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D275VR.ATO.GEN.410211">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410211</Code>
            <Description>Overseas address indicator must not be &#39;TRUE&#39; if Country Code is &#39;au&#39;</Description>
            <LongDescription>The overseas address indicator must be &#39;FALSE&#39; if the Country Code is &#39;au&#39; - representing Australia. If the address is an overseas address please supply the correct Country Code</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Country.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT222</Name>
                    <Value><xsl:value-of select="($FBT222)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT25</Name>
                    <Value><xsl:value-of select="($FBT25)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410211</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D276VR.ATO.GEN.410211">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410211</Code>
            <Description>Overseas address indicator must not be &#39;TRUE&#39; if Country Code is &#39;au&#39;</Description>
            <LongDescription>The overseas address indicator must be &#39;FALSE&#39; if the Country Code is &#39;au&#39; - representing Australia. If the address is an overseas address please supply the correct Country Code</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Country.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT223</Name>
                    <Value><xsl:value-of select="($FBT223)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT159</Name>
                    <Value><xsl:value-of select="($FBT159)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410211</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D277VR.ATO.GEN.410211">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410211</Code>
            <Description>Overseas address indicator must not be &#39;TRUE&#39; if Country Code is &#39;au&#39;</Description>
            <LongDescription>The overseas address indicator must be &#39;FALSE&#39; if the Country Code is &#39;au&#39; - representing Australia. If the address is an overseas address please supply the correct Country Code</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Country.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT224</Name>
                    <Value><xsl:value-of select="($FBT224)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT164</Name>
                    <Value><xsl:value-of select="($FBT164)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410211</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D278VR.ATO.GEN.410212">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410212</Code>
            <Description>If an overseas Country Code is used, the Overseas Address indicator must be &#39;TRUE&#39;</Description>
            <LongDescription>If the address is an Australian address, the overseas address indicator must be set to &#39;FALSE&#39; and you do not need to supply a Country Code. If the address is an overseas address, the overseas address indicator must be set to &#39;TRUE&#39; and you must supply a Country Code other than &#39;au&#39;</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Country.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT222</Name>
                    <Value><xsl:value-of select="($FBT222)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT25</Name>
                    <Value><xsl:value-of select="($FBT25)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410212</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D279VR.ATO.GEN.410212">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410212</Code>
            <Description>If an overseas Country Code is used, the Overseas Address indicator must be &#39;TRUE&#39;</Description>
            <LongDescription>If the address is an Australian address, the overseas address indicator must be set to &#39;FALSE&#39; and you do not need to supply a Country Code. If the address is an overseas address, the overseas address indicator must be set to &#39;TRUE&#39; and you must supply a Country Code other than &#39;au&#39;</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Country.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT223</Name>
                    <Value><xsl:value-of select="($FBT223)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT159</Name>
                    <Value><xsl:value-of select="($FBT159)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410212</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D280VR.ATO.GEN.410212">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410212</Code>
            <Description>If an overseas Country Code is used, the Overseas Address indicator must be &#39;TRUE&#39;</Description>
            <LongDescription>If the address is an Australian address, the overseas address indicator must be set to &#39;FALSE&#39; and you do not need to supply a Country Code. If the address is an overseas address, the overseas address indicator must be set to &#39;TRUE&#39; and you must supply a Country Code other than &#39;au&#39;</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Country.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT224</Name>
                    <Value><xsl:value-of select="($FBT224)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT164</Name>
                    <Value><xsl:value-of select="($FBT164)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410212</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D281VR.ATO.GEN.410213">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410213</Code>
            <Description>Country Name must be left blank</Description>
            <LongDescription>For SBR submissions to the ATO, the Country Name must be left blank. To supply the country for an overseas address please supply a Country Code</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.CountryName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT24</Name>
                    <Value><xsl:value-of select="($FBT24)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410213</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D282VR.ATO.GEN.410213">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410213</Code>
            <Description>Country Name must be left blank</Description>
            <LongDescription>For SBR submissions to the ATO, the Country Name must be left blank. To supply the country for an overseas address please supply a Country Code</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.CountryName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT39</Name>
                    <Value><xsl:value-of select="($FBT39)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410213</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D283VR.ATO.GEN.410213">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410213</Code>
            <Description>Country Name must be left blank</Description>
            <LongDescription>For SBR submissions to the ATO, the Country Name must be left blank. To supply the country for an overseas address please supply a Country Code</LongDescription>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.CountryName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT48</Name>
                    <Value><xsl:value-of select="($FBT48)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410213</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D284VR.ATO.GEN.410214">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410214</Code>
            <Description>Address Line 1 must be present</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT17</Name>
                    <Value><xsl:value-of select="($FBT17)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410214</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D285VR.ATO.GEN.410214">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410214</Code>
            <Description>Address Line 1 must be present</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT32</Name>
                    <Value><xsl:value-of select="($FBT32)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410214</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D286VR.ATO.GEN.410214">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410214</Code>
            <Description>Address Line 1 must be present</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT41</Name>
                    <Value><xsl:value-of select="($FBT41)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410214</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D287VR.ATO.GEN.428202">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428202</Code>
            <Description>Address currency code must be &quot;C&quot; or &quot;P&quot;</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:AddressDetails.Currency.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>AddressDetails.Currency.Code</Name>
                    <Value><xsl:value-of select="AddressDetails.Currency.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428202</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D288VR.ATO.GEN.428202">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428202</Code>
            <Description>Address currency code must be &quot;C&quot; or &quot;P&quot;</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:AddressDetails.Currency.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>AddressDetails.Currency.Code</Name>
                    <Value><xsl:value-of select="AddressDetails.Currency.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428202</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D289VR.ATO.GEN.428202">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428202</Code>
            <Description>Address currency code must be &quot;C&quot; or &quot;P&quot;</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:AddressDetails.Currency.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>AddressDetails.Currency.Code</Name>
                    <Value><xsl:value-of select="AddressDetails.Currency.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428202</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D290VR.ATO.GEN.428230">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000411</Code>
            <Description>Suburb/Town/City cannot contain state code</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.LocalityName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT21</Name>
                    <Value><xsl:value-of select="($FBT21)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428230</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D291VR.ATO.GEN.428230">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000411</Code>
            <Description>Suburb/Town/City cannot contain state code</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.LocalityName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT36</Name>
                    <Value><xsl:value-of select="($FBT36)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428230</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D292VR.ATO.GEN.428230">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000411</Code>
            <Description>Suburb/Town/City cannot contain state code</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.LocalityName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT45</Name>
                    <Value><xsl:value-of select="($FBT45)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428230</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D293VR.ATO.GEN.428240">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000406</Code>
            <Description>Address line 1 contains incorrect &#39;care of&#39; reference.  The only acceptable &#39;care of&#39; reference is C/-</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT17</Name>
                    <Value><xsl:value-of select="($FBT17)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428240</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D294VR.ATO.GEN.428240">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000406</Code>
            <Description>Address line 1 contains incorrect &#39;care of&#39; reference.  The only acceptable &#39;care of&#39; reference is C/-</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT32</Name>
                    <Value><xsl:value-of select="($FBT32)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428240</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D295VR.ATO.GEN.428240">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000406</Code>
            <Description>Address line 1 contains incorrect &#39;care of&#39; reference.  The only acceptable &#39;care of&#39; reference is C/-</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT41</Name>
                    <Value><xsl:value-of select="($FBT41)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428240</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D296VR.ATO.GEN.428241">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000408</Code>
            <Description>Care of&#39; is not valid for address line 2</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line2.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT18</Name>
                    <Value><xsl:value-of select="($FBT18)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428241</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D297VR.ATO.GEN.428241">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000408</Code>
            <Description>Care of&#39; is not valid for address line 2</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line2.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT33</Name>
                    <Value><xsl:value-of select="($FBT33)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428241</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D298VR.ATO.GEN.428241">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000408</Code>
            <Description>Care of&#39; is not valid for address line 2</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line2.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT42</Name>
                    <Value><xsl:value-of select="($FBT42)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428241</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D299VR.ATO.GEN.428254">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000405</Code>
            <Description>Address line 1 cannot contain &quot;UNKNOWN&quot;</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT17</Name>
                    <Value><xsl:value-of select="($FBT17)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428254</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D300VR.ATO.GEN.428254">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000405</Code>
            <Description>Address line 1 cannot contain &quot;UNKNOWN&quot;</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT32</Name>
                    <Value><xsl:value-of select="($FBT32)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428254</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D301VR.ATO.GEN.428254">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000405</Code>
            <Description>Address line 1 cannot contain &quot;UNKNOWN&quot;</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT41</Name>
                    <Value><xsl:value-of select="($FBT41)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428254</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D302VR.ATO.GEN.428255">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000407</Code>
            <Description>Address line 2 cannot contain &quot;UNKNOWN&quot;</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line2.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT18</Name>
                    <Value><xsl:value-of select="($FBT18)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428255</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D303VR.ATO.GEN.428255">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000407</Code>
            <Description>Address line 2 cannot contain &quot;UNKNOWN&quot;</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line2.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT33</Name>
                    <Value><xsl:value-of select="($FBT33)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428255</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D304VR.ATO.GEN.428255">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000407</Code>
            <Description>Address line 2 cannot contain &quot;UNKNOWN&quot;</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line2.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT42</Name>
                    <Value><xsl:value-of select="($FBT42)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428255</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D305VR.ATO.GEN.428256">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000409</Code>
            <Description>Suburb/Town/City cannot contain &quot;UNKNOWN&quot;</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.LocalityName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT21</Name>
                    <Value><xsl:value-of select="($FBT21)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428256</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D306VR.ATO.GEN.428256">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000409</Code>
            <Description>Suburb/Town/City cannot contain &quot;UNKNOWN&quot;</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.LocalityName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT36</Name>
                    <Value><xsl:value-of select="($FBT36)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428256</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D307VR.ATO.GEN.428256">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000409</Code>
            <Description>Suburb/Town/City cannot contain &quot;UNKNOWN&quot;</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.LocalityName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT45</Name>
                    <Value><xsl:value-of select="($FBT45)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428256</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D308VR.ATO.GEN.430245">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.430245</Code>
            <Description>Suburb/Town/City must be present in an address</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.LocalityName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT21</Name>
                    <Value><xsl:value-of select="($FBT21)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.430245</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D309VR.ATO.GEN.430245">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.430245</Code>
            <Description>Suburb/Town/City must be present in an address</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.LocalityName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT36</Name>
                    <Value><xsl:value-of select="($FBT36)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.430245</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D310VR.ATO.GEN.430245">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.430245</Code>
            <Description>Suburb/Town/City must be present in an address</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.LocalityName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT45</Name>
                    <Value><xsl:value-of select="($FBT45)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.430245</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D311VR.ATO.GEN.430246">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000410</Code>
            <Description>Suburb/Town/City cannot contain numeric characters</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.LocalityName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT25</Name>
                    <Value><xsl:value-of select="($FBT25)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT21</Name>
                    <Value><xsl:value-of select="($FBT21)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.430246</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D312VR.ATO.GEN.430246">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000410</Code>
            <Description>Suburb/Town/City cannot contain numeric characters</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.LocalityName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT159</Name>
                    <Value><xsl:value-of select="($FBT159)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT36</Name>
                    <Value><xsl:value-of select="($FBT36)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.430246</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D313VR.ATO.GEN.430246">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000410</Code>
            <Description>Suburb/Town/City cannot contain numeric characters</Description>
            <Location>/xbrli:xbrl/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.LocalityName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT164</Name>
                    <Value><xsl:value-of select="($FBT164)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT45</Name>
                    <Value><xsl:value-of select="($FBT45)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.430246</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D314VR.ATO.GEN.432016">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.432016</Code>
            <Description>Telephone must include number, usage code &#39;03&#39; and service line code &#39;01&#39; or &#39;02&#39;.</Description>
            <LongDescription>A telephone must include the number, a usage code of &#39;03&#39; - contact, and a service line code of &#39;01&#39; - Mobile or &#39;02&#39; - Landline or fixed line. An two digit area code should be provided for a landline.</LongDescription>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>ElectronicContact.Telephone.Minimal.Number</Name>
                    <Value><xsl:value-of select="ElectronicContact.Telephone.Minimal.Number"/></Value>
                </Parameter>
                <Parameter>
                    <Name>ElectronicContact.Telephone.Usage.Code</Name>
                    <Value><xsl:value-of select="ElectronicContact.Telephone.Usage.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>ElectronicContact.Telephone.ServiceLine.Code</Name>
                    <Value><xsl:value-of select="ElectronicContact.Telephone.ServiceLine.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.432016</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D315VR.ATO.GEN.432016">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.432016</Code>
            <Description>Telephone must include number, usage code &#39;03&#39; and service line code &#39;01&#39; or &#39;02&#39;.</Description>
            <LongDescription>A telephone must include the number, a usage code of &#39;03&#39; - contact, and a service line code of &#39;01&#39; - Mobile or &#39;02&#39; - Landline or fixed line. An two digit area code should be provided for a landline.</LongDescription>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>ElectronicContact.Telephone.Minimal.Number</Name>
                    <Value><xsl:value-of select="ElectronicContact.Telephone.Minimal.Number"/></Value>
                </Parameter>
                <Parameter>
                    <Name>ElectronicContact.Telephone.Usage.Code</Name>
                    <Value><xsl:value-of select="ElectronicContact.Telephone.Usage.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>ElectronicContact.Telephone.ServiceLine.Code</Name>
                    <Value><xsl:value-of select="ElectronicContact.Telephone.ServiceLine.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.432016</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D316VR.ATO.GEN.430222">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.430222</Code>
            <Description>Email address must not start or end with an @ symbol</Description>
            <Location>/xbrli:xbrl/email1.02.00:ElectronicContactElectronicMail/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT62</Name>
                    <Value><xsl:value-of select="($FBT62)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.430222</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D317VR.ATO.GEN.430223">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.430223</Code>
            <Description>Email address must not contain more than one @ symbol</Description>
            <Location>/xbrli:xbrl/email1.02.00:ElectronicContactElectronicMail/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT62</Name>
                    <Value><xsl:value-of select="($FBT62)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.430223</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D318VR.ATO.GEN.430224">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.430224</Code>
            <Description>Email address must not start or end with a dot (.)</Description>
            <Location>/xbrli:xbrl/email1.02.00:ElectronicContactElectronicMail/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT62</Name>
                    <Value><xsl:value-of select="($FBT62)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.430224</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D319VR.ATO.GEN.430226">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.430226</Code>
            <Description>Email address must not contain more than one consecutive dots (..)</Description>
            <Location>/xbrli:xbrl/email1.02.00:ElectronicContactElectronicMail/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT62</Name>
                    <Value><xsl:value-of select="($FBT62)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.430226</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D320VR.ATO.GEN.430227">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.430227</Code>
            <Description>Email address must not contain a dot followed by a @ symbol (.@)</Description>
            <Location>/xbrli:xbrl/email1.02.00:ElectronicContactElectronicMail/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT62</Name>
                    <Value><xsl:value-of select="($FBT62)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.430227</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D321VR.ATO.GEN.430228">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.430228</Code>
            <Description>Email address must not contain a @ symbol followed by a dot (@.)</Description>
            <Location>/xbrli:xbrl/email1.02.00:ElectronicContactElectronicMail/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT62</Name>
                    <Value><xsl:value-of select="($FBT62)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.430228</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D322VR.ATO.GEN.430229">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.430229</Code>
            <Description>Email address must not contain an invalid character</Description>
            <LongDescription>An email address must not contain any of the following invalid characters: ( ) &lt; &gt; , ; : \ &quot; [ ]</LongDescription>
            <Location>/xbrli:xbrl/email1.02.00:ElectronicContactElectronicMail/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT62</Name>
                    <Value><xsl:value-of select="($FBT62)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.430229</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D323VR.ATO.GEN.430230">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.430230</Code>
            <Description>Email address must contain an @ symbol</Description>
            <Location>/xbrli:xbrl/email1.02.00:ElectronicContactElectronicMail/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT62</Name>
                    <Value><xsl:value-of select="($FBT62)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.430230</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D324VR.ATO.GEN.430231">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.430231</Code>
            <Description>An email address must not start with a space or include a space within it</Description>
            <Location>/xbrli:xbrl/email1.02.00:ElectronicContactElectronicMail/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT62</Name>
                    <Value><xsl:value-of select="($FBT62)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.430231</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D325VR.ATO.GEN.430232">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.430232</Code>
            <Description>Email address must contain a dot (.)</Description>
            <Location>/xbrli:xbrl/email1.02.00:ElectronicContactElectronicMail/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT62</Name>
                    <Value><xsl:value-of select="($FBT62)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.430232</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D326VR.ATO.GEN.436276">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.436276</Code>
            <Description>Email address must include an address and a usage code &#39;03&#39;</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:ElectronicContact.ElectronicMail.Usage.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>ElectronicContact.ElectronicMail.Address.Text</Name>
                    <Value><xsl:value-of select="ElectronicContact.ElectronicMail.Address.Text"/></Value>
                </Parameter>
                <Parameter>
                    <Name>ElectronicContact.ElectronicMail.Usage.Code</Name>
                    <Value><xsl:value-of select="ElectronicContact.ElectronicMail.Usage.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.436276</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D327VR.ATO.GEN.432267">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.432267</Code>
            <Description>Financial institution name and branch name must not be present</Description>
            <Location>/xbrli:xbrl/fininstacc1.02.00:FinancialInstitutionAccount/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT232</Name>
                    <Value><xsl:value-of select="($FBT232)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT233</Name>
                    <Value><xsl:value-of select="($FBT233)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.432267</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D328VR.ATO.GEN.432032">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.432032</Code>
            <Description>BSB Number, Account Number and Account Name must all be present</Description>
            <LongDescription>If any EFT details are present, then a BSB number, account number and an account name must all be present. If EFT is not required, then all fields must be blank or not present</LongDescription>
            <Location>/xbrli:xbrl/fininstacc1.02.00:FinancialInstitutionAccount/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT229</Name>
                    <Value><xsl:value-of select="($FBT229)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT230</Name>
                    <Value><xsl:value-of select="($FBT230)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT231</Name>
                    <Value><xsl:value-of select="($FBT231)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.432032</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D329VR.ATO.GEN.432035">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.432035</Code>
            <Description>BSB Number must be six digits and greater than 012000</Description>
            <Location>/xbrli:xbrl/fininstacc1.02.00:FinancialInstitutionAccount/pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT229</Name>
                    <Value><xsl:value-of select="($FBT229)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.432035</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D330VR.ATO.GEN.432036">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.432036</Code>
            <Description>Bank account number must not contain an apostrophe or a space</Description>
            <Location>/xbrli:xbrl/fininstacc1.02.00:FinancialInstitutionAccount/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT230</Name>
                    <Value><xsl:value-of select="($FBT230)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.432036</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D331VR.ATO.GEN.432037">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.432037</Code>
            <Description>Bank account name must not contain invalid characters _ ! @ $ % [ ] ? = : ; &quot; ,</Description>
            <Location>/xbrli:xbrl/fininstacc1.02.00:FinancialInstitutionAccount/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT231</Name>
                    <Value><xsl:value-of select="($FBT231)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.432037</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D332VR.ATO.GEN.432040">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.432040</Code>
            <Description>Only one EFT bank account may be present</Description>
            <Location>/xbrli:xbrl/fininstacc1.02.00:FinancialInstitutionAccount/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D333VR.ATO.GEN.432041">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.432041</Code>
            <Description>Bank account name must not be longer than 32 characters</Description>
            <LongDescription>32 characters is the Banking Standard and set by the Banking Industry</LongDescription>
            <Location>/xbrli:xbrl/fininstacc1.02.00:FinancialInstitutionAccount/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT231</Name>
                    <Value><xsl:value-of select="($FBT231)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.432041</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D334VR.ATO.GEN.410039">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410039</Code>
            <Description>Organisation name must contain at least one alpha or numeric character</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT10</Name>
                    <Value><xsl:value-of select="($FBT10)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410039</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D335VR.ATO.GEN.410039">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410039</Code>
            <Description>Organisation name must contain at least one alpha or numeric character</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT54</Name>
                    <Value><xsl:value-of select="($FBT54)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410039</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D336VR.ATO.GEN.410039">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410039</Code>
            <Description>Organisation name must contain at least one alpha or numeric character</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT16</Name>
                    <Value><xsl:value-of select="($FBT16)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410039</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D337VR.ATO.GEN.410039">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410039</Code>
            <Description>Organisation name must contain at least one alpha or numeric character</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT31</Name>
                    <Value><xsl:value-of select="($FBT31)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410039</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D338VR.ATO.GEN.410039">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410039</Code>
            <Description>Organisation name must contain at least one alpha or numeric character</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT40</Name>
                    <Value><xsl:value-of select="($FBT40)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410039</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D339VR.ATO.GEN.428258">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000413</Code>
            <Description>Non Individual Name cannot contain space hyphen space combinations</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT10</Name>
                    <Value><xsl:value-of select="($FBT10)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428258</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D340VR.ATO.GEN.428258">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000413</Code>
            <Description>Non Individual Name cannot contain space hyphen space combinations</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT54</Name>
                    <Value><xsl:value-of select="($FBT54)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428258</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D341VR.ATO.GEN.428258">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000413</Code>
            <Description>Non Individual Name cannot contain space hyphen space combinations</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT16</Name>
                    <Value><xsl:value-of select="($FBT16)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428258</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D342VR.ATO.GEN.428258">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000413</Code>
            <Description>Non Individual Name cannot contain space hyphen space combinations</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT31</Name>
                    <Value><xsl:value-of select="($FBT31)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428258</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D343VR.ATO.GEN.428258">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000413</Code>
            <Description>Non Individual Name cannot contain space hyphen space combinations</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT40</Name>
                    <Value><xsl:value-of select="($FBT40)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428258</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D344VR.ATO.GEN.428259">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000414</Code>
            <Description>Non Individual Name cannot contain &quot;P/L&quot;</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT10</Name>
                    <Value><xsl:value-of select="($FBT10)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428259</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D345VR.ATO.GEN.428259">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000414</Code>
            <Description>Non Individual Name cannot contain &quot;P/L&quot;</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT54</Name>
                    <Value><xsl:value-of select="($FBT54)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428259</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D346VR.ATO.GEN.428259">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000414</Code>
            <Description>Non Individual Name cannot contain &quot;P/L&quot;</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT16</Name>
                    <Value><xsl:value-of select="($FBT16)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428259</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D347VR.ATO.GEN.428259">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000414</Code>
            <Description>Non Individual Name cannot contain &quot;P/L&quot;</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT31</Name>
                    <Value><xsl:value-of select="($FBT31)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428259</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D348VR.ATO.GEN.428259">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000414</Code>
            <Description>Non Individual Name cannot contain &quot;P/L&quot;</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT40</Name>
                    <Value><xsl:value-of select="($FBT40)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428259</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D349VR.ATO.GEN.428260">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000416</Code>
            <Description>Non Individual Name cannot contain repeated hyphen, apostrophe, or space characters</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT10</Name>
                    <Value><xsl:value-of select="($FBT10)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428260</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D350VR.ATO.GEN.428260">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000416</Code>
            <Description>Non Individual Name cannot contain repeated hyphen, apostrophe, or space characters</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT54</Name>
                    <Value><xsl:value-of select="($FBT54)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428260</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D351VR.ATO.GEN.428260">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000416</Code>
            <Description>Non Individual Name cannot contain repeated hyphen, apostrophe, or space characters</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT16</Name>
                    <Value><xsl:value-of select="($FBT16)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428260</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D352VR.ATO.GEN.428260">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000416</Code>
            <Description>Non Individual Name cannot contain repeated hyphen, apostrophe, or space characters</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT31</Name>
                    <Value><xsl:value-of select="($FBT31)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428260</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D353VR.ATO.GEN.428260">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000416</Code>
            <Description>Non Individual Name cannot contain repeated hyphen, apostrophe, or space characters</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT40</Name>
                    <Value><xsl:value-of select="($FBT40)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428260</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D354VR.ATO.GEN.410038">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410038</Code>
            <Description>Non-individual name field cannot start with &#39;T/A&#39; and end with &#39;Pship&#39;, &#39;P&#39;ship or &#39;P/Ship&#39;</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT10</Name>
                    <Value><xsl:value-of select="($FBT10)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410038</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D355VR.ATO.GEN.410038">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410038</Code>
            <Description>Non-individual name field cannot start with &#39;T/A&#39; and end with &#39;Pship&#39;, &#39;P&#39;ship or &#39;P/Ship&#39;</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT54</Name>
                    <Value><xsl:value-of select="($FBT54)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410038</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D356VR.ATO.GEN.410038">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410038</Code>
            <Description>Non-individual name field cannot start with &#39;T/A&#39; and end with &#39;Pship&#39;, &#39;P&#39;ship or &#39;P/Ship&#39;</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT16</Name>
                    <Value><xsl:value-of select="($FBT16)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410038</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D357VR.ATO.GEN.410038">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410038</Code>
            <Description>Non-individual name field cannot start with &#39;T/A&#39; and end with &#39;Pship&#39;, &#39;P&#39;ship or &#39;P/Ship&#39;</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT31</Name>
                    <Value><xsl:value-of select="($FBT31)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410038</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D358VR.ATO.GEN.410038">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410038</Code>
            <Description>Non-individual name field cannot start with &#39;T/A&#39; and end with &#39;Pship&#39;, &#39;P&#39;ship or &#39;P/Ship&#39;</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT40</Name>
                    <Value><xsl:value-of select="($FBT40)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410038</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D359VR.ATO.GEN.410140">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410140</Code>
            <Description>Organisation Name Currency Code must be present</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:OrganisationNameDetails.Currency.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>OrganisationNameDetails.Currency.Code</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.Currency.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410140</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D360VR.ATO.GEN.410140">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410140</Code>
            <Description>Organisation Name Currency Code must be present</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:OrganisationNameDetails.Currency.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>OrganisationNameDetails.Currency.Code</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.Currency.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410140</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D361VR.ATO.GEN.410140">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410140</Code>
            <Description>Organisation Name Currency Code must be present</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:OrganisationNameDetails.Currency.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>OrganisationNameDetails.Currency.Code</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.Currency.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410140</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D362VR.ATO.GEN.410140">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410140</Code>
            <Description>Organisation Name Currency Code must be present</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:OrganisationNameDetails.Currency.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>OrganisationNameDetails.Currency.Code</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.Currency.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410140</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D363VR.ATO.GEN.410140">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410140</Code>
            <Description>Organisation Name Currency Code must be present</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:OrganisationNameDetails.Currency.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>OrganisationNameDetails.Currency.Code</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.Currency.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410140</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D364VR.ATO.GEN.410147">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410147</Code>
            <Description>Name Type Code must be present if Name of the Interposed Entity is present.</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>OrganisationNameDetails.OrganisationalNameType.Code</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.OrganisationalNameType.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410147</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D365VR.ATO.GEN.410147">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410147</Code>
            <Description>Name Type Code must be present if Name of the Interposed Entity is present.</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>OrganisationNameDetails.OrganisationalNameType.Code</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.OrganisationalNameType.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410147</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D366VR.ATO.GEN.410147">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410147</Code>
            <Description>Name Type Code must be present if Name of the Interposed Entity is present.</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>OrganisationNameDetails.OrganisationalNameType.Code</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.OrganisationalNameType.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410147</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D367VR.ATO.GEN.410147">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410147</Code>
            <Description>Name Type Code must be present if Name of the Interposed Entity is present.</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>OrganisationNameDetails.OrganisationalNameType.Code</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.OrganisationalNameType.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410147</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D368VR.ATO.GEN.410147">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410147</Code>
            <Description>Name Type Code must be present if Name of the Interposed Entity is present.</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>OrganisationNameDetails.OrganisationalNameType.Code</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.OrganisationalNameType.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410147</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D369VR.ATO.GEN.410206">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428042</Code>
            <Description>Non Individual Name cannot contain &quot;The trustee&quot;, &quot;The Exec&quot;, &quot;exec&quot; or &quot;the TTE&quot;</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT10</Name>
                    <Value><xsl:value-of select="($FBT10)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410206</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D370VR.ATO.GEN.410206">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428042</Code>
            <Description>Non Individual Name cannot contain &quot;The trustee&quot;, &quot;The Exec&quot;, &quot;exec&quot; or &quot;the TTE&quot;</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT54</Name>
                    <Value><xsl:value-of select="($FBT54)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410206</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D371VR.ATO.GEN.410206">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428042</Code>
            <Description>Non Individual Name cannot contain &quot;The trustee&quot;, &quot;The Exec&quot;, &quot;exec&quot; or &quot;the TTE&quot;</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT16</Name>
                    <Value><xsl:value-of select="($FBT16)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410206</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D372VR.ATO.GEN.410206">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428042</Code>
            <Description>Non Individual Name cannot contain &quot;The trustee&quot;, &quot;The Exec&quot;, &quot;exec&quot; or &quot;the TTE&quot;</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT31</Name>
                    <Value><xsl:value-of select="($FBT31)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410206</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D373VR.ATO.GEN.410206">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428042</Code>
            <Description>Non Individual Name cannot contain &quot;The trustee&quot;, &quot;The Exec&quot;, &quot;exec&quot; or &quot;the TTE&quot;</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT40</Name>
                    <Value><xsl:value-of select="($FBT40)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410206</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D374VR.ATO.GEN.410215">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410215</Code>
            <Description>Organisation name must be present</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT10</Name>
                    <Value><xsl:value-of select="($FBT10)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410215</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D375VR.ATO.GEN.410215">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410215</Code>
            <Description>Organisation name must be present</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT54</Name>
                    <Value><xsl:value-of select="($FBT54)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410215</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D376VR.ATO.GEN.410215">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410215</Code>
            <Description>Organisation name must be present</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT16</Name>
                    <Value><xsl:value-of select="($FBT16)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410215</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D377VR.ATO.GEN.410215">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410215</Code>
            <Description>Organisation name must be present</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT31</Name>
                    <Value><xsl:value-of select="($FBT31)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410215</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D378VR.ATO.GEN.410215">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410215</Code>
            <Description>Organisation name must be present</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT40</Name>
                    <Value><xsl:value-of select="($FBT40)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410215</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D379VR.ATO.GEN.430850">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.430850</Code>
            <Description>Orgnaisation name Currency code must be &#39;C&#39; or &#39;P&#39;</Description>
            <LongDescription>Organisation Name Details Currency Code must be &#39;C&#39; for current organisation name or &#39;P&#39; for previous organisation name</LongDescription>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:OrganisationNameDetails.Currency.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>OrganisationNameDetails.Currency.Code</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.Currency.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.430850</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D380VR.ATO.GEN.430850">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.430850</Code>
            <Description>Orgnaisation name Currency code must be &#39;C&#39; or &#39;P&#39;</Description>
            <LongDescription>Organisation Name Details Currency Code must be &#39;C&#39; for current organisation name or &#39;P&#39; for previous organisation name</LongDescription>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:OrganisationNameDetails.Currency.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>OrganisationNameDetails.Currency.Code</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.Currency.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.430850</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D381VR.ATO.GEN.430850">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.430850</Code>
            <Description>Orgnaisation name Currency code must be &#39;C&#39; or &#39;P&#39;</Description>
            <LongDescription>Organisation Name Details Currency Code must be &#39;C&#39; for current organisation name or &#39;P&#39; for previous organisation name</LongDescription>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:OrganisationNameDetails.Currency.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>OrganisationNameDetails.Currency.Code</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.Currency.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.430850</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D382VR.ATO.GEN.430850">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.430850</Code>
            <Description>Orgnaisation name Currency code must be &#39;C&#39; or &#39;P&#39;</Description>
            <LongDescription>Organisation Name Details Currency Code must be &#39;C&#39; for current organisation name or &#39;P&#39; for previous organisation name</LongDescription>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:OrganisationNameDetails.Currency.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>OrganisationNameDetails.Currency.Code</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.Currency.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.430850</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D383VR.ATO.GEN.430850">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.430850</Code>
            <Description>Orgnaisation name Currency code must be &#39;C&#39; or &#39;P&#39;</Description>
            <LongDescription>Organisation Name Details Currency Code must be &#39;C&#39; for current organisation name or &#39;P&#39; for previous organisation name</LongDescription>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:OrganisationNameDetails.Currency.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>OrganisationNameDetails.Currency.Code</Name>
                    <Value><xsl:value-of select="OrganisationNameDetails.Currency.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.430850</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D384VR.ATO.GEN.428261">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000417</Code>
            <Description>Non Individual Name cannot end with &quot;T/A&quot;, &quot;T/A P&#39;ship&quot;, &quot;T/A Pship&quot;, &quot;T/A P/Ship&quot; or &quot;T/A Partnership&quot;</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT10</Name>
                    <Value><xsl:value-of select="($FBT10)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428261</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D385VR.ATO.GEN.428261">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000417</Code>
            <Description>Non Individual Name cannot end with &quot;T/A&quot;, &quot;T/A P&#39;ship&quot;, &quot;T/A Pship&quot;, &quot;T/A P/Ship&quot; or &quot;T/A Partnership&quot;</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT54</Name>
                    <Value><xsl:value-of select="($FBT54)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428261</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D386VR.ATO.GEN.428261">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000417</Code>
            <Description>Non Individual Name cannot end with &quot;T/A&quot;, &quot;T/A P&#39;ship&quot;, &quot;T/A Pship&quot;, &quot;T/A P/Ship&quot; or &quot;T/A Partnership&quot;</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT16</Name>
                    <Value><xsl:value-of select="($FBT16)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428261</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D387VR.ATO.GEN.428261">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000417</Code>
            <Description>Non Individual Name cannot end with &quot;T/A&quot;, &quot;T/A P&#39;ship&quot;, &quot;T/A Pship&quot;, &quot;T/A P/Ship&quot; or &quot;T/A Partnership&quot;</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT31</Name>
                    <Value><xsl:value-of select="($FBT31)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428261</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D388VR.ATO.GEN.428261">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000417</Code>
            <Description>Non Individual Name cannot end with &quot;T/A&quot;, &quot;T/A P&#39;ship&quot;, &quot;T/A Pship&quot;, &quot;T/A P/Ship&quot; or &quot;T/A Partnership&quot;</Description>
            <Location>/xbrli:xbrl/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT40</Name>
                    <Value><xsl:value-of select="($FBT40)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428261</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D389VR.ATO.GEN.000243">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000243</Code>
            <Description>Both person unstructured name usage code and name must be provided</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.05:PersonUnstructuredName.Usage.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>PersonUnstructuredName.Usage.Code</Name>
                    <Value><xsl:value-of select="PersonUnstructuredName.Usage.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>PersonUnstructuredName.FullName.Text</Name>
                    <Value><xsl:value-of select="PersonUnstructuredName.FullName.Text"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000243</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D390VR.ATO.GEN.408010">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.408010</Code>
            <Description>Name field cannot contain &#39;space hyphen space&#39;.</Description>
            <LongDescription>Name field cannot contain &#39;space hyphen space&#39;.</LongDescription>
            <Location>/xbrli:xbrl/prsnunstrcnm1.02.01:PersonUnstructuredName/pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT129</Name>
                    <Value><xsl:value-of select="($FBT129)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.408010</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D391VR.ATO.GEN.430252">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.430252</Code>
            <Description>Unstructured name must not be more than 200 characters</Description>
            <Location>/xbrli:xbrl/prsnunstrcnm1.02.01:PersonUnstructuredName/pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT129</Name>
                    <Value><xsl:value-of select="($FBT129)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.430252</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D392VR.ATO.GEN.430253">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.430253</Code>
            <Description>Unstructured name must only contain A to Z,  a to z, 0 to 9, hyphens and spaces</Description>
            <Location>/xbrli:xbrl/prsnunstrcnm1.02.01:PersonUnstructuredName/pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT129</Name>
                    <Value><xsl:value-of select="($FBT129)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.430253</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D393VR.ATO.GEN.000458">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000458</Code>
            <Description>Suffix is invalid</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.NameSuffix.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT7</Name>
                    <Value><xsl:value-of select="($FBT7)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000458</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D394VR.ATO.GEN.000458">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000458</Code>
            <Description>Suffix is invalid</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.NameSuffix.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT51</Name>
                    <Value><xsl:value-of select="($FBT51)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000458</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D395VR.ATO.GEN.000458">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000458</Code>
            <Description>Suffix is invalid</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.NameSuffix.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT13</Name>
                    <Value><xsl:value-of select="($FBT13)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000458</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D396VR.ATO.GEN.000458">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000458</Code>
            <Description>Suffix is invalid</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.NameSuffix.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT28</Name>
                    <Value><xsl:value-of select="($FBT28)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000458</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D397VR.ATO.GEN.000458">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000458</Code>
            <Description>Suffix is invalid</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.NameSuffix.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT57</Name>
                    <Value><xsl:value-of select="($FBT57)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000458</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D398VR.ATO.GEN.000459">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000459</Code>
            <Description>Title is invalid</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.Title.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT5</Name>
                    <Value><xsl:value-of select="($FBT5)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000459</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D399VR.ATO.GEN.000459">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000459</Code>
            <Description>Title is invalid</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.Title.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT49</Name>
                    <Value><xsl:value-of select="($FBT49)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000459</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D400VR.ATO.GEN.000459">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000459</Code>
            <Description>Title is invalid</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.Title.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT11</Name>
                    <Value><xsl:value-of select="($FBT11)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000459</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D401VR.ATO.GEN.000459">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000459</Code>
            <Description>Title is invalid</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.Title.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT26</Name>
                    <Value><xsl:value-of select="($FBT26)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000459</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D402VR.ATO.GEN.000459">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000459</Code>
            <Description>Title is invalid</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.Title.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT55</Name>
                    <Value><xsl:value-of select="($FBT55)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.000459</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D403VR.ATO.GEN.410040">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410040</Code>
            <Description>Family name must contain at least one alphabetical character</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT6</Name>
                    <Value><xsl:value-of select="($FBT6)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410040</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D404VR.ATO.GEN.410040">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410040</Code>
            <Description>Family name must contain at least one alphabetical character</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT50</Name>
                    <Value><xsl:value-of select="($FBT50)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410040</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D405VR.ATO.GEN.410040">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410040</Code>
            <Description>Family name must contain at least one alphabetical character</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT12</Name>
                    <Value><xsl:value-of select="($FBT12)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410040</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D406VR.ATO.GEN.410040">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410040</Code>
            <Description>Family name must contain at least one alphabetical character</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT27</Name>
                    <Value><xsl:value-of select="($FBT27)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410040</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D407VR.ATO.GEN.410040">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410040</Code>
            <Description>Family name must contain at least one alphabetical character</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT56</Name>
                    <Value><xsl:value-of select="($FBT56)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410040</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D408VR.ATO.GEN.410063">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410063</Code>
            <Description>Given Name must contain at least one alphabetical character</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT8</Name>
                    <Value><xsl:value-of select="($FBT8)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410063</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D409VR.ATO.GEN.410063">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410063</Code>
            <Description>Given Name must contain at least one alphabetical character</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT52</Name>
                    <Value><xsl:value-of select="($FBT52)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410063</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D410VR.ATO.GEN.410063">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410063</Code>
            <Description>Given Name must contain at least one alphabetical character</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT14</Name>
                    <Value><xsl:value-of select="($FBT14)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410063</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D411VR.ATO.GEN.410063">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410063</Code>
            <Description>Given Name must contain at least one alphabetical character</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT29</Name>
                    <Value><xsl:value-of select="($FBT29)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410063</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D412VR.ATO.GEN.410063">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410063</Code>
            <Description>Given Name must contain at least one alphabetical character</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT58</Name>
                    <Value><xsl:value-of select="($FBT58)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410063</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D413VR.ATO.GEN.410131">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410131</Code>
            <Description>Other Given Name must contain at least one alphabetical character</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT9</Name>
                    <Value><xsl:value-of select="($FBT9)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410131</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D414VR.ATO.GEN.410131">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410131</Code>
            <Description>Other Given Name must contain at least one alphabetical character</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT53</Name>
                    <Value><xsl:value-of select="($FBT53)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410131</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D415VR.ATO.GEN.410131">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410131</Code>
            <Description>Other Given Name must contain at least one alphabetical character</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT15</Name>
                    <Value><xsl:value-of select="($FBT15)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410131</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D416VR.ATO.GEN.410131">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410131</Code>
            <Description>Other Given Name must contain at least one alphabetical character</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT30</Name>
                    <Value><xsl:value-of select="($FBT30)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410131</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D417VR.ATO.GEN.410131">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410131</Code>
            <Description>Other Given Name must contain at least one alphabetical character</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT59</Name>
                    <Value><xsl:value-of select="($FBT59)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410131</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D418VR.ATO.GEN.410183">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410183</Code>
            <Description>Person Name Currency Code must be present</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:PersonNameDetails.Currency.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>PersonNameDetails.Currency.Code</Name>
                    <Value><xsl:value-of select="PersonNameDetails.Currency.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410183</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D419VR.ATO.GEN.410183">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410183</Code>
            <Description>Person Name Currency Code must be present</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:PersonNameDetails.Currency.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>PersonNameDetails.Currency.Code</Name>
                    <Value><xsl:value-of select="PersonNameDetails.Currency.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410183</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D420VR.ATO.GEN.410183">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410183</Code>
            <Description>Person Name Currency Code must be present</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:PersonNameDetails.Currency.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>PersonNameDetails.Currency.Code</Name>
                    <Value><xsl:value-of select="PersonNameDetails.Currency.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410183</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D421VR.ATO.GEN.410183">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410183</Code>
            <Description>Person Name Currency Code must be present</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:PersonNameDetails.Currency.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>PersonNameDetails.Currency.Code</Name>
                    <Value><xsl:value-of select="PersonNameDetails.Currency.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410183</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D422VR.ATO.GEN.410183">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410183</Code>
            <Description>Person Name Currency Code must be present</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:PersonNameDetails.Currency.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>PersonNameDetails.Currency.Code</Name>
                    <Value><xsl:value-of select="PersonNameDetails.Currency.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410183</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D423VR.ATO.GEN.410200">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000424</Code>
            <Description>Family name cannot contain &quot;Exec for&quot;, &quot;Rep for&quot; or &quot;Trustee for&quot;</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT6</Name>
                    <Value><xsl:value-of select="($FBT6)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410200</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D424VR.ATO.GEN.410200">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000424</Code>
            <Description>Family name cannot contain &quot;Exec for&quot;, &quot;Rep for&quot; or &quot;Trustee for&quot;</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT50</Name>
                    <Value><xsl:value-of select="($FBT50)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410200</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D425VR.ATO.GEN.410200">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000424</Code>
            <Description>Family name cannot contain &quot;Exec for&quot;, &quot;Rep for&quot; or &quot;Trustee for&quot;</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT12</Name>
                    <Value><xsl:value-of select="($FBT12)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410200</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D426VR.ATO.GEN.410200">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000424</Code>
            <Description>Family name cannot contain &quot;Exec for&quot;, &quot;Rep for&quot; or &quot;Trustee for&quot;</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT27</Name>
                    <Value><xsl:value-of select="($FBT27)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410200</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D427VR.ATO.GEN.410200">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000424</Code>
            <Description>Family name cannot contain &quot;Exec for&quot;, &quot;Rep for&quot; or &quot;Trustee for&quot;</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT56</Name>
                    <Value><xsl:value-of select="($FBT56)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410200</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D428VR.ATO.GEN.410201">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000426</Code>
            <Description>Family name cannot contain &quot;MR&quot;, &quot;MRS&quot;, &quot;MISS&quot; or &quot;MS&quot;</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT6</Name>
                    <Value><xsl:value-of select="($FBT6)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410201</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D429VR.ATO.GEN.410201">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000426</Code>
            <Description>Family name cannot contain &quot;MR&quot;, &quot;MRS&quot;, &quot;MISS&quot; or &quot;MS&quot;</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT50</Name>
                    <Value><xsl:value-of select="($FBT50)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410201</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D430VR.ATO.GEN.410201">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000426</Code>
            <Description>Family name cannot contain &quot;MR&quot;, &quot;MRS&quot;, &quot;MISS&quot; or &quot;MS&quot;</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT12</Name>
                    <Value><xsl:value-of select="($FBT12)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410201</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D431VR.ATO.GEN.410201">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000426</Code>
            <Description>Family name cannot contain &quot;MR&quot;, &quot;MRS&quot;, &quot;MISS&quot; or &quot;MS&quot;</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT27</Name>
                    <Value><xsl:value-of select="($FBT27)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410201</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D432VR.ATO.GEN.410201">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000426</Code>
            <Description>Family name cannot contain &quot;MR&quot;, &quot;MRS&quot;, &quot;MISS&quot; or &quot;MS&quot;</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT56</Name>
                    <Value><xsl:value-of select="($FBT56)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410201</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D433VR.ATO.GEN.410202">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000436</Code>
            <Description>First name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT8</Name>
                    <Value><xsl:value-of select="($FBT8)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410202</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D434VR.ATO.GEN.410202">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000436</Code>
            <Description>First name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT52</Name>
                    <Value><xsl:value-of select="($FBT52)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410202</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D435VR.ATO.GEN.410202">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000436</Code>
            <Description>First name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT14</Name>
                    <Value><xsl:value-of select="($FBT14)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410202</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D436VR.ATO.GEN.410202">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000436</Code>
            <Description>First name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT29</Name>
                    <Value><xsl:value-of select="($FBT29)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410202</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D437VR.ATO.GEN.410202">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000436</Code>
            <Description>First name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT58</Name>
                    <Value><xsl:value-of select="($FBT58)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410202</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D438VR.ATO.GEN.410203">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000437</Code>
            <Description>First name cannot contain &quot;Exec for&quot;, &quot;Rep for&quot; or &quot;Trustee for&quot;</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT8</Name>
                    <Value><xsl:value-of select="($FBT8)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410203</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D439VR.ATO.GEN.410203">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000437</Code>
            <Description>First name cannot contain &quot;Exec for&quot;, &quot;Rep for&quot; or &quot;Trustee for&quot;</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT52</Name>
                    <Value><xsl:value-of select="($FBT52)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410203</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D440VR.ATO.GEN.410203">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000437</Code>
            <Description>First name cannot contain &quot;Exec for&quot;, &quot;Rep for&quot; or &quot;Trustee for&quot;</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT14</Name>
                    <Value><xsl:value-of select="($FBT14)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410203</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D441VR.ATO.GEN.410203">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000437</Code>
            <Description>First name cannot contain &quot;Exec for&quot;, &quot;Rep for&quot; or &quot;Trustee for&quot;</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT29</Name>
                    <Value><xsl:value-of select="($FBT29)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410203</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D442VR.ATO.GEN.410203">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000437</Code>
            <Description>First name cannot contain &quot;Exec for&quot;, &quot;Rep for&quot; or &quot;Trustee for&quot;</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT58</Name>
                    <Value><xsl:value-of select="($FBT58)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410203</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D443VR.ATO.GEN.410204">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000438</Code>
            <Description>First name cannot contain &quot;MR&quot;, &quot;MRS&quot;, &quot;MISS&quot; or &quot;MS&quot;</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT8</Name>
                    <Value><xsl:value-of select="($FBT8)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410204</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D444VR.ATO.GEN.410204">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000438</Code>
            <Description>First name cannot contain &quot;MR&quot;, &quot;MRS&quot;, &quot;MISS&quot; or &quot;MS&quot;</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT52</Name>
                    <Value><xsl:value-of select="($FBT52)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410204</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D445VR.ATO.GEN.410204">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000438</Code>
            <Description>First name cannot contain &quot;MR&quot;, &quot;MRS&quot;, &quot;MISS&quot; or &quot;MS&quot;</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT14</Name>
                    <Value><xsl:value-of select="($FBT14)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410204</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D446VR.ATO.GEN.410204">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000438</Code>
            <Description>First name cannot contain &quot;MR&quot;, &quot;MRS&quot;, &quot;MISS&quot; or &quot;MS&quot;</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT29</Name>
                    <Value><xsl:value-of select="($FBT29)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410204</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D447VR.ATO.GEN.410204">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000438</Code>
            <Description>First name cannot contain &quot;MR&quot;, &quot;MRS&quot;, &quot;MISS&quot; or &quot;MS&quot;</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT58</Name>
                    <Value><xsl:value-of select="($FBT58)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410204</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D448VR.ATO.GEN.410207">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000448</Code>
            <Description>Other given name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT9</Name>
                    <Value><xsl:value-of select="($FBT9)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410207</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D449VR.ATO.GEN.410207">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000448</Code>
            <Description>Other given name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT53</Name>
                    <Value><xsl:value-of select="($FBT53)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410207</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D450VR.ATO.GEN.410207">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000448</Code>
            <Description>Other given name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT15</Name>
                    <Value><xsl:value-of select="($FBT15)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410207</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D451VR.ATO.GEN.410207">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000448</Code>
            <Description>Other given name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT30</Name>
                    <Value><xsl:value-of select="($FBT30)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410207</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D452VR.ATO.GEN.410207">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000448</Code>
            <Description>Other given name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT59</Name>
                    <Value><xsl:value-of select="($FBT59)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410207</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D453VR.ATO.GEN.410208">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000449</Code>
            <Description>Other given name cannot contain &quot;Exec for&quot;, &quot;Rep for&quot; or &quot;Trustee for&quot;</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT9</Name>
                    <Value><xsl:value-of select="($FBT9)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410208</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D454VR.ATO.GEN.410208">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000449</Code>
            <Description>Other given name cannot contain &quot;Exec for&quot;, &quot;Rep for&quot; or &quot;Trustee for&quot;</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT53</Name>
                    <Value><xsl:value-of select="($FBT53)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410208</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D455VR.ATO.GEN.410208">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000449</Code>
            <Description>Other given name cannot contain &quot;Exec for&quot;, &quot;Rep for&quot; or &quot;Trustee for&quot;</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT15</Name>
                    <Value><xsl:value-of select="($FBT15)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410208</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D456VR.ATO.GEN.410208">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000449</Code>
            <Description>Other given name cannot contain &quot;Exec for&quot;, &quot;Rep for&quot; or &quot;Trustee for&quot;</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT30</Name>
                    <Value><xsl:value-of select="($FBT30)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410208</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D457VR.ATO.GEN.410208">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000449</Code>
            <Description>Other given name cannot contain &quot;Exec for&quot;, &quot;Rep for&quot; or &quot;Trustee for&quot;</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT59</Name>
                    <Value><xsl:value-of select="($FBT59)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410208</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D458VR.ATO.GEN.410209">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000450</Code>
            <Description>Other given name cannot contain &quot;MR&quot;, &quot;MRS&quot;, &quot;MISS&quot; or &quot;MS&quot;</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT9</Name>
                    <Value><xsl:value-of select="($FBT9)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410209</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D459VR.ATO.GEN.410209">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000450</Code>
            <Description>Other given name cannot contain &quot;MR&quot;, &quot;MRS&quot;, &quot;MISS&quot; or &quot;MS&quot;</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT53</Name>
                    <Value><xsl:value-of select="($FBT53)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410209</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D460VR.ATO.GEN.410209">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000450</Code>
            <Description>Other given name cannot contain &quot;MR&quot;, &quot;MRS&quot;, &quot;MISS&quot; or &quot;MS&quot;</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT15</Name>
                    <Value><xsl:value-of select="($FBT15)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410209</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D461VR.ATO.GEN.410209">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000450</Code>
            <Description>Other given name cannot contain &quot;MR&quot;, &quot;MRS&quot;, &quot;MISS&quot; or &quot;MS&quot;</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT30</Name>
                    <Value><xsl:value-of select="($FBT30)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410209</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D462VR.ATO.GEN.410209">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000450</Code>
            <Description>Other given name cannot contain &quot;MR&quot;, &quot;MRS&quot;, &quot;MISS&quot; or &quot;MS&quot;</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT59</Name>
                    <Value><xsl:value-of select="($FBT59)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410209</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D463VR.ATO.GEN.410216">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410216</Code>
            <Description>Person NameType code must be present</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:PersonNameDetails.PersonNameType.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>PersonNameDetails.PersonNameType.Code</Name>
                    <Value><xsl:value-of select="PersonNameDetails.PersonNameType.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410216</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D464VR.ATO.GEN.410216">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410216</Code>
            <Description>Person NameType code must be present</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:PersonNameDetails.PersonNameType.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>PersonNameDetails.PersonNameType.Code</Name>
                    <Value><xsl:value-of select="PersonNameDetails.PersonNameType.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410216</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D465VR.ATO.GEN.410216">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410216</Code>
            <Description>Person NameType code must be present</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:PersonNameDetails.PersonNameType.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>PersonNameDetails.PersonNameType.Code</Name>
                    <Value><xsl:value-of select="PersonNameDetails.PersonNameType.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410216</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D466VR.ATO.GEN.410216">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410216</Code>
            <Description>Person NameType code must be present</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:PersonNameDetails.PersonNameType.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>PersonNameDetails.PersonNameType.Code</Name>
                    <Value><xsl:value-of select="PersonNameDetails.PersonNameType.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410216</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D467VR.ATO.GEN.410216">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410216</Code>
            <Description>Person NameType code must be present</Description>
            <Location>/<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:PersonNameDetails.PersonNameType.Code</Location>
            <Parameters>
                <Parameter>
                    <Name>PersonNameDetails.PersonNameType.Code</Name>
                    <Value><xsl:value-of select="PersonNameDetails.PersonNameType.Code"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410216</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D468VR.ATO.GEN.410217">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410217</Code>
            <Description>Family Name must be present</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT6</Name>
                    <Value><xsl:value-of select="($FBT6)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410217</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D469VR.ATO.GEN.410217">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410217</Code>
            <Description>Family Name must be present</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT50</Name>
                    <Value><xsl:value-of select="($FBT50)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410217</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D470VR.ATO.GEN.410217">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410217</Code>
            <Description>Family Name must be present</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT12</Name>
                    <Value><xsl:value-of select="($FBT12)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410217</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D471VR.ATO.GEN.410217">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410217</Code>
            <Description>Family Name must be present</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT27</Name>
                    <Value><xsl:value-of select="($FBT27)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410217</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D472VR.ATO.GEN.410217">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410217</Code>
            <Description>Family Name must be present</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT56</Name>
                    <Value><xsl:value-of select="($FBT56)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410217</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D473VR.ATO.GEN.410218">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410218</Code>
            <Description>FirstName must be entered if OtherGivenNames is entered</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT9</Name>
                    <Value><xsl:value-of select="($FBT9)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT8</Name>
                    <Value><xsl:value-of select="($FBT8)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410218</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D474VR.ATO.GEN.410218">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410218</Code>
            <Description>FirstName must be entered if OtherGivenNames is entered</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT53</Name>
                    <Value><xsl:value-of select="($FBT53)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT52</Name>
                    <Value><xsl:value-of select="($FBT52)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410218</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D475VR.ATO.GEN.410218">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410218</Code>
            <Description>FirstName must be entered if OtherGivenNames is entered</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT15</Name>
                    <Value><xsl:value-of select="($FBT15)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT14</Name>
                    <Value><xsl:value-of select="($FBT14)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410218</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D476VR.ATO.GEN.410218">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410218</Code>
            <Description>FirstName must be entered if OtherGivenNames is entered</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT30</Name>
                    <Value><xsl:value-of select="($FBT30)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT29</Name>
                    <Value><xsl:value-of select="($FBT29)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410218</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D477VR.ATO.GEN.410218">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410218</Code>
            <Description>FirstName must be entered if OtherGivenNames is entered</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT59</Name>
                    <Value><xsl:value-of select="($FBT59)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>FBT58</Name>
                    <Value><xsl:value-of select="($FBT58)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.410218</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D478VR.ATO.GEN.428231">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000422</Code>
            <Description>Family name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT6</Name>
                    <Value><xsl:value-of select="($FBT6)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428231</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D479VR.ATO.GEN.428231">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000422</Code>
            <Description>Family name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT50</Name>
                    <Value><xsl:value-of select="($FBT50)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428231</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D480VR.ATO.GEN.428231">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000422</Code>
            <Description>Family name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT12</Name>
                    <Value><xsl:value-of select="($FBT12)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428231</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D481VR.ATO.GEN.428231">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000422</Code>
            <Description>Family name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT27</Name>
                    <Value><xsl:value-of select="($FBT27)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428231</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D482VR.ATO.GEN.428231">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000422</Code>
            <Description>Family name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT56</Name>
                    <Value><xsl:value-of select="($FBT56)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428231</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D483VR.ATO.GEN.428262">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000423</Code>
            <Description>Family Name cannot contain &quot;space hyphen space&quot;</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT6</Name>
                    <Value><xsl:value-of select="($FBT6)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428262</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D484VR.ATO.GEN.428262">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000423</Code>
            <Description>Family Name cannot contain &quot;space hyphen space&quot;</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT50</Name>
                    <Value><xsl:value-of select="($FBT50)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428262</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D485VR.ATO.GEN.428262">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000423</Code>
            <Description>Family Name cannot contain &quot;space hyphen space&quot;</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT12</Name>
                    <Value><xsl:value-of select="($FBT12)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428262</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D486VR.ATO.GEN.428262">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000423</Code>
            <Description>Family Name cannot contain &quot;space hyphen space&quot;</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT27</Name>
                    <Value><xsl:value-of select="($FBT27)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428262</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D487VR.ATO.GEN.428262">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000423</Code>
            <Description>Family Name cannot contain &quot;space hyphen space&quot;</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT56</Name>
                    <Value><xsl:value-of select="($FBT56)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428262</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D488VR.ATO.GEN.428263">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000427</Code>
            <Description>Family name cannot contain repeated hyphen, apostrophe, or space characters</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT6</Name>
                    <Value><xsl:value-of select="($FBT6)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428263</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D489VR.ATO.GEN.428263">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000427</Code>
            <Description>Family name cannot contain repeated hyphen, apostrophe, or space characters</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT50</Name>
                    <Value><xsl:value-of select="($FBT50)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428263</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D490VR.ATO.GEN.428263">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000427</Code>
            <Description>Family name cannot contain repeated hyphen, apostrophe, or space characters</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT12</Name>
                    <Value><xsl:value-of select="($FBT12)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428263</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D491VR.ATO.GEN.428263">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000427</Code>
            <Description>Family name cannot contain repeated hyphen, apostrophe, or space characters</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT27</Name>
                    <Value><xsl:value-of select="($FBT27)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428263</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D492VR.ATO.GEN.428263">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000427</Code>
            <Description>Family name cannot contain repeated hyphen, apostrophe, or space characters</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT56</Name>
                    <Value><xsl:value-of select="($FBT56)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428263</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D493VR.ATO.GEN.428264">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000434</Code>
            <Description>First name cannot contain space hyphen space</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT8</Name>
                    <Value><xsl:value-of select="($FBT8)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428264</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D494VR.ATO.GEN.428264">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000434</Code>
            <Description>First name cannot contain space hyphen space</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT52</Name>
                    <Value><xsl:value-of select="($FBT52)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428264</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D495VR.ATO.GEN.428264">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000434</Code>
            <Description>First name cannot contain space hyphen space</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT14</Name>
                    <Value><xsl:value-of select="($FBT14)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428264</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D496VR.ATO.GEN.428264">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000434</Code>
            <Description>First name cannot contain space hyphen space</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT29</Name>
                    <Value><xsl:value-of select="($FBT29)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428264</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D497VR.ATO.GEN.428264">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000434</Code>
            <Description>First name cannot contain space hyphen space</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT58</Name>
                    <Value><xsl:value-of select="($FBT58)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428264</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D498VR.ATO.GEN.428265">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000439</Code>
            <Description>First name cannot contain repeated hyphen, apostrophe, or space characters</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT8</Name>
                    <Value><xsl:value-of select="($FBT8)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428265</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D499VR.ATO.GEN.428265">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000439</Code>
            <Description>First name cannot contain repeated hyphen, apostrophe, or space characters</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT52</Name>
                    <Value><xsl:value-of select="($FBT52)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428265</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D500VR.ATO.GEN.428265">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000439</Code>
            <Description>First name cannot contain repeated hyphen, apostrophe, or space characters</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT14</Name>
                    <Value><xsl:value-of select="($FBT14)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428265</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D501VR.ATO.GEN.428265">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000439</Code>
            <Description>First name cannot contain repeated hyphen, apostrophe, or space characters</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT29</Name>
                    <Value><xsl:value-of select="($FBT29)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428265</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D502VR.ATO.GEN.428265">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000439</Code>
            <Description>First name cannot contain repeated hyphen, apostrophe, or space characters</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT58</Name>
                    <Value><xsl:value-of select="($FBT58)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428265</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D503VR.ATO.GEN.428266">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000446</Code>
            <Description>Other given name cannot contain space hyphen space</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT9</Name>
                    <Value><xsl:value-of select="($FBT9)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428266</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D504VR.ATO.GEN.428266">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000446</Code>
            <Description>Other given name cannot contain space hyphen space</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT53</Name>
                    <Value><xsl:value-of select="($FBT53)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428266</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D505VR.ATO.GEN.428266">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000446</Code>
            <Description>Other given name cannot contain space hyphen space</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT15</Name>
                    <Value><xsl:value-of select="($FBT15)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428266</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D506VR.ATO.GEN.428266">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000446</Code>
            <Description>Other given name cannot contain space hyphen space</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT30</Name>
                    <Value><xsl:value-of select="($FBT30)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428266</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D507VR.ATO.GEN.428266">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000446</Code>
            <Description>Other given name cannot contain space hyphen space</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT59</Name>
                    <Value><xsl:value-of select="($FBT59)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428266</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D508VR.ATO.GEN.428267">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000451</Code>
            <Description>Other given name cannot contain repeated hyphen, apostrophe, or space characters</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT9</Name>
                    <Value><xsl:value-of select="($FBT9)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428267</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D509VR.ATO.GEN.428267">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000451</Code>
            <Description>Other given name cannot contain repeated hyphen, apostrophe, or space characters</Description>
            <Location>/xbrli:xbrl/fbt.0002.lodge.req.02.00:ControllingParty/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT53</Name>
                    <Value><xsl:value-of select="($FBT53)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428267</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D510VR.ATO.GEN.428267">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000451</Code>
            <Description>Other given name cannot contain repeated hyphen, apostrophe, or space characters</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT15</Name>
                    <Value><xsl:value-of select="($FBT15)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428267</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D511VR.ATO.GEN.428267">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000451</Code>
            <Description>Other given name cannot contain repeated hyphen, apostrophe, or space characters</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT30</Name>
                    <Value><xsl:value-of select="($FBT30)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428267</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

    <diagnostic id="D512VR.ATO.GEN.428267">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000451</Code>
            <Description>Other given name cannot contain repeated hyphen, apostrophe, or space characters</Description>
            <Location>/xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
            <Parameters>
                <Parameter>
                    <Name>FBT59</Name>
                    <Value><xsl:value-of select="($FBT59)[1]"/></Value>
                </Parameter>
                <Parameter>
                    <Name>RuleIdentifier</Name>
                    <Value>VR.ATO.GEN.428267</Value>
                </Parameter>
            </Parameters>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>


</diagnostics>

</schema>
